#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 11
#define STATE_COUNT 2779
#define LARGE_STATE_COUNT 125
#define SYMBOL_COUNT 159
#define ALIAS_COUNT 1
#define TOKEN_COUNT 99
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 15
#define MAX_ALIAS_SEQUENCE_LENGTH 10

enum {
  sym_word = 1,
  anon_sym_LF = 2,
  anon_sym_for = 3,
  anon_sym_in = 4,
  anon_sym_LPAREN_LPAREN = 5,
  anon_sym_RPAREN_RPAREN = 6,
  anon_sym_SEMI = 7,
  anon_sym_while = 8,
  anon_sym_do = 9,
  anon_sym_done = 10,
  anon_sym_if = 11,
  anon_sym_then = 12,
  anon_sym_fi = 13,
  anon_sym_elif = 14,
  anon_sym_else = 15,
  anon_sym_case = 16,
  anon_sym_esac = 17,
  anon_sym_PIPE = 18,
  anon_sym_RPAREN = 19,
  anon_sym_SEMI_SEMI = 20,
  anon_sym_function = 21,
  anon_sym_LPAREN = 22,
  anon_sym_LBRACE = 23,
  anon_sym_RBRACE = 24,
  anon_sym_PIPE_AMP = 25,
  anon_sym_AMP_AMP = 26,
  anon_sym_PIPE_PIPE = 27,
  anon_sym_BANG = 28,
  anon_sym_LBRACK = 29,
  anon_sym_RBRACK = 30,
  anon_sym_LBRACK_LBRACK = 31,
  anon_sym_RBRACK_RBRACK = 32,
  anon_sym_declare = 33,
  anon_sym_typeset = 34,
  anon_sym_export = 35,
  anon_sym_readonly = 36,
  anon_sym_local = 37,
  anon_sym_unset = 38,
  anon_sym_unsetenv = 39,
  anon_sym_EQ_TILDE = 40,
  anon_sym_EQ_EQ = 41,
  anon_sym_EQ = 42,
  anon_sym_PLUS_EQ = 43,
  anon_sym_LT = 44,
  anon_sym_GT = 45,
  anon_sym_GT_GT = 46,
  anon_sym_AMP_GT = 47,
  anon_sym_AMP_GT_GT = 48,
  anon_sym_LT_AMP = 49,
  anon_sym_GT_AMP = 50,
  anon_sym_GT_PIPE = 51,
  anon_sym_LT_LT = 52,
  anon_sym_LT_LT_DASH = 53,
  anon_sym_LT_LT_LT = 54,
  anon_sym_BANG_EQ = 55,
  anon_sym_PLUS = 56,
  anon_sym_DASH = 57,
  anon_sym_DASH_EQ = 58,
  anon_sym_LT_EQ = 59,
  anon_sym_GT_EQ = 60,
  anon_sym_PLUS_PLUS = 61,
  anon_sym_DASH_DASH = 62,
  anon_sym_DOLLAR = 63,
  sym__special_character = 64,
  anon_sym_DQUOTE = 65,
  sym__string_content = 66,
  sym_raw_string = 67,
  sym_ansii_c_string = 68,
  anon_sym_POUND = 69,
  anon_sym_DOLLAR_LBRACE = 70,
  anon_sym_SLASH = 71,
  anon_sym_COLON = 72,
  anon_sym_COLON_QMARK = 73,
  anon_sym_COLON_DASH = 74,
  anon_sym_PERCENT = 75,
  anon_sym_DOLLAR_LPAREN = 76,
  anon_sym_BQUOTE = 77,
  anon_sym_LT_LPAREN = 78,
  anon_sym_GT_LPAREN = 79,
  sym_comment = 80,
  aux_sym__simple_variable_name_token1 = 81,
  anon_sym_STAR = 82,
  anon_sym_AT = 83,
  anon_sym_QMARK = 84,
  anon_sym_0 = 85,
  anon_sym__ = 86,
  sym_test_operator = 87,
  anon_sym_AMP = 88,
  sym_heredoc_start = 89,
  sym__simple_heredoc_body = 90,
  sym__heredoc_body_beginning = 91,
  sym__heredoc_body_middle = 92,
  sym__heredoc_body_end = 93,
  sym_file_descriptor = 94,
  sym__empty_value = 95,
  sym__concat = 96,
  sym_variable_name = 97,
  sym_regex = 98,
  sym_program = 99,
  sym__statements = 100,
  aux_sym__statements2 = 101,
  sym__terminated_statement = 102,
  sym_redirected_statement = 103,
  sym_for_statement = 104,
  sym_c_style_for_statement = 105,
  sym_while_statement = 106,
  sym_do_group = 107,
  sym_if_statement = 108,
  sym_elif_clause = 109,
  sym_else_clause = 110,
  sym_case_statement = 111,
  sym_case_item = 112,
  sym_last_case_item = 113,
  sym_function_definition = 114,
  sym_compound_statement = 115,
  sym_subshell = 116,
  sym_pipeline = 117,
  sym_list = 118,
  sym_negated_command = 119,
  sym_test_command = 120,
  sym_declaration_command = 121,
  sym_unset_command = 122,
  sym_command = 123,
  sym_command_name = 124,
  sym_variable_assignment = 125,
  sym_subscript = 126,
  sym_file_redirect = 127,
  sym_heredoc_redirect = 128,
  sym_heredoc_body = 129,
  sym_herestring_redirect = 130,
  sym__expression = 131,
  sym_binary_expression = 132,
  sym_unary_expression = 133,
  sym_postfix_expression = 134,
  sym_parenthesized_expression = 135,
  sym_concatenation = 136,
  sym_string = 137,
  sym_array = 138,
  sym_simple_expansion = 139,
  sym_string_expansion = 140,
  sym_expansion = 141,
  sym_command_substitution = 142,
  sym_process_substitution = 143,
  aux_sym__statements_repeat1 = 144,
  aux_sym_redirected_statement_repeat1 = 145,
  aux_sym_for_statement_repeat1 = 146,
  aux_sym_if_statement_repeat1 = 147,
  aux_sym_case_statement_repeat1 = 148,
  aux_sym_case_item_repeat1 = 149,
  aux_sym_declaration_command_repeat1 = 150,
  aux_sym_unset_command_repeat1 = 151,
  aux_sym_command_repeat1 = 152,
  aux_sym_command_repeat2 = 153,
  aux_sym_heredoc_body_repeat1 = 154,
  aux_sym__literal_repeat1 = 155,
  aux_sym_concatenation_repeat1 = 156,
  aux_sym_string_repeat1 = 157,
  aux_sym_expansion_repeat1 = 158,
  alias_sym_special_variable_name = 159,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_word] = "word",
  [anon_sym_LF] = "\n",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_LPAREN_LPAREN] = "((",
  [anon_sym_RPAREN_RPAREN] = "))",
  [anon_sym_SEMI] = ";",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_fi] = "fi",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_case] = "case",
  [anon_sym_esac] = "esac",
  [anon_sym_PIPE] = "|",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_function] = "function",
  [anon_sym_LPAREN] = "(",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PIPE_AMP] = "|&",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_BANG] = "!",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym_declare] = "declare",
  [anon_sym_typeset] = "typeset",
  [anon_sym_export] = "export",
  [anon_sym_readonly] = "readonly",
  [anon_sym_local] = "local",
  [anon_sym_unset] = "unset",
  [anon_sym_unsetenv] = "unsetenv",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_GT] = "&>",
  [anon_sym_AMP_GT_GT] = "&>>",
  [anon_sym_LT_AMP] = "<&",
  [anon_sym_GT_AMP] = ">&",
  [anon_sym_GT_PIPE] = ">|",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_LT_LT_DASH] = "<<-",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DOLLAR] = "$",
  [sym__special_character] = "_special_character",
  [anon_sym_DQUOTE] = "\"",
  [sym__string_content] = "_string_content",
  [sym_raw_string] = "raw_string",
  [sym_ansii_c_string] = "ansii_c_string",
  [anon_sym_POUND] = "#",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON] = ":",
  [anon_sym_COLON_QMARK] = ":?",
  [anon_sym_COLON_DASH] = ":-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DOLLAR_LPAREN] = "$(",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_LT_LPAREN] = "<(",
  [anon_sym_GT_LPAREN] = ">(",
  [sym_comment] = "comment",
  [aux_sym__simple_variable_name_token1] = "variable_name",
  [anon_sym_STAR] = "special_variable_name",
  [anon_sym_AT] = "special_variable_name",
  [anon_sym_QMARK] = "special_variable_name",
  [anon_sym_0] = "special_variable_name",
  [anon_sym__] = "special_variable_name",
  [sym_test_operator] = "test_operator",
  [anon_sym_AMP] = "&",
  [sym_heredoc_start] = "heredoc_start",
  [sym__simple_heredoc_body] = "_simple_heredoc_body",
  [sym__heredoc_body_beginning] = "_heredoc_body_beginning",
  [sym__heredoc_body_middle] = "_heredoc_body_middle",
  [sym__heredoc_body_end] = "_heredoc_body_end",
  [sym_file_descriptor] = "file_descriptor",
  [sym__empty_value] = "_empty_value",
  [sym__concat] = "_concat",
  [sym_variable_name] = "variable_name",
  [sym_regex] = "regex",
  [sym_program] = "program",
  [sym__statements] = "_statements",
  [aux_sym__statements2] = "_statements2",
  [sym__terminated_statement] = "_terminated_statement",
  [sym_redirected_statement] = "redirected_statement",
  [sym_for_statement] = "for_statement",
  [sym_c_style_for_statement] = "c_style_for_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_group] = "do_group",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_case_statement] = "case_statement",
  [sym_case_item] = "case_item",
  [sym_last_case_item] = "case_item",
  [sym_function_definition] = "function_definition",
  [sym_compound_statement] = "compound_statement",
  [sym_subshell] = "subshell",
  [sym_pipeline] = "pipeline",
  [sym_list] = "list",
  [sym_negated_command] = "negated_command",
  [sym_test_command] = "test_command",
  [sym_declaration_command] = "declaration_command",
  [sym_unset_command] = "unset_command",
  [sym_command] = "command",
  [sym_command_name] = "command_name",
  [sym_variable_assignment] = "variable_assignment",
  [sym_subscript] = "subscript",
  [sym_file_redirect] = "file_redirect",
  [sym_heredoc_redirect] = "heredoc_redirect",
  [sym_heredoc_body] = "heredoc_body",
  [sym_herestring_redirect] = "herestring_redirect",
  [sym__expression] = "_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_concatenation] = "concatenation",
  [sym_string] = "string",
  [sym_array] = "array",
  [sym_simple_expansion] = "simple_expansion",
  [sym_string_expansion] = "string_expansion",
  [sym_expansion] = "expansion",
  [sym_command_substitution] = "command_substitution",
  [sym_process_substitution] = "process_substitution",
  [aux_sym__statements_repeat1] = "_statements_repeat1",
  [aux_sym_redirected_statement_repeat1] = "redirected_statement_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_case_item_repeat1] = "case_item_repeat1",
  [aux_sym_declaration_command_repeat1] = "declaration_command_repeat1",
  [aux_sym_unset_command_repeat1] = "unset_command_repeat1",
  [aux_sym_command_repeat1] = "command_repeat1",
  [aux_sym_command_repeat2] = "command_repeat2",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym__literal_repeat1] = "_literal_repeat1",
  [aux_sym_concatenation_repeat1] = "concatenation_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_expansion_repeat1] = "expansion_repeat1",
  [alias_sym_special_variable_name] = "special_variable_name",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_word] = sym_word,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_LPAREN_LPAREN] = anon_sym_LPAREN_LPAREN,
  [anon_sym_RPAREN_RPAREN] = anon_sym_RPAREN_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_fi] = anon_sym_fi,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_esac] = anon_sym_esac,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PIPE_AMP] = anon_sym_PIPE_AMP,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_typeset] = anon_sym_typeset,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_unset] = anon_sym_unset,
  [anon_sym_unsetenv] = anon_sym_unsetenv,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_GT] = anon_sym_AMP_GT,
  [anon_sym_AMP_GT_GT] = anon_sym_AMP_GT_GT,
  [anon_sym_LT_AMP] = anon_sym_LT_AMP,
  [anon_sym_GT_AMP] = anon_sym_GT_AMP,
  [anon_sym_GT_PIPE] = anon_sym_GT_PIPE,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [sym__special_character] = sym__special_character,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__string_content] = sym__string_content,
  [sym_raw_string] = sym_raw_string,
  [sym_ansii_c_string] = sym_ansii_c_string,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_COLON_QMARK] = anon_sym_COLON_QMARK,
  [anon_sym_COLON_DASH] = anon_sym_COLON_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_DOLLAR_LPAREN] = anon_sym_DOLLAR_LPAREN,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_LT_LPAREN] = anon_sym_LT_LPAREN,
  [anon_sym_GT_LPAREN] = anon_sym_GT_LPAREN,
  [sym_comment] = sym_comment,
  [aux_sym__simple_variable_name_token1] = sym_variable_name,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_AT] = anon_sym_STAR,
  [anon_sym_QMARK] = anon_sym_STAR,
  [anon_sym_0] = anon_sym_STAR,
  [anon_sym__] = anon_sym_STAR,
  [sym_test_operator] = sym_test_operator,
  [anon_sym_AMP] = anon_sym_AMP,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym__simple_heredoc_body] = sym__simple_heredoc_body,
  [sym__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [sym__heredoc_body_middle] = sym__heredoc_body_middle,
  [sym__heredoc_body_end] = sym__heredoc_body_end,
  [sym_file_descriptor] = sym_file_descriptor,
  [sym__empty_value] = sym__empty_value,
  [sym__concat] = sym__concat,
  [sym_variable_name] = sym_variable_name,
  [sym_regex] = sym_regex,
  [sym_program] = sym_program,
  [sym__statements] = sym__statements,
  [aux_sym__statements2] = aux_sym__statements2,
  [sym__terminated_statement] = sym__terminated_statement,
  [sym_redirected_statement] = sym_redirected_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_c_style_for_statement] = sym_c_style_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_group] = sym_do_group,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_case_statement] = sym_case_statement,
  [sym_case_item] = sym_case_item,
  [sym_last_case_item] = sym_case_item,
  [sym_function_definition] = sym_function_definition,
  [sym_compound_statement] = sym_compound_statement,
  [sym_subshell] = sym_subshell,
  [sym_pipeline] = sym_pipeline,
  [sym_list] = sym_list,
  [sym_negated_command] = sym_negated_command,
  [sym_test_command] = sym_test_command,
  [sym_declaration_command] = sym_declaration_command,
  [sym_unset_command] = sym_unset_command,
  [sym_command] = sym_command,
  [sym_command_name] = sym_command_name,
  [sym_variable_assignment] = sym_variable_assignment,
  [sym_subscript] = sym_subscript,
  [sym_file_redirect] = sym_file_redirect,
  [sym_heredoc_redirect] = sym_heredoc_redirect,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_herestring_redirect] = sym_herestring_redirect,
  [sym__expression] = sym__expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_concatenation] = sym_concatenation,
  [sym_string] = sym_string,
  [sym_array] = sym_array,
  [sym_simple_expansion] = sym_simple_expansion,
  [sym_string_expansion] = sym_string_expansion,
  [sym_expansion] = sym_expansion,
  [sym_command_substitution] = sym_command_substitution,
  [sym_process_substitution] = sym_process_substitution,
  [aux_sym__statements_repeat1] = aux_sym__statements_repeat1,
  [aux_sym_redirected_statement_repeat1] = aux_sym_redirected_statement_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_case_item_repeat1] = aux_sym_case_item_repeat1,
  [aux_sym_declaration_command_repeat1] = aux_sym_declaration_command_repeat1,
  [aux_sym_unset_command_repeat1] = aux_sym_unset_command_repeat1,
  [aux_sym_command_repeat1] = aux_sym_command_repeat1,
  [aux_sym_command_repeat2] = aux_sym_command_repeat2,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym__literal_repeat1] = aux_sym__literal_repeat1,
  [aux_sym_concatenation_repeat1] = aux_sym_concatenation_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_expansion_repeat1] = aux_sym_expansion_repeat1,
  [alias_sym_special_variable_name] = alias_sym_special_variable_name,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_word] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_esac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsetenv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [sym__special_character] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_string] = {
    .visible = true,
    .named = true,
  },
  [sym_ansii_c_string] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__simple_variable_name_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__] = {
    .visible = true,
    .named = true,
  },
  [sym_test_operator] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_heredoc_body] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_beginning] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_end] = {
    .visible = false,
    .named = true,
  },
  [sym_file_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_value] = {
    .visible = false,
    .named = true,
  },
  [sym__concat] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statements2] = {
    .visible = false,
    .named = false,
  },
  [sym__terminated_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_redirected_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_c_style_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_group] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_last_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_subshell] = {
    .visible = true,
    .named = true,
  },
  [sym_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_command] = {
    .visible = true,
    .named = true,
  },
  [sym_test_command] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_command] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_file_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_herestring_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_string_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_command_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_process_substitution] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redirected_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expansion_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_special_variable_name] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_argument = 1,
  field_body = 2,
  field_condition = 3,
  field_descriptor = 4,
  field_destination = 5,
  field_index = 6,
  field_initializer = 7,
  field_left = 8,
  field_name = 9,
  field_operator = 10,
  field_redirect = 11,
  field_right = 12,
  field_update = 13,
  field_value = 14,
  field_variable = 15,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_argument] = "argument",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_descriptor] = "descriptor",
  [field_destination] = "destination",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_redirect] = "redirect",
  [field_right] = "right",
  [field_update] = "update",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[56] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 2},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 4, .length = 1},
  [10] = {.index = 7, .length = 1},
  [11] = {.index = 8, .length = 2},
  [12] = {.index = 8, .length = 2},
  [13] = {.index = 10, .length = 2},
  [14] = {.index = 10, .length = 2},
  [15] = {.index = 12, .length = 2},
  [16] = {.index = 14, .length = 2},
  [18] = {.index = 16, .length = 2},
  [19] = {.index = 16, .length = 2},
  [20] = {.index = 18, .length = 2},
  [21] = {.index = 20, .length = 2},
  [22] = {.index = 22, .length = 2},
  [23] = {.index = 22, .length = 2},
  [24] = {.index = 24, .length = 2},
  [25] = {.index = 26, .length = 3},
  [26] = {.index = 29, .length = 1},
  [28] = {.index = 30, .length = 2},
  [29] = {.index = 32, .length = 1},
  [30] = {.index = 32, .length = 1},
  [31] = {.index = 33, .length = 2},
  [33] = {.index = 35, .length = 1},
  [34] = {.index = 36, .length = 3},
  [35] = {.index = 39, .length = 1},
  [36] = {.index = 39, .length = 1},
  [38] = {.index = 40, .length = 1},
  [39] = {.index = 41, .length = 2},
  [40] = {.index = 43, .length = 2},
  [41] = {.index = 45, .length = 2},
  [42] = {.index = 47, .length = 2},
  [43] = {.index = 49, .length = 2},
  [44] = {.index = 47, .length = 2},
  [45] = {.index = 51, .length = 2},
  [46] = {.index = 53, .length = 2},
  [47] = {.index = 55, .length = 3},
  [48] = {.index = 58, .length = 2},
  [49] = {.index = 60, .length = 3},
  [50] = {.index = 63, .length = 3},
  [51] = {.index = 66, .length = 3},
  [52] = {.index = 69, .length = 3},
  [53] = {.index = 72, .length = 3},
  [54] = {.index = 75, .length = 4},
  [55] = {.index = 79, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_destination, 1},
  [2] =
    {field_body, 0},
    {field_redirect, 1},
  [4] =
    {field_argument, 0},
  [5] =
    {field_argument, 1, .inherited = true},
    {field_name, 0},
  [7] =
    {field_name, 1},
  [8] =
    {field_descriptor, 0},
    {field_destination, 2},
  [10] =
    {field_name, 0},
    {field_value, 2},
  [12] =
    {field_body, 2},
    {field_condition, 1},
  [14] =
    {field_body, 2},
    {field_name, 1},
  [16] =
    {field_argument, 0},
    {field_argument, 1},
  [18] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [20] =
    {field_argument, 2, .inherited = true},
    {field_name, 1},
  [22] =
    {field_index, 2},
    {field_name, 0},
  [24] =
    {field_body, 3},
    {field_variable, 1},
  [26] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [29] =
    {field_condition, 1},
  [30] =
    {field_body, 3},
    {field_name, 0},
  [32] =
    {field_value, 1},
  [33] =
    {field_body, 4},
    {field_name, 1},
  [35] =
    {field_body, 5},
  [36] =
    {field_body, 5},
    {field_value, 3},
    {field_variable, 1},
  [39] =
    {field_value, 0},
  [40] =
    {field_body, 6},
  [41] =
    {field_body, 6},
    {field_update, 4},
  [43] =
    {field_body, 6},
    {field_condition, 3},
  [45] =
    {field_body, 6},
    {field_initializer, 2},
  [47] =
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [49] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [51] =
    {field_body, 7},
    {field_update, 4},
  [53] =
    {field_body, 7},
    {field_condition, 3},
  [55] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [58] =
    {field_body, 7},
    {field_initializer, 2},
  [60] =
    {field_body, 7},
    {field_initializer, 2},
    {field_update, 5},
  [63] =
    {field_body, 7},
    {field_condition, 4},
    {field_initializer, 2},
  [66] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [69] =
    {field_body, 8},
    {field_initializer, 2},
    {field_update, 5},
  [72] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
  [75] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
  [79] =
    {field_body, 9},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
};

static TSSymbol ts_alias_sequences[56][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_word,
  },
  [4] = {
    [1] = sym_word,
  },
  [5] = {
    [1] = alias_sym_special_variable_name,
  },
  [9] = {
    [0] = sym_word,
  },
  [12] = {
    [2] = sym_word,
  },
  [14] = {
    [2] = sym_word,
  },
  [17] = {
    [1] = sym_word,
  },
  [19] = {
    [1] = sym_word,
  },
  [23] = {
    [2] = sym_word,
  },
  [27] = {
    [2] = alias_sym_special_variable_name,
  },
  [30] = {
    [1] = sym_word,
  },
  [32] = {
    [3] = sym_word,
  },
  [36] = {
    [0] = sym_word,
  },
  [37] = {
    [4] = sym_word,
  },
  [44] = {
    [0] = sym_word,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(120);
      if (lookahead == '!') ADVANCE(160);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '%') ADVANCE(233);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '/') ADVANCE(229);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ':') ADVANCE(230);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '=') ADVANCE(173);
      if (lookahead == '>') ADVANCE(184);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(63);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == 'e') ADVANCE(265);
      if (lookahead == 'i') ADVANCE(264);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(121);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(267);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '\\') SKIP(78)
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == 'e') ADVANCE(247);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(269);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '\\') SKIP(98)
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == 'i') ADVANCE(246);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '&') ADVANCE(269);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') SKIP(104)
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(60);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '\\') SKIP(80)
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') SKIP(90)
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(124);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(269);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '-') ADVANCE(266);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(267);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == 'e') ADVANCE(242);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(267);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(255);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(261);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(69);
      if (lookahead == '_') ADVANCE(258);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(267);
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(255);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(261);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead == '_') ADVANCE(258);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == 'e') ADVANCE(242);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(267);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(261);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(255);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == '_') ADVANCE(258);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(267);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(130);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(261);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == 'e') ADVANCE(265);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(267);
      END_STATE();
    case 14:
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(255);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == '_') ADVANCE(258);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == 'e') ADVANCE(242);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(267);
      END_STATE();
    case 15:
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(267);
      END_STATE();
    case 16:
      if (lookahead == '\n') ADVANCE(133);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(77);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == 'e') ADVANCE(265);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(267);
      END_STATE();
    case 17:
      if (lookahead == '\n') ADVANCE(134);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(269);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(255);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead == '_') ADVANCE(258);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(267);
      END_STATE();
    case 18:
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(269);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(89);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != '|') ADVANCE(267);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(160);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '%') ADVANCE(233);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '/') ADVANCE(229);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ':') ADVANCE(230);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '=') ADVANCE(173);
      if (lookahead == '>') ADVANCE(184);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(63);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == 'e') ADVANCE(265);
      if (lookahead == 'i') ADVANCE(264);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '%') ADVANCE(233);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(255);
      if (lookahead == ':') ADVANCE(230);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(87);
      if (lookahead == '_') ADVANCE(258);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(267);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(255);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead == '_') ADVANCE(258);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(267);
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(65);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == 'e') ADVANCE(265);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(267);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == ']') ADVANCE(216);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(267);
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '-') ADVANCE(266);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(267);
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '\\') SKIP(99)
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '\\') ADVANCE(100);
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(220);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(223);
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(221);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(223);
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '\\') SKIP(106)
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '\\') SKIP(83)
      if (lookahead == ']') ADVANCE(57);
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == '(') ADVANCE(49);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') SKIP(92)
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '|') ADVANCE(149);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') SKIP(93)
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(60);
      if (lookahead == '|') ADVANCE(149);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      END_STATE();
    case 33:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') SKIP(95)
      if (lookahead == ']') ADVANCE(217);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      END_STATE();
    case 34:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') SKIP(94)
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      END_STATE();
    case 35:
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '%') ADVANCE(233);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '/') ADVANCE(229);
      if (lookahead == ':') ADVANCE(230);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(84);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(267);
      END_STATE();
    case 36:
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '%') ADVANCE(233);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == ':') ADVANCE(230);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(267);
      END_STATE();
    case 37:
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(267);
      END_STATE();
    case 38:
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(79);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(267);
      END_STATE();
    case 39:
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(267);
      END_STATE();
    case 40:
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(267);
      END_STATE();
    case 41:
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(91);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == 'e') ADVANCE(265);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(267);
      END_STATE();
    case 42:
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(219);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(222);
      if (lookahead != 0) ADVANCE(223);
      END_STATE();
    case 43:
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(55);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == '<') ADVANCE(178);
      if (lookahead == '=') ADVANCE(172);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '[') ADVANCE(163);
      if (lookahead == '\\') SKIP(102)
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 44:
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == ';') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(267);
      END_STATE();
    case 45:
      if (lookahead == '&') ADVANCE(157);
      END_STATE();
    case 46:
      if (lookahead == '\'') ADVANCE(224);
      if (lookahead != 0) ADVANCE(46);
      END_STATE();
    case 47:
      if (lookahead == '\'') ADVANCE(225);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 48:
      if (lookahead == '\'') ADVANCE(226);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 49:
      if (lookahead == '(') ADVANCE(139);
      END_STATE();
    case 50:
      if (lookahead == '(') ADVANCE(236);
      END_STATE();
    case 51:
      if (lookahead == '(') ADVANCE(237);
      END_STATE();
    case 52:
      if (lookahead == ')') ADVANCE(140);
      END_STATE();
    case 53:
      if (lookahead == ';') ADVANCE(151);
      END_STATE();
    case 54:
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 55:
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 56:
      if (lookahead == '>') ADVANCE(189);
      END_STATE();
    case 57:
      if (lookahead == ']') ADVANCE(167);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(59);
      END_STATE();
    case 59:
      if (lookahead == 'c') ADVANCE(143);
      END_STATE();
    case 60:
      if (lookahead == 'n') ADVANCE(136);
      END_STATE();
    case 61:
      if (lookahead == 's') ADVANCE(58);
      END_STATE();
    case 62:
      if (lookahead == '|') ADVANCE(158);
      END_STATE();
    case 63:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 64:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 65:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 66:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 67:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 68:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 69:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 70:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 71:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 72:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 73:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 74:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 75:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 76:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 77:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 78:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      END_STATE();
    case 79:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 80:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      END_STATE();
    case 81:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 82:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 83:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      END_STATE();
    case 84:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 85:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 86:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 87:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 88:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 89:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 90:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 91:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 92:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      END_STATE();
    case 93:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      END_STATE();
    case 94:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      END_STATE();
    case 95:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      END_STATE();
    case 96:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 97:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 98:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      END_STATE();
    case 99:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      END_STATE();
    case 100:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(220);
      if (lookahead != 0) ADVANCE(223);
      END_STATE();
    case 101:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(221);
      if (lookahead != 0) ADVANCE(223);
      END_STATE();
    case 102:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      END_STATE();
    case 103:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(222);
      if (lookahead != 0) ADVANCE(223);
      END_STATE();
    case 104:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 105:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 106:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      END_STATE();
    case 107:
      if (lookahead != 0) ADVANCE(223);
      END_STATE();
    case 108:
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(267);
      END_STATE();
    case 109:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(121);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(109)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(267);
      END_STATE();
    case 110:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '\\') SKIP(118)
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(110)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 111:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') SKIP(119)
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(111)
      END_STATE();
    case 112:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(255);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(261);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(69);
      if (lookahead == '_') ADVANCE(258);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(112)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(267);
      END_STATE();
    case 113:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(261);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(113)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 114:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(255);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == '_') ADVANCE(258);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(114)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(267);
      END_STATE();
    case 115:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(115)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(267);
      END_STATE();
    case 116:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(269);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(89);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(116)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != '|') ADVANCE(267);
      END_STATE();
    case 117:
      if (eof) ADVANCE(120);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(239);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(216);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(117)
      if (lookahead != 0) ADVANCE(267);
      END_STATE();
    case 118:
      if (eof) ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(110)
      END_STATE();
    case 119:
      if (eof) ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(111)
      END_STATE();
    case 120:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(121);
      if (lookahead == '\\') ADVANCE(67);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(122);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '-') ADVANCE(203);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(124);
      if (lookahead == '-') ADVANCE(266);
      if (lookahead == '\\') ADVANCE(82);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(68);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '\\') ADVANCE(70);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '\\') ADVANCE(71);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead == '\\') ADVANCE(72);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(73);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead == '\\') ADVANCE(74);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead == '\\') ADVANCE(76);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(133);
      if (lookahead == '\\') ADVANCE(77);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(134);
      if (lookahead == '\\') ADVANCE(88);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_in);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_LPAREN_LPAREN);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_RPAREN_RPAREN);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(151);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_esac);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_esac);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '&') ADVANCE(156);
      if (lookahead == '|') ADVANCE(158);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(158);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '(') ADVANCE(139);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_PIPE_AMP);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(198);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(166);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(171);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == '~') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(170);
      if (lookahead == '~') ADVANCE(168);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '(') ADVANCE(236);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '(') ADVANCE(236);
      if (lookahead == '<') ADVANCE(194);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '(') ADVANCE(236);
      if (lookahead == '<') ADVANCE(194);
      if (lookahead == '=') ADVANCE(207);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '<') ADVANCE(194);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(207);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '(') ADVANCE(237);
      if (lookahead == '=') ADVANCE(208);
      if (lookahead == '>') ADVANCE(188);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '(') ADVANCE(237);
      if (lookahead == '>') ADVANCE(188);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '>') ADVANCE(188);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(208);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_AMP_GT);
      if (lookahead == '>') ADVANCE(190);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_AMP_GT_GT);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_LT_AMP);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_GT_AMP);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_GT_PIPE);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '-') ADVANCE(195);
      if (lookahead == '<') ADVANCE(196);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_LT_LT_DASH);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(210);
      if (lookahead == '=') ADVANCE(177);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(209);
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(212);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '\\') ADVANCE(108);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(268);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(211);
      if (lookahead == '=') ADVANCE(205);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(268);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(234);
      if (lookahead == '{') ADVANCE(228);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(234);
      if (lookahead == '{') ADVANCE(228);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym__special_character);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym__special_character);
      if (lookahead == ']') ADVANCE(167);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\n') ADVANCE(223);
      if (lookahead == '\\') ADVANCE(238);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(219);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '\\') ADVANCE(100);
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(220);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(223);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '#') ADVANCE(227);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(221);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(223);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '#') ADVANCE(219);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '`') ADVANCE(235);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(222);
      if (lookahead != 0) ADVANCE(223);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(223);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_raw_string);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_ansii_c_string);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_ansii_c_string);
      if (lookahead == '\'') ADVANCE(225);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '-') ADVANCE(232);
      if (lookahead == '?') ADVANCE(231);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_COLON_DASH);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_LT_LPAREN);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_GT_LPAREN);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(223);
      if (lookahead != 0) ADVANCE(219);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(239);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'a') ADVANCE(241);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'c') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 's') ADVANCE(240);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'a') ADVANCE(245);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'c') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'n') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 's') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_0);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym__);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(248);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '=') ADVANCE(171);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == '~') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'a') ADVANCE(263);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'c') ADVANCE(145);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'n') ADVANCE(137);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 's') ADVANCE(262);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(268);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(267);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_test_operator);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(268);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(157);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(157);
      if (lookahead == '>') ADVANCE(189);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\\') SKIP(1)
      if (lookahead == 'c') ADVANCE(2);
      if (lookahead == 'd') ADVANCE(3);
      if (lookahead == 'e') ADVANCE(4);
      if (lookahead == 'f') ADVANCE(5);
      if (lookahead == 'i') ADVANCE(6);
      if (lookahead == 'l') ADVANCE(7);
      if (lookahead == 'r') ADVANCE(8);
      if (lookahead == 't') ADVANCE(9);
      if (lookahead == 'u') ADVANCE(10);
      if (lookahead == 'w') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(12);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'o') ADVANCE(14);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(15);
      if (lookahead == 'x') ADVANCE(16);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(17);
      if (lookahead == 'o') ADVANCE(18);
      if (lookahead == 'u') ADVANCE(19);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(20);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(21);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(22);
      END_STATE();
    case 9:
      if (lookahead == 'h') ADVANCE(23);
      if (lookahead == 'y') ADVANCE(24);
      END_STATE();
    case 10:
      if (lookahead == 'n') ADVANCE(25);
      END_STATE();
    case 11:
      if (lookahead == 'h') ADVANCE(26);
      END_STATE();
    case 12:
      if (lookahead == 's') ADVANCE(27);
      END_STATE();
    case 13:
      if (lookahead == 'c') ADVANCE(28);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'n') ADVANCE(29);
      END_STATE();
    case 15:
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 's') ADVANCE(31);
      END_STATE();
    case 16:
      if (lookahead == 'p') ADVANCE(32);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_fi);
      END_STATE();
    case 18:
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(34);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 21:
      if (lookahead == 'c') ADVANCE(35);
      END_STATE();
    case 22:
      if (lookahead == 'a') ADVANCE(36);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 24:
      if (lookahead == 'p') ADVANCE(38);
      END_STATE();
    case 25:
      if (lookahead == 's') ADVANCE(39);
      END_STATE();
    case 26:
      if (lookahead == 'i') ADVANCE(40);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(43);
      END_STATE();
    case 30:
      if (lookahead == 'f') ADVANCE(44);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(45);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 34:
      if (lookahead == 'c') ADVANCE(47);
      END_STATE();
    case 35:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 36:
      if (lookahead == 'd') ADVANCE(49);
      END_STATE();
    case 37:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(53);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(54);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 46:
      if (lookahead == 'r') ADVANCE(55);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(56);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 51:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(62);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(66);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_unset);
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 64:
      if (lookahead == 'o') ADVANCE(69);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 67:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 70:
      if (lookahead == 'y') ADVANCE(74);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_typeset);
      END_STATE();
    case 72:
      if (lookahead == 'v') ADVANCE(75);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_unsetenv);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 117, .external_lex_state = 2},
  [2] = {.lex_state = 117, .external_lex_state = 2},
  [3] = {.lex_state = 117, .external_lex_state = 2},
  [4] = {.lex_state = 117, .external_lex_state = 2},
  [5] = {.lex_state = 117, .external_lex_state = 2},
  [6] = {.lex_state = 117, .external_lex_state = 2},
  [7] = {.lex_state = 117, .external_lex_state = 2},
  [8] = {.lex_state = 23, .external_lex_state = 2},
  [9] = {.lex_state = 23, .external_lex_state = 2},
  [10] = {.lex_state = 23, .external_lex_state = 2},
  [11] = {.lex_state = 23, .external_lex_state = 2},
  [12] = {.lex_state = 117, .external_lex_state = 2},
  [13] = {.lex_state = 117, .external_lex_state = 2},
  [14] = {.lex_state = 117, .external_lex_state = 2},
  [15] = {.lex_state = 117, .external_lex_state = 2},
  [16] = {.lex_state = 117, .external_lex_state = 2},
  [17] = {.lex_state = 117, .external_lex_state = 2},
  [18] = {.lex_state = 117, .external_lex_state = 2},
  [19] = {.lex_state = 117, .external_lex_state = 2},
  [20] = {.lex_state = 117, .external_lex_state = 2},
  [21] = {.lex_state = 117, .external_lex_state = 2},
  [22] = {.lex_state = 117, .external_lex_state = 2},
  [23] = {.lex_state = 117, .external_lex_state = 2},
  [24] = {.lex_state = 117, .external_lex_state = 2},
  [25] = {.lex_state = 117, .external_lex_state = 2},
  [26] = {.lex_state = 117, .external_lex_state = 2},
  [27] = {.lex_state = 117, .external_lex_state = 2},
  [28] = {.lex_state = 117, .external_lex_state = 2},
  [29] = {.lex_state = 117, .external_lex_state = 2},
  [30] = {.lex_state = 117, .external_lex_state = 2},
  [31] = {.lex_state = 117, .external_lex_state = 2},
  [32] = {.lex_state = 117, .external_lex_state = 2},
  [33] = {.lex_state = 117, .external_lex_state = 2},
  [34] = {.lex_state = 117, .external_lex_state = 2},
  [35] = {.lex_state = 117, .external_lex_state = 2},
  [36] = {.lex_state = 117, .external_lex_state = 2},
  [37] = {.lex_state = 117, .external_lex_state = 2},
  [38] = {.lex_state = 117, .external_lex_state = 2},
  [39] = {.lex_state = 117, .external_lex_state = 2},
  [40] = {.lex_state = 117, .external_lex_state = 2},
  [41] = {.lex_state = 117, .external_lex_state = 2},
  [42] = {.lex_state = 117, .external_lex_state = 2},
  [43] = {.lex_state = 117, .external_lex_state = 2},
  [44] = {.lex_state = 117, .external_lex_state = 2},
  [45] = {.lex_state = 117, .external_lex_state = 2},
  [46] = {.lex_state = 117, .external_lex_state = 2},
  [47] = {.lex_state = 117, .external_lex_state = 2},
  [48] = {.lex_state = 117, .external_lex_state = 2},
  [49] = {.lex_state = 117, .external_lex_state = 2},
  [50] = {.lex_state = 117, .external_lex_state = 2},
  [51] = {.lex_state = 117, .external_lex_state = 2},
  [52] = {.lex_state = 117, .external_lex_state = 2},
  [53] = {.lex_state = 117, .external_lex_state = 2},
  [54] = {.lex_state = 117, .external_lex_state = 2},
  [55] = {.lex_state = 117, .external_lex_state = 2},
  [56] = {.lex_state = 117, .external_lex_state = 2},
  [57] = {.lex_state = 24, .external_lex_state = 3},
  [58] = {.lex_state = 117, .external_lex_state = 2},
  [59] = {.lex_state = 117, .external_lex_state = 2},
  [60] = {.lex_state = 117, .external_lex_state = 2},
  [61] = {.lex_state = 117, .external_lex_state = 2},
  [62] = {.lex_state = 117, .external_lex_state = 2},
  [63] = {.lex_state = 117, .external_lex_state = 2},
  [64] = {.lex_state = 24, .external_lex_state = 3},
  [65] = {.lex_state = 117, .external_lex_state = 2},
  [66] = {.lex_state = 117, .external_lex_state = 2},
  [67] = {.lex_state = 117, .external_lex_state = 2},
  [68] = {.lex_state = 117, .external_lex_state = 2},
  [69] = {.lex_state = 117, .external_lex_state = 2},
  [70] = {.lex_state = 117, .external_lex_state = 2},
  [71] = {.lex_state = 117, .external_lex_state = 2},
  [72] = {.lex_state = 117, .external_lex_state = 2},
  [73] = {.lex_state = 117, .external_lex_state = 2},
  [74] = {.lex_state = 117, .external_lex_state = 2},
  [75] = {.lex_state = 117, .external_lex_state = 2},
  [76] = {.lex_state = 117, .external_lex_state = 2},
  [77] = {.lex_state = 117, .external_lex_state = 2},
  [78] = {.lex_state = 117, .external_lex_state = 2},
  [79] = {.lex_state = 117, .external_lex_state = 2},
  [80] = {.lex_state = 117, .external_lex_state = 2},
  [81] = {.lex_state = 117, .external_lex_state = 2},
  [82] = {.lex_state = 117, .external_lex_state = 2},
  [83] = {.lex_state = 117, .external_lex_state = 2},
  [84] = {.lex_state = 24, .external_lex_state = 3},
  [85] = {.lex_state = 117, .external_lex_state = 2},
  [86] = {.lex_state = 117, .external_lex_state = 2},
  [87] = {.lex_state = 117, .external_lex_state = 2},
  [88] = {.lex_state = 117, .external_lex_state = 2},
  [89] = {.lex_state = 117, .external_lex_state = 2},
  [90] = {.lex_state = 117, .external_lex_state = 2},
  [91] = {.lex_state = 117, .external_lex_state = 2},
  [92] = {.lex_state = 117, .external_lex_state = 2},
  [93] = {.lex_state = 117, .external_lex_state = 2},
  [94] = {.lex_state = 117, .external_lex_state = 2},
  [95] = {.lex_state = 117, .external_lex_state = 2},
  [96] = {.lex_state = 117, .external_lex_state = 2},
  [97] = {.lex_state = 117, .external_lex_state = 2},
  [98] = {.lex_state = 24, .external_lex_state = 3},
  [99] = {.lex_state = 24, .external_lex_state = 3},
  [100] = {.lex_state = 117, .external_lex_state = 2},
  [101] = {.lex_state = 117, .external_lex_state = 2},
  [102] = {.lex_state = 117, .external_lex_state = 2},
  [103] = {.lex_state = 117, .external_lex_state = 2},
  [104] = {.lex_state = 117, .external_lex_state = 2},
  [105] = {.lex_state = 117, .external_lex_state = 2},
  [106] = {.lex_state = 117, .external_lex_state = 2},
  [107] = {.lex_state = 117, .external_lex_state = 2},
  [108] = {.lex_state = 117, .external_lex_state = 2},
  [109] = {.lex_state = 117, .external_lex_state = 2},
  [110] = {.lex_state = 117, .external_lex_state = 2},
  [111] = {.lex_state = 117, .external_lex_state = 2},
  [112] = {.lex_state = 117, .external_lex_state = 2},
  [113] = {.lex_state = 117, .external_lex_state = 2},
  [114] = {.lex_state = 117, .external_lex_state = 2},
  [115] = {.lex_state = 117, .external_lex_state = 2},
  [116] = {.lex_state = 117, .external_lex_state = 2},
  [117] = {.lex_state = 117, .external_lex_state = 2},
  [118] = {.lex_state = 117, .external_lex_state = 2},
  [119] = {.lex_state = 117, .external_lex_state = 2},
  [120] = {.lex_state = 117, .external_lex_state = 2},
  [121] = {.lex_state = 117, .external_lex_state = 2},
  [122] = {.lex_state = 117, .external_lex_state = 2},
  [123] = {.lex_state = 117, .external_lex_state = 2},
  [124] = {.lex_state = 117, .external_lex_state = 2},
  [125] = {.lex_state = 117, .external_lex_state = 4},
  [126] = {.lex_state = 109, .external_lex_state = 5},
  [127] = {.lex_state = 8, .external_lex_state = 5},
  [128] = {.lex_state = 109, .external_lex_state = 5},
  [129] = {.lex_state = 109, .external_lex_state = 5},
  [130] = {.lex_state = 8, .external_lex_state = 5},
  [131] = {.lex_state = 109, .external_lex_state = 5},
  [132] = {.lex_state = 8, .external_lex_state = 5},
  [133] = {.lex_state = 109, .external_lex_state = 5},
  [134] = {.lex_state = 109, .external_lex_state = 5},
  [135] = {.lex_state = 109, .external_lex_state = 5},
  [136] = {.lex_state = 109, .external_lex_state = 5},
  [137] = {.lex_state = 112, .external_lex_state = 6},
  [138] = {.lex_state = 10, .external_lex_state = 6},
  [139] = {.lex_state = 112, .external_lex_state = 6},
  [140] = {.lex_state = 23, .external_lex_state = 4},
  [141] = {.lex_state = 23, .external_lex_state = 4},
  [142] = {.lex_state = 117, .external_lex_state = 4},
  [143] = {.lex_state = 117, .external_lex_state = 2},
  [144] = {.lex_state = 113, .external_lex_state = 6},
  [145] = {.lex_state = 117, .external_lex_state = 4},
  [146] = {.lex_state = 24, .external_lex_state = 7},
  [147] = {.lex_state = 114, .external_lex_state = 5},
  [148] = {.lex_state = 117, .external_lex_state = 4},
  [149] = {.lex_state = 117, .external_lex_state = 4},
  [150] = {.lex_state = 13, .external_lex_state = 6},
  [151] = {.lex_state = 113, .external_lex_state = 6},
  [152] = {.lex_state = 13, .external_lex_state = 6},
  [153] = {.lex_state = 113, .external_lex_state = 6},
  [154] = {.lex_state = 114, .external_lex_state = 5},
  [155] = {.lex_state = 117, .external_lex_state = 2},
  [156] = {.lex_state = 14, .external_lex_state = 5},
  [157] = {.lex_state = 114, .external_lex_state = 5},
  [158] = {.lex_state = 113, .external_lex_state = 6},
  [159] = {.lex_state = 113, .external_lex_state = 6},
  [160] = {.lex_state = 13, .external_lex_state = 6},
  [161] = {.lex_state = 14, .external_lex_state = 5},
  [162] = {.lex_state = 113, .external_lex_state = 6},
  [163] = {.lex_state = 113, .external_lex_state = 6},
  [164] = {.lex_state = 13, .external_lex_state = 6},
  [165] = {.lex_state = 113, .external_lex_state = 6},
  [166] = {.lex_state = 113, .external_lex_state = 6},
  [167] = {.lex_state = 13, .external_lex_state = 6},
  [168] = {.lex_state = 113, .external_lex_state = 6},
  [169] = {.lex_state = 117, .external_lex_state = 4},
  [170] = {.lex_state = 117, .external_lex_state = 4},
  [171] = {.lex_state = 114, .external_lex_state = 5},
  [172] = {.lex_state = 113, .external_lex_state = 6},
  [173] = {.lex_state = 109, .external_lex_state = 6},
  [174] = {.lex_state = 113, .external_lex_state = 6},
  [175] = {.lex_state = 114, .external_lex_state = 6},
  [176] = {.lex_state = 14, .external_lex_state = 6},
  [177] = {.lex_state = 109, .external_lex_state = 6},
  [178] = {.lex_state = 8, .external_lex_state = 6},
  [179] = {.lex_state = 114, .external_lex_state = 6},
  [180] = {.lex_state = 8, .external_lex_state = 6},
  [181] = {.lex_state = 109, .external_lex_state = 6},
  [182] = {.lex_state = 117, .external_lex_state = 4},
  [183] = {.lex_state = 117, .external_lex_state = 4},
  [184] = {.lex_state = 109, .external_lex_state = 6},
  [185] = {.lex_state = 117, .external_lex_state = 4},
  [186] = {.lex_state = 109, .external_lex_state = 6},
  [187] = {.lex_state = 109, .external_lex_state = 6},
  [188] = {.lex_state = 113, .external_lex_state = 6},
  [189] = {.lex_state = 113, .external_lex_state = 6},
  [190] = {.lex_state = 8, .external_lex_state = 6},
  [191] = {.lex_state = 23, .external_lex_state = 2},
  [192] = {.lex_state = 117, .external_lex_state = 2},
  [193] = {.lex_state = 23, .external_lex_state = 2},
  [194] = {.lex_state = 37, .external_lex_state = 2},
  [195] = {.lex_state = 37, .external_lex_state = 2},
  [196] = {.lex_state = 117, .external_lex_state = 2},
  [197] = {.lex_state = 109, .external_lex_state = 6},
  [198] = {.lex_state = 23, .external_lex_state = 2},
  [199] = {.lex_state = 37, .external_lex_state = 2},
  [200] = {.lex_state = 117, .external_lex_state = 2},
  [201] = {.lex_state = 37, .external_lex_state = 2},
  [202] = {.lex_state = 109, .external_lex_state = 6},
  [203] = {.lex_state = 117, .external_lex_state = 2},
  [204] = {.lex_state = 23, .external_lex_state = 2},
  [205] = {.lex_state = 24, .external_lex_state = 3},
  [206] = {.lex_state = 24, .external_lex_state = 3},
  [207] = {.lex_state = 117, .external_lex_state = 2},
  [208] = {.lex_state = 117, .external_lex_state = 2},
  [209] = {.lex_state = 117, .external_lex_state = 2},
  [210] = {.lex_state = 117, .external_lex_state = 2},
  [211] = {.lex_state = 117, .external_lex_state = 2},
  [212] = {.lex_state = 117, .external_lex_state = 2},
  [213] = {.lex_state = 117, .external_lex_state = 2},
  [214] = {.lex_state = 117, .external_lex_state = 2},
  [215] = {.lex_state = 117, .external_lex_state = 2},
  [216] = {.lex_state = 117, .external_lex_state = 2},
  [217] = {.lex_state = 115, .external_lex_state = 5},
  [218] = {.lex_state = 16, .external_lex_state = 5},
  [219] = {.lex_state = 13, .external_lex_state = 8},
  [220] = {.lex_state = 115, .external_lex_state = 5},
  [221] = {.lex_state = 115, .external_lex_state = 5},
  [222] = {.lex_state = 115, .external_lex_state = 5},
  [223] = {.lex_state = 115, .external_lex_state = 5},
  [224] = {.lex_state = 115, .external_lex_state = 5},
  [225] = {.lex_state = 16, .external_lex_state = 5},
  [226] = {.lex_state = 16, .external_lex_state = 5},
  [227] = {.lex_state = 115, .external_lex_state = 5},
  [228] = {.lex_state = 113, .external_lex_state = 8},
  [229] = {.lex_state = 113, .external_lex_state = 8},
  [230] = {.lex_state = 16, .external_lex_state = 5},
  [231] = {.lex_state = 115, .external_lex_state = 5},
  [232] = {.lex_state = 109, .external_lex_state = 9},
  [233] = {.lex_state = 115, .external_lex_state = 5},
  [234] = {.lex_state = 115, .external_lex_state = 5},
  [235] = {.lex_state = 113, .external_lex_state = 8},
  [236] = {.lex_state = 113, .external_lex_state = 8},
  [237] = {.lex_state = 113, .external_lex_state = 8},
  [238] = {.lex_state = 115, .external_lex_state = 5},
  [239] = {.lex_state = 8, .external_lex_state = 9},
  [240] = {.lex_state = 113, .external_lex_state = 8},
  [241] = {.lex_state = 109, .external_lex_state = 9},
  [242] = {.lex_state = 115, .external_lex_state = 5},
  [243] = {.lex_state = 109, .external_lex_state = 9},
  [244] = {.lex_state = 109, .external_lex_state = 9},
  [245] = {.lex_state = 13, .external_lex_state = 8},
  [246] = {.lex_state = 8, .external_lex_state = 9},
  [247] = {.lex_state = 109, .external_lex_state = 9},
  [248] = {.lex_state = 113, .external_lex_state = 8},
  [249] = {.lex_state = 115, .external_lex_state = 5},
  [250] = {.lex_state = 113, .external_lex_state = 8},
  [251] = {.lex_state = 8, .external_lex_state = 9},
  [252] = {.lex_state = 109, .external_lex_state = 9},
  [253] = {.lex_state = 115, .external_lex_state = 5},
  [254] = {.lex_state = 115, .external_lex_state = 5},
  [255] = {.lex_state = 113, .external_lex_state = 8},
  [256] = {.lex_state = 113, .external_lex_state = 8},
  [257] = {.lex_state = 13, .external_lex_state = 8},
  [258] = {.lex_state = 115, .external_lex_state = 5},
  [259] = {.lex_state = 113, .external_lex_state = 8},
  [260] = {.lex_state = 113, .external_lex_state = 8},
  [261] = {.lex_state = 13, .external_lex_state = 8},
  [262] = {.lex_state = 109, .external_lex_state = 9},
  [263] = {.lex_state = 8, .external_lex_state = 9},
  [264] = {.lex_state = 109, .external_lex_state = 9},
  [265] = {.lex_state = 13, .external_lex_state = 8},
  [266] = {.lex_state = 8, .external_lex_state = 9},
  [267] = {.lex_state = 109, .external_lex_state = 9},
  [268] = {.lex_state = 115, .external_lex_state = 5},
  [269] = {.lex_state = 109, .external_lex_state = 9},
  [270] = {.lex_state = 13, .external_lex_state = 8},
  [271] = {.lex_state = 115, .external_lex_state = 5},
  [272] = {.lex_state = 13, .external_lex_state = 8},
  [273] = {.lex_state = 113, .external_lex_state = 8},
  [274] = {.lex_state = 113, .external_lex_state = 8},
  [275] = {.lex_state = 115, .external_lex_state = 9},
  [276] = {.lex_state = 113, .external_lex_state = 8},
  [277] = {.lex_state = 113, .external_lex_state = 8},
  [278] = {.lex_state = 13, .external_lex_state = 8},
  [279] = {.lex_state = 13, .external_lex_state = 8},
  [280] = {.lex_state = 113, .external_lex_state = 8},
  [281] = {.lex_state = 113, .external_lex_state = 8},
  [282] = {.lex_state = 113, .external_lex_state = 8},
  [283] = {.lex_state = 113, .external_lex_state = 8},
  [284] = {.lex_state = 113, .external_lex_state = 8},
  [285] = {.lex_state = 113, .external_lex_state = 8},
  [286] = {.lex_state = 113, .external_lex_state = 8},
  [287] = {.lex_state = 113, .external_lex_state = 8},
  [288] = {.lex_state = 113, .external_lex_state = 8},
  [289] = {.lex_state = 113, .external_lex_state = 8},
  [290] = {.lex_state = 113, .external_lex_state = 8},
  [291] = {.lex_state = 113, .external_lex_state = 8},
  [292] = {.lex_state = 13, .external_lex_state = 8},
  [293] = {.lex_state = 13, .external_lex_state = 8},
  [294] = {.lex_state = 13, .external_lex_state = 8},
  [295] = {.lex_state = 13, .external_lex_state = 8},
  [296] = {.lex_state = 113, .external_lex_state = 8},
  [297] = {.lex_state = 113, .external_lex_state = 8},
  [298] = {.lex_state = 113, .external_lex_state = 8},
  [299] = {.lex_state = 113, .external_lex_state = 8},
  [300] = {.lex_state = 13, .external_lex_state = 6},
  [301] = {.lex_state = 109, .external_lex_state = 9},
  [302] = {.lex_state = 110, .external_lex_state = 6},
  [303] = {.lex_state = 8, .external_lex_state = 9},
  [304] = {.lex_state = 115, .external_lex_state = 9},
  [305] = {.lex_state = 109, .external_lex_state = 5},
  [306] = {.lex_state = 113, .external_lex_state = 8},
  [307] = {.lex_state = 113, .external_lex_state = 8},
  [308] = {.lex_state = 113, .external_lex_state = 8},
  [309] = {.lex_state = 113, .external_lex_state = 8},
  [310] = {.lex_state = 113, .external_lex_state = 8},
  [311] = {.lex_state = 113, .external_lex_state = 8},
  [312] = {.lex_state = 113, .external_lex_state = 8},
  [313] = {.lex_state = 115, .external_lex_state = 9},
  [314] = {.lex_state = 8, .external_lex_state = 9},
  [315] = {.lex_state = 115, .external_lex_state = 9},
  [316] = {.lex_state = 113, .external_lex_state = 8},
  [317] = {.lex_state = 113, .external_lex_state = 8},
  [318] = {.lex_state = 109, .external_lex_state = 8},
  [319] = {.lex_state = 113, .external_lex_state = 8},
  [320] = {.lex_state = 8, .external_lex_state = 9},
  [321] = {.lex_state = 113, .external_lex_state = 8},
  [322] = {.lex_state = 8, .external_lex_state = 9},
  [323] = {.lex_state = 113, .external_lex_state = 8},
  [324] = {.lex_state = 113, .external_lex_state = 8},
  [325] = {.lex_state = 113, .external_lex_state = 8},
  [326] = {.lex_state = 8, .external_lex_state = 9},
  [327] = {.lex_state = 8, .external_lex_state = 9},
  [328] = {.lex_state = 113, .external_lex_state = 8},
  [329] = {.lex_state = 109, .external_lex_state = 5},
  [330] = {.lex_state = 109, .external_lex_state = 5},
  [331] = {.lex_state = 13, .external_lex_state = 8},
  [332] = {.lex_state = 13, .external_lex_state = 8},
  [333] = {.lex_state = 8, .external_lex_state = 8},
  [334] = {.lex_state = 113, .external_lex_state = 6},
  [335] = {.lex_state = 109, .external_lex_state = 9},
  [336] = {.lex_state = 109, .external_lex_state = 9},
  [337] = {.lex_state = 13, .external_lex_state = 6},
  [338] = {.lex_state = 109, .external_lex_state = 9},
  [339] = {.lex_state = 109, .external_lex_state = 9},
  [340] = {.lex_state = 109, .external_lex_state = 9},
  [341] = {.lex_state = 109, .external_lex_state = 9},
  [342] = {.lex_state = 109, .external_lex_state = 9},
  [343] = {.lex_state = 109, .external_lex_state = 8},
  [344] = {.lex_state = 109, .external_lex_state = 9},
  [345] = {.lex_state = 113, .external_lex_state = 8},
  [346] = {.lex_state = 109, .external_lex_state = 9},
  [347] = {.lex_state = 113, .external_lex_state = 8},
  [348] = {.lex_state = 113, .external_lex_state = 8},
  [349] = {.lex_state = 113, .external_lex_state = 8},
  [350] = {.lex_state = 109, .external_lex_state = 9},
  [351] = {.lex_state = 13, .external_lex_state = 6},
  [352] = {.lex_state = 109, .external_lex_state = 9},
  [353] = {.lex_state = 8, .external_lex_state = 8},
  [354] = {.lex_state = 8, .external_lex_state = 5},
  [355] = {.lex_state = 109, .external_lex_state = 9},
  [356] = {.lex_state = 109, .external_lex_state = 9},
  [357] = {.lex_state = 109, .external_lex_state = 9},
  [358] = {.lex_state = 8, .external_lex_state = 8},
  [359] = {.lex_state = 13, .external_lex_state = 6},
  [360] = {.lex_state = 113, .external_lex_state = 8},
  [361] = {.lex_state = 113, .external_lex_state = 8},
  [362] = {.lex_state = 109, .external_lex_state = 9},
  [363] = {.lex_state = 109, .external_lex_state = 9},
  [364] = {.lex_state = 109, .external_lex_state = 9},
  [365] = {.lex_state = 13, .external_lex_state = 8},
  [366] = {.lex_state = 109, .external_lex_state = 9},
  [367] = {.lex_state = 109, .external_lex_state = 9},
  [368] = {.lex_state = 109, .external_lex_state = 9},
  [369] = {.lex_state = 16, .external_lex_state = 9},
  [370] = {.lex_state = 109, .external_lex_state = 9},
  [371] = {.lex_state = 13, .external_lex_state = 8},
  [372] = {.lex_state = 13, .external_lex_state = 8},
  [373] = {.lex_state = 13, .external_lex_state = 8},
  [374] = {.lex_state = 113, .external_lex_state = 6},
  [375] = {.lex_state = 109, .external_lex_state = 8},
  [376] = {.lex_state = 13, .external_lex_state = 8},
  [377] = {.lex_state = 109, .external_lex_state = 9},
  [378] = {.lex_state = 13, .external_lex_state = 8},
  [379] = {.lex_state = 13, .external_lex_state = 8},
  [380] = {.lex_state = 13, .external_lex_state = 8},
  [381] = {.lex_state = 13, .external_lex_state = 8},
  [382] = {.lex_state = 13, .external_lex_state = 8},
  [383] = {.lex_state = 13, .external_lex_state = 8},
  [384] = {.lex_state = 13, .external_lex_state = 8},
  [385] = {.lex_state = 13, .external_lex_state = 8},
  [386] = {.lex_state = 13, .external_lex_state = 8},
  [387] = {.lex_state = 109, .external_lex_state = 9},
  [388] = {.lex_state = 13, .external_lex_state = 8},
  [389] = {.lex_state = 13, .external_lex_state = 8},
  [390] = {.lex_state = 109, .external_lex_state = 9},
  [391] = {.lex_state = 13, .external_lex_state = 8},
  [392] = {.lex_state = 109, .external_lex_state = 9},
  [393] = {.lex_state = 109, .external_lex_state = 9},
  [394] = {.lex_state = 8, .external_lex_state = 9},
  [395] = {.lex_state = 8, .external_lex_state = 9},
  [396] = {.lex_state = 16, .external_lex_state = 9},
  [397] = {.lex_state = 8, .external_lex_state = 5},
  [398] = {.lex_state = 109, .external_lex_state = 9},
  [399] = {.lex_state = 109, .external_lex_state = 9},
  [400] = {.lex_state = 109, .external_lex_state = 9},
  [401] = {.lex_state = 16, .external_lex_state = 9},
  [402] = {.lex_state = 109, .external_lex_state = 9},
  [403] = {.lex_state = 113, .external_lex_state = 8},
  [404] = {.lex_state = 113, .external_lex_state = 8},
  [405] = {.lex_state = 113, .external_lex_state = 8},
  [406] = {.lex_state = 109, .external_lex_state = 9},
  [407] = {.lex_state = 8, .external_lex_state = 9},
  [408] = {.lex_state = 109, .external_lex_state = 9},
  [409] = {.lex_state = 113, .external_lex_state = 8},
  [410] = {.lex_state = 8, .external_lex_state = 9},
  [411] = {.lex_state = 109, .external_lex_state = 9},
  [412] = {.lex_state = 8, .external_lex_state = 9},
  [413] = {.lex_state = 113, .external_lex_state = 6},
  [414] = {.lex_state = 109, .external_lex_state = 9},
  [415] = {.lex_state = 109, .external_lex_state = 9},
  [416] = {.lex_state = 109, .external_lex_state = 9},
  [417] = {.lex_state = 8, .external_lex_state = 9},
  [418] = {.lex_state = 113, .external_lex_state = 8},
  [419] = {.lex_state = 109, .external_lex_state = 9},
  [420] = {.lex_state = 109, .external_lex_state = 5},
  [421] = {.lex_state = 109, .external_lex_state = 8},
  [422] = {.lex_state = 109, .external_lex_state = 9},
  [423] = {.lex_state = 109, .external_lex_state = 9},
  [424] = {.lex_state = 8, .external_lex_state = 9},
  [425] = {.lex_state = 109, .external_lex_state = 9},
  [426] = {.lex_state = 8, .external_lex_state = 9},
  [427] = {.lex_state = 109, .external_lex_state = 9},
  [428] = {.lex_state = 109, .external_lex_state = 8},
  [429] = {.lex_state = 8, .external_lex_state = 9},
  [430] = {.lex_state = 8, .external_lex_state = 9},
  [431] = {.lex_state = 109, .external_lex_state = 5},
  [432] = {.lex_state = 113, .external_lex_state = 8},
  [433] = {.lex_state = 113, .external_lex_state = 8},
  [434] = {.lex_state = 8, .external_lex_state = 5},
  [435] = {.lex_state = 109, .external_lex_state = 8},
  [436] = {.lex_state = 109, .external_lex_state = 8},
  [437] = {.lex_state = 115, .external_lex_state = 9},
  [438] = {.lex_state = 109, .external_lex_state = 9},
  [439] = {.lex_state = 8, .external_lex_state = 9},
  [440] = {.lex_state = 109, .external_lex_state = 9},
  [441] = {.lex_state = 113, .external_lex_state = 6},
  [442] = {.lex_state = 109, .external_lex_state = 9},
  [443] = {.lex_state = 113, .external_lex_state = 6},
  [444] = {.lex_state = 109, .external_lex_state = 9},
  [445] = {.lex_state = 8, .external_lex_state = 9},
  [446] = {.lex_state = 8, .external_lex_state = 9},
  [447] = {.lex_state = 8, .external_lex_state = 9},
  [448] = {.lex_state = 8, .external_lex_state = 9},
  [449] = {.lex_state = 8, .external_lex_state = 9},
  [450] = {.lex_state = 8, .external_lex_state = 9},
  [451] = {.lex_state = 115, .external_lex_state = 9},
  [452] = {.lex_state = 8, .external_lex_state = 9},
  [453] = {.lex_state = 113, .external_lex_state = 6},
  [454] = {.lex_state = 8, .external_lex_state = 9},
  [455] = {.lex_state = 8, .external_lex_state = 8},
  [456] = {.lex_state = 113, .external_lex_state = 6},
  [457] = {.lex_state = 109, .external_lex_state = 9},
  [458] = {.lex_state = 109, .external_lex_state = 9},
  [459] = {.lex_state = 113, .external_lex_state = 8},
  [460] = {.lex_state = 16, .external_lex_state = 9},
  [461] = {.lex_state = 113, .external_lex_state = 8},
  [462] = {.lex_state = 113, .external_lex_state = 8},
  [463] = {.lex_state = 113, .external_lex_state = 8},
  [464] = {.lex_state = 109, .external_lex_state = 9},
  [465] = {.lex_state = 109, .external_lex_state = 8},
  [466] = {.lex_state = 109, .external_lex_state = 5},
  [467] = {.lex_state = 113, .external_lex_state = 6},
  [468] = {.lex_state = 109, .external_lex_state = 9},
  [469] = {.lex_state = 115, .external_lex_state = 9},
  [470] = {.lex_state = 115, .external_lex_state = 9},
  [471] = {.lex_state = 16, .external_lex_state = 9},
  [472] = {.lex_state = 109, .external_lex_state = 8},
  [473] = {.lex_state = 16, .external_lex_state = 9},
  [474] = {.lex_state = 16, .external_lex_state = 9},
  [475] = {.lex_state = 16, .external_lex_state = 9},
  [476] = {.lex_state = 16, .external_lex_state = 9},
  [477] = {.lex_state = 16, .external_lex_state = 9},
  [478] = {.lex_state = 16, .external_lex_state = 9},
  [479] = {.lex_state = 16, .external_lex_state = 9},
  [480] = {.lex_state = 16, .external_lex_state = 9},
  [481] = {.lex_state = 16, .external_lex_state = 9},
  [482] = {.lex_state = 16, .external_lex_state = 5},
  [483] = {.lex_state = 109, .external_lex_state = 8},
  [484] = {.lex_state = 16, .external_lex_state = 9},
  [485] = {.lex_state = 16, .external_lex_state = 9},
  [486] = {.lex_state = 8, .external_lex_state = 8},
  [487] = {.lex_state = 8, .external_lex_state = 8},
  [488] = {.lex_state = 8, .external_lex_state = 8},
  [489] = {.lex_state = 8, .external_lex_state = 8},
  [490] = {.lex_state = 8, .external_lex_state = 8},
  [491] = {.lex_state = 8, .external_lex_state = 8},
  [492] = {.lex_state = 8, .external_lex_state = 8},
  [493] = {.lex_state = 8, .external_lex_state = 8},
  [494] = {.lex_state = 113, .external_lex_state = 6},
  [495] = {.lex_state = 8, .external_lex_state = 8},
  [496] = {.lex_state = 8, .external_lex_state = 8},
  [497] = {.lex_state = 109, .external_lex_state = 8},
  [498] = {.lex_state = 8, .external_lex_state = 8},
  [499] = {.lex_state = 8, .external_lex_state = 8},
  [500] = {.lex_state = 8, .external_lex_state = 8},
  [501] = {.lex_state = 8, .external_lex_state = 8},
  [502] = {.lex_state = 8, .external_lex_state = 8},
  [503] = {.lex_state = 8, .external_lex_state = 8},
  [504] = {.lex_state = 8, .external_lex_state = 8},
  [505] = {.lex_state = 109, .external_lex_state = 8},
  [506] = {.lex_state = 8, .external_lex_state = 6},
  [507] = {.lex_state = 109, .external_lex_state = 8},
  [508] = {.lex_state = 8, .external_lex_state = 8},
  [509] = {.lex_state = 8, .external_lex_state = 8},
  [510] = {.lex_state = 115, .external_lex_state = 9},
  [511] = {.lex_state = 16, .external_lex_state = 9},
  [512] = {.lex_state = 16, .external_lex_state = 9},
  [513] = {.lex_state = 16, .external_lex_state = 9},
  [514] = {.lex_state = 115, .external_lex_state = 5},
  [515] = {.lex_state = 109, .external_lex_state = 8},
  [516] = {.lex_state = 16, .external_lex_state = 9},
  [517] = {.lex_state = 115, .external_lex_state = 9},
  [518] = {.lex_state = 109, .external_lex_state = 8},
  [519] = {.lex_state = 16, .external_lex_state = 9},
  [520] = {.lex_state = 16, .external_lex_state = 9},
  [521] = {.lex_state = 2, .external_lex_state = 6},
  [522] = {.lex_state = 113, .external_lex_state = 6},
  [523] = {.lex_state = 115, .external_lex_state = 9},
  [524] = {.lex_state = 115, .external_lex_state = 9},
  [525] = {.lex_state = 115, .external_lex_state = 9},
  [526] = {.lex_state = 115, .external_lex_state = 9},
  [527] = {.lex_state = 16, .external_lex_state = 9},
  [528] = {.lex_state = 115, .external_lex_state = 9},
  [529] = {.lex_state = 16, .external_lex_state = 9},
  [530] = {.lex_state = 109, .external_lex_state = 6},
  [531] = {.lex_state = 109, .external_lex_state = 8},
  [532] = {.lex_state = 115, .external_lex_state = 9},
  [533] = {.lex_state = 38, .external_lex_state = 2},
  [534] = {.lex_state = 113, .external_lex_state = 6},
  [535] = {.lex_state = 16, .external_lex_state = 9},
  [536] = {.lex_state = 115, .external_lex_state = 9},
  [537] = {.lex_state = 16, .external_lex_state = 9},
  [538] = {.lex_state = 38, .external_lex_state = 2},
  [539] = {.lex_state = 8, .external_lex_state = 5},
  [540] = {.lex_state = 16, .external_lex_state = 9},
  [541] = {.lex_state = 115, .external_lex_state = 9},
  [542] = {.lex_state = 109, .external_lex_state = 8},
  [543] = {.lex_state = 16, .external_lex_state = 9},
  [544] = {.lex_state = 115, .external_lex_state = 9},
  [545] = {.lex_state = 113, .external_lex_state = 6},
  [546] = {.lex_state = 115, .external_lex_state = 9},
  [547] = {.lex_state = 115, .external_lex_state = 9},
  [548] = {.lex_state = 115, .external_lex_state = 9},
  [549] = {.lex_state = 115, .external_lex_state = 9},
  [550] = {.lex_state = 115, .external_lex_state = 9},
  [551] = {.lex_state = 115, .external_lex_state = 9},
  [552] = {.lex_state = 115, .external_lex_state = 9},
  [553] = {.lex_state = 115, .external_lex_state = 9},
  [554] = {.lex_state = 115, .external_lex_state = 9},
  [555] = {.lex_state = 115, .external_lex_state = 9},
  [556] = {.lex_state = 115, .external_lex_state = 9},
  [557] = {.lex_state = 115, .external_lex_state = 9},
  [558] = {.lex_state = 115, .external_lex_state = 9},
  [559] = {.lex_state = 8, .external_lex_state = 8},
  [560] = {.lex_state = 115, .external_lex_state = 9},
  [561] = {.lex_state = 8, .external_lex_state = 8},
  [562] = {.lex_state = 38, .external_lex_state = 2},
  [563] = {.lex_state = 109, .external_lex_state = 8},
  [564] = {.lex_state = 115, .external_lex_state = 5},
  [565] = {.lex_state = 109, .external_lex_state = 8},
  [566] = {.lex_state = 109, .external_lex_state = 8},
  [567] = {.lex_state = 109, .external_lex_state = 8},
  [568] = {.lex_state = 109, .external_lex_state = 6},
  [569] = {.lex_state = 113, .external_lex_state = 6},
  [570] = {.lex_state = 113, .external_lex_state = 6},
  [571] = {.lex_state = 109, .external_lex_state = 8},
  [572] = {.lex_state = 109, .external_lex_state = 5},
  [573] = {.lex_state = 13, .external_lex_state = 6},
  [574] = {.lex_state = 115, .external_lex_state = 5},
  [575] = {.lex_state = 38, .external_lex_state = 2},
  [576] = {.lex_state = 109, .external_lex_state = 6},
  [577] = {.lex_state = 8, .external_lex_state = 8},
  [578] = {.lex_state = 109, .external_lex_state = 6},
  [579] = {.lex_state = 110, .external_lex_state = 6},
  [580] = {.lex_state = 109, .external_lex_state = 8},
  [581] = {.lex_state = 115, .external_lex_state = 9},
  [582] = {.lex_state = 109, .external_lex_state = 8},
  [583] = {.lex_state = 109, .external_lex_state = 8},
  [584] = {.lex_state = 8, .external_lex_state = 6},
  [585] = {.lex_state = 8, .external_lex_state = 8},
  [586] = {.lex_state = 109, .external_lex_state = 8},
  [587] = {.lex_state = 13, .external_lex_state = 6},
  [588] = {.lex_state = 109, .external_lex_state = 8},
  [589] = {.lex_state = 109, .external_lex_state = 8},
  [590] = {.lex_state = 109, .external_lex_state = 8},
  [591] = {.lex_state = 109, .external_lex_state = 8},
  [592] = {.lex_state = 109, .external_lex_state = 8},
  [593] = {.lex_state = 109, .external_lex_state = 8},
  [594] = {.lex_state = 109, .external_lex_state = 8},
  [595] = {.lex_state = 109, .external_lex_state = 8},
  [596] = {.lex_state = 8, .external_lex_state = 5},
  [597] = {.lex_state = 109, .external_lex_state = 8},
  [598] = {.lex_state = 13, .external_lex_state = 6},
  [599] = {.lex_state = 109, .external_lex_state = 8},
  [600] = {.lex_state = 109, .external_lex_state = 8},
  [601] = {.lex_state = 8, .external_lex_state = 8},
  [602] = {.lex_state = 109, .external_lex_state = 8},
  [603] = {.lex_state = 8, .external_lex_state = 5},
  [604] = {.lex_state = 113, .external_lex_state = 6},
  [605] = {.lex_state = 109, .external_lex_state = 8},
  [606] = {.lex_state = 109, .external_lex_state = 8},
  [607] = {.lex_state = 109, .external_lex_state = 8},
  [608] = {.lex_state = 8, .external_lex_state = 8},
  [609] = {.lex_state = 109, .external_lex_state = 8},
  [610] = {.lex_state = 109, .external_lex_state = 8},
  [611] = {.lex_state = 109, .external_lex_state = 8},
  [612] = {.lex_state = 109, .external_lex_state = 8},
  [613] = {.lex_state = 109, .external_lex_state = 8},
  [614] = {.lex_state = 8, .external_lex_state = 5},
  [615] = {.lex_state = 109, .external_lex_state = 5},
  [616] = {.lex_state = 109, .external_lex_state = 8},
  [617] = {.lex_state = 109, .external_lex_state = 8},
  [618] = {.lex_state = 109, .external_lex_state = 8},
  [619] = {.lex_state = 109, .external_lex_state = 8},
  [620] = {.lex_state = 115, .external_lex_state = 9},
  [621] = {.lex_state = 115, .external_lex_state = 9},
  [622] = {.lex_state = 113, .external_lex_state = 6},
  [623] = {.lex_state = 16, .external_lex_state = 5},
  [624] = {.lex_state = 115, .external_lex_state = 9},
  [625] = {.lex_state = 109, .external_lex_state = 8},
  [626] = {.lex_state = 115, .external_lex_state = 9},
  [627] = {.lex_state = 109, .external_lex_state = 8},
  [628] = {.lex_state = 109, .external_lex_state = 5},
  [629] = {.lex_state = 109, .external_lex_state = 8},
  [630] = {.lex_state = 109, .external_lex_state = 5},
  [631] = {.lex_state = 13, .external_lex_state = 6},
  [632] = {.lex_state = 115, .external_lex_state = 9},
  [633] = {.lex_state = 109, .external_lex_state = 5},
  [634] = {.lex_state = 109, .external_lex_state = 8},
  [635] = {.lex_state = 109, .external_lex_state = 8},
  [636] = {.lex_state = 109, .external_lex_state = 5},
  [637] = {.lex_state = 109, .external_lex_state = 5},
  [638] = {.lex_state = 109, .external_lex_state = 8},
  [639] = {.lex_state = 109, .external_lex_state = 8},
  [640] = {.lex_state = 109, .external_lex_state = 8},
  [641] = {.lex_state = 115, .external_lex_state = 5},
  [642] = {.lex_state = 115, .external_lex_state = 9},
  [643] = {.lex_state = 115, .external_lex_state = 9},
  [644] = {.lex_state = 115, .external_lex_state = 9},
  [645] = {.lex_state = 115, .external_lex_state = 9},
  [646] = {.lex_state = 115, .external_lex_state = 9},
  [647] = {.lex_state = 115, .external_lex_state = 9},
  [648] = {.lex_state = 16, .external_lex_state = 9},
  [649] = {.lex_state = 115, .external_lex_state = 9},
  [650] = {.lex_state = 115, .external_lex_state = 9},
  [651] = {.lex_state = 109, .external_lex_state = 5},
  [652] = {.lex_state = 115, .external_lex_state = 9},
  [653] = {.lex_state = 115, .external_lex_state = 9},
  [654] = {.lex_state = 115, .external_lex_state = 9},
  [655] = {.lex_state = 115, .external_lex_state = 9},
  [656] = {.lex_state = 115, .external_lex_state = 9},
  [657] = {.lex_state = 115, .external_lex_state = 9},
  [658] = {.lex_state = 115, .external_lex_state = 9},
  [659] = {.lex_state = 115, .external_lex_state = 9},
  [660] = {.lex_state = 115, .external_lex_state = 9},
  [661] = {.lex_state = 115, .external_lex_state = 9},
  [662] = {.lex_state = 115, .external_lex_state = 9},
  [663] = {.lex_state = 109, .external_lex_state = 6},
  [664] = {.lex_state = 5, .external_lex_state = 10},
  [665] = {.lex_state = 115, .external_lex_state = 5},
  [666] = {.lex_state = 115, .external_lex_state = 5},
  [667] = {.lex_state = 115, .external_lex_state = 5},
  [668] = {.lex_state = 16, .external_lex_state = 5},
  [669] = {.lex_state = 16, .external_lex_state = 5},
  [670] = {.lex_state = 16, .external_lex_state = 5},
  [671] = {.lex_state = 8, .external_lex_state = 6},
  [672] = {.lex_state = 115, .external_lex_state = 5},
  [673] = {.lex_state = 109, .external_lex_state = 6},
  [674] = {.lex_state = 115, .external_lex_state = 5},
  [675] = {.lex_state = 115, .external_lex_state = 5},
  [676] = {.lex_state = 115, .external_lex_state = 5},
  [677] = {.lex_state = 16, .external_lex_state = 5},
  [678] = {.lex_state = 115, .external_lex_state = 5},
  [679] = {.lex_state = 21, .external_lex_state = 2},
  [680] = {.lex_state = 7, .external_lex_state = 10},
  [681] = {.lex_state = 7, .external_lex_state = 10},
  [682] = {.lex_state = 7, .external_lex_state = 10},
  [683] = {.lex_state = 7, .external_lex_state = 10},
  [684] = {.lex_state = 30},
  [685] = {.lex_state = 7, .external_lex_state = 10},
  [686] = {.lex_state = 7, .external_lex_state = 10},
  [687] = {.lex_state = 29, .external_lex_state = 11},
  [688] = {.lex_state = 29},
  [689] = {.lex_state = 35, .external_lex_state = 12},
  [690] = {.lex_state = 35, .external_lex_state = 12},
  [691] = {.lex_state = 35, .external_lex_state = 12},
  [692] = {.lex_state = 35, .external_lex_state = 12},
  [693] = {.lex_state = 36, .external_lex_state = 13},
  [694] = {.lex_state = 36, .external_lex_state = 13},
  [695] = {.lex_state = 36, .external_lex_state = 13},
  [696] = {.lex_state = 36, .external_lex_state = 13},
  [697] = {.lex_state = 36, .external_lex_state = 13},
  [698] = {.lex_state = 35, .external_lex_state = 12},
  [699] = {.lex_state = 35, .external_lex_state = 12},
  [700] = {.lex_state = 35, .external_lex_state = 12},
  [701] = {.lex_state = 35, .external_lex_state = 12},
  [702] = {.lex_state = 36, .external_lex_state = 13},
  [703] = {.lex_state = 36, .external_lex_state = 13},
  [704] = {.lex_state = 36, .external_lex_state = 13},
  [705] = {.lex_state = 36, .external_lex_state = 13},
  [706] = {.lex_state = 36, .external_lex_state = 13},
  [707] = {.lex_state = 35, .external_lex_state = 12},
  [708] = {.lex_state = 35, .external_lex_state = 12},
  [709] = {.lex_state = 35, .external_lex_state = 12},
  [710] = {.lex_state = 36, .external_lex_state = 13},
  [711] = {.lex_state = 35, .external_lex_state = 12},
  [712] = {.lex_state = 36, .external_lex_state = 13},
  [713] = {.lex_state = 35, .external_lex_state = 12},
  [714] = {.lex_state = 36, .external_lex_state = 13},
  [715] = {.lex_state = 35, .external_lex_state = 12},
  [716] = {.lex_state = 36, .external_lex_state = 13},
  [717] = {.lex_state = 35, .external_lex_state = 12},
  [718] = {.lex_state = 36, .external_lex_state = 13},
  [719] = {.lex_state = 36, .external_lex_state = 13},
  [720] = {.lex_state = 36, .external_lex_state = 13},
  [721] = {.lex_state = 35, .external_lex_state = 12},
  [722] = {.lex_state = 35, .external_lex_state = 12},
  [723] = {.lex_state = 36, .external_lex_state = 13},
  [724] = {.lex_state = 35, .external_lex_state = 12},
  [725] = {.lex_state = 36, .external_lex_state = 13},
  [726] = {.lex_state = 36, .external_lex_state = 13},
  [727] = {.lex_state = 35, .external_lex_state = 12},
  [728] = {.lex_state = 36, .external_lex_state = 13},
  [729] = {.lex_state = 36, .external_lex_state = 13},
  [730] = {.lex_state = 35, .external_lex_state = 12},
  [731] = {.lex_state = 36, .external_lex_state = 13},
  [732] = {.lex_state = 36, .external_lex_state = 13},
  [733] = {.lex_state = 35, .external_lex_state = 12},
  [734] = {.lex_state = 36, .external_lex_state = 13},
  [735] = {.lex_state = 36, .external_lex_state = 13},
  [736] = {.lex_state = 36, .external_lex_state = 13},
  [737] = {.lex_state = 35, .external_lex_state = 12},
  [738] = {.lex_state = 35, .external_lex_state = 12},
  [739] = {.lex_state = 36, .external_lex_state = 13},
  [740] = {.lex_state = 36, .external_lex_state = 13},
  [741] = {.lex_state = 35, .external_lex_state = 12},
  [742] = {.lex_state = 35, .external_lex_state = 12},
  [743] = {.lex_state = 36, .external_lex_state = 13},
  [744] = {.lex_state = 36, .external_lex_state = 13},
  [745] = {.lex_state = 36, .external_lex_state = 13},
  [746] = {.lex_state = 35, .external_lex_state = 12},
  [747] = {.lex_state = 35, .external_lex_state = 12},
  [748] = {.lex_state = 35, .external_lex_state = 12},
  [749] = {.lex_state = 35, .external_lex_state = 12},
  [750] = {.lex_state = 35, .external_lex_state = 12},
  [751] = {.lex_state = 35, .external_lex_state = 12},
  [752] = {.lex_state = 36, .external_lex_state = 13},
  [753] = {.lex_state = 36, .external_lex_state = 13},
  [754] = {.lex_state = 36, .external_lex_state = 13},
  [755] = {.lex_state = 36, .external_lex_state = 13},
  [756] = {.lex_state = 35, .external_lex_state = 12},
  [757] = {.lex_state = 36, .external_lex_state = 13},
  [758] = {.lex_state = 36, .external_lex_state = 13},
  [759] = {.lex_state = 35, .external_lex_state = 12},
  [760] = {.lex_state = 35, .external_lex_state = 12},
  [761] = {.lex_state = 35, .external_lex_state = 12},
  [762] = {.lex_state = 36, .external_lex_state = 13},
  [763] = {.lex_state = 36, .external_lex_state = 13},
  [764] = {.lex_state = 36, .external_lex_state = 13},
  [765] = {.lex_state = 36, .external_lex_state = 13},
  [766] = {.lex_state = 36, .external_lex_state = 13},
  [767] = {.lex_state = 35, .external_lex_state = 12},
  [768] = {.lex_state = 35, .external_lex_state = 12},
  [769] = {.lex_state = 35, .external_lex_state = 12},
  [770] = {.lex_state = 35, .external_lex_state = 12},
  [771] = {.lex_state = 35, .external_lex_state = 12},
  [772] = {.lex_state = 35, .external_lex_state = 12},
  [773] = {.lex_state = 35, .external_lex_state = 12},
  [774] = {.lex_state = 36, .external_lex_state = 13},
  [775] = {.lex_state = 36, .external_lex_state = 13},
  [776] = {.lex_state = 36, .external_lex_state = 13},
  [777] = {.lex_state = 35, .external_lex_state = 12},
  [778] = {.lex_state = 36, .external_lex_state = 13},
  [779] = {.lex_state = 35, .external_lex_state = 12},
  [780] = {.lex_state = 35, .external_lex_state = 12},
  [781] = {.lex_state = 35, .external_lex_state = 12},
  [782] = {.lex_state = 36, .external_lex_state = 13},
  [783] = {.lex_state = 35, .external_lex_state = 12},
  [784] = {.lex_state = 36, .external_lex_state = 13},
  [785] = {.lex_state = 35, .external_lex_state = 12},
  [786] = {.lex_state = 36, .external_lex_state = 13},
  [787] = {.lex_state = 36, .external_lex_state = 13},
  [788] = {.lex_state = 36, .external_lex_state = 13},
  [789] = {.lex_state = 36, .external_lex_state = 13},
  [790] = {.lex_state = 36, .external_lex_state = 13},
  [791] = {.lex_state = 35, .external_lex_state = 12},
  [792] = {.lex_state = 35, .external_lex_state = 12},
  [793] = {.lex_state = 35, .external_lex_state = 12},
  [794] = {.lex_state = 36, .external_lex_state = 13},
  [795] = {.lex_state = 35, .external_lex_state = 12},
  [796] = {.lex_state = 36, .external_lex_state = 13},
  [797] = {.lex_state = 36, .external_lex_state = 13},
  [798] = {.lex_state = 36, .external_lex_state = 13},
  [799] = {.lex_state = 36, .external_lex_state = 13},
  [800] = {.lex_state = 35, .external_lex_state = 12},
  [801] = {.lex_state = 35, .external_lex_state = 12},
  [802] = {.lex_state = 36, .external_lex_state = 13},
  [803] = {.lex_state = 35, .external_lex_state = 12},
  [804] = {.lex_state = 35, .external_lex_state = 12},
  [805] = {.lex_state = 36, .external_lex_state = 13},
  [806] = {.lex_state = 35, .external_lex_state = 12},
  [807] = {.lex_state = 35, .external_lex_state = 12},
  [808] = {.lex_state = 35, .external_lex_state = 12},
  [809] = {.lex_state = 36, .external_lex_state = 13},
  [810] = {.lex_state = 36, .external_lex_state = 13},
  [811] = {.lex_state = 36, .external_lex_state = 13},
  [812] = {.lex_state = 35, .external_lex_state = 12},
  [813] = {.lex_state = 35, .external_lex_state = 12},
  [814] = {.lex_state = 35, .external_lex_state = 12},
  [815] = {.lex_state = 36, .external_lex_state = 13},
  [816] = {.lex_state = 36, .external_lex_state = 13},
  [817] = {.lex_state = 36, .external_lex_state = 13},
  [818] = {.lex_state = 35, .external_lex_state = 12},
  [819] = {.lex_state = 36, .external_lex_state = 13},
  [820] = {.lex_state = 35, .external_lex_state = 12},
  [821] = {.lex_state = 35, .external_lex_state = 12},
  [822] = {.lex_state = 36, .external_lex_state = 13},
  [823] = {.lex_state = 35, .external_lex_state = 12},
  [824] = {.lex_state = 35, .external_lex_state = 12},
  [825] = {.lex_state = 35, .external_lex_state = 12},
  [826] = {.lex_state = 35, .external_lex_state = 12},
  [827] = {.lex_state = 35, .external_lex_state = 12},
  [828] = {.lex_state = 36, .external_lex_state = 13},
  [829] = {.lex_state = 36, .external_lex_state = 13},
  [830] = {.lex_state = 36, .external_lex_state = 13},
  [831] = {.lex_state = 36, .external_lex_state = 13},
  [832] = {.lex_state = 36, .external_lex_state = 13},
  [833] = {.lex_state = 35, .external_lex_state = 12},
  [834] = {.lex_state = 35, .external_lex_state = 12},
  [835] = {.lex_state = 35, .external_lex_state = 12},
  [836] = {.lex_state = 35, .external_lex_state = 12},
  [837] = {.lex_state = 36, .external_lex_state = 13},
  [838] = {.lex_state = 36, .external_lex_state = 13},
  [839] = {.lex_state = 36, .external_lex_state = 13},
  [840] = {.lex_state = 36, .external_lex_state = 13},
  [841] = {.lex_state = 35, .external_lex_state = 12},
  [842] = {.lex_state = 35, .external_lex_state = 12},
  [843] = {.lex_state = 35, .external_lex_state = 12},
  [844] = {.lex_state = 35, .external_lex_state = 12},
  [845] = {.lex_state = 36, .external_lex_state = 13},
  [846] = {.lex_state = 36, .external_lex_state = 13},
  [847] = {.lex_state = 36, .external_lex_state = 13},
  [848] = {.lex_state = 36, .external_lex_state = 13},
  [849] = {.lex_state = 36, .external_lex_state = 13},
  [850] = {.lex_state = 36, .external_lex_state = 13},
  [851] = {.lex_state = 35, .external_lex_state = 12},
  [852] = {.lex_state = 35, .external_lex_state = 12},
  [853] = {.lex_state = 35, .external_lex_state = 12},
  [854] = {.lex_state = 35, .external_lex_state = 12},
  [855] = {.lex_state = 36, .external_lex_state = 13},
  [856] = {.lex_state = 36, .external_lex_state = 13},
  [857] = {.lex_state = 36, .external_lex_state = 13},
  [858] = {.lex_state = 36, .external_lex_state = 13},
  [859] = {.lex_state = 35, .external_lex_state = 12},
  [860] = {.lex_state = 35, .external_lex_state = 12},
  [861] = {.lex_state = 35, .external_lex_state = 12},
  [862] = {.lex_state = 35, .external_lex_state = 12},
  [863] = {.lex_state = 35, .external_lex_state = 12},
  [864] = {.lex_state = 35, .external_lex_state = 12},
  [865] = {.lex_state = 36, .external_lex_state = 13},
  [866] = {.lex_state = 36, .external_lex_state = 13},
  [867] = {.lex_state = 36, .external_lex_state = 13},
  [868] = {.lex_state = 36, .external_lex_state = 13},
  [869] = {.lex_state = 35, .external_lex_state = 12},
  [870] = {.lex_state = 35, .external_lex_state = 12},
  [871] = {.lex_state = 35, .external_lex_state = 12},
  [872] = {.lex_state = 35, .external_lex_state = 12},
  [873] = {.lex_state = 36, .external_lex_state = 13},
  [874] = {.lex_state = 36, .external_lex_state = 13},
  [875] = {.lex_state = 36, .external_lex_state = 13},
  [876] = {.lex_state = 36, .external_lex_state = 13},
  [877] = {.lex_state = 35, .external_lex_state = 12},
  [878] = {.lex_state = 35, .external_lex_state = 12},
  [879] = {.lex_state = 35, .external_lex_state = 12},
  [880] = {.lex_state = 35, .external_lex_state = 12},
  [881] = {.lex_state = 36, .external_lex_state = 13},
  [882] = {.lex_state = 36, .external_lex_state = 13},
  [883] = {.lex_state = 36, .external_lex_state = 13},
  [884] = {.lex_state = 36, .external_lex_state = 13},
  [885] = {.lex_state = 35, .external_lex_state = 12},
  [886] = {.lex_state = 35, .external_lex_state = 12},
  [887] = {.lex_state = 35, .external_lex_state = 12},
  [888] = {.lex_state = 35, .external_lex_state = 12},
  [889] = {.lex_state = 36, .external_lex_state = 13},
  [890] = {.lex_state = 36, .external_lex_state = 13},
  [891] = {.lex_state = 36, .external_lex_state = 13},
  [892] = {.lex_state = 36, .external_lex_state = 13},
  [893] = {.lex_state = 35, .external_lex_state = 12},
  [894] = {.lex_state = 35, .external_lex_state = 12},
  [895] = {.lex_state = 35, .external_lex_state = 12},
  [896] = {.lex_state = 35, .external_lex_state = 12},
  [897] = {.lex_state = 36, .external_lex_state = 12},
  [898] = {.lex_state = 36, .external_lex_state = 12},
  [899] = {.lex_state = 36, .external_lex_state = 12},
  [900] = {.lex_state = 36, .external_lex_state = 12},
  [901] = {.lex_state = 36, .external_lex_state = 12},
  [902] = {.lex_state = 36, .external_lex_state = 12},
  [903] = {.lex_state = 36, .external_lex_state = 12},
  [904] = {.lex_state = 36, .external_lex_state = 12},
  [905] = {.lex_state = 36, .external_lex_state = 12},
  [906] = {.lex_state = 36, .external_lex_state = 12},
  [907] = {.lex_state = 36, .external_lex_state = 12},
  [908] = {.lex_state = 36, .external_lex_state = 12},
  [909] = {.lex_state = 36, .external_lex_state = 12},
  [910] = {.lex_state = 36, .external_lex_state = 12},
  [911] = {.lex_state = 36, .external_lex_state = 12},
  [912] = {.lex_state = 36, .external_lex_state = 12},
  [913] = {.lex_state = 36, .external_lex_state = 12},
  [914] = {.lex_state = 36, .external_lex_state = 12},
  [915] = {.lex_state = 36, .external_lex_state = 12},
  [916] = {.lex_state = 36, .external_lex_state = 12},
  [917] = {.lex_state = 36, .external_lex_state = 12},
  [918] = {.lex_state = 36, .external_lex_state = 12},
  [919] = {.lex_state = 36, .external_lex_state = 12},
  [920] = {.lex_state = 36, .external_lex_state = 12},
  [921] = {.lex_state = 36, .external_lex_state = 12},
  [922] = {.lex_state = 36, .external_lex_state = 12},
  [923] = {.lex_state = 36, .external_lex_state = 12},
  [924] = {.lex_state = 36, .external_lex_state = 12},
  [925] = {.lex_state = 36, .external_lex_state = 12},
  [926] = {.lex_state = 36, .external_lex_state = 12},
  [927] = {.lex_state = 36, .external_lex_state = 12},
  [928] = {.lex_state = 36, .external_lex_state = 12},
  [929] = {.lex_state = 36, .external_lex_state = 12},
  [930] = {.lex_state = 36, .external_lex_state = 12},
  [931] = {.lex_state = 36, .external_lex_state = 12},
  [932] = {.lex_state = 36, .external_lex_state = 12},
  [933] = {.lex_state = 36, .external_lex_state = 12},
  [934] = {.lex_state = 36, .external_lex_state = 12},
  [935] = {.lex_state = 36, .external_lex_state = 12},
  [936] = {.lex_state = 36, .external_lex_state = 12},
  [937] = {.lex_state = 36, .external_lex_state = 12},
  [938] = {.lex_state = 36, .external_lex_state = 12},
  [939] = {.lex_state = 36, .external_lex_state = 12},
  [940] = {.lex_state = 36, .external_lex_state = 12},
  [941] = {.lex_state = 36, .external_lex_state = 12},
  [942] = {.lex_state = 36, .external_lex_state = 12},
  [943] = {.lex_state = 36, .external_lex_state = 12},
  [944] = {.lex_state = 36, .external_lex_state = 12},
  [945] = {.lex_state = 36, .external_lex_state = 12},
  [946] = {.lex_state = 36, .external_lex_state = 12},
  [947] = {.lex_state = 36, .external_lex_state = 12},
  [948] = {.lex_state = 36, .external_lex_state = 12},
  [949] = {.lex_state = 36, .external_lex_state = 12},
  [950] = {.lex_state = 25},
  [951] = {.lex_state = 36, .external_lex_state = 12},
  [952] = {.lex_state = 36, .external_lex_state = 12},
  [953] = {.lex_state = 36, .external_lex_state = 12},
  [954] = {.lex_state = 36, .external_lex_state = 12},
  [955] = {.lex_state = 36, .external_lex_state = 12},
  [956] = {.lex_state = 36, .external_lex_state = 12},
  [957] = {.lex_state = 36, .external_lex_state = 12},
  [958] = {.lex_state = 36, .external_lex_state = 12},
  [959] = {.lex_state = 36, .external_lex_state = 12},
  [960] = {.lex_state = 36, .external_lex_state = 12},
  [961] = {.lex_state = 36, .external_lex_state = 12},
  [962] = {.lex_state = 36, .external_lex_state = 12},
  [963] = {.lex_state = 36, .external_lex_state = 12},
  [964] = {.lex_state = 36, .external_lex_state = 12},
  [965] = {.lex_state = 36, .external_lex_state = 12},
  [966] = {.lex_state = 36, .external_lex_state = 12},
  [967] = {.lex_state = 36, .external_lex_state = 12},
  [968] = {.lex_state = 36, .external_lex_state = 12},
  [969] = {.lex_state = 36, .external_lex_state = 12},
  [970] = {.lex_state = 36, .external_lex_state = 12},
  [971] = {.lex_state = 36, .external_lex_state = 12},
  [972] = {.lex_state = 36, .external_lex_state = 12},
  [973] = {.lex_state = 36, .external_lex_state = 12},
  [974] = {.lex_state = 36, .external_lex_state = 12},
  [975] = {.lex_state = 36, .external_lex_state = 12},
  [976] = {.lex_state = 36, .external_lex_state = 12},
  [977] = {.lex_state = 36, .external_lex_state = 12},
  [978] = {.lex_state = 36, .external_lex_state = 12},
  [979] = {.lex_state = 36, .external_lex_state = 12},
  [980] = {.lex_state = 36, .external_lex_state = 12},
  [981] = {.lex_state = 36, .external_lex_state = 12},
  [982] = {.lex_state = 36, .external_lex_state = 12},
  [983] = {.lex_state = 36, .external_lex_state = 12},
  [984] = {.lex_state = 36, .external_lex_state = 12},
  [985] = {.lex_state = 36, .external_lex_state = 12},
  [986] = {.lex_state = 36, .external_lex_state = 12},
  [987] = {.lex_state = 36, .external_lex_state = 12},
  [988] = {.lex_state = 36, .external_lex_state = 12},
  [989] = {.lex_state = 36, .external_lex_state = 12},
  [990] = {.lex_state = 36, .external_lex_state = 12},
  [991] = {.lex_state = 36, .external_lex_state = 12},
  [992] = {.lex_state = 36, .external_lex_state = 12},
  [993] = {.lex_state = 36, .external_lex_state = 12},
  [994] = {.lex_state = 36, .external_lex_state = 12},
  [995] = {.lex_state = 36, .external_lex_state = 12},
  [996] = {.lex_state = 36, .external_lex_state = 12},
  [997] = {.lex_state = 36, .external_lex_state = 12},
  [998] = {.lex_state = 36, .external_lex_state = 12},
  [999] = {.lex_state = 36, .external_lex_state = 12},
  [1000] = {.lex_state = 36, .external_lex_state = 12},
  [1001] = {.lex_state = 36, .external_lex_state = 12},
  [1002] = {.lex_state = 36, .external_lex_state = 12},
  [1003] = {.lex_state = 36, .external_lex_state = 12},
  [1004] = {.lex_state = 36, .external_lex_state = 12},
  [1005] = {.lex_state = 36, .external_lex_state = 12},
  [1006] = {.lex_state = 36, .external_lex_state = 12},
  [1007] = {.lex_state = 36, .external_lex_state = 12},
  [1008] = {.lex_state = 36, .external_lex_state = 12},
  [1009] = {.lex_state = 36, .external_lex_state = 12},
  [1010] = {.lex_state = 36, .external_lex_state = 12},
  [1011] = {.lex_state = 36, .external_lex_state = 12},
  [1012] = {.lex_state = 36, .external_lex_state = 12},
  [1013] = {.lex_state = 36, .external_lex_state = 12},
  [1014] = {.lex_state = 36, .external_lex_state = 12},
  [1015] = {.lex_state = 36, .external_lex_state = 12},
  [1016] = {.lex_state = 36, .external_lex_state = 12},
  [1017] = {.lex_state = 36, .external_lex_state = 12},
  [1018] = {.lex_state = 36, .external_lex_state = 12},
  [1019] = {.lex_state = 36, .external_lex_state = 12},
  [1020] = {.lex_state = 36, .external_lex_state = 12},
  [1021] = {.lex_state = 36, .external_lex_state = 12},
  [1022] = {.lex_state = 36, .external_lex_state = 12},
  [1023] = {.lex_state = 36, .external_lex_state = 12},
  [1024] = {.lex_state = 36, .external_lex_state = 12},
  [1025] = {.lex_state = 36, .external_lex_state = 12},
  [1026] = {.lex_state = 36, .external_lex_state = 12},
  [1027] = {.lex_state = 36, .external_lex_state = 12},
  [1028] = {.lex_state = 36, .external_lex_state = 12},
  [1029] = {.lex_state = 36, .external_lex_state = 12},
  [1030] = {.lex_state = 36, .external_lex_state = 12},
  [1031] = {.lex_state = 36, .external_lex_state = 12},
  [1032] = {.lex_state = 36, .external_lex_state = 12},
  [1033] = {.lex_state = 36, .external_lex_state = 12},
  [1034] = {.lex_state = 36, .external_lex_state = 12},
  [1035] = {.lex_state = 36, .external_lex_state = 12},
  [1036] = {.lex_state = 36, .external_lex_state = 12},
  [1037] = {.lex_state = 36, .external_lex_state = 12},
  [1038] = {.lex_state = 36, .external_lex_state = 12},
  [1039] = {.lex_state = 36, .external_lex_state = 12},
  [1040] = {.lex_state = 36, .external_lex_state = 12},
  [1041] = {.lex_state = 25},
  [1042] = {.lex_state = 36, .external_lex_state = 12},
  [1043] = {.lex_state = 36, .external_lex_state = 12},
  [1044] = {.lex_state = 36, .external_lex_state = 12},
  [1045] = {.lex_state = 36, .external_lex_state = 12},
  [1046] = {.lex_state = 36, .external_lex_state = 12},
  [1047] = {.lex_state = 36, .external_lex_state = 12},
  [1048] = {.lex_state = 36, .external_lex_state = 12},
  [1049] = {.lex_state = 36, .external_lex_state = 12},
  [1050] = {.lex_state = 36, .external_lex_state = 12},
  [1051] = {.lex_state = 36, .external_lex_state = 12},
  [1052] = {.lex_state = 36, .external_lex_state = 12},
  [1053] = {.lex_state = 36, .external_lex_state = 12},
  [1054] = {.lex_state = 36, .external_lex_state = 12},
  [1055] = {.lex_state = 36, .external_lex_state = 12},
  [1056] = {.lex_state = 36, .external_lex_state = 12},
  [1057] = {.lex_state = 36, .external_lex_state = 12},
  [1058] = {.lex_state = 36, .external_lex_state = 12},
  [1059] = {.lex_state = 36, .external_lex_state = 12},
  [1060] = {.lex_state = 36, .external_lex_state = 12},
  [1061] = {.lex_state = 36, .external_lex_state = 12},
  [1062] = {.lex_state = 36, .external_lex_state = 12},
  [1063] = {.lex_state = 36, .external_lex_state = 12},
  [1064] = {.lex_state = 36, .external_lex_state = 12},
  [1065] = {.lex_state = 36, .external_lex_state = 12},
  [1066] = {.lex_state = 36, .external_lex_state = 12},
  [1067] = {.lex_state = 36, .external_lex_state = 12},
  [1068] = {.lex_state = 36, .external_lex_state = 12},
  [1069] = {.lex_state = 36, .external_lex_state = 12},
  [1070] = {.lex_state = 36, .external_lex_state = 12},
  [1071] = {.lex_state = 36, .external_lex_state = 12},
  [1072] = {.lex_state = 36, .external_lex_state = 12},
  [1073] = {.lex_state = 36, .external_lex_state = 12},
  [1074] = {.lex_state = 36, .external_lex_state = 12},
  [1075] = {.lex_state = 36, .external_lex_state = 12},
  [1076] = {.lex_state = 36, .external_lex_state = 12},
  [1077] = {.lex_state = 36, .external_lex_state = 12},
  [1078] = {.lex_state = 36, .external_lex_state = 12},
  [1079] = {.lex_state = 36, .external_lex_state = 12},
  [1080] = {.lex_state = 36, .external_lex_state = 12},
  [1081] = {.lex_state = 36, .external_lex_state = 12},
  [1082] = {.lex_state = 36, .external_lex_state = 12},
  [1083] = {.lex_state = 36, .external_lex_state = 12},
  [1084] = {.lex_state = 36, .external_lex_state = 12},
  [1085] = {.lex_state = 36, .external_lex_state = 12},
  [1086] = {.lex_state = 36, .external_lex_state = 12},
  [1087] = {.lex_state = 36, .external_lex_state = 12},
  [1088] = {.lex_state = 36, .external_lex_state = 12},
  [1089] = {.lex_state = 36, .external_lex_state = 12},
  [1090] = {.lex_state = 36, .external_lex_state = 12},
  [1091] = {.lex_state = 36, .external_lex_state = 12},
  [1092] = {.lex_state = 36, .external_lex_state = 12},
  [1093] = {.lex_state = 36, .external_lex_state = 12},
  [1094] = {.lex_state = 36, .external_lex_state = 12},
  [1095] = {.lex_state = 36, .external_lex_state = 12},
  [1096] = {.lex_state = 36, .external_lex_state = 12},
  [1097] = {.lex_state = 36, .external_lex_state = 12},
  [1098] = {.lex_state = 36, .external_lex_state = 12},
  [1099] = {.lex_state = 36, .external_lex_state = 12},
  [1100] = {.lex_state = 36, .external_lex_state = 12},
  [1101] = {.lex_state = 36, .external_lex_state = 12},
  [1102] = {.lex_state = 36, .external_lex_state = 12},
  [1103] = {.lex_state = 36, .external_lex_state = 12},
  [1104] = {.lex_state = 36, .external_lex_state = 12},
  [1105] = {.lex_state = 36, .external_lex_state = 12},
  [1106] = {.lex_state = 36, .external_lex_state = 12},
  [1107] = {.lex_state = 36, .external_lex_state = 12},
  [1108] = {.lex_state = 36, .external_lex_state = 12},
  [1109] = {.lex_state = 36, .external_lex_state = 12},
  [1110] = {.lex_state = 36, .external_lex_state = 12},
  [1111] = {.lex_state = 36, .external_lex_state = 12},
  [1112] = {.lex_state = 36, .external_lex_state = 12},
  [1113] = {.lex_state = 36, .external_lex_state = 12},
  [1114] = {.lex_state = 36, .external_lex_state = 12},
  [1115] = {.lex_state = 36, .external_lex_state = 12},
  [1116] = {.lex_state = 36, .external_lex_state = 12},
  [1117] = {.lex_state = 36, .external_lex_state = 12},
  [1118] = {.lex_state = 36, .external_lex_state = 12},
  [1119] = {.lex_state = 25, .external_lex_state = 14},
  [1120] = {.lex_state = 36, .external_lex_state = 12},
  [1121] = {.lex_state = 36, .external_lex_state = 12},
  [1122] = {.lex_state = 36, .external_lex_state = 12},
  [1123] = {.lex_state = 36, .external_lex_state = 12},
  [1124] = {.lex_state = 36, .external_lex_state = 12},
  [1125] = {.lex_state = 36, .external_lex_state = 12},
  [1126] = {.lex_state = 36, .external_lex_state = 12},
  [1127] = {.lex_state = 36, .external_lex_state = 12},
  [1128] = {.lex_state = 36, .external_lex_state = 12},
  [1129] = {.lex_state = 36, .external_lex_state = 12},
  [1130] = {.lex_state = 36, .external_lex_state = 12},
  [1131] = {.lex_state = 36, .external_lex_state = 12},
  [1132] = {.lex_state = 36, .external_lex_state = 12},
  [1133] = {.lex_state = 36, .external_lex_state = 12},
  [1134] = {.lex_state = 36, .external_lex_state = 12},
  [1135] = {.lex_state = 36, .external_lex_state = 12},
  [1136] = {.lex_state = 36, .external_lex_state = 12},
  [1137] = {.lex_state = 36, .external_lex_state = 12},
  [1138] = {.lex_state = 36, .external_lex_state = 12},
  [1139] = {.lex_state = 36, .external_lex_state = 12},
  [1140] = {.lex_state = 36, .external_lex_state = 12},
  [1141] = {.lex_state = 25},
  [1142] = {.lex_state = 36, .external_lex_state = 12},
  [1143] = {.lex_state = 36, .external_lex_state = 12},
  [1144] = {.lex_state = 36, .external_lex_state = 12},
  [1145] = {.lex_state = 36, .external_lex_state = 12},
  [1146] = {.lex_state = 36, .external_lex_state = 12},
  [1147] = {.lex_state = 36, .external_lex_state = 12},
  [1148] = {.lex_state = 36, .external_lex_state = 12},
  [1149] = {.lex_state = 36, .external_lex_state = 12},
  [1150] = {.lex_state = 36, .external_lex_state = 12},
  [1151] = {.lex_state = 25, .external_lex_state = 14},
  [1152] = {.lex_state = 36, .external_lex_state = 12},
  [1153] = {.lex_state = 36, .external_lex_state = 12},
  [1154] = {.lex_state = 25},
  [1155] = {.lex_state = 36, .external_lex_state = 12},
  [1156] = {.lex_state = 36, .external_lex_state = 12},
  [1157] = {.lex_state = 36, .external_lex_state = 12},
  [1158] = {.lex_state = 36, .external_lex_state = 12},
  [1159] = {.lex_state = 36, .external_lex_state = 12},
  [1160] = {.lex_state = 36, .external_lex_state = 12},
  [1161] = {.lex_state = 36, .external_lex_state = 12},
  [1162] = {.lex_state = 36, .external_lex_state = 12},
  [1163] = {.lex_state = 36, .external_lex_state = 12},
  [1164] = {.lex_state = 36, .external_lex_state = 12},
  [1165] = {.lex_state = 36, .external_lex_state = 12},
  [1166] = {.lex_state = 36, .external_lex_state = 12},
  [1167] = {.lex_state = 36, .external_lex_state = 12},
  [1168] = {.lex_state = 36, .external_lex_state = 12},
  [1169] = {.lex_state = 36, .external_lex_state = 12},
  [1170] = {.lex_state = 36, .external_lex_state = 12},
  [1171] = {.lex_state = 36, .external_lex_state = 12},
  [1172] = {.lex_state = 36, .external_lex_state = 12},
  [1173] = {.lex_state = 36, .external_lex_state = 12},
  [1174] = {.lex_state = 36, .external_lex_state = 12},
  [1175] = {.lex_state = 36, .external_lex_state = 12},
  [1176] = {.lex_state = 36, .external_lex_state = 12},
  [1177] = {.lex_state = 36, .external_lex_state = 12},
  [1178] = {.lex_state = 36, .external_lex_state = 12},
  [1179] = {.lex_state = 36, .external_lex_state = 12},
  [1180] = {.lex_state = 36, .external_lex_state = 12},
  [1181] = {.lex_state = 36, .external_lex_state = 12},
  [1182] = {.lex_state = 36, .external_lex_state = 12},
  [1183] = {.lex_state = 36, .external_lex_state = 12},
  [1184] = {.lex_state = 36, .external_lex_state = 12},
  [1185] = {.lex_state = 36, .external_lex_state = 12},
  [1186] = {.lex_state = 36, .external_lex_state = 12},
  [1187] = {.lex_state = 36, .external_lex_state = 12},
  [1188] = {.lex_state = 36, .external_lex_state = 12},
  [1189] = {.lex_state = 36, .external_lex_state = 12},
  [1190] = {.lex_state = 36, .external_lex_state = 12},
  [1191] = {.lex_state = 36, .external_lex_state = 12},
  [1192] = {.lex_state = 36, .external_lex_state = 12},
  [1193] = {.lex_state = 36, .external_lex_state = 12},
  [1194] = {.lex_state = 36, .external_lex_state = 12},
  [1195] = {.lex_state = 36, .external_lex_state = 12},
  [1196] = {.lex_state = 36, .external_lex_state = 12},
  [1197] = {.lex_state = 36, .external_lex_state = 12},
  [1198] = {.lex_state = 36, .external_lex_state = 12},
  [1199] = {.lex_state = 36, .external_lex_state = 12},
  [1200] = {.lex_state = 36, .external_lex_state = 12},
  [1201] = {.lex_state = 36, .external_lex_state = 12},
  [1202] = {.lex_state = 36, .external_lex_state = 12},
  [1203] = {.lex_state = 36, .external_lex_state = 12},
  [1204] = {.lex_state = 36, .external_lex_state = 12},
  [1205] = {.lex_state = 36, .external_lex_state = 12},
  [1206] = {.lex_state = 36, .external_lex_state = 12},
  [1207] = {.lex_state = 36, .external_lex_state = 12},
  [1208] = {.lex_state = 36, .external_lex_state = 12},
  [1209] = {.lex_state = 36, .external_lex_state = 12},
  [1210] = {.lex_state = 36, .external_lex_state = 12},
  [1211] = {.lex_state = 36, .external_lex_state = 12},
  [1212] = {.lex_state = 36, .external_lex_state = 12},
  [1213] = {.lex_state = 36, .external_lex_state = 12},
  [1214] = {.lex_state = 36, .external_lex_state = 12},
  [1215] = {.lex_state = 36, .external_lex_state = 12},
  [1216] = {.lex_state = 36, .external_lex_state = 12},
  [1217] = {.lex_state = 36, .external_lex_state = 12},
  [1218] = {.lex_state = 36, .external_lex_state = 12},
  [1219] = {.lex_state = 36, .external_lex_state = 12},
  [1220] = {.lex_state = 36, .external_lex_state = 12},
  [1221] = {.lex_state = 36, .external_lex_state = 12},
  [1222] = {.lex_state = 36, .external_lex_state = 12},
  [1223] = {.lex_state = 36, .external_lex_state = 12},
  [1224] = {.lex_state = 25, .external_lex_state = 14},
  [1225] = {.lex_state = 36, .external_lex_state = 12},
  [1226] = {.lex_state = 36, .external_lex_state = 12},
  [1227] = {.lex_state = 36, .external_lex_state = 12},
  [1228] = {.lex_state = 36, .external_lex_state = 12},
  [1229] = {.lex_state = 36, .external_lex_state = 12},
  [1230] = {.lex_state = 36, .external_lex_state = 12},
  [1231] = {.lex_state = 36, .external_lex_state = 12},
  [1232] = {.lex_state = 36, .external_lex_state = 12},
  [1233] = {.lex_state = 36, .external_lex_state = 12},
  [1234] = {.lex_state = 36, .external_lex_state = 12},
  [1235] = {.lex_state = 36, .external_lex_state = 12},
  [1236] = {.lex_state = 36, .external_lex_state = 12},
  [1237] = {.lex_state = 25, .external_lex_state = 14},
  [1238] = {.lex_state = 36, .external_lex_state = 12},
  [1239] = {.lex_state = 36, .external_lex_state = 12},
  [1240] = {.lex_state = 36, .external_lex_state = 12},
  [1241] = {.lex_state = 36, .external_lex_state = 12},
  [1242] = {.lex_state = 36, .external_lex_state = 12},
  [1243] = {.lex_state = 36, .external_lex_state = 12},
  [1244] = {.lex_state = 36, .external_lex_state = 12},
  [1245] = {.lex_state = 36, .external_lex_state = 12},
  [1246] = {.lex_state = 36, .external_lex_state = 12},
  [1247] = {.lex_state = 36, .external_lex_state = 12},
  [1248] = {.lex_state = 36, .external_lex_state = 12},
  [1249] = {.lex_state = 36, .external_lex_state = 12},
  [1250] = {.lex_state = 36, .external_lex_state = 12},
  [1251] = {.lex_state = 36, .external_lex_state = 12},
  [1252] = {.lex_state = 36, .external_lex_state = 12},
  [1253] = {.lex_state = 25, .external_lex_state = 14},
  [1254] = {.lex_state = 36, .external_lex_state = 12},
  [1255] = {.lex_state = 36, .external_lex_state = 12},
  [1256] = {.lex_state = 36, .external_lex_state = 12},
  [1257] = {.lex_state = 36, .external_lex_state = 12},
  [1258] = {.lex_state = 36, .external_lex_state = 12},
  [1259] = {.lex_state = 36, .external_lex_state = 12},
  [1260] = {.lex_state = 36, .external_lex_state = 12},
  [1261] = {.lex_state = 36, .external_lex_state = 12},
  [1262] = {.lex_state = 36, .external_lex_state = 12},
  [1263] = {.lex_state = 36, .external_lex_state = 12},
  [1264] = {.lex_state = 36, .external_lex_state = 12},
  [1265] = {.lex_state = 36, .external_lex_state = 12},
  [1266] = {.lex_state = 36, .external_lex_state = 12},
  [1267] = {.lex_state = 25},
  [1268] = {.lex_state = 25},
  [1269] = {.lex_state = 36, .external_lex_state = 12},
  [1270] = {.lex_state = 25},
  [1271] = {.lex_state = 36, .external_lex_state = 12},
  [1272] = {.lex_state = 25},
  [1273] = {.lex_state = 36, .external_lex_state = 12},
  [1274] = {.lex_state = 36, .external_lex_state = 12},
  [1275] = {.lex_state = 25},
  [1276] = {.lex_state = 25},
  [1277] = {.lex_state = 25},
  [1278] = {.lex_state = 25},
  [1279] = {.lex_state = 25},
  [1280] = {.lex_state = 25},
  [1281] = {.lex_state = 25},
  [1282] = {.lex_state = 25},
  [1283] = {.lex_state = 25},
  [1284] = {.lex_state = 25},
  [1285] = {.lex_state = 25},
  [1286] = {.lex_state = 25},
  [1287] = {.lex_state = 20, .external_lex_state = 12},
  [1288] = {.lex_state = 25},
  [1289] = {.lex_state = 25},
  [1290] = {.lex_state = 25},
  [1291] = {.lex_state = 25},
  [1292] = {.lex_state = 25},
  [1293] = {.lex_state = 25},
  [1294] = {.lex_state = 25},
  [1295] = {.lex_state = 25},
  [1296] = {.lex_state = 111, .external_lex_state = 6},
  [1297] = {.lex_state = 111, .external_lex_state = 6},
  [1298] = {.lex_state = 111, .external_lex_state = 6},
  [1299] = {.lex_state = 111, .external_lex_state = 6},
  [1300] = {.lex_state = 111, .external_lex_state = 6},
  [1301] = {.lex_state = 111, .external_lex_state = 6},
  [1302] = {.lex_state = 111, .external_lex_state = 8},
  [1303] = {.lex_state = 17, .external_lex_state = 10},
  [1304] = {.lex_state = 38, .external_lex_state = 2},
  [1305] = {.lex_state = 111, .external_lex_state = 6},
  [1306] = {.lex_state = 111, .external_lex_state = 6},
  [1307] = {.lex_state = 111, .external_lex_state = 6},
  [1308] = {.lex_state = 111, .external_lex_state = 6},
  [1309] = {.lex_state = 111, .external_lex_state = 6},
  [1310] = {.lex_state = 111, .external_lex_state = 6},
  [1311] = {.lex_state = 111, .external_lex_state = 6},
  [1312] = {.lex_state = 111, .external_lex_state = 8},
  [1313] = {.lex_state = 111, .external_lex_state = 6},
  [1314] = {.lex_state = 111, .external_lex_state = 6},
  [1315] = {.lex_state = 111, .external_lex_state = 6},
  [1316] = {.lex_state = 111, .external_lex_state = 6},
  [1317] = {.lex_state = 111, .external_lex_state = 6},
  [1318] = {.lex_state = 111, .external_lex_state = 6},
  [1319] = {.lex_state = 111, .external_lex_state = 6},
  [1320] = {.lex_state = 111, .external_lex_state = 6},
  [1321] = {.lex_state = 111, .external_lex_state = 6},
  [1322] = {.lex_state = 111, .external_lex_state = 6},
  [1323] = {.lex_state = 111, .external_lex_state = 6},
  [1324] = {.lex_state = 111, .external_lex_state = 6},
  [1325] = {.lex_state = 111, .external_lex_state = 6},
  [1326] = {.lex_state = 111, .external_lex_state = 8},
  [1327] = {.lex_state = 38, .external_lex_state = 15},
  [1328] = {.lex_state = 111, .external_lex_state = 6},
  [1329] = {.lex_state = 111, .external_lex_state = 8},
  [1330] = {.lex_state = 111, .external_lex_state = 6},
  [1331] = {.lex_state = 116, .external_lex_state = 10},
  [1332] = {.lex_state = 111, .external_lex_state = 6},
  [1333] = {.lex_state = 111, .external_lex_state = 8},
  [1334] = {.lex_state = 111, .external_lex_state = 8},
  [1335] = {.lex_state = 111, .external_lex_state = 8},
  [1336] = {.lex_state = 111, .external_lex_state = 6},
  [1337] = {.lex_state = 111, .external_lex_state = 8},
  [1338] = {.lex_state = 111, .external_lex_state = 8},
  [1339] = {.lex_state = 111, .external_lex_state = 8},
  [1340] = {.lex_state = 38, .external_lex_state = 15},
  [1341] = {.lex_state = 111, .external_lex_state = 8},
  [1342] = {.lex_state = 38, .external_lex_state = 15},
  [1343] = {.lex_state = 6, .external_lex_state = 16},
  [1344] = {.lex_state = 111, .external_lex_state = 8},
  [1345] = {.lex_state = 111, .external_lex_state = 8},
  [1346] = {.lex_state = 111, .external_lex_state = 6},
  [1347] = {.lex_state = 111, .external_lex_state = 8},
  [1348] = {.lex_state = 111, .external_lex_state = 8},
  [1349] = {.lex_state = 116, .external_lex_state = 10},
  [1350] = {.lex_state = 111, .external_lex_state = 8},
  [1351] = {.lex_state = 111, .external_lex_state = 8},
  [1352] = {.lex_state = 111, .external_lex_state = 8},
  [1353] = {.lex_state = 111, .external_lex_state = 8},
  [1354] = {.lex_state = 111, .external_lex_state = 8},
  [1355] = {.lex_state = 111, .external_lex_state = 8},
  [1356] = {.lex_state = 111, .external_lex_state = 8},
  [1357] = {.lex_state = 38, .external_lex_state = 15},
  [1358] = {.lex_state = 111, .external_lex_state = 8},
  [1359] = {.lex_state = 111, .external_lex_state = 8},
  [1360] = {.lex_state = 111, .external_lex_state = 8},
  [1361] = {.lex_state = 111, .external_lex_state = 8},
  [1362] = {.lex_state = 111, .external_lex_state = 8},
  [1363] = {.lex_state = 38, .external_lex_state = 15},
  [1364] = {.lex_state = 111, .external_lex_state = 8},
  [1365] = {.lex_state = 111, .external_lex_state = 8},
  [1366] = {.lex_state = 111, .external_lex_state = 8},
  [1367] = {.lex_state = 111, .external_lex_state = 6},
  [1368] = {.lex_state = 111, .external_lex_state = 8},
  [1369] = {.lex_state = 111, .external_lex_state = 8},
  [1370] = {.lex_state = 116, .external_lex_state = 10},
  [1371] = {.lex_state = 111, .external_lex_state = 8},
  [1372] = {.lex_state = 38, .external_lex_state = 15},
  [1373] = {.lex_state = 111, .external_lex_state = 8},
  [1374] = {.lex_state = 111, .external_lex_state = 6},
  [1375] = {.lex_state = 111, .external_lex_state = 6},
  [1376] = {.lex_state = 111, .external_lex_state = 6},
  [1377] = {.lex_state = 111, .external_lex_state = 6},
  [1378] = {.lex_state = 111, .external_lex_state = 6},
  [1379] = {.lex_state = 111, .external_lex_state = 8},
  [1380] = {.lex_state = 111, .external_lex_state = 8},
  [1381] = {.lex_state = 111, .external_lex_state = 8},
  [1382] = {.lex_state = 111, .external_lex_state = 6},
  [1383] = {.lex_state = 6, .external_lex_state = 16},
  [1384] = {.lex_state = 6, .external_lex_state = 16},
  [1385] = {.lex_state = 111, .external_lex_state = 6},
  [1386] = {.lex_state = 111, .external_lex_state = 6},
  [1387] = {.lex_state = 111, .external_lex_state = 6},
  [1388] = {.lex_state = 38, .external_lex_state = 2},
  [1389] = {.lex_state = 41},
  [1390] = {.lex_state = 111, .external_lex_state = 6},
  [1391] = {.lex_state = 111, .external_lex_state = 6},
  [1392] = {.lex_state = 111, .external_lex_state = 6},
  [1393] = {.lex_state = 111, .external_lex_state = 6},
  [1394] = {.lex_state = 111, .external_lex_state = 6},
  [1395] = {.lex_state = 38, .external_lex_state = 2},
  [1396] = {.lex_state = 38, .external_lex_state = 15},
  [1397] = {.lex_state = 111, .external_lex_state = 6},
  [1398] = {.lex_state = 38, .external_lex_state = 15},
  [1399] = {.lex_state = 111, .external_lex_state = 6},
  [1400] = {.lex_state = 111, .external_lex_state = 6},
  [1401] = {.lex_state = 38, .external_lex_state = 15},
  [1402] = {.lex_state = 38, .external_lex_state = 15},
  [1403] = {.lex_state = 111, .external_lex_state = 6},
  [1404] = {.lex_state = 111, .external_lex_state = 8},
  [1405] = {.lex_state = 38, .external_lex_state = 15},
  [1406] = {.lex_state = 38, .external_lex_state = 15},
  [1407] = {.lex_state = 38, .external_lex_state = 15},
  [1408] = {.lex_state = 38, .external_lex_state = 15},
  [1409] = {.lex_state = 111, .external_lex_state = 6},
  [1410] = {.lex_state = 111, .external_lex_state = 6},
  [1411] = {.lex_state = 38, .external_lex_state = 15},
  [1412] = {.lex_state = 111, .external_lex_state = 6},
  [1413] = {.lex_state = 111, .external_lex_state = 6},
  [1414] = {.lex_state = 111, .external_lex_state = 6},
  [1415] = {.lex_state = 38, .external_lex_state = 15},
  [1416] = {.lex_state = 111, .external_lex_state = 6},
  [1417] = {.lex_state = 38, .external_lex_state = 15},
  [1418] = {.lex_state = 38, .external_lex_state = 15},
  [1419] = {.lex_state = 38, .external_lex_state = 2},
  [1420] = {.lex_state = 38, .external_lex_state = 15},
  [1421] = {.lex_state = 38, .external_lex_state = 15},
  [1422] = {.lex_state = 38, .external_lex_state = 15},
  [1423] = {.lex_state = 38, .external_lex_state = 15},
  [1424] = {.lex_state = 38, .external_lex_state = 15},
  [1425] = {.lex_state = 6, .external_lex_state = 10},
  [1426] = {.lex_state = 111, .external_lex_state = 6},
  [1427] = {.lex_state = 111, .external_lex_state = 6},
  [1428] = {.lex_state = 111, .external_lex_state = 6},
  [1429] = {.lex_state = 111, .external_lex_state = 6},
  [1430] = {.lex_state = 38, .external_lex_state = 15},
  [1431] = {.lex_state = 38, .external_lex_state = 15},
  [1432] = {.lex_state = 111, .external_lex_state = 6},
  [1433] = {.lex_state = 111, .external_lex_state = 6},
  [1434] = {.lex_state = 41},
  [1435] = {.lex_state = 111, .external_lex_state = 6},
  [1436] = {.lex_state = 38, .external_lex_state = 15},
  [1437] = {.lex_state = 111, .external_lex_state = 8},
  [1438] = {.lex_state = 38, .external_lex_state = 15},
  [1439] = {.lex_state = 38, .external_lex_state = 15},
  [1440] = {.lex_state = 111, .external_lex_state = 6},
  [1441] = {.lex_state = 111, .external_lex_state = 6},
  [1442] = {.lex_state = 38, .external_lex_state = 15},
  [1443] = {.lex_state = 111, .external_lex_state = 6},
  [1444] = {.lex_state = 111, .external_lex_state = 6},
  [1445] = {.lex_state = 38, .external_lex_state = 15},
  [1446] = {.lex_state = 111, .external_lex_state = 6},
  [1447] = {.lex_state = 38, .external_lex_state = 15},
  [1448] = {.lex_state = 111, .external_lex_state = 6},
  [1449] = {.lex_state = 111, .external_lex_state = 6},
  [1450] = {.lex_state = 41},
  [1451] = {.lex_state = 111, .external_lex_state = 6},
  [1452] = {.lex_state = 111, .external_lex_state = 6},
  [1453] = {.lex_state = 111, .external_lex_state = 6},
  [1454] = {.lex_state = 111, .external_lex_state = 8},
  [1455] = {.lex_state = 111, .external_lex_state = 6},
  [1456] = {.lex_state = 41},
  [1457] = {.lex_state = 41},
  [1458] = {.lex_state = 6, .external_lex_state = 16},
  [1459] = {.lex_state = 111, .external_lex_state = 6},
  [1460] = {.lex_state = 111, .external_lex_state = 8},
  [1461] = {.lex_state = 111, .external_lex_state = 6},
  [1462] = {.lex_state = 111, .external_lex_state = 6},
  [1463] = {.lex_state = 111, .external_lex_state = 6},
  [1464] = {.lex_state = 111, .external_lex_state = 8},
  [1465] = {.lex_state = 41},
  [1466] = {.lex_state = 41},
  [1467] = {.lex_state = 41},
  [1468] = {.lex_state = 111, .external_lex_state = 6},
  [1469] = {.lex_state = 111, .external_lex_state = 6},
  [1470] = {.lex_state = 111, .external_lex_state = 6},
  [1471] = {.lex_state = 6, .external_lex_state = 10},
  [1472] = {.lex_state = 38, .external_lex_state = 2},
  [1473] = {.lex_state = 38},
  [1474] = {.lex_state = 38, .external_lex_state = 2},
  [1475] = {.lex_state = 38, .external_lex_state = 2},
  [1476] = {.lex_state = 111, .external_lex_state = 8},
  [1477] = {.lex_state = 111, .external_lex_state = 8},
  [1478] = {.lex_state = 111, .external_lex_state = 8},
  [1479] = {.lex_state = 111, .external_lex_state = 8},
  [1480] = {.lex_state = 38, .external_lex_state = 2},
  [1481] = {.lex_state = 111, .external_lex_state = 8},
  [1482] = {.lex_state = 38},
  [1483] = {.lex_state = 38, .external_lex_state = 17},
  [1484] = {.lex_state = 111, .external_lex_state = 8},
  [1485] = {.lex_state = 38},
  [1486] = {.lex_state = 38, .external_lex_state = 2},
  [1487] = {.lex_state = 111, .external_lex_state = 8},
  [1488] = {.lex_state = 111, .external_lex_state = 8},
  [1489] = {.lex_state = 38, .external_lex_state = 2},
  [1490] = {.lex_state = 6, .external_lex_state = 16},
  [1491] = {.lex_state = 111, .external_lex_state = 8},
  [1492] = {.lex_state = 111, .external_lex_state = 8},
  [1493] = {.lex_state = 111, .external_lex_state = 8},
  [1494] = {.lex_state = 38},
  [1495] = {.lex_state = 6, .external_lex_state = 16},
  [1496] = {.lex_state = 38, .external_lex_state = 2},
  [1497] = {.lex_state = 6, .external_lex_state = 16},
  [1498] = {.lex_state = 38, .external_lex_state = 2},
  [1499] = {.lex_state = 111, .external_lex_state = 8},
  [1500] = {.lex_state = 111, .external_lex_state = 8},
  [1501] = {.lex_state = 38},
  [1502] = {.lex_state = 111, .external_lex_state = 8},
  [1503] = {.lex_state = 38, .external_lex_state = 2},
  [1504] = {.lex_state = 6, .external_lex_state = 16},
  [1505] = {.lex_state = 111, .external_lex_state = 8},
  [1506] = {.lex_state = 38, .external_lex_state = 2},
  [1507] = {.lex_state = 111, .external_lex_state = 8},
  [1508] = {.lex_state = 111, .external_lex_state = 8},
  [1509] = {.lex_state = 6, .external_lex_state = 16},
  [1510] = {.lex_state = 111, .external_lex_state = 8},
  [1511] = {.lex_state = 6, .external_lex_state = 16},
  [1512] = {.lex_state = 38, .external_lex_state = 2},
  [1513] = {.lex_state = 38, .external_lex_state = 17},
  [1514] = {.lex_state = 38, .external_lex_state = 2},
  [1515] = {.lex_state = 111, .external_lex_state = 8},
  [1516] = {.lex_state = 38, .external_lex_state = 2},
  [1517] = {.lex_state = 38, .external_lex_state = 2},
  [1518] = {.lex_state = 38, .external_lex_state = 2},
  [1519] = {.lex_state = 111, .external_lex_state = 8},
  [1520] = {.lex_state = 111, .external_lex_state = 8},
  [1521] = {.lex_state = 38, .external_lex_state = 2},
  [1522] = {.lex_state = 38, .external_lex_state = 17},
  [1523] = {.lex_state = 38, .external_lex_state = 2},
  [1524] = {.lex_state = 38, .external_lex_state = 2},
  [1525] = {.lex_state = 38, .external_lex_state = 2},
  [1526] = {.lex_state = 38, .external_lex_state = 2},
  [1527] = {.lex_state = 111, .external_lex_state = 8},
  [1528] = {.lex_state = 111, .external_lex_state = 8},
  [1529] = {.lex_state = 6, .external_lex_state = 16},
  [1530] = {.lex_state = 6, .external_lex_state = 16},
  [1531] = {.lex_state = 38, .external_lex_state = 17},
  [1532] = {.lex_state = 38, .external_lex_state = 2},
  [1533] = {.lex_state = 38, .external_lex_state = 2},
  [1534] = {.lex_state = 6, .external_lex_state = 16},
  [1535] = {.lex_state = 6, .external_lex_state = 16},
  [1536] = {.lex_state = 6, .external_lex_state = 16},
  [1537] = {.lex_state = 111, .external_lex_state = 8},
  [1538] = {.lex_state = 6, .external_lex_state = 16},
  [1539] = {.lex_state = 38},
  [1540] = {.lex_state = 111, .external_lex_state = 8},
  [1541] = {.lex_state = 38, .external_lex_state = 17},
  [1542] = {.lex_state = 6, .external_lex_state = 16},
  [1543] = {.lex_state = 111, .external_lex_state = 6},
  [1544] = {.lex_state = 38, .external_lex_state = 2},
  [1545] = {.lex_state = 38},
  [1546] = {.lex_state = 6, .external_lex_state = 16},
  [1547] = {.lex_state = 6, .external_lex_state = 16},
  [1548] = {.lex_state = 38, .external_lex_state = 17},
  [1549] = {.lex_state = 38, .external_lex_state = 2},
  [1550] = {.lex_state = 6, .external_lex_state = 16},
  [1551] = {.lex_state = 6, .external_lex_state = 16},
  [1552] = {.lex_state = 6, .external_lex_state = 16},
  [1553] = {.lex_state = 6, .external_lex_state = 16},
  [1554] = {.lex_state = 38, .external_lex_state = 2},
  [1555] = {.lex_state = 6, .external_lex_state = 16},
  [1556] = {.lex_state = 6, .external_lex_state = 16},
  [1557] = {.lex_state = 38, .external_lex_state = 2},
  [1558] = {.lex_state = 38, .external_lex_state = 2},
  [1559] = {.lex_state = 38},
  [1560] = {.lex_state = 6, .external_lex_state = 16},
  [1561] = {.lex_state = 6, .external_lex_state = 16},
  [1562] = {.lex_state = 38, .external_lex_state = 2},
  [1563] = {.lex_state = 6, .external_lex_state = 16},
  [1564] = {.lex_state = 38, .external_lex_state = 2},
  [1565] = {.lex_state = 38, .external_lex_state = 17},
  [1566] = {.lex_state = 38, .external_lex_state = 2},
  [1567] = {.lex_state = 6, .external_lex_state = 10},
  [1568] = {.lex_state = 21},
  [1569] = {.lex_state = 6, .external_lex_state = 16},
  [1570] = {.lex_state = 111, .external_lex_state = 6},
  [1571] = {.lex_state = 31, .external_lex_state = 18},
  [1572] = {.lex_state = 111, .external_lex_state = 6},
  [1573] = {.lex_state = 111, .external_lex_state = 6},
  [1574] = {.lex_state = 6, .external_lex_state = 10},
  [1575] = {.lex_state = 6, .external_lex_state = 10},
  [1576] = {.lex_state = 38},
  [1577] = {.lex_state = 111, .external_lex_state = 6},
  [1578] = {.lex_state = 111, .external_lex_state = 6},
  [1579] = {.lex_state = 111, .external_lex_state = 6},
  [1580] = {.lex_state = 111, .external_lex_state = 6},
  [1581] = {.lex_state = 111, .external_lex_state = 6},
  [1582] = {.lex_state = 32, .external_lex_state = 19},
  [1583] = {.lex_state = 34, .external_lex_state = 19},
  [1584] = {.lex_state = 111, .external_lex_state = 6},
  [1585] = {.lex_state = 111, .external_lex_state = 6},
  [1586] = {.lex_state = 38},
  [1587] = {.lex_state = 38},
  [1588] = {.lex_state = 111, .external_lex_state = 6},
  [1589] = {.lex_state = 111, .external_lex_state = 6},
  [1590] = {.lex_state = 111, .external_lex_state = 6},
  [1591] = {.lex_state = 111, .external_lex_state = 6},
  [1592] = {.lex_state = 32},
  [1593] = {.lex_state = 33, .external_lex_state = 19},
  [1594] = {.lex_state = 111, .external_lex_state = 6},
  [1595] = {.lex_state = 36, .external_lex_state = 20},
  [1596] = {.lex_state = 31, .external_lex_state = 19},
  [1597] = {.lex_state = 111, .external_lex_state = 6},
  [1598] = {.lex_state = 111, .external_lex_state = 6},
  [1599] = {.lex_state = 6, .external_lex_state = 10},
  [1600] = {.lex_state = 111, .external_lex_state = 6},
  [1601] = {.lex_state = 36, .external_lex_state = 20},
  [1602] = {.lex_state = 111, .external_lex_state = 6},
  [1603] = {.lex_state = 38},
  [1604] = {.lex_state = 111, .external_lex_state = 6},
  [1605] = {.lex_state = 111, .external_lex_state = 6},
  [1606] = {.lex_state = 33, .external_lex_state = 19},
  [1607] = {.lex_state = 38, .external_lex_state = 2},
  [1608] = {.lex_state = 35, .external_lex_state = 20},
  [1609] = {.lex_state = 35, .external_lex_state = 20},
  [1610] = {.lex_state = 111, .external_lex_state = 6},
  [1611] = {.lex_state = 111, .external_lex_state = 6},
  [1612] = {.lex_state = 111, .external_lex_state = 6},
  [1613] = {.lex_state = 111, .external_lex_state = 6},
  [1614] = {.lex_state = 38},
  [1615] = {.lex_state = 6, .external_lex_state = 10},
  [1616] = {.lex_state = 111, .external_lex_state = 6},
  [1617] = {.lex_state = 111, .external_lex_state = 6},
  [1618] = {.lex_state = 111, .external_lex_state = 6},
  [1619] = {.lex_state = 111, .external_lex_state = 6},
  [1620] = {.lex_state = 6, .external_lex_state = 10},
  [1621] = {.lex_state = 38, .external_lex_state = 2},
  [1622] = {.lex_state = 38},
  [1623] = {.lex_state = 38},
  [1624] = {.lex_state = 33, .external_lex_state = 19},
  [1625] = {.lex_state = 38},
  [1626] = {.lex_state = 111, .external_lex_state = 6},
  [1627] = {.lex_state = 111, .external_lex_state = 6},
  [1628] = {.lex_state = 111, .external_lex_state = 6},
  [1629] = {.lex_state = 35, .external_lex_state = 20},
  [1630] = {.lex_state = 111, .external_lex_state = 6},
  [1631] = {.lex_state = 111, .external_lex_state = 6},
  [1632] = {.lex_state = 38},
  [1633] = {.lex_state = 111, .external_lex_state = 6},
  [1634] = {.lex_state = 33, .external_lex_state = 19},
  [1635] = {.lex_state = 111, .external_lex_state = 6},
  [1636] = {.lex_state = 38},
  [1637] = {.lex_state = 111, .external_lex_state = 6},
  [1638] = {.lex_state = 111, .external_lex_state = 6},
  [1639] = {.lex_state = 38},
  [1640] = {.lex_state = 38},
  [1641] = {.lex_state = 35, .external_lex_state = 20},
  [1642] = {.lex_state = 36, .external_lex_state = 20},
  [1643] = {.lex_state = 111, .external_lex_state = 6},
  [1644] = {.lex_state = 111, .external_lex_state = 6},
  [1645] = {.lex_state = 38},
  [1646] = {.lex_state = 111, .external_lex_state = 6},
  [1647] = {.lex_state = 6, .external_lex_state = 10},
  [1648] = {.lex_state = 6, .external_lex_state = 10},
  [1649] = {.lex_state = 6, .external_lex_state = 10},
  [1650] = {.lex_state = 6, .external_lex_state = 10},
  [1651] = {.lex_state = 38, .external_lex_state = 2},
  [1652] = {.lex_state = 38},
  [1653] = {.lex_state = 111, .external_lex_state = 6},
  [1654] = {.lex_state = 6, .external_lex_state = 10},
  [1655] = {.lex_state = 38},
  [1656] = {.lex_state = 38},
  [1657] = {.lex_state = 111, .external_lex_state = 6},
  [1658] = {.lex_state = 111, .external_lex_state = 6},
  [1659] = {.lex_state = 6, .external_lex_state = 10},
  [1660] = {.lex_state = 36, .external_lex_state = 20},
  [1661] = {.lex_state = 111, .external_lex_state = 6},
  [1662] = {.lex_state = 39, .external_lex_state = 12},
  [1663] = {.lex_state = 31, .external_lex_state = 11},
  [1664] = {.lex_state = 39, .external_lex_state = 12},
  [1665] = {.lex_state = 38},
  [1666] = {.lex_state = 39, .external_lex_state = 12},
  [1667] = {.lex_state = 39, .external_lex_state = 12},
  [1668] = {.lex_state = 39, .external_lex_state = 12},
  [1669] = {.lex_state = 39, .external_lex_state = 12},
  [1670] = {.lex_state = 39, .external_lex_state = 12},
  [1671] = {.lex_state = 39, .external_lex_state = 12},
  [1672] = {.lex_state = 31, .external_lex_state = 19},
  [1673] = {.lex_state = 39, .external_lex_state = 12},
  [1674] = {.lex_state = 31, .external_lex_state = 19},
  [1675] = {.lex_state = 31, .external_lex_state = 19},
  [1676] = {.lex_state = 31, .external_lex_state = 19},
  [1677] = {.lex_state = 31, .external_lex_state = 19},
  [1678] = {.lex_state = 31, .external_lex_state = 19},
  [1679] = {.lex_state = 31, .external_lex_state = 19},
  [1680] = {.lex_state = 39, .external_lex_state = 12},
  [1681] = {.lex_state = 31, .external_lex_state = 19},
  [1682] = {.lex_state = 39, .external_lex_state = 12},
  [1683] = {.lex_state = 31, .external_lex_state = 19},
  [1684] = {.lex_state = 39, .external_lex_state = 12},
  [1685] = {.lex_state = 39, .external_lex_state = 12},
  [1686] = {.lex_state = 31, .external_lex_state = 19},
  [1687] = {.lex_state = 39, .external_lex_state = 12},
  [1688] = {.lex_state = 31, .external_lex_state = 19},
  [1689] = {.lex_state = 31, .external_lex_state = 19},
  [1690] = {.lex_state = 31, .external_lex_state = 19},
  [1691] = {.lex_state = 39, .external_lex_state = 12},
  [1692] = {.lex_state = 31, .external_lex_state = 19},
  [1693] = {.lex_state = 31, .external_lex_state = 19},
  [1694] = {.lex_state = 31, .external_lex_state = 19},
  [1695] = {.lex_state = 31, .external_lex_state = 19},
  [1696] = {.lex_state = 31, .external_lex_state = 19},
  [1697] = {.lex_state = 31, .external_lex_state = 19},
  [1698] = {.lex_state = 31, .external_lex_state = 19},
  [1699] = {.lex_state = 38, .external_lex_state = 14},
  [1700] = {.lex_state = 39, .external_lex_state = 12},
  [1701] = {.lex_state = 39, .external_lex_state = 12},
  [1702] = {.lex_state = 31, .external_lex_state = 19},
  [1703] = {.lex_state = 33, .external_lex_state = 19},
  [1704] = {.lex_state = 31, .external_lex_state = 19},
  [1705] = {.lex_state = 31, .external_lex_state = 19},
  [1706] = {.lex_state = 39, .external_lex_state = 12},
  [1707] = {.lex_state = 31, .external_lex_state = 18},
  [1708] = {.lex_state = 39, .external_lex_state = 12},
  [1709] = {.lex_state = 39, .external_lex_state = 12},
  [1710] = {.lex_state = 39, .external_lex_state = 12},
  [1711] = {.lex_state = 39, .external_lex_state = 12},
  [1712] = {.lex_state = 39, .external_lex_state = 12},
  [1713] = {.lex_state = 33, .external_lex_state = 19},
  [1714] = {.lex_state = 39, .external_lex_state = 12},
  [1715] = {.lex_state = 33, .external_lex_state = 19},
  [1716] = {.lex_state = 33, .external_lex_state = 19},
  [1717] = {.lex_state = 31, .external_lex_state = 19},
  [1718] = {.lex_state = 31, .external_lex_state = 19},
  [1719] = {.lex_state = 36, .external_lex_state = 12},
  [1720] = {.lex_state = 39, .external_lex_state = 12},
  [1721] = {.lex_state = 33, .external_lex_state = 19},
  [1722] = {.lex_state = 31, .external_lex_state = 19},
  [1723] = {.lex_state = 39, .external_lex_state = 12},
  [1724] = {.lex_state = 39, .external_lex_state = 12},
  [1725] = {.lex_state = 32},
  [1726] = {.lex_state = 33},
  [1727] = {.lex_state = 39, .external_lex_state = 12},
  [1728] = {.lex_state = 38, .external_lex_state = 14},
  [1729] = {.lex_state = 39, .external_lex_state = 12},
  [1730] = {.lex_state = 39, .external_lex_state = 12},
  [1731] = {.lex_state = 36, .external_lex_state = 20},
  [1732] = {.lex_state = 39, .external_lex_state = 12},
  [1733] = {.lex_state = 36, .external_lex_state = 20},
  [1734] = {.lex_state = 31, .external_lex_state = 18},
  [1735] = {.lex_state = 36, .external_lex_state = 20},
  [1736] = {.lex_state = 34},
  [1737] = {.lex_state = 36, .external_lex_state = 20},
  [1738] = {.lex_state = 36, .external_lex_state = 20},
  [1739] = {.lex_state = 33, .external_lex_state = 19},
  [1740] = {.lex_state = 36, .external_lex_state = 20},
  [1741] = {.lex_state = 31, .external_lex_state = 18},
  [1742] = {.lex_state = 33, .external_lex_state = 19},
  [1743] = {.lex_state = 33, .external_lex_state = 19},
  [1744] = {.lex_state = 39, .external_lex_state = 12},
  [1745] = {.lex_state = 33, .external_lex_state = 19},
  [1746] = {.lex_state = 33, .external_lex_state = 19},
  [1747] = {.lex_state = 33, .external_lex_state = 19},
  [1748] = {.lex_state = 32},
  [1749] = {.lex_state = 34},
  [1750] = {.lex_state = 36, .external_lex_state = 20},
  [1751] = {.lex_state = 36, .external_lex_state = 20},
  [1752] = {.lex_state = 39, .external_lex_state = 12},
  [1753] = {.lex_state = 36, .external_lex_state = 20},
  [1754] = {.lex_state = 33, .external_lex_state = 19},
  [1755] = {.lex_state = 39, .external_lex_state = 12},
  [1756] = {.lex_state = 33, .external_lex_state = 19},
  [1757] = {.lex_state = 33, .external_lex_state = 19},
  [1758] = {.lex_state = 39, .external_lex_state = 12},
  [1759] = {.lex_state = 33, .external_lex_state = 19},
  [1760] = {.lex_state = 39, .external_lex_state = 12},
  [1761] = {.lex_state = 31, .external_lex_state = 11},
  [1762] = {.lex_state = 35, .external_lex_state = 12},
  [1763] = {.lex_state = 35, .external_lex_state = 12},
  [1764] = {.lex_state = 33, .external_lex_state = 19},
  [1765] = {.lex_state = 33, .external_lex_state = 19},
  [1766] = {.lex_state = 39, .external_lex_state = 12},
  [1767] = {.lex_state = 33, .external_lex_state = 19},
  [1768] = {.lex_state = 33, .external_lex_state = 19},
  [1769] = {.lex_state = 35, .external_lex_state = 12},
  [1770] = {.lex_state = 35, .external_lex_state = 12},
  [1771] = {.lex_state = 39, .external_lex_state = 12},
  [1772] = {.lex_state = 33, .external_lex_state = 19},
  [1773] = {.lex_state = 33, .external_lex_state = 19},
  [1774] = {.lex_state = 33, .external_lex_state = 19},
  [1775] = {.lex_state = 39, .external_lex_state = 12},
  [1776] = {.lex_state = 33, .external_lex_state = 19},
  [1777] = {.lex_state = 33, .external_lex_state = 19},
  [1778] = {.lex_state = 33, .external_lex_state = 19},
  [1779] = {.lex_state = 33},
  [1780] = {.lex_state = 36, .external_lex_state = 20},
  [1781] = {.lex_state = 39, .external_lex_state = 12},
  [1782] = {.lex_state = 36, .external_lex_state = 20},
  [1783] = {.lex_state = 39, .external_lex_state = 12},
  [1784] = {.lex_state = 36, .external_lex_state = 20},
  [1785] = {.lex_state = 36, .external_lex_state = 20},
  [1786] = {.lex_state = 36, .external_lex_state = 20},
  [1787] = {.lex_state = 39, .external_lex_state = 12},
  [1788] = {.lex_state = 36, .external_lex_state = 20},
  [1789] = {.lex_state = 36, .external_lex_state = 20},
  [1790] = {.lex_state = 36, .external_lex_state = 20},
  [1791] = {.lex_state = 36, .external_lex_state = 20},
  [1792] = {.lex_state = 36, .external_lex_state = 20},
  [1793] = {.lex_state = 36, .external_lex_state = 20},
  [1794] = {.lex_state = 36, .external_lex_state = 20},
  [1795] = {.lex_state = 36, .external_lex_state = 20},
  [1796] = {.lex_state = 39, .external_lex_state = 12},
  [1797] = {.lex_state = 36, .external_lex_state = 20},
  [1798] = {.lex_state = 36, .external_lex_state = 20},
  [1799] = {.lex_state = 31, .external_lex_state = 19},
  [1800] = {.lex_state = 36, .external_lex_state = 12},
  [1801] = {.lex_state = 39, .external_lex_state = 12},
  [1802] = {.lex_state = 39, .external_lex_state = 12},
  [1803] = {.lex_state = 39, .external_lex_state = 12},
  [1804] = {.lex_state = 36, .external_lex_state = 20},
  [1805] = {.lex_state = 39, .external_lex_state = 12},
  [1806] = {.lex_state = 39, .external_lex_state = 12},
  [1807] = {.lex_state = 39, .external_lex_state = 12},
  [1808] = {.lex_state = 39, .external_lex_state = 12},
  [1809] = {.lex_state = 38},
  [1810] = {.lex_state = 39, .external_lex_state = 12},
  [1811] = {.lex_state = 39, .external_lex_state = 12},
  [1812] = {.lex_state = 38, .external_lex_state = 14},
  [1813] = {.lex_state = 38},
  [1814] = {.lex_state = 38},
  [1815] = {.lex_state = 38},
  [1816] = {.lex_state = 38},
  [1817] = {.lex_state = 38},
  [1818] = {.lex_state = 33},
  [1819] = {.lex_state = 33},
  [1820] = {.lex_state = 31, .external_lex_state = 18},
  [1821] = {.lex_state = 38},
  [1822] = {.lex_state = 38},
  [1823] = {.lex_state = 38},
  [1824] = {.lex_state = 33},
  [1825] = {.lex_state = 31, .external_lex_state = 18},
  [1826] = {.lex_state = 31, .external_lex_state = 18},
  [1827] = {.lex_state = 31, .external_lex_state = 18},
  [1828] = {.lex_state = 31, .external_lex_state = 18},
  [1829] = {.lex_state = 38},
  [1830] = {.lex_state = 31, .external_lex_state = 18},
  [1831] = {.lex_state = 31, .external_lex_state = 18},
  [1832] = {.lex_state = 31, .external_lex_state = 18},
  [1833] = {.lex_state = 31, .external_lex_state = 18},
  [1834] = {.lex_state = 31, .external_lex_state = 18},
  [1835] = {.lex_state = 31, .external_lex_state = 18},
  [1836] = {.lex_state = 31, .external_lex_state = 18},
  [1837] = {.lex_state = 31, .external_lex_state = 18},
  [1838] = {.lex_state = 31, .external_lex_state = 18},
  [1839] = {.lex_state = 31, .external_lex_state = 18},
  [1840] = {.lex_state = 31, .external_lex_state = 18},
  [1841] = {.lex_state = 31, .external_lex_state = 18},
  [1842] = {.lex_state = 31, .external_lex_state = 18},
  [1843] = {.lex_state = 38},
  [1844] = {.lex_state = 31, .external_lex_state = 18},
  [1845] = {.lex_state = 38},
  [1846] = {.lex_state = 34},
  [1847] = {.lex_state = 31, .external_lex_state = 18},
  [1848] = {.lex_state = 33},
  [1849] = {.lex_state = 38},
  [1850] = {.lex_state = 31, .external_lex_state = 11},
  [1851] = {.lex_state = 31, .external_lex_state = 18},
  [1852] = {.lex_state = 31, .external_lex_state = 18},
  [1853] = {.lex_state = 31, .external_lex_state = 18},
  [1854] = {.lex_state = 31, .external_lex_state = 18},
  [1855] = {.lex_state = 36, .external_lex_state = 12},
  [1856] = {.lex_state = 38},
  [1857] = {.lex_state = 33},
  [1858] = {.lex_state = 38},
  [1859] = {.lex_state = 38},
  [1860] = {.lex_state = 31, .external_lex_state = 18},
  [1861] = {.lex_state = 38},
  [1862] = {.lex_state = 31, .external_lex_state = 11},
  [1863] = {.lex_state = 34},
  [1864] = {.lex_state = 31},
  [1865] = {.lex_state = 31},
  [1866] = {.lex_state = 31},
  [1867] = {.lex_state = 40, .external_lex_state = 11},
  [1868] = {.lex_state = 40, .external_lex_state = 11},
  [1869] = {.lex_state = 31},
  [1870] = {.lex_state = 33},
  [1871] = {.lex_state = 31},
  [1872] = {.lex_state = 31, .external_lex_state = 11},
  [1873] = {.lex_state = 34},
  [1874] = {.lex_state = 31},
  [1875] = {.lex_state = 34},
  [1876] = {.lex_state = 34},
  [1877] = {.lex_state = 31},
  [1878] = {.lex_state = 31},
  [1879] = {.lex_state = 34},
  [1880] = {.lex_state = 34},
  [1881] = {.lex_state = 31},
  [1882] = {.lex_state = 34},
  [1883] = {.lex_state = 3, .external_lex_state = 10},
  [1884] = {.lex_state = 31, .external_lex_state = 11},
  [1885] = {.lex_state = 34},
  [1886] = {.lex_state = 31, .external_lex_state = 11},
  [1887] = {.lex_state = 31, .external_lex_state = 11},
  [1888] = {.lex_state = 34},
  [1889] = {.lex_state = 31, .external_lex_state = 11},
  [1890] = {.lex_state = 33},
  [1891] = {.lex_state = 34},
  [1892] = {.lex_state = 33},
  [1893] = {.lex_state = 31, .external_lex_state = 11},
  [1894] = {.lex_state = 34},
  [1895] = {.lex_state = 38},
  [1896] = {.lex_state = 38},
  [1897] = {.lex_state = 116, .external_lex_state = 16},
  [1898] = {.lex_state = 38},
  [1899] = {.lex_state = 38},
  [1900] = {.lex_state = 38},
  [1901] = {.lex_state = 38},
  [1902] = {.lex_state = 116, .external_lex_state = 16},
  [1903] = {.lex_state = 116, .external_lex_state = 16},
  [1904] = {.lex_state = 38},
  [1905] = {.lex_state = 38},
  [1906] = {.lex_state = 38},
  [1907] = {.lex_state = 38},
  [1908] = {.lex_state = 38},
  [1909] = {.lex_state = 38},
  [1910] = {.lex_state = 38},
  [1911] = {.lex_state = 38},
  [1912] = {.lex_state = 38},
  [1913] = {.lex_state = 38},
  [1914] = {.lex_state = 38},
  [1915] = {.lex_state = 38},
  [1916] = {.lex_state = 38},
  [1917] = {.lex_state = 38},
  [1918] = {.lex_state = 38},
  [1919] = {.lex_state = 38},
  [1920] = {.lex_state = 38},
  [1921] = {.lex_state = 38},
  [1922] = {.lex_state = 38},
  [1923] = {.lex_state = 38},
  [1924] = {.lex_state = 38},
  [1925] = {.lex_state = 38},
  [1926] = {.lex_state = 38},
  [1927] = {.lex_state = 38},
  [1928] = {.lex_state = 38},
  [1929] = {.lex_state = 38},
  [1930] = {.lex_state = 38},
  [1931] = {.lex_state = 38},
  [1932] = {.lex_state = 38},
  [1933] = {.lex_state = 116, .external_lex_state = 16},
  [1934] = {.lex_state = 38},
  [1935] = {.lex_state = 38},
  [1936] = {.lex_state = 38},
  [1937] = {.lex_state = 38},
  [1938] = {.lex_state = 38},
  [1939] = {.lex_state = 38},
  [1940] = {.lex_state = 38},
  [1941] = {.lex_state = 38},
  [1942] = {.lex_state = 38},
  [1943] = {.lex_state = 38},
  [1944] = {.lex_state = 38},
  [1945] = {.lex_state = 38},
  [1946] = {.lex_state = 38},
  [1947] = {.lex_state = 38},
  [1948] = {.lex_state = 38},
  [1949] = {.lex_state = 38},
  [1950] = {.lex_state = 116, .external_lex_state = 16},
  [1951] = {.lex_state = 116, .external_lex_state = 16},
  [1952] = {.lex_state = 116, .external_lex_state = 10},
  [1953] = {.lex_state = 116, .external_lex_state = 16},
  [1954] = {.lex_state = 116, .external_lex_state = 16},
  [1955] = {.lex_state = 116, .external_lex_state = 16},
  [1956] = {.lex_state = 116, .external_lex_state = 16},
  [1957] = {.lex_state = 116, .external_lex_state = 16},
  [1958] = {.lex_state = 116, .external_lex_state = 16},
  [1959] = {.lex_state = 116, .external_lex_state = 16},
  [1960] = {.lex_state = 116, .external_lex_state = 16},
  [1961] = {.lex_state = 116, .external_lex_state = 16},
  [1962] = {.lex_state = 116, .external_lex_state = 16},
  [1963] = {.lex_state = 116, .external_lex_state = 16},
  [1964] = {.lex_state = 116, .external_lex_state = 16},
  [1965] = {.lex_state = 116, .external_lex_state = 16},
  [1966] = {.lex_state = 116, .external_lex_state = 16},
  [1967] = {.lex_state = 116, .external_lex_state = 16},
  [1968] = {.lex_state = 116, .external_lex_state = 16},
  [1969] = {.lex_state = 116, .external_lex_state = 16},
  [1970] = {.lex_state = 116, .external_lex_state = 16},
  [1971] = {.lex_state = 116, .external_lex_state = 16},
  [1972] = {.lex_state = 116, .external_lex_state = 16},
  [1973] = {.lex_state = 116, .external_lex_state = 16},
  [1974] = {.lex_state = 116, .external_lex_state = 10},
  [1975] = {.lex_state = 116, .external_lex_state = 16},
  [1976] = {.lex_state = 116, .external_lex_state = 16},
  [1977] = {.lex_state = 26, .external_lex_state = 18},
  [1978] = {.lex_state = 116, .external_lex_state = 10},
  [1979] = {.lex_state = 26},
  [1980] = {.lex_state = 38, .external_lex_state = 19},
  [1981] = {.lex_state = 38, .external_lex_state = 19},
  [1982] = {.lex_state = 26, .external_lex_state = 12},
  [1983] = {.lex_state = 38, .external_lex_state = 19},
  [1984] = {.lex_state = 38, .external_lex_state = 19},
  [1985] = {.lex_state = 38, .external_lex_state = 19},
  [1986] = {.lex_state = 38},
  [1987] = {.lex_state = 26},
  [1988] = {.lex_state = 26},
  [1989] = {.lex_state = 26},
  [1990] = {.lex_state = 38, .external_lex_state = 19},
  [1991] = {.lex_state = 38, .external_lex_state = 19},
  [1992] = {.lex_state = 38, .external_lex_state = 19},
  [1993] = {.lex_state = 26},
  [1994] = {.lex_state = 38, .external_lex_state = 19},
  [1995] = {.lex_state = 38, .external_lex_state = 19},
  [1996] = {.lex_state = 38, .external_lex_state = 19},
  [1997] = {.lex_state = 26},
  [1998] = {.lex_state = 26},
  [1999] = {.lex_state = 26},
  [2000] = {.lex_state = 26},
  [2001] = {.lex_state = 38, .external_lex_state = 19},
  [2002] = {.lex_state = 38, .external_lex_state = 19},
  [2003] = {.lex_state = 26},
  [2004] = {.lex_state = 26},
  [2005] = {.lex_state = 38, .external_lex_state = 19},
  [2006] = {.lex_state = 26},
  [2007] = {.lex_state = 38, .external_lex_state = 19},
  [2008] = {.lex_state = 38, .external_lex_state = 19},
  [2009] = {.lex_state = 38, .external_lex_state = 19},
  [2010] = {.lex_state = 26},
  [2011] = {.lex_state = 26},
  [2012] = {.lex_state = 38, .external_lex_state = 19},
  [2013] = {.lex_state = 38},
  [2014] = {.lex_state = 26},
  [2015] = {.lex_state = 38, .external_lex_state = 19},
  [2016] = {.lex_state = 38, .external_lex_state = 19},
  [2017] = {.lex_state = 26},
  [2018] = {.lex_state = 38, .external_lex_state = 19},
  [2019] = {.lex_state = 38, .external_lex_state = 19},
  [2020] = {.lex_state = 26},
  [2021] = {.lex_state = 26},
  [2022] = {.lex_state = 38, .external_lex_state = 19},
  [2023] = {.lex_state = 38, .external_lex_state = 19},
  [2024] = {.lex_state = 38, .external_lex_state = 19},
  [2025] = {.lex_state = 26},
  [2026] = {.lex_state = 38, .external_lex_state = 19},
  [2027] = {.lex_state = 26},
  [2028] = {.lex_state = 38, .external_lex_state = 19},
  [2029] = {.lex_state = 26},
  [2030] = {.lex_state = 26},
  [2031] = {.lex_state = 26},
  [2032] = {.lex_state = 38, .external_lex_state = 19},
  [2033] = {.lex_state = 26},
  [2034] = {.lex_state = 38, .external_lex_state = 19},
  [2035] = {.lex_state = 26},
  [2036] = {.lex_state = 27},
  [2037] = {.lex_state = 27},
  [2038] = {.lex_state = 27},
  [2039] = {.lex_state = 41},
  [2040] = {.lex_state = 26, .external_lex_state = 21},
  [2041] = {.lex_state = 27},
  [2042] = {.lex_state = 27},
  [2043] = {.lex_state = 27},
  [2044] = {.lex_state = 27},
  [2045] = {.lex_state = 41},
  [2046] = {.lex_state = 27},
  [2047] = {.lex_state = 27},
  [2048] = {.lex_state = 27},
  [2049] = {.lex_state = 27},
  [2050] = {.lex_state = 26, .external_lex_state = 21},
  [2051] = {.lex_state = 26, .external_lex_state = 21},
  [2052] = {.lex_state = 27},
  [2053] = {.lex_state = 26, .external_lex_state = 21},
  [2054] = {.lex_state = 27},
  [2055] = {.lex_state = 27},
  [2056] = {.lex_state = 26, .external_lex_state = 21},
  [2057] = {.lex_state = 27},
  [2058] = {.lex_state = 27},
  [2059] = {.lex_state = 26, .external_lex_state = 21},
  [2060] = {.lex_state = 27},
  [2061] = {.lex_state = 26, .external_lex_state = 21},
  [2062] = {.lex_state = 26, .external_lex_state = 21},
  [2063] = {.lex_state = 27},
  [2064] = {.lex_state = 27},
  [2065] = {.lex_state = 27},
  [2066] = {.lex_state = 27},
  [2067] = {.lex_state = 27},
  [2068] = {.lex_state = 26, .external_lex_state = 21},
  [2069] = {.lex_state = 27},
  [2070] = {.lex_state = 26, .external_lex_state = 21},
  [2071] = {.lex_state = 41},
  [2072] = {.lex_state = 27},
  [2073] = {.lex_state = 26, .external_lex_state = 21},
  [2074] = {.lex_state = 26, .external_lex_state = 21},
  [2075] = {.lex_state = 27},
  [2076] = {.lex_state = 26, .external_lex_state = 21},
  [2077] = {.lex_state = 27},
  [2078] = {.lex_state = 27},
  [2079] = {.lex_state = 26, .external_lex_state = 21},
  [2080] = {.lex_state = 27},
  [2081] = {.lex_state = 27},
  [2082] = {.lex_state = 27},
  [2083] = {.lex_state = 26, .external_lex_state = 21},
  [2084] = {.lex_state = 26, .external_lex_state = 21},
  [2085] = {.lex_state = 27},
  [2086] = {.lex_state = 27},
  [2087] = {.lex_state = 26, .external_lex_state = 21},
  [2088] = {.lex_state = 26, .external_lex_state = 21},
  [2089] = {.lex_state = 27},
  [2090] = {.lex_state = 27},
  [2091] = {.lex_state = 27},
  [2092] = {.lex_state = 26, .external_lex_state = 21},
  [2093] = {.lex_state = 27},
  [2094] = {.lex_state = 41},
  [2095] = {.lex_state = 38},
  [2096] = {.lex_state = 26, .external_lex_state = 21},
  [2097] = {.lex_state = 27},
  [2098] = {.lex_state = 27},
  [2099] = {.lex_state = 27},
  [2100] = {.lex_state = 26, .external_lex_state = 21},
  [2101] = {.lex_state = 27},
  [2102] = {.lex_state = 26, .external_lex_state = 21},
  [2103] = {.lex_state = 26, .external_lex_state = 21},
  [2104] = {.lex_state = 26, .external_lex_state = 21},
  [2105] = {.lex_state = 27},
  [2106] = {.lex_state = 26, .external_lex_state = 21},
  [2107] = {.lex_state = 27},
  [2108] = {.lex_state = 41},
  [2109] = {.lex_state = 27},
  [2110] = {.lex_state = 27},
  [2111] = {.lex_state = 41},
  [2112] = {.lex_state = 27},
  [2113] = {.lex_state = 26, .external_lex_state = 21},
  [2114] = {.lex_state = 27},
  [2115] = {.lex_state = 27},
  [2116] = {.lex_state = 27},
  [2117] = {.lex_state = 38},
  [2118] = {.lex_state = 38},
  [2119] = {.lex_state = 38},
  [2120] = {.lex_state = 28},
  [2121] = {.lex_state = 38},
  [2122] = {.lex_state = 38},
  [2123] = {.lex_state = 38},
  [2124] = {.lex_state = 43, .external_lex_state = 21},
  [2125] = {.lex_state = 43, .external_lex_state = 21},
  [2126] = {.lex_state = 42},
  [2127] = {.lex_state = 42},
  [2128] = {.lex_state = 43, .external_lex_state = 21},
  [2129] = {.lex_state = 42},
  [2130] = {.lex_state = 42},
  [2131] = {.lex_state = 43, .external_lex_state = 21},
  [2132] = {.lex_state = 42},
  [2133] = {.lex_state = 43, .external_lex_state = 21},
  [2134] = {.lex_state = 42},
  [2135] = {.lex_state = 42},
  [2136] = {.lex_state = 43, .external_lex_state = 21},
  [2137] = {.lex_state = 42},
  [2138] = {.lex_state = 43, .external_lex_state = 21},
  [2139] = {.lex_state = 42},
  [2140] = {.lex_state = 43, .external_lex_state = 21},
  [2141] = {.lex_state = 42},
  [2142] = {.lex_state = 43, .external_lex_state = 21},
  [2143] = {.lex_state = 42},
  [2144] = {.lex_state = 43, .external_lex_state = 21},
  [2145] = {.lex_state = 42},
  [2146] = {.lex_state = 42},
  [2147] = {.lex_state = 42},
  [2148] = {.lex_state = 42},
  [2149] = {.lex_state = 42},
  [2150] = {.lex_state = 42},
  [2151] = {.lex_state = 42},
  [2152] = {.lex_state = 42},
  [2153] = {.lex_state = 43, .external_lex_state = 21},
  [2154] = {.lex_state = 43, .external_lex_state = 21},
  [2155] = {.lex_state = 42},
  [2156] = {.lex_state = 42},
  [2157] = {.lex_state = 43, .external_lex_state = 21},
  [2158] = {.lex_state = 42},
  [2159] = {.lex_state = 43, .external_lex_state = 21},
  [2160] = {.lex_state = 43, .external_lex_state = 21},
  [2161] = {.lex_state = 42},
  [2162] = {.lex_state = 42},
  [2163] = {.lex_state = 42},
  [2164] = {.lex_state = 42},
  [2165] = {.lex_state = 42},
  [2166] = {.lex_state = 43, .external_lex_state = 21},
  [2167] = {.lex_state = 42},
  [2168] = {.lex_state = 43, .external_lex_state = 21},
  [2169] = {.lex_state = 43, .external_lex_state = 21},
  [2170] = {.lex_state = 42},
  [2171] = {.lex_state = 42},
  [2172] = {.lex_state = 42},
  [2173] = {.lex_state = 31, .external_lex_state = 22},
  [2174] = {.lex_state = 43, .external_lex_state = 21},
  [2175] = {.lex_state = 43, .external_lex_state = 21},
  [2176] = {.lex_state = 42},
  [2177] = {.lex_state = 31, .external_lex_state = 22},
  [2178] = {.lex_state = 31, .external_lex_state = 22},
  [2179] = {.lex_state = 42},
  [2180] = {.lex_state = 42},
  [2181] = {.lex_state = 42},
  [2182] = {.lex_state = 43, .external_lex_state = 21},
  [2183] = {.lex_state = 42},
  [2184] = {.lex_state = 43, .external_lex_state = 21},
  [2185] = {.lex_state = 42},
  [2186] = {.lex_state = 31, .external_lex_state = 22},
  [2187] = {.lex_state = 42},
  [2188] = {.lex_state = 43, .external_lex_state = 21},
  [2189] = {.lex_state = 42},
  [2190] = {.lex_state = 42},
  [2191] = {.lex_state = 43, .external_lex_state = 21},
  [2192] = {.lex_state = 42},
  [2193] = {.lex_state = 42},
  [2194] = {.lex_state = 42},
  [2195] = {.lex_state = 42},
  [2196] = {.lex_state = 31, .external_lex_state = 22},
  [2197] = {.lex_state = 26},
  [2198] = {.lex_state = 42},
  [2199] = {.lex_state = 43, .external_lex_state = 21},
  [2200] = {.lex_state = 42},
  [2201] = {.lex_state = 42},
  [2202] = {.lex_state = 43, .external_lex_state = 21},
  [2203] = {.lex_state = 42},
  [2204] = {.lex_state = 42},
  [2205] = {.lex_state = 43},
  [2206] = {.lex_state = 43},
  [2207] = {.lex_state = 43},
  [2208] = {.lex_state = 43},
  [2209] = {.lex_state = 4, .external_lex_state = 16},
  [2210] = {.lex_state = 42, .external_lex_state = 19},
  [2211] = {.lex_state = 42, .external_lex_state = 19},
  [2212] = {.lex_state = 4, .external_lex_state = 16},
  [2213] = {.lex_state = 4, .external_lex_state = 10},
  [2214] = {.lex_state = 4, .external_lex_state = 10},
  [2215] = {.lex_state = 4, .external_lex_state = 10},
  [2216] = {.lex_state = 42, .external_lex_state = 19},
  [2217] = {.lex_state = 42, .external_lex_state = 19},
  [2218] = {.lex_state = 4, .external_lex_state = 10},
  [2219] = {.lex_state = 42, .external_lex_state = 19},
  [2220] = {.lex_state = 42, .external_lex_state = 19},
  [2221] = {.lex_state = 4, .external_lex_state = 16},
  [2222] = {.lex_state = 42, .external_lex_state = 19},
  [2223] = {.lex_state = 4, .external_lex_state = 16},
  [2224] = {.lex_state = 42, .external_lex_state = 19},
  [2225] = {.lex_state = 4, .external_lex_state = 10},
  [2226] = {.lex_state = 42, .external_lex_state = 19},
  [2227] = {.lex_state = 42, .external_lex_state = 19},
  [2228] = {.lex_state = 4, .external_lex_state = 16},
  [2229] = {.lex_state = 42, .external_lex_state = 19},
  [2230] = {.lex_state = 42, .external_lex_state = 19},
  [2231] = {.lex_state = 42, .external_lex_state = 19},
  [2232] = {.lex_state = 42, .external_lex_state = 19},
  [2233] = {.lex_state = 42, .external_lex_state = 19},
  [2234] = {.lex_state = 42, .external_lex_state = 19},
  [2235] = {.lex_state = 42, .external_lex_state = 19},
  [2236] = {.lex_state = 42, .external_lex_state = 19},
  [2237] = {.lex_state = 42, .external_lex_state = 19},
  [2238] = {.lex_state = 42, .external_lex_state = 19},
  [2239] = {.lex_state = 42, .external_lex_state = 19},
  [2240] = {.lex_state = 4, .external_lex_state = 10},
  [2241] = {.lex_state = 37},
  [2242] = {.lex_state = 4, .external_lex_state = 16},
  [2243] = {.lex_state = 4, .external_lex_state = 16},
  [2244] = {.lex_state = 31, .external_lex_state = 22},
  [2245] = {.lex_state = 31, .external_lex_state = 22},
  [2246] = {.lex_state = 4, .external_lex_state = 16},
  [2247] = {.lex_state = 31, .external_lex_state = 22},
  [2248] = {.lex_state = 4, .external_lex_state = 16},
  [2249] = {.lex_state = 31, .external_lex_state = 22},
  [2250] = {.lex_state = 4, .external_lex_state = 16},
  [2251] = {.lex_state = 31, .external_lex_state = 22},
  [2252] = {.lex_state = 4, .external_lex_state = 16},
  [2253] = {.lex_state = 31, .external_lex_state = 22},
  [2254] = {.lex_state = 31, .external_lex_state = 22},
  [2255] = {.lex_state = 31, .external_lex_state = 22},
  [2256] = {.lex_state = 31, .external_lex_state = 22},
  [2257] = {.lex_state = 31, .external_lex_state = 22},
  [2258] = {.lex_state = 31, .external_lex_state = 22},
  [2259] = {.lex_state = 31, .external_lex_state = 22},
  [2260] = {.lex_state = 4, .external_lex_state = 16},
  [2261] = {.lex_state = 4, .external_lex_state = 16},
  [2262] = {.lex_state = 4, .external_lex_state = 16},
  [2263] = {.lex_state = 31, .external_lex_state = 22},
  [2264] = {.lex_state = 31, .external_lex_state = 22},
  [2265] = {.lex_state = 4, .external_lex_state = 16},
  [2266] = {.lex_state = 4, .external_lex_state = 16},
  [2267] = {.lex_state = 4, .external_lex_state = 16},
  [2268] = {.lex_state = 4, .external_lex_state = 16},
  [2269] = {.lex_state = 31, .external_lex_state = 22},
  [2270] = {.lex_state = 31, .external_lex_state = 22},
  [2271] = {.lex_state = 42},
  [2272] = {.lex_state = 4, .external_lex_state = 16},
  [2273] = {.lex_state = 4, .external_lex_state = 16},
  [2274] = {.lex_state = 31, .external_lex_state = 22},
  [2275] = {.lex_state = 37},
  [2276] = {.lex_state = 31, .external_lex_state = 22},
  [2277] = {.lex_state = 4, .external_lex_state = 16},
  [2278] = {.lex_state = 42},
  [2279] = {.lex_state = 4, .external_lex_state = 16},
  [2280] = {.lex_state = 31, .external_lex_state = 22},
  [2281] = {.lex_state = 4, .external_lex_state = 16},
  [2282] = {.lex_state = 37},
  [2283] = {.lex_state = 4, .external_lex_state = 16},
  [2284] = {.lex_state = 4, .external_lex_state = 16},
  [2285] = {.lex_state = 4, .external_lex_state = 16},
  [2286] = {.lex_state = 4, .external_lex_state = 16},
  [2287] = {.lex_state = 4, .external_lex_state = 16},
  [2288] = {.lex_state = 4, .external_lex_state = 16},
  [2289] = {.lex_state = 4, .external_lex_state = 16},
  [2290] = {.lex_state = 4, .external_lex_state = 10},
  [2291] = {.lex_state = 37},
  [2292] = {.lex_state = 38, .external_lex_state = 19},
  [2293] = {.lex_state = 37},
  [2294] = {.lex_state = 44},
  [2295] = {.lex_state = 116, .external_lex_state = 10},
  [2296] = {.lex_state = 4, .external_lex_state = 10},
  [2297] = {.lex_state = 44},
  [2298] = {.lex_state = 116, .external_lex_state = 10},
  [2299] = {.lex_state = 44},
  [2300] = {.lex_state = 38},
  [2301] = {.lex_state = 117, .external_lex_state = 19},
  [2302] = {.lex_state = 44},
  [2303] = {.lex_state = 116, .external_lex_state = 10},
  [2304] = {.lex_state = 116, .external_lex_state = 10},
  [2305] = {.lex_state = 44},
  [2306] = {.lex_state = 116, .external_lex_state = 10},
  [2307] = {.lex_state = 44},
  [2308] = {.lex_state = 4, .external_lex_state = 10},
  [2309] = {.lex_state = 44},
  [2310] = {.lex_state = 4, .external_lex_state = 10},
  [2311] = {.lex_state = 116, .external_lex_state = 10},
  [2312] = {.lex_state = 116, .external_lex_state = 10},
  [2313] = {.lex_state = 44},
  [2314] = {.lex_state = 38},
  [2315] = {.lex_state = 117, .external_lex_state = 19},
  [2316] = {.lex_state = 116, .external_lex_state = 10},
  [2317] = {.lex_state = 4, .external_lex_state = 10},
  [2318] = {.lex_state = 44},
  [2319] = {.lex_state = 4, .external_lex_state = 10},
  [2320] = {.lex_state = 44},
  [2321] = {.lex_state = 44},
  [2322] = {.lex_state = 44},
  [2323] = {.lex_state = 44},
  [2324] = {.lex_state = 44},
  [2325] = {.lex_state = 44},
  [2326] = {.lex_state = 116, .external_lex_state = 10},
  [2327] = {.lex_state = 4, .external_lex_state = 10},
  [2328] = {.lex_state = 44},
  [2329] = {.lex_state = 44},
  [2330] = {.lex_state = 44},
  [2331] = {.lex_state = 38},
  [2332] = {.lex_state = 44},
  [2333] = {.lex_state = 44},
  [2334] = {.lex_state = 44},
  [2335] = {.lex_state = 44},
  [2336] = {.lex_state = 44},
  [2337] = {.lex_state = 44},
  [2338] = {.lex_state = 44},
  [2339] = {.lex_state = 116, .external_lex_state = 10},
  [2340] = {.lex_state = 116, .external_lex_state = 10},
  [2341] = {.lex_state = 116, .external_lex_state = 10},
  [2342] = {.lex_state = 44},
  [2343] = {.lex_state = 116, .external_lex_state = 10},
  [2344] = {.lex_state = 116, .external_lex_state = 10},
  [2345] = {.lex_state = 31, .external_lex_state = 18},
  [2346] = {.lex_state = 44},
  [2347] = {.lex_state = 31, .external_lex_state = 18},
  [2348] = {.lex_state = 116, .external_lex_state = 10},
  [2349] = {.lex_state = 44},
  [2350] = {.lex_state = 116, .external_lex_state = 10},
  [2351] = {.lex_state = 116, .external_lex_state = 10},
  [2352] = {.lex_state = 44},
  [2353] = {.lex_state = 116, .external_lex_state = 10},
  [2354] = {.lex_state = 116, .external_lex_state = 10},
  [2355] = {.lex_state = 44},
  [2356] = {.lex_state = 117, .external_lex_state = 19},
  [2357] = {.lex_state = 116, .external_lex_state = 10},
  [2358] = {.lex_state = 116, .external_lex_state = 10},
  [2359] = {.lex_state = 39, .external_lex_state = 20},
  [2360] = {.lex_state = 44},
  [2361] = {.lex_state = 31, .external_lex_state = 18},
  [2362] = {.lex_state = 116, .external_lex_state = 10},
  [2363] = {.lex_state = 44},
  [2364] = {.lex_state = 117, .external_lex_state = 19},
  [2365] = {.lex_state = 31, .external_lex_state = 18},
  [2366] = {.lex_state = 24, .external_lex_state = 20},
  [2367] = {.lex_state = 24, .external_lex_state = 20},
  [2368] = {.lex_state = 43},
  [2369] = {.lex_state = 24, .external_lex_state = 20},
  [2370] = {.lex_state = 39, .external_lex_state = 12},
  [2371] = {.lex_state = 39, .external_lex_state = 12},
  [2372] = {.lex_state = 24, .external_lex_state = 20},
  [2373] = {.lex_state = 24, .external_lex_state = 20},
  [2374] = {.lex_state = 24, .external_lex_state = 20},
  [2375] = {.lex_state = 24, .external_lex_state = 20},
  [2376] = {.lex_state = 24, .external_lex_state = 20},
  [2377] = {.lex_state = 39, .external_lex_state = 12},
  [2378] = {.lex_state = 39, .external_lex_state = 12},
  [2379] = {.lex_state = 39, .external_lex_state = 12},
  [2380] = {.lex_state = 24, .external_lex_state = 20},
  [2381] = {.lex_state = 24, .external_lex_state = 20},
  [2382] = {.lex_state = 39, .external_lex_state = 12},
  [2383] = {.lex_state = 24, .external_lex_state = 20},
  [2384] = {.lex_state = 24, .external_lex_state = 20},
  [2385] = {.lex_state = 39, .external_lex_state = 12},
  [2386] = {.lex_state = 31, .external_lex_state = 18},
  [2387] = {.lex_state = 117},
  [2388] = {.lex_state = 24, .external_lex_state = 20},
  [2389] = {.lex_state = 39, .external_lex_state = 12},
  [2390] = {.lex_state = 43, .external_lex_state = 19},
  [2391] = {.lex_state = 39, .external_lex_state = 12},
  [2392] = {.lex_state = 24, .external_lex_state = 20},
  [2393] = {.lex_state = 24, .external_lex_state = 20},
  [2394] = {.lex_state = 39, .external_lex_state = 12},
  [2395] = {.lex_state = 39, .external_lex_state = 12},
  [2396] = {.lex_state = 24, .external_lex_state = 20},
  [2397] = {.lex_state = 39, .external_lex_state = 12},
  [2398] = {.lex_state = 43, .external_lex_state = 19},
  [2399] = {.lex_state = 24, .external_lex_state = 20},
  [2400] = {.lex_state = 24, .external_lex_state = 20},
  [2401] = {.lex_state = 39, .external_lex_state = 12},
  [2402] = {.lex_state = 39, .external_lex_state = 12},
  [2403] = {.lex_state = 24, .external_lex_state = 20},
  [2404] = {.lex_state = 24, .external_lex_state = 20},
  [2405] = {.lex_state = 39, .external_lex_state = 12},
  [2406] = {.lex_state = 39, .external_lex_state = 12},
  [2407] = {.lex_state = 43},
  [2408] = {.lex_state = 39, .external_lex_state = 12},
  [2409] = {.lex_state = 117},
  [2410] = {.lex_state = 24, .external_lex_state = 20},
  [2411] = {.lex_state = 24, .external_lex_state = 20},
  [2412] = {.lex_state = 24, .external_lex_state = 20},
  [2413] = {.lex_state = 39, .external_lex_state = 12},
  [2414] = {.lex_state = 24, .external_lex_state = 20},
  [2415] = {.lex_state = 117},
  [2416] = {.lex_state = 39, .external_lex_state = 12},
  [2417] = {.lex_state = 39, .external_lex_state = 12},
  [2418] = {.lex_state = 39, .external_lex_state = 12},
  [2419] = {.lex_state = 39, .external_lex_state = 12},
  [2420] = {.lex_state = 24, .external_lex_state = 20},
  [2421] = {.lex_state = 39, .external_lex_state = 12},
  [2422] = {.lex_state = 24, .external_lex_state = 20},
  [2423] = {.lex_state = 24, .external_lex_state = 20},
  [2424] = {.lex_state = 117},
  [2425] = {.lex_state = 39, .external_lex_state = 12},
  [2426] = {.lex_state = 24, .external_lex_state = 20},
  [2427] = {.lex_state = 39, .external_lex_state = 12},
  [2428] = {.lex_state = 24, .external_lex_state = 20},
  [2429] = {.lex_state = 39, .external_lex_state = 12},
  [2430] = {.lex_state = 39, .external_lex_state = 12},
  [2431] = {.lex_state = 24, .external_lex_state = 20},
  [2432] = {.lex_state = 24, .external_lex_state = 20},
  [2433] = {.lex_state = 39, .external_lex_state = 12},
  [2434] = {.lex_state = 24, .external_lex_state = 20},
  [2435] = {.lex_state = 43, .external_lex_state = 19},
  [2436] = {.lex_state = 31, .external_lex_state = 18},
  [2437] = {.lex_state = 43},
  [2438] = {.lex_state = 43, .external_lex_state = 19},
  [2439] = {.lex_state = 24, .external_lex_state = 20},
  [2440] = {.lex_state = 43},
  [2441] = {.lex_state = 117},
  [2442] = {.lex_state = 39, .external_lex_state = 12},
  [2443] = {.lex_state = 24, .external_lex_state = 20},
  [2444] = {.lex_state = 39, .external_lex_state = 12},
  [2445] = {.lex_state = 39, .external_lex_state = 12},
  [2446] = {.lex_state = 43},
  [2447] = {.lex_state = 24, .external_lex_state = 20},
  [2448] = {.lex_state = 39, .external_lex_state = 12},
  [2449] = {.lex_state = 24, .external_lex_state = 20},
  [2450] = {.lex_state = 39, .external_lex_state = 12},
  [2451] = {.lex_state = 24, .external_lex_state = 20},
  [2452] = {.lex_state = 39, .external_lex_state = 12},
  [2453] = {.lex_state = 39, .external_lex_state = 12},
  [2454] = {.lex_state = 24, .external_lex_state = 20},
  [2455] = {.lex_state = 24, .external_lex_state = 20},
  [2456] = {.lex_state = 39, .external_lex_state = 12},
  [2457] = {.lex_state = 24, .external_lex_state = 20},
  [2458] = {.lex_state = 43},
  [2459] = {.lex_state = 24, .external_lex_state = 20},
  [2460] = {.lex_state = 39, .external_lex_state = 12},
  [2461] = {.lex_state = 43},
  [2462] = {.lex_state = 39, .external_lex_state = 12},
  [2463] = {.lex_state = 39, .external_lex_state = 12},
  [2464] = {.lex_state = 24, .external_lex_state = 20},
  [2465] = {.lex_state = 31, .external_lex_state = 18},
  [2466] = {.lex_state = 39, .external_lex_state = 12},
  [2467] = {.lex_state = 39, .external_lex_state = 12},
  [2468] = {.lex_state = 24, .external_lex_state = 20},
  [2469] = {.lex_state = 117},
  [2470] = {.lex_state = 31, .external_lex_state = 18},
  [2471] = {.lex_state = 39, .external_lex_state = 12},
  [2472] = {.lex_state = 43},
  [2473] = {.lex_state = 24, .external_lex_state = 20},
  [2474] = {.lex_state = 39, .external_lex_state = 12},
  [2475] = {.lex_state = 24, .external_lex_state = 20},
  [2476] = {.lex_state = 24, .external_lex_state = 20},
  [2477] = {.lex_state = 39, .external_lex_state = 12},
  [2478] = {.lex_state = 39, .external_lex_state = 12},
  [2479] = {.lex_state = 117},
  [2480] = {.lex_state = 24, .external_lex_state = 20},
  [2481] = {.lex_state = 39, .external_lex_state = 12},
  [2482] = {.lex_state = 24, .external_lex_state = 20},
  [2483] = {.lex_state = 43},
  [2484] = {.lex_state = 39, .external_lex_state = 12},
  [2485] = {.lex_state = 24, .external_lex_state = 20},
  [2486] = {.lex_state = 39, .external_lex_state = 12},
  [2487] = {.lex_state = 24, .external_lex_state = 20},
  [2488] = {.lex_state = 39, .external_lex_state = 12},
  [2489] = {.lex_state = 39, .external_lex_state = 12},
  [2490] = {.lex_state = 39, .external_lex_state = 12},
  [2491] = {.lex_state = 39, .external_lex_state = 12},
  [2492] = {.lex_state = 24, .external_lex_state = 20},
  [2493] = {.lex_state = 24, .external_lex_state = 20},
  [2494] = {.lex_state = 39, .external_lex_state = 12},
  [2495] = {.lex_state = 24, .external_lex_state = 20},
  [2496] = {.lex_state = 24, .external_lex_state = 20},
  [2497] = {.lex_state = 43},
  [2498] = {.lex_state = 43},
  [2499] = {.lex_state = 37},
  [2500] = {.lex_state = 31},
  [2501] = {.lex_state = 31},
  [2502] = {.lex_state = 43},
  [2503] = {.lex_state = 43},
  [2504] = {.lex_state = 43},
  [2505] = {.lex_state = 43},
  [2506] = {.lex_state = 43},
  [2507] = {.lex_state = 43},
  [2508] = {.lex_state = 43},
  [2509] = {.lex_state = 117},
  [2510] = {.lex_state = 43},
  [2511] = {.lex_state = 43},
  [2512] = {.lex_state = 43},
  [2513] = {.lex_state = 43},
  [2514] = {.lex_state = 43},
  [2515] = {.lex_state = 43},
  [2516] = {.lex_state = 43},
  [2517] = {.lex_state = 43},
  [2518] = {.lex_state = 43},
  [2519] = {.lex_state = 43},
  [2520] = {.lex_state = 37},
  [2521] = {.lex_state = 43},
  [2522] = {.lex_state = 32},
  [2523] = {.lex_state = 24, .external_lex_state = 20},
  [2524] = {.lex_state = 39, .external_lex_state = 12},
  [2525] = {.lex_state = 37},
  [2526] = {.lex_state = 43},
  [2527] = {.lex_state = 43},
  [2528] = {.lex_state = 43},
  [2529] = {.lex_state = 24, .external_lex_state = 20},
  [2530] = {.lex_state = 43},
  [2531] = {.lex_state = 43},
  [2532] = {.lex_state = 24, .external_lex_state = 20},
  [2533] = {.lex_state = 24, .external_lex_state = 20},
  [2534] = {.lex_state = 43},
  [2535] = {.lex_state = 43},
  [2536] = {.lex_state = 24, .external_lex_state = 20},
  [2537] = {.lex_state = 24, .external_lex_state = 20},
  [2538] = {.lex_state = 32},
  [2539] = {.lex_state = 43},
  [2540] = {.lex_state = 43},
  [2541] = {.lex_state = 37},
  [2542] = {.lex_state = 43},
  [2543] = {.lex_state = 24, .external_lex_state = 20},
  [2544] = {.lex_state = 43},
  [2545] = {.lex_state = 24, .external_lex_state = 20},
  [2546] = {.lex_state = 43},
  [2547] = {.lex_state = 43},
  [2548] = {.lex_state = 31, .external_lex_state = 18},
  [2549] = {.lex_state = 43},
  [2550] = {.lex_state = 24, .external_lex_state = 20},
  [2551] = {.lex_state = 43},
  [2552] = {.lex_state = 43},
  [2553] = {.lex_state = 43},
  [2554] = {.lex_state = 43},
  [2555] = {.lex_state = 24, .external_lex_state = 20},
  [2556] = {.lex_state = 24, .external_lex_state = 20},
  [2557] = {.lex_state = 43},
  [2558] = {.lex_state = 43},
  [2559] = {.lex_state = 24, .external_lex_state = 20},
  [2560] = {.lex_state = 24, .external_lex_state = 20},
  [2561] = {.lex_state = 43},
  [2562] = {.lex_state = 24, .external_lex_state = 20},
  [2563] = {.lex_state = 24, .external_lex_state = 20},
  [2564] = {.lex_state = 24, .external_lex_state = 20},
  [2565] = {.lex_state = 24, .external_lex_state = 20},
  [2566] = {.lex_state = 32},
  [2567] = {.lex_state = 24, .external_lex_state = 20},
  [2568] = {.lex_state = 24, .external_lex_state = 20},
  [2569] = {.lex_state = 24, .external_lex_state = 20},
  [2570] = {.lex_state = 43},
  [2571] = {.lex_state = 43},
  [2572] = {.lex_state = 43},
  [2573] = {.lex_state = 43},
  [2574] = {.lex_state = 24, .external_lex_state = 20},
  [2575] = {.lex_state = 24, .external_lex_state = 20},
  [2576] = {.lex_state = 37},
  [2577] = {.lex_state = 24, .external_lex_state = 20},
  [2578] = {.lex_state = 117},
  [2579] = {.lex_state = 117},
  [2580] = {.lex_state = 117},
  [2581] = {.lex_state = 43},
  [2582] = {.lex_state = 43},
  [2583] = {.lex_state = 43},
  [2584] = {.lex_state = 43},
  [2585] = {.lex_state = 24, .external_lex_state = 20},
  [2586] = {.lex_state = 43},
  [2587] = {.lex_state = 43},
  [2588] = {.lex_state = 43},
  [2589] = {.lex_state = 43},
  [2590] = {.lex_state = 31, .external_lex_state = 18},
  [2591] = {.lex_state = 43},
  [2592] = {.lex_state = 43},
  [2593] = {.lex_state = 24, .external_lex_state = 20},
  [2594] = {.lex_state = 43},
  [2595] = {.lex_state = 43},
  [2596] = {.lex_state = 117},
  [2597] = {.lex_state = 43},
  [2598] = {.lex_state = 43},
  [2599] = {.lex_state = 43},
  [2600] = {.lex_state = 37},
  [2601] = {.lex_state = 43},
  [2602] = {.lex_state = 32},
  [2603] = {.lex_state = 43},
  [2604] = {.lex_state = 37},
  [2605] = {.lex_state = 43},
  [2606] = {.lex_state = 32},
  [2607] = {.lex_state = 24, .external_lex_state = 12},
  [2608] = {.lex_state = 24, .external_lex_state = 12},
  [2609] = {.lex_state = 117},
  [2610] = {.lex_state = 24, .external_lex_state = 12},
  [2611] = {.lex_state = 37},
  [2612] = {.lex_state = 117},
  [2613] = {.lex_state = 117},
  [2614] = {.lex_state = 24, .external_lex_state = 12},
  [2615] = {.lex_state = 24, .external_lex_state = 12},
  [2616] = {.lex_state = 117},
  [2617] = {.lex_state = 24, .external_lex_state = 12},
  [2618] = {.lex_state = 117},
  [2619] = {.lex_state = 37},
  [2620] = {.lex_state = 31, .external_lex_state = 11},
  [2621] = {.lex_state = 32},
  [2622] = {.lex_state = 32},
  [2623] = {.lex_state = 32},
  [2624] = {.lex_state = 31, .external_lex_state = 11},
  [2625] = {.lex_state = 117},
  [2626] = {.lex_state = 24, .external_lex_state = 12},
  [2627] = {.lex_state = 117},
  [2628] = {.lex_state = 117},
  [2629] = {.lex_state = 117},
  [2630] = {.lex_state = 24, .external_lex_state = 12},
  [2631] = {.lex_state = 24, .external_lex_state = 12},
  [2632] = {.lex_state = 117},
  [2633] = {.lex_state = 117},
  [2634] = {.lex_state = 24, .external_lex_state = 12},
  [2635] = {.lex_state = 117},
  [2636] = {.lex_state = 117},
  [2637] = {.lex_state = 24, .external_lex_state = 12},
  [2638] = {.lex_state = 117},
  [2639] = {.lex_state = 24, .external_lex_state = 12},
  [2640] = {.lex_state = 117},
  [2641] = {.lex_state = 117},
  [2642] = {.lex_state = 117},
  [2643] = {.lex_state = 117, .external_lex_state = 23},
  [2644] = {.lex_state = 117},
  [2645] = {.lex_state = 117},
  [2646] = {.lex_state = 37},
  [2647] = {.lex_state = 117},
  [2648] = {.lex_state = 24, .external_lex_state = 12},
  [2649] = {.lex_state = 117},
  [2650] = {.lex_state = 117},
  [2651] = {.lex_state = 117},
  [2652] = {.lex_state = 117},
  [2653] = {.lex_state = 117},
  [2654] = {.lex_state = 117},
  [2655] = {.lex_state = 24, .external_lex_state = 12},
  [2656] = {.lex_state = 117},
  [2657] = {.lex_state = 24, .external_lex_state = 12},
  [2658] = {.lex_state = 117},
  [2659] = {.lex_state = 117},
  [2660] = {.lex_state = 117},
  [2661] = {.lex_state = 24, .external_lex_state = 12},
  [2662] = {.lex_state = 117},
  [2663] = {.lex_state = 117},
  [2664] = {.lex_state = 117},
  [2665] = {.lex_state = 24, .external_lex_state = 12},
  [2666] = {.lex_state = 117},
  [2667] = {.lex_state = 24, .external_lex_state = 12},
  [2668] = {.lex_state = 37},
  [2669] = {.lex_state = 37},
  [2670] = {.lex_state = 24, .external_lex_state = 12},
  [2671] = {.lex_state = 32},
  [2672] = {.lex_state = 32},
  [2673] = {.lex_state = 117, .external_lex_state = 23},
  [2674] = {.lex_state = 117},
  [2675] = {.lex_state = 117},
  [2676] = {.lex_state = 24, .external_lex_state = 12},
  [2677] = {.lex_state = 24, .external_lex_state = 12},
  [2678] = {.lex_state = 24, .external_lex_state = 12},
  [2679] = {.lex_state = 117},
  [2680] = {.lex_state = 32},
  [2681] = {.lex_state = 117},
  [2682] = {.lex_state = 117},
  [2683] = {.lex_state = 24, .external_lex_state = 12},
  [2684] = {.lex_state = 32},
  [2685] = {.lex_state = 37},
  [2686] = {.lex_state = 24, .external_lex_state = 12},
  [2687] = {.lex_state = 32},
  [2688] = {.lex_state = 32},
  [2689] = {.lex_state = 37},
  [2690] = {.lex_state = 117},
  [2691] = {.lex_state = 117},
  [2692] = {.lex_state = 117},
  [2693] = {.lex_state = 24, .external_lex_state = 12},
  [2694] = {.lex_state = 24, .external_lex_state = 12},
  [2695] = {.lex_state = 24, .external_lex_state = 12},
  [2696] = {.lex_state = 24, .external_lex_state = 12},
  [2697] = {.lex_state = 37},
  [2698] = {.lex_state = 24, .external_lex_state = 12},
  [2699] = {.lex_state = 37},
  [2700] = {.lex_state = 37},
  [2701] = {.lex_state = 117},
  [2702] = {.lex_state = 24, .external_lex_state = 12},
  [2703] = {.lex_state = 24, .external_lex_state = 12},
  [2704] = {.lex_state = 117},
  [2705] = {.lex_state = 117},
  [2706] = {.lex_state = 117},
  [2707] = {.lex_state = 117},
  [2708] = {.lex_state = 117},
  [2709] = {.lex_state = 117},
  [2710] = {.lex_state = 24, .external_lex_state = 12},
  [2711] = {.lex_state = 117},
  [2712] = {.lex_state = 117},
  [2713] = {.lex_state = 117},
  [2714] = {.lex_state = 117},
  [2715] = {.lex_state = 117},
  [2716] = {.lex_state = 24, .external_lex_state = 12},
  [2717] = {.lex_state = 32},
  [2718] = {.lex_state = 117},
  [2719] = {.lex_state = 24, .external_lex_state = 12},
  [2720] = {.lex_state = 24, .external_lex_state = 12},
  [2721] = {.lex_state = 117},
  [2722] = {.lex_state = 117},
  [2723] = {.lex_state = 117},
  [2724] = {.lex_state = 117},
  [2725] = {.lex_state = 24, .external_lex_state = 12},
  [2726] = {.lex_state = 117},
  [2727] = {.lex_state = 32},
  [2728] = {.lex_state = 117},
  [2729] = {.lex_state = 24, .external_lex_state = 12},
  [2730] = {.lex_state = 31, .external_lex_state = 11},
  [2731] = {.lex_state = 24, .external_lex_state = 12},
  [2732] = {.lex_state = 24, .external_lex_state = 12},
  [2733] = {.lex_state = 117},
  [2734] = {.lex_state = 117},
  [2735] = {.lex_state = 117},
  [2736] = {.lex_state = 117},
  [2737] = {.lex_state = 117},
  [2738] = {.lex_state = 24, .external_lex_state = 12},
  [2739] = {.lex_state = 117},
  [2740] = {.lex_state = 117},
  [2741] = {.lex_state = 117},
  [2742] = {.lex_state = 117},
  [2743] = {.lex_state = 24, .external_lex_state = 12},
  [2744] = {.lex_state = 117},
  [2745] = {.lex_state = 117},
  [2746] = {.lex_state = 117},
  [2747] = {.lex_state = 32},
  [2748] = {.lex_state = 117},
  [2749] = {.lex_state = 32},
  [2750] = {.lex_state = 117},
  [2751] = {.lex_state = 24, .external_lex_state = 12},
  [2752] = {.lex_state = 117},
  [2753] = {.lex_state = 117},
  [2754] = {.lex_state = 37},
  [2755] = {.lex_state = 31, .external_lex_state = 11},
  [2756] = {.lex_state = 24, .external_lex_state = 12},
  [2757] = {.lex_state = 24, .external_lex_state = 12},
  [2758] = {.lex_state = 117},
  [2759] = {.lex_state = 24, .external_lex_state = 12},
  [2760] = {.lex_state = 117},
  [2761] = {.lex_state = 117},
  [2762] = {.lex_state = 24, .external_lex_state = 12},
  [2763] = {.lex_state = 24, .external_lex_state = 12},
  [2764] = {.lex_state = 117},
  [2765] = {.lex_state = 32},
  [2766] = {.lex_state = 32},
  [2767] = {.lex_state = 117},
  [2768] = {.lex_state = 117},
  [2769] = {.lex_state = 24, .external_lex_state = 12},
  [2770] = {.lex_state = 117},
  [2771] = {.lex_state = 24, .external_lex_state = 12},
  [2772] = {.lex_state = 117},
  [2773] = {.lex_state = 24, .external_lex_state = 12},
  [2774] = {.lex_state = 24, .external_lex_state = 12},
  [2775] = {.lex_state = 117},
  [2776] = {.lex_state = 117},
  [2777] = {.lex_state = 117},
  [2778] = {.lex_state = 24, .external_lex_state = 12},
};

enum {
  ts_external_token_heredoc_start = 0,
  ts_external_token__simple_heredoc_body = 1,
  ts_external_token__heredoc_body_beginning = 2,
  ts_external_token__heredoc_body_middle = 3,
  ts_external_token__heredoc_body_end = 4,
  ts_external_token_file_descriptor = 5,
  ts_external_token__empty_value = 6,
  ts_external_token__concat = 7,
  ts_external_token_variable_name = 8,
  ts_external_token_regex = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_RBRACK = 11,
  ts_external_token_LT_LT = 12,
  ts_external_token_LT_LT_DASH = 13,
  ts_external_token_LF = 14,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token__simple_heredoc_body] = sym__simple_heredoc_body,
  [ts_external_token__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [ts_external_token__heredoc_body_middle] = sym__heredoc_body_middle,
  [ts_external_token__heredoc_body_end] = sym__heredoc_body_end,
  [ts_external_token_file_descriptor] = sym_file_descriptor,
  [ts_external_token__empty_value] = sym__empty_value,
  [ts_external_token__concat] = sym__concat,
  [ts_external_token_variable_name] = sym_variable_name,
  [ts_external_token_regex] = sym_regex,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_LT_LT] = anon_sym_LT_LT,
  [ts_external_token_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [ts_external_token_LF] = anon_sym_LF,
};

static bool ts_external_scanner_states[24][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_heredoc_start] = true,
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__empty_value] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [2] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [3] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [4] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [5] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [6] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [7] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [8] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [9] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [10] = {
    [ts_external_token_LF] = true,
  },
  [11] = {
    [ts_external_token_RBRACK] = true,
  },
  [12] = {
    [ts_external_token_RBRACE] = true,
  },
  [13] = {
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
  },
  [14] = {
    [ts_external_token_regex] = true,
  },
  [15] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
  },
  [16] = {
    [ts_external_token__concat] = true,
    [ts_external_token_LF] = true,
  },
  [17] = {
    [ts_external_token__empty_value] = true,
  },
  [18] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACK] = true,
  },
  [19] = {
    [ts_external_token__concat] = true,
  },
  [20] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACE] = true,
  },
  [21] = {
    [ts_external_token_variable_name] = true,
  },
  [22] = {
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
  },
  [23] = {
    [ts_external_token_heredoc_start] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_word] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_done] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_fi] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_esac] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PIPE_AMP] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_typeset] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [anon_sym_unsetenv] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_GT] = ACTIONS(1),
    [anon_sym_AMP_GT_GT] = ACTIONS(1),
    [anon_sym_LT_AMP] = ACTIONS(1),
    [anon_sym_GT_AMP] = ACTIONS(1),
    [anon_sym_GT_PIPE] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_LT_LT_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [sym__special_character] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_raw_string] = ACTIONS(1),
    [sym_ansii_c_string] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_COLON_QMARK] = ACTIONS(1),
    [anon_sym_COLON_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_LT_LPAREN] = ACTIONS(1),
    [anon_sym_GT_LPAREN] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [sym_test_operator] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym__simple_heredoc_body] = ACTIONS(1),
    [sym__heredoc_body_beginning] = ACTIONS(1),
    [sym__heredoc_body_middle] = ACTIONS(1),
    [sym__heredoc_body_end] = ACTIONS(1),
    [sym_file_descriptor] = ACTIONS(1),
    [sym__empty_value] = ACTIONS(1),
    [sym__concat] = ACTIONS(1),
    [sym_variable_name] = ACTIONS(1),
    [sym_regex] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2735),
    [sym__statements] = STATE(2734),
    [sym_redirected_statement] = STATE(1307),
    [sym_for_statement] = STATE(1307),
    [sym_c_style_for_statement] = STATE(1307),
    [sym_while_statement] = STATE(1307),
    [sym_if_statement] = STATE(1307),
    [sym_case_statement] = STATE(1307),
    [sym_function_definition] = STATE(1307),
    [sym_compound_statement] = STATE(1307),
    [sym_subshell] = STATE(1307),
    [sym_pipeline] = STATE(1307),
    [sym_list] = STATE(1307),
    [sym_negated_command] = STATE(1307),
    [sym_test_command] = STATE(1307),
    [sym_declaration_command] = STATE(1307),
    [sym_unset_command] = STATE(1307),
    [sym_command] = STATE(1307),
    [sym_command_name] = STATE(162),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2515),
    [sym_file_redirect] = STATE(562),
    [sym_concatenation] = STATE(545),
    [sym_string] = STATE(235),
    [sym_simple_expansion] = STATE(235),
    [sym_string_expansion] = STATE(235),
    [sym_expansion] = STATE(235),
    [sym_command_substitution] = STATE(235),
    [sym_process_substitution] = STATE(235),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(562),
    [aux_sym__literal_repeat1] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [2] = {
    [aux_sym__statements2] = STATE(5),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_elif_clause] = STATE(2275),
    [sym_else_clause] = STATE(2646),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_if_statement_repeat1] = STATE(2275),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(71),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [3] = {
    [aux_sym__statements2] = STATE(4),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_elif_clause] = STATE(2291),
    [sym_else_clause] = STATE(2619),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_if_statement_repeat1] = STATE(2291),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(113),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [4] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_elif_clause] = STATE(2282),
    [sym_else_clause] = STATE(2611),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_if_statement_repeat1] = STATE(2282),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(115),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [5] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_elif_clause] = STATE(2241),
    [sym_else_clause] = STATE(2699),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_if_statement_repeat1] = STATE(2241),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(117),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [6] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(122),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(128),
    [anon_sym_done] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_fi] = ACTIONS(131),
    [anon_sym_elif] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(136),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(142),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(148),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(154),
    [anon_sym_declare] = ACTIONS(157),
    [anon_sym_typeset] = ACTIONS(157),
    [anon_sym_export] = ACTIONS(157),
    [anon_sym_readonly] = ACTIONS(157),
    [anon_sym_local] = ACTIONS(157),
    [anon_sym_unset] = ACTIONS(160),
    [anon_sym_unsetenv] = ACTIONS(160),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(166),
    [anon_sym_AMP_GT] = ACTIONS(163),
    [anon_sym_AMP_GT_GT] = ACTIONS(166),
    [anon_sym_LT_AMP] = ACTIONS(166),
    [anon_sym_GT_AMP] = ACTIONS(166),
    [anon_sym_GT_PIPE] = ACTIONS(166),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [sym__special_character] = ACTIONS(172),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_raw_string] = ACTIONS(178),
    [sym_ansii_c_string] = ACTIONS(178),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(181),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(184),
    [anon_sym_BQUOTE] = ACTIONS(187),
    [anon_sym_LT_LPAREN] = ACTIONS(190),
    [anon_sym_GT_LPAREN] = ACTIONS(190),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(193),
    [sym_variable_name] = ACTIONS(196),
  },
  [7] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(199),
    [anon_sym_elif] = ACTIONS(199),
    [anon_sym_else] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [8] = {
    [sym__statements] = STATE(2538),
    [sym_redirected_statement] = STATE(1309),
    [sym_for_statement] = STATE(1309),
    [sym_c_style_for_statement] = STATE(1309),
    [sym_while_statement] = STATE(1309),
    [sym_if_statement] = STATE(1309),
    [sym_case_statement] = STATE(1309),
    [sym_function_definition] = STATE(1309),
    [sym_compound_statement] = STATE(1309),
    [sym_subshell] = STATE(1309),
    [sym_pipeline] = STATE(1309),
    [sym_list] = STATE(1309),
    [sym_negated_command] = STATE(1309),
    [sym_test_command] = STATE(1309),
    [sym_declaration_command] = STATE(1309),
    [sym_unset_command] = STATE(1309),
    [sym_command] = STATE(1309),
    [sym_command_name] = STATE(164),
    [sym_variable_assignment] = STATE(225),
    [sym_subscript] = STATE(2598),
    [sym_file_redirect] = STATE(575),
    [sym_concatenation] = STATE(573),
    [sym_string] = STATE(272),
    [sym_simple_expansion] = STATE(272),
    [sym_string_expansion] = STATE(272),
    [sym_expansion] = STATE(272),
    [sym_command_substitution] = STATE(272),
    [sym_process_substitution] = STATE(272),
    [aux_sym__statements_repeat1] = STATE(107),
    [aux_sym_command_repeat1] = STATE(575),
    [aux_sym__literal_repeat1] = STATE(359),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(203),
    [anon_sym_SEMI_SEMI] = ACTIONS(205),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [9] = {
    [sym__statements] = STATE(2566),
    [sym_redirected_statement] = STATE(1309),
    [sym_for_statement] = STATE(1309),
    [sym_c_style_for_statement] = STATE(1309),
    [sym_while_statement] = STATE(1309),
    [sym_if_statement] = STATE(1309),
    [sym_case_statement] = STATE(1309),
    [sym_function_definition] = STATE(1309),
    [sym_compound_statement] = STATE(1309),
    [sym_subshell] = STATE(1309),
    [sym_pipeline] = STATE(1309),
    [sym_list] = STATE(1309),
    [sym_negated_command] = STATE(1309),
    [sym_test_command] = STATE(1309),
    [sym_declaration_command] = STATE(1309),
    [sym_unset_command] = STATE(1309),
    [sym_command] = STATE(1309),
    [sym_command_name] = STATE(164),
    [sym_variable_assignment] = STATE(225),
    [sym_subscript] = STATE(2598),
    [sym_file_redirect] = STATE(575),
    [sym_concatenation] = STATE(573),
    [sym_string] = STATE(272),
    [sym_simple_expansion] = STATE(272),
    [sym_string_expansion] = STATE(272),
    [sym_expansion] = STATE(272),
    [sym_command_substitution] = STATE(272),
    [sym_process_substitution] = STATE(272),
    [aux_sym__statements_repeat1] = STATE(107),
    [aux_sym_command_repeat1] = STATE(575),
    [aux_sym__literal_repeat1] = STATE(359),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(231),
    [anon_sym_SEMI_SEMI] = ACTIONS(233),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [10] = {
    [sym__statements] = STATE(2602),
    [sym_redirected_statement] = STATE(1309),
    [sym_for_statement] = STATE(1309),
    [sym_c_style_for_statement] = STATE(1309),
    [sym_while_statement] = STATE(1309),
    [sym_if_statement] = STATE(1309),
    [sym_case_statement] = STATE(1309),
    [sym_function_definition] = STATE(1309),
    [sym_compound_statement] = STATE(1309),
    [sym_subshell] = STATE(1309),
    [sym_pipeline] = STATE(1309),
    [sym_list] = STATE(1309),
    [sym_negated_command] = STATE(1309),
    [sym_test_command] = STATE(1309),
    [sym_declaration_command] = STATE(1309),
    [sym_unset_command] = STATE(1309),
    [sym_command] = STATE(1309),
    [sym_command_name] = STATE(164),
    [sym_variable_assignment] = STATE(225),
    [sym_subscript] = STATE(2598),
    [sym_file_redirect] = STATE(575),
    [sym_concatenation] = STATE(573),
    [sym_string] = STATE(272),
    [sym_simple_expansion] = STATE(272),
    [sym_string_expansion] = STATE(272),
    [sym_expansion] = STATE(272),
    [sym_command_substitution] = STATE(272),
    [sym_process_substitution] = STATE(272),
    [aux_sym__statements_repeat1] = STATE(107),
    [aux_sym_command_repeat1] = STATE(575),
    [aux_sym__literal_repeat1] = STATE(359),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(235),
    [anon_sym_SEMI_SEMI] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [11] = {
    [sym__statements] = STATE(2522),
    [sym_redirected_statement] = STATE(1309),
    [sym_for_statement] = STATE(1309),
    [sym_c_style_for_statement] = STATE(1309),
    [sym_while_statement] = STATE(1309),
    [sym_if_statement] = STATE(1309),
    [sym_case_statement] = STATE(1309),
    [sym_function_definition] = STATE(1309),
    [sym_compound_statement] = STATE(1309),
    [sym_subshell] = STATE(1309),
    [sym_pipeline] = STATE(1309),
    [sym_list] = STATE(1309),
    [sym_negated_command] = STATE(1309),
    [sym_test_command] = STATE(1309),
    [sym_declaration_command] = STATE(1309),
    [sym_unset_command] = STATE(1309),
    [sym_command] = STATE(1309),
    [sym_command_name] = STATE(164),
    [sym_variable_assignment] = STATE(225),
    [sym_subscript] = STATE(2598),
    [sym_file_redirect] = STATE(575),
    [sym_concatenation] = STATE(573),
    [sym_string] = STATE(272),
    [sym_simple_expansion] = STATE(272),
    [sym_string_expansion] = STATE(272),
    [sym_expansion] = STATE(272),
    [sym_command_substitution] = STATE(272),
    [sym_process_substitution] = STATE(272),
    [aux_sym__statements_repeat1] = STATE(107),
    [aux_sym_command_repeat1] = STATE(575),
    [aux_sym__literal_repeat1] = STATE(359),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(239),
    [anon_sym_SEMI_SEMI] = ACTIONS(241),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [12] = {
    [aux_sym__statements2] = STATE(7),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(243),
    [anon_sym_elif] = ACTIONS(243),
    [anon_sym_else] = ACTIONS(243),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [13] = {
    [sym__statements] = STATE(2733),
    [sym_redirected_statement] = STATE(1367),
    [sym_for_statement] = STATE(1367),
    [sym_c_style_for_statement] = STATE(1367),
    [sym_while_statement] = STATE(1367),
    [sym_if_statement] = STATE(1367),
    [sym_case_statement] = STATE(1367),
    [sym_function_definition] = STATE(1367),
    [sym_compound_statement] = STATE(1367),
    [sym_subshell] = STATE(1367),
    [sym_pipeline] = STATE(1367),
    [sym_list] = STATE(1367),
    [sym_negated_command] = STATE(1367),
    [sym_test_command] = STATE(1367),
    [sym_declaration_command] = STATE(1367),
    [sym_unset_command] = STATE(1367),
    [sym_command] = STATE(1367),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(245),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [14] = {
    [sym__statements] = STATE(2737),
    [sym_redirected_statement] = STATE(1367),
    [sym_for_statement] = STATE(1367),
    [sym_c_style_for_statement] = STATE(1367),
    [sym_while_statement] = STATE(1367),
    [sym_if_statement] = STATE(1367),
    [sym_case_statement] = STATE(1367),
    [sym_function_definition] = STATE(1367),
    [sym_compound_statement] = STATE(1367),
    [sym_subshell] = STATE(1367),
    [sym_pipeline] = STATE(1367),
    [sym_list] = STATE(1367),
    [sym_negated_command] = STATE(1367),
    [sym_test_command] = STATE(1367),
    [sym_declaration_command] = STATE(1367),
    [sym_unset_command] = STATE(1367),
    [sym_command] = STATE(1367),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(247),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [15] = {
    [sym__statements] = STATE(2761),
    [sym_redirected_statement] = STATE(1367),
    [sym_for_statement] = STATE(1367),
    [sym_c_style_for_statement] = STATE(1367),
    [sym_while_statement] = STATE(1367),
    [sym_if_statement] = STATE(1367),
    [sym_case_statement] = STATE(1367),
    [sym_function_definition] = STATE(1367),
    [sym_compound_statement] = STATE(1367),
    [sym_subshell] = STATE(1367),
    [sym_pipeline] = STATE(1367),
    [sym_list] = STATE(1367),
    [sym_negated_command] = STATE(1367),
    [sym_test_command] = STATE(1367),
    [sym_declaration_command] = STATE(1367),
    [sym_unset_command] = STATE(1367),
    [sym_command] = STATE(1367),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(249),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [16] = {
    [sym__statements] = STATE(2772),
    [sym_redirected_statement] = STATE(1367),
    [sym_for_statement] = STATE(1367),
    [sym_c_style_for_statement] = STATE(1367),
    [sym_while_statement] = STATE(1367),
    [sym_if_statement] = STATE(1367),
    [sym_case_statement] = STATE(1367),
    [sym_function_definition] = STATE(1367),
    [sym_compound_statement] = STATE(1367),
    [sym_subshell] = STATE(1367),
    [sym_pipeline] = STATE(1367),
    [sym_list] = STATE(1367),
    [sym_negated_command] = STATE(1367),
    [sym_test_command] = STATE(1367),
    [sym_declaration_command] = STATE(1367),
    [sym_unset_command] = STATE(1367),
    [sym_command] = STATE(1367),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [17] = {
    [sym__statements] = STATE(2746),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1558),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [18] = {
    [sym__statements] = STATE(2767),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [19] = {
    [sym__statements] = STATE(2659),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [20] = {
    [sym__statements] = STATE(2645),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1480),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [21] = {
    [sym__statements] = STATE(2718),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [22] = {
    [sym__statements] = STATE(2632),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [23] = {
    [sym__statements] = STATE(2635),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [24] = {
    [sym__statements] = STATE(2636),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1472),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [25] = {
    [sym__statements] = STATE(2721),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [26] = {
    [sym__statements] = STATE(2656),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1525),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [27] = {
    [sym__statements] = STATE(2633),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [28] = {
    [sym__statements] = STATE(2649),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [29] = {
    [sym__statements] = STATE(2723),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [30] = {
    [sym__statements] = STATE(2726),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1554),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [31] = {
    [sym__statements] = STATE(2775),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [32] = {
    [aux_sym__statements2] = STATE(59),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(259),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [33] = {
    [sym__statements] = STATE(2714),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [34] = {
    [sym__statements] = STATE(2777),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [35] = {
    [sym__statements] = STATE(2664),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1475),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [36] = {
    [sym__statements] = STATE(2651),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [37] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(261),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [38] = {
    [sym__statements] = STATE(2650),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1523),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [39] = {
    [sym__statements] = STATE(2629),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [40] = {
    [sym__statements] = STATE(2618),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [41] = {
    [sym__statements] = STATE(2707),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [42] = {
    [sym__statements] = STATE(2609),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1486),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [43] = {
    [sym__statements] = STATE(2752),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [44] = {
    [sym__statements] = STATE(2708),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [45] = {
    [sym__statements] = STATE(2768),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1517),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [46] = {
    [sym__statements] = STATE(2654),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [47] = {
    [sym__statements] = STATE(2652),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [48] = {
    [sym__statements] = STATE(2647),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1524),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [49] = {
    [sym__statements] = STATE(2612),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [50] = {
    [sym__statements] = STATE(2613),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [51] = {
    [sym__statements] = STATE(2616),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1516),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [52] = {
    [sym__statements] = STATE(2660),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [53] = {
    [sym__statements] = STATE(2662),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [54] = {
    [sym__statements] = STATE(2663),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1562),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [55] = {
    [sym__statements] = STATE(2704),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [56] = {
    [sym__statements] = STATE(2705),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [57] = {
    [aux_sym__statements2] = STATE(84),
    [sym_redirected_statement] = STATE(1336),
    [sym_for_statement] = STATE(1336),
    [sym_c_style_for_statement] = STATE(1336),
    [sym_while_statement] = STATE(1336),
    [sym_if_statement] = STATE(1336),
    [sym_case_statement] = STATE(1336),
    [sym_function_definition] = STATE(1336),
    [sym_compound_statement] = STATE(1336),
    [sym_subshell] = STATE(1336),
    [sym_pipeline] = STATE(1336),
    [sym_list] = STATE(1336),
    [sym_negated_command] = STATE(1336),
    [sym_test_command] = STATE(1336),
    [sym_declaration_command] = STATE(1336),
    [sym_unset_command] = STATE(1336),
    [sym_command] = STATE(1336),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [58] = {
    [sym__statements] = STATE(2709),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1526),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [59] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(265),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [60] = {
    [sym__statements] = STATE(2741),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [61] = {
    [sym__statements] = STATE(2742),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [62] = {
    [sym__statements] = STATE(2675),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1514),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [63] = {
    [aux_sym__statements2] = STATE(37),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [64] = {
    [aux_sym__statements2] = STATE(57),
    [sym_redirected_statement] = STATE(1336),
    [sym_for_statement] = STATE(1336),
    [sym_c_style_for_statement] = STATE(1336),
    [sym_while_statement] = STATE(1336),
    [sym_if_statement] = STATE(1336),
    [sym_case_statement] = STATE(1336),
    [sym_function_definition] = STATE(1336),
    [sym_compound_statement] = STATE(1336),
    [sym_subshell] = STATE(1336),
    [sym_pipeline] = STATE(1336),
    [sym_list] = STATE(1336),
    [sym_negated_command] = STATE(1336),
    [sym_test_command] = STATE(1336),
    [sym_declaration_command] = STATE(1336),
    [sym_unset_command] = STATE(1336),
    [sym_command] = STATE(1336),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(269),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [65] = {
    [sym__statements] = STATE(2691),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [66] = {
    [sym__statements] = STATE(2776),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1549),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [67] = {
    [sym__statements] = STATE(2758),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [68] = {
    [sym__statements] = STATE(2748),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1566),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [69] = {
    [sym__statements] = STATE(2764),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [70] = {
    [sym__statements] = STATE(2753),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [71] = {
    [sym__statements] = STATE(2770),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1506),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [72] = {
    [sym__statements] = STATE(2750),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1503),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [73] = {
    [sym__statements] = STATE(2760),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [74] = {
    [sym__statements] = STATE(2715),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [75] = {
    [sym__statements] = STATE(2744),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [76] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [77] = {
    [sym__statements] = STATE(2740),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [78] = {
    [sym__statements] = STATE(2724),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [79] = {
    [sym__statements] = STATE(2739),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1557),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [80] = {
    [sym__statements] = STATE(2713),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [81] = {
    [sym__statements] = STATE(2712),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [82] = {
    [sym__statements] = STATE(2711),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [83] = {
    [aux_sym__statements2] = STATE(76),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [84] = {
    [aux_sym__statements2] = STATE(84),
    [sym_redirected_statement] = STATE(1336),
    [sym_for_statement] = STATE(1336),
    [sym_c_style_for_statement] = STATE(1336),
    [sym_while_statement] = STATE(1336),
    [sym_if_statement] = STATE(1336),
    [sym_case_statement] = STATE(1336),
    [sym_function_definition] = STATE(1336),
    [sym_compound_statement] = STATE(1336),
    [sym_subshell] = STATE(1336),
    [sym_pipeline] = STATE(1336),
    [sym_list] = STATE(1336),
    [sym_negated_command] = STATE(1336),
    [sym_test_command] = STATE(1336),
    [sym_declaration_command] = STATE(1336),
    [sym_unset_command] = STATE(1336),
    [sym_command] = STATE(1336),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(122),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(128),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(136),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(142),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(148),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(154),
    [anon_sym_declare] = ACTIONS(157),
    [anon_sym_typeset] = ACTIONS(157),
    [anon_sym_export] = ACTIONS(157),
    [anon_sym_readonly] = ACTIONS(157),
    [anon_sym_local] = ACTIONS(157),
    [anon_sym_unset] = ACTIONS(160),
    [anon_sym_unsetenv] = ACTIONS(160),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(166),
    [anon_sym_AMP_GT] = ACTIONS(163),
    [anon_sym_AMP_GT_GT] = ACTIONS(166),
    [anon_sym_LT_AMP] = ACTIONS(166),
    [anon_sym_GT_AMP] = ACTIONS(166),
    [anon_sym_GT_PIPE] = ACTIONS(166),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [sym__special_character] = ACTIONS(172),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_raw_string] = ACTIONS(178),
    [sym_ansii_c_string] = ACTIONS(178),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(181),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(184),
    [anon_sym_BQUOTE] = ACTIONS(187),
    [anon_sym_LT_LPAREN] = ACTIONS(190),
    [anon_sym_GT_LPAREN] = ACTIONS(190),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(193),
    [sym_variable_name] = ACTIONS(196),
  },
  [85] = {
    [sym__statements] = STATE(2681),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [86] = {
    [sym__statements] = STATE(2679),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [87] = {
    [sym__statements] = STATE(2674),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1496),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [88] = {
    [sym__statements] = STATE(2692),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [89] = {
    [sym__statements] = STATE(2653),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [90] = {
    [sym__statements] = STATE(2745),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1518),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [91] = {
    [sym__statements] = STATE(2736),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [92] = {
    [sym__statements] = STATE(2722),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [93] = {
    [sym__statements] = STATE(2641),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1489),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [94] = {
    [sym__statements] = STATE(2642),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1564),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [95] = {
    [sym__statements] = STATE(2628),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [96] = {
    [sym__statements] = STATE(2627),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [97] = {
    [sym__statements] = STATE(2625),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1521),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [98] = {
    [aux_sym__statements2] = STATE(84),
    [sym_redirected_statement] = STATE(1336),
    [sym_for_statement] = STATE(1336),
    [sym_c_style_for_statement] = STATE(1336),
    [sym_while_statement] = STATE(1336),
    [sym_if_statement] = STATE(1336),
    [sym_case_statement] = STATE(1336),
    [sym_function_definition] = STATE(1336),
    [sym_compound_statement] = STATE(1336),
    [sym_subshell] = STATE(1336),
    [sym_pipeline] = STATE(1336),
    [sym_list] = STATE(1336),
    [sym_negated_command] = STATE(1336),
    [sym_test_command] = STATE(1336),
    [sym_declaration_command] = STATE(1336),
    [sym_unset_command] = STATE(1336),
    [sym_command] = STATE(1336),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [99] = {
    [aux_sym__statements2] = STATE(98),
    [sym_redirected_statement] = STATE(1336),
    [sym_for_statement] = STATE(1336),
    [sym_c_style_for_statement] = STATE(1336),
    [sym_while_statement] = STATE(1336),
    [sym_if_statement] = STATE(1336),
    [sym_case_statement] = STATE(1336),
    [sym_function_definition] = STATE(1336),
    [sym_compound_statement] = STATE(1336),
    [sym_subshell] = STATE(1336),
    [sym_pipeline] = STATE(1336),
    [sym_list] = STATE(1336),
    [sym_negated_command] = STATE(1336),
    [sym_test_command] = STATE(1336),
    [sym_declaration_command] = STATE(1336),
    [sym_unset_command] = STATE(1336),
    [sym_command] = STATE(1336),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [100] = {
    [sym__statements] = STATE(2706),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [101] = {
    [sym__statements] = STATE(2701),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1474),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [102] = {
    [sym__statements] = STATE(2638),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [103] = {
    [sym__statements] = STATE(2682),
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [104] = {
    [sym__statements] = STATE(2640),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [105] = {
    [sym__statements] = STATE(2690),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [106] = {
    [sym_redirected_statement] = STATE(1325),
    [sym_for_statement] = STATE(1325),
    [sym_c_style_for_statement] = STATE(1325),
    [sym_while_statement] = STATE(1325),
    [sym_if_statement] = STATE(1325),
    [sym_case_statement] = STATE(1325),
    [sym_function_definition] = STATE(1325),
    [sym_compound_statement] = STATE(1325),
    [sym_subshell] = STATE(1325),
    [sym_pipeline] = STATE(1325),
    [sym_list] = STATE(1325),
    [sym_negated_command] = STATE(1325),
    [sym_test_command] = STATE(1325),
    [sym_declaration_command] = STATE(1325),
    [sym_unset_command] = STATE(1325),
    [sym_command] = STATE(1325),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(238),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(281),
    [anon_sym_for] = ACTIONS(284),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(287),
    [anon_sym_while] = ACTIONS(290),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(296),
    [anon_sym_function] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(302),
    [anon_sym_LBRACE] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(314),
    [anon_sym_declare] = ACTIONS(317),
    [anon_sym_typeset] = ACTIONS(317),
    [anon_sym_export] = ACTIONS(317),
    [anon_sym_readonly] = ACTIONS(317),
    [anon_sym_local] = ACTIONS(317),
    [anon_sym_unset] = ACTIONS(320),
    [anon_sym_unsetenv] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(326),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(326),
    [anon_sym_LT_AMP] = ACTIONS(326),
    [anon_sym_GT_AMP] = ACTIONS(326),
    [anon_sym_GT_PIPE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(329),
    [sym__special_character] = ACTIONS(332),
    [anon_sym_DQUOTE] = ACTIONS(335),
    [sym_raw_string] = ACTIONS(338),
    [sym_ansii_c_string] = ACTIONS(338),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(341),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(344),
    [anon_sym_BQUOTE] = ACTIONS(347),
    [anon_sym_LT_LPAREN] = ACTIONS(350),
    [anon_sym_GT_LPAREN] = ACTIONS(350),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(353),
    [sym_variable_name] = ACTIONS(356),
  },
  [107] = {
    [sym_redirected_statement] = STATE(1315),
    [sym_for_statement] = STATE(1315),
    [sym_c_style_for_statement] = STATE(1315),
    [sym_while_statement] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_case_statement] = STATE(1315),
    [sym_function_definition] = STATE(1315),
    [sym_compound_statement] = STATE(1315),
    [sym_subshell] = STATE(1315),
    [sym_pipeline] = STATE(1315),
    [sym_list] = STATE(1315),
    [sym_negated_command] = STATE(1315),
    [sym_test_command] = STATE(1315),
    [sym_declaration_command] = STATE(1315),
    [sym_unset_command] = STATE(1315),
    [sym_command] = STATE(1315),
    [sym_command_name] = STATE(164),
    [sym_variable_assignment] = STATE(226),
    [sym_subscript] = STATE(2598),
    [sym_file_redirect] = STATE(575),
    [sym_concatenation] = STATE(573),
    [sym_string] = STATE(272),
    [sym_simple_expansion] = STATE(272),
    [sym_string_expansion] = STATE(272),
    [sym_expansion] = STATE(272),
    [sym_command_substitution] = STATE(272),
    [sym_process_substitution] = STATE(272),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(575),
    [aux_sym__literal_repeat1] = STATE(359),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [108] = {
    [sym__terminated_statement] = STATE(2520),
    [sym_redirected_statement] = STATE(1332),
    [sym_for_statement] = STATE(1332),
    [sym_c_style_for_statement] = STATE(1332),
    [sym_while_statement] = STATE(1332),
    [sym_if_statement] = STATE(1332),
    [sym_case_statement] = STATE(1332),
    [sym_function_definition] = STATE(1332),
    [sym_compound_statement] = STATE(1332),
    [sym_subshell] = STATE(1332),
    [sym_pipeline] = STATE(1332),
    [sym_list] = STATE(1332),
    [sym_negated_command] = STATE(1332),
    [sym_test_command] = STATE(1332),
    [sym_declaration_command] = STATE(1332),
    [sym_unset_command] = STATE(1332),
    [sym_command] = STATE(1332),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [109] = {
    [sym__terminated_statement] = STATE(2668),
    [sym_redirected_statement] = STATE(1332),
    [sym_for_statement] = STATE(1332),
    [sym_c_style_for_statement] = STATE(1332),
    [sym_while_statement] = STATE(1332),
    [sym_if_statement] = STATE(1332),
    [sym_case_statement] = STATE(1332),
    [sym_function_definition] = STATE(1332),
    [sym_compound_statement] = STATE(1332),
    [sym_subshell] = STATE(1332),
    [sym_pipeline] = STATE(1332),
    [sym_list] = STATE(1332),
    [sym_negated_command] = STATE(1332),
    [sym_test_command] = STATE(1332),
    [sym_declaration_command] = STATE(1332),
    [sym_unset_command] = STATE(1332),
    [sym_command] = STATE(1332),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [110] = {
    [sym__terminated_statement] = STATE(2525),
    [sym_redirected_statement] = STATE(1332),
    [sym_for_statement] = STATE(1332),
    [sym_c_style_for_statement] = STATE(1332),
    [sym_while_statement] = STATE(1332),
    [sym_if_statement] = STATE(1332),
    [sym_case_statement] = STATE(1332),
    [sym_function_definition] = STATE(1332),
    [sym_compound_statement] = STATE(1332),
    [sym_subshell] = STATE(1332),
    [sym_pipeline] = STATE(1332),
    [sym_list] = STATE(1332),
    [sym_negated_command] = STATE(1332),
    [sym_test_command] = STATE(1332),
    [sym_declaration_command] = STATE(1332),
    [sym_unset_command] = STATE(1332),
    [sym_command] = STATE(1332),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [111] = {
    [sym_redirected_statement] = STATE(1305),
    [sym_for_statement] = STATE(1305),
    [sym_c_style_for_statement] = STATE(1305),
    [sym_while_statement] = STATE(1305),
    [sym_if_statement] = STATE(1305),
    [sym_case_statement] = STATE(1305),
    [sym_function_definition] = STATE(1305),
    [sym_compound_statement] = STATE(1305),
    [sym_subshell] = STATE(1305),
    [sym_pipeline] = STATE(1305),
    [sym_list] = STATE(1305),
    [sym_negated_command] = STATE(1305),
    [sym_test_command] = STATE(1305),
    [sym_declaration_command] = STATE(1305),
    [sym_unset_command] = STATE(1305),
    [sym_command] = STATE(1305),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(220),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [112] = {
    [sym__terminated_statement] = STATE(2700),
    [sym_redirected_statement] = STATE(1332),
    [sym_for_statement] = STATE(1332),
    [sym_c_style_for_statement] = STATE(1332),
    [sym_while_statement] = STATE(1332),
    [sym_if_statement] = STATE(1332),
    [sym_case_statement] = STATE(1332),
    [sym_function_definition] = STATE(1332),
    [sym_compound_statement] = STATE(1332),
    [sym_subshell] = STATE(1332),
    [sym_pipeline] = STATE(1332),
    [sym_list] = STATE(1332),
    [sym_negated_command] = STATE(1332),
    [sym_test_command] = STATE(1332),
    [sym_declaration_command] = STATE(1332),
    [sym_unset_command] = STATE(1332),
    [sym_command] = STATE(1332),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [113] = {
    [sym_redirected_statement] = STATE(1330),
    [sym_for_statement] = STATE(1330),
    [sym_c_style_for_statement] = STATE(1330),
    [sym_while_statement] = STATE(1330),
    [sym_if_statement] = STATE(1330),
    [sym_case_statement] = STATE(1330),
    [sym_function_definition] = STATE(1330),
    [sym_compound_statement] = STATE(1330),
    [sym_subshell] = STATE(1330),
    [sym_pipeline] = STATE(1330),
    [sym_list] = STATE(1330),
    [sym_negated_command] = STATE(1330),
    [sym_test_command] = STATE(1330),
    [sym_declaration_command] = STATE(1330),
    [sym_unset_command] = STATE(1330),
    [sym_command] = STATE(1330),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(253),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [114] = {
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(271),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [115] = {
    [sym_redirected_statement] = STATE(1306),
    [sym_for_statement] = STATE(1306),
    [sym_c_style_for_statement] = STATE(1306),
    [sym_while_statement] = STATE(1306),
    [sym_if_statement] = STATE(1306),
    [sym_case_statement] = STATE(1306),
    [sym_function_definition] = STATE(1306),
    [sym_compound_statement] = STATE(1306),
    [sym_subshell] = STATE(1306),
    [sym_pipeline] = STATE(1306),
    [sym_list] = STATE(1306),
    [sym_negated_command] = STATE(1306),
    [sym_test_command] = STATE(1306),
    [sym_declaration_command] = STATE(1306),
    [sym_unset_command] = STATE(1306),
    [sym_command] = STATE(1306),
    [sym_command_name] = STATE(162),
    [sym_variable_assignment] = STATE(222),
    [sym_subscript] = STATE(2515),
    [sym_file_redirect] = STATE(562),
    [sym_concatenation] = STATE(545),
    [sym_string] = STATE(235),
    [sym_simple_expansion] = STATE(235),
    [sym_string_expansion] = STATE(235),
    [sym_expansion] = STATE(235),
    [sym_command_substitution] = STATE(235),
    [sym_process_substitution] = STATE(235),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(562),
    [aux_sym__literal_repeat1] = STATE(467),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [116] = {
    [sym__terminated_statement] = STATE(2685),
    [sym_redirected_statement] = STATE(1332),
    [sym_for_statement] = STATE(1332),
    [sym_c_style_for_statement] = STATE(1332),
    [sym_while_statement] = STATE(1332),
    [sym_if_statement] = STATE(1332),
    [sym_case_statement] = STATE(1332),
    [sym_function_definition] = STATE(1332),
    [sym_compound_statement] = STATE(1332),
    [sym_subshell] = STATE(1332),
    [sym_pipeline] = STATE(1332),
    [sym_list] = STATE(1332),
    [sym_negated_command] = STATE(1332),
    [sym_test_command] = STATE(1332),
    [sym_declaration_command] = STATE(1332),
    [sym_unset_command] = STATE(1332),
    [sym_command] = STATE(1332),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [117] = {
    [sym_redirected_statement] = STATE(1316),
    [sym_for_statement] = STATE(1316),
    [sym_c_style_for_statement] = STATE(1316),
    [sym_while_statement] = STATE(1316),
    [sym_if_statement] = STATE(1316),
    [sym_case_statement] = STATE(1316),
    [sym_function_definition] = STATE(1316),
    [sym_compound_statement] = STATE(1316),
    [sym_subshell] = STATE(1316),
    [sym_pipeline] = STATE(1316),
    [sym_list] = STATE(1316),
    [sym_negated_command] = STATE(1316),
    [sym_test_command] = STATE(1316),
    [sym_declaration_command] = STATE(1316),
    [sym_unset_command] = STATE(1316),
    [sym_command] = STATE(1316),
    [sym_command_name] = STATE(162),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2515),
    [sym_file_redirect] = STATE(562),
    [sym_concatenation] = STATE(545),
    [sym_string] = STATE(235),
    [sym_simple_expansion] = STATE(235),
    [sym_string_expansion] = STATE(235),
    [sym_expansion] = STATE(235),
    [sym_command_substitution] = STATE(235),
    [sym_process_substitution] = STATE(235),
    [aux_sym_command_repeat1] = STATE(562),
    [aux_sym__literal_repeat1] = STATE(467),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [118] = {
    [sym_redirected_statement] = STATE(1313),
    [sym_for_statement] = STATE(1313),
    [sym_c_style_for_statement] = STATE(1313),
    [sym_while_statement] = STATE(1313),
    [sym_if_statement] = STATE(1313),
    [sym_case_statement] = STATE(1313),
    [sym_function_definition] = STATE(1313),
    [sym_compound_statement] = STATE(1313),
    [sym_subshell] = STATE(1313),
    [sym_pipeline] = STATE(1313),
    [sym_list] = STATE(1313),
    [sym_negated_command] = STATE(1313),
    [sym_test_command] = STATE(1313),
    [sym_declaration_command] = STATE(1313),
    [sym_unset_command] = STATE(1313),
    [sym_command] = STATE(1313),
    [sym_command_name] = STATE(162),
    [sym_variable_assignment] = STATE(221),
    [sym_subscript] = STATE(2515),
    [sym_file_redirect] = STATE(562),
    [sym_concatenation] = STATE(545),
    [sym_string] = STATE(235),
    [sym_simple_expansion] = STATE(235),
    [sym_string_expansion] = STATE(235),
    [sym_expansion] = STATE(235),
    [sym_command_substitution] = STATE(235),
    [sym_process_substitution] = STATE(235),
    [aux_sym_command_repeat1] = STATE(562),
    [aux_sym__literal_repeat1] = STATE(467),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [119] = {
    [sym_redirected_statement] = STATE(1308),
    [sym_for_statement] = STATE(1308),
    [sym_c_style_for_statement] = STATE(1308),
    [sym_while_statement] = STATE(1308),
    [sym_if_statement] = STATE(1308),
    [sym_case_statement] = STATE(1308),
    [sym_function_definition] = STATE(1308),
    [sym_compound_statement] = STATE(1308),
    [sym_subshell] = STATE(1308),
    [sym_pipeline] = STATE(1308),
    [sym_list] = STATE(1308),
    [sym_negated_command] = STATE(1308),
    [sym_test_command] = STATE(1308),
    [sym_declaration_command] = STATE(1308),
    [sym_unset_command] = STATE(1308),
    [sym_command] = STATE(1308),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(223),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [120] = {
    [sym_redirected_statement] = STATE(1296),
    [sym_for_statement] = STATE(1296),
    [sym_c_style_for_statement] = STATE(1296),
    [sym_while_statement] = STATE(1296),
    [sym_if_statement] = STATE(1296),
    [sym_case_statement] = STATE(1296),
    [sym_function_definition] = STATE(1296),
    [sym_compound_statement] = STATE(1296),
    [sym_subshell] = STATE(1296),
    [sym_pipeline] = STATE(1296),
    [sym_list] = STATE(1296),
    [sym_negated_command] = STATE(1296),
    [sym_test_command] = STATE(1296),
    [sym_declaration_command] = STATE(1296),
    [sym_unset_command] = STATE(1296),
    [sym_command] = STATE(1296),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(224),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [121] = {
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(164),
    [sym_variable_assignment] = STATE(218),
    [sym_subscript] = STATE(2598),
    [sym_file_redirect] = STATE(575),
    [sym_concatenation] = STATE(573),
    [sym_string] = STATE(272),
    [sym_simple_expansion] = STATE(272),
    [sym_string_expansion] = STATE(272),
    [sym_expansion] = STATE(272),
    [sym_command_substitution] = STATE(272),
    [sym_process_substitution] = STATE(272),
    [aux_sym_command_repeat1] = STATE(575),
    [aux_sym__literal_repeat1] = STATE(359),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [122] = {
    [sym_redirected_statement] = STATE(1296),
    [sym_for_statement] = STATE(1296),
    [sym_c_style_for_statement] = STATE(1296),
    [sym_while_statement] = STATE(1296),
    [sym_if_statement] = STATE(1296),
    [sym_case_statement] = STATE(1296),
    [sym_function_definition] = STATE(1296),
    [sym_compound_statement] = STATE(1296),
    [sym_subshell] = STATE(1296),
    [sym_pipeline] = STATE(1296),
    [sym_list] = STATE(1296),
    [sym_negated_command] = STATE(1296),
    [sym_test_command] = STATE(1296),
    [sym_declaration_command] = STATE(1296),
    [sym_unset_command] = STATE(1296),
    [sym_command] = STATE(1296),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(242),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [123] = {
    [sym_redirected_statement] = STATE(1317),
    [sym_for_statement] = STATE(1317),
    [sym_c_style_for_statement] = STATE(1317),
    [sym_while_statement] = STATE(1317),
    [sym_if_statement] = STATE(1317),
    [sym_case_statement] = STATE(1317),
    [sym_function_definition] = STATE(1317),
    [sym_compound_statement] = STATE(1317),
    [sym_subshell] = STATE(1317),
    [sym_pipeline] = STATE(1317),
    [sym_list] = STATE(1317),
    [sym_negated_command] = STATE(1317),
    [sym_test_command] = STATE(1317),
    [sym_declaration_command] = STATE(1317),
    [sym_unset_command] = STATE(1317),
    [sym_command] = STATE(1317),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(254),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [124] = {
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(164),
    [sym_variable_assignment] = STATE(230),
    [sym_subscript] = STATE(2598),
    [sym_file_redirect] = STATE(575),
    [sym_concatenation] = STATE(573),
    [sym_string] = STATE(272),
    [sym_simple_expansion] = STATE(272),
    [sym_string_expansion] = STATE(272),
    [sym_expansion] = STATE(272),
    [sym_command_substitution] = STATE(272),
    [sym_process_substitution] = STATE(272),
    [aux_sym_command_repeat1] = STATE(575),
    [aux_sym__literal_repeat1] = STATE(359),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    STATE(2358), 1,
      sym_heredoc_body,
    ACTIONS(275), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [60] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR,
    ACTIONS(371), 1,
      sym__special_character,
    ACTIONS(373), 1,
      anon_sym_DQUOTE,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(377), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(379), 1,
      anon_sym_BQUOTE,
    ACTIONS(383), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(385), 1,
      sym_variable_name,
    STATE(420), 1,
      aux_sym__literal_repeat1,
    STATE(2605), 1,
      sym_subscript,
    ACTIONS(365), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(381), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(363), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(128), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(241), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(367), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [141] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(393), 1,
      anon_sym_DOLLAR,
    ACTIONS(395), 1,
      sym__special_character,
    ACTIONS(397), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(401), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(403), 1,
      anon_sym_BQUOTE,
    ACTIONS(407), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(409), 1,
      sym_variable_name,
    STATE(354), 1,
      aux_sym__literal_repeat1,
    STATE(2589), 1,
      sym_subscript,
    ACTIONS(389), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(405), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(387), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(132), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(266), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(391), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [222] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 1,
      anon_sym_DOLLAR,
    ACTIONS(421), 1,
      sym__special_character,
    ACTIONS(424), 1,
      anon_sym_DQUOTE,
    ACTIONS(427), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(430), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(433), 1,
      anon_sym_BQUOTE,
    ACTIONS(439), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(442), 1,
      sym_variable_name,
    STATE(420), 1,
      aux_sym__literal_repeat1,
    STATE(2605), 1,
      sym_subscript,
    ACTIONS(414), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(436), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(411), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(128), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(241), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(416), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [303] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR,
    ACTIONS(371), 1,
      sym__special_character,
    ACTIONS(373), 1,
      anon_sym_DQUOTE,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(377), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(379), 1,
      anon_sym_BQUOTE,
    ACTIONS(385), 1,
      sym_variable_name,
    ACTIONS(445), 1,
      aux_sym__simple_variable_name_token1,
    STATE(420), 1,
      aux_sym__literal_repeat1,
    STATE(2605), 1,
      sym_subscript,
    ACTIONS(381), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(389), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(363), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(126), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(241), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(391), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [384] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(450), 1,
      anon_sym_DOLLAR,
    ACTIONS(453), 1,
      sym__special_character,
    ACTIONS(456), 1,
      anon_sym_DQUOTE,
    ACTIONS(459), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(462), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(465), 1,
      anon_sym_BQUOTE,
    ACTIONS(471), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(474), 1,
      sym_variable_name,
    STATE(354), 1,
      aux_sym__literal_repeat1,
    STATE(2589), 1,
      sym_subscript,
    ACTIONS(414), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(468), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(447), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(130), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(266), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(416), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [465] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DOLLAR,
    ACTIONS(481), 1,
      sym__special_character,
    ACTIONS(483), 1,
      anon_sym_DQUOTE,
    ACTIONS(485), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(487), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(489), 1,
      anon_sym_BQUOTE,
    ACTIONS(493), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(495), 1,
      sym_variable_name,
    STATE(466), 1,
      aux_sym__literal_repeat1,
    STATE(2595), 1,
      sym_subscript,
    ACTIONS(491), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(365), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(477), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(134), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(267), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(367), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [546] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(393), 1,
      anon_sym_DOLLAR,
    ACTIONS(395), 1,
      sym__special_character,
    ACTIONS(397), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(401), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(403), 1,
      anon_sym_BQUOTE,
    ACTIONS(409), 1,
      sym_variable_name,
    ACTIONS(497), 1,
      aux_sym__simple_variable_name_token1,
    STATE(354), 1,
      aux_sym__literal_repeat1,
    STATE(2589), 1,
      sym_subscript,
    ACTIONS(365), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(405), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(387), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(130), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(266), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(367), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [627] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DOLLAR,
    ACTIONS(481), 1,
      sym__special_character,
    ACTIONS(483), 1,
      anon_sym_DQUOTE,
    ACTIONS(485), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(487), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(489), 1,
      anon_sym_BQUOTE,
    ACTIONS(495), 1,
      sym_variable_name,
    ACTIONS(499), 1,
      aux_sym__simple_variable_name_token1,
    STATE(466), 1,
      aux_sym__literal_repeat1,
    STATE(2595), 1,
      sym_subscript,
    ACTIONS(491), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(389), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(477), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(131), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(267), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(391), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [708] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(504), 1,
      anon_sym_DOLLAR,
    ACTIONS(507), 1,
      sym__special_character,
    ACTIONS(510), 1,
      anon_sym_DQUOTE,
    ACTIONS(513), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(516), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(519), 1,
      anon_sym_BQUOTE,
    ACTIONS(525), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(528), 1,
      sym_variable_name,
    STATE(466), 1,
      aux_sym__literal_repeat1,
    STATE(2595), 1,
      sym_subscript,
    ACTIONS(522), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(414), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(501), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(134), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(267), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(416), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [789] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR,
    ACTIONS(371), 1,
      sym__special_character,
    ACTIONS(373), 1,
      anon_sym_DQUOTE,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(377), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(383), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(385), 1,
      sym_variable_name,
    STATE(420), 1,
      aux_sym__literal_repeat1,
    STATE(2605), 1,
      sym_subscript,
    ACTIONS(365), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(381), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(363), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(128), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(241), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(367), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [867] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR,
    ACTIONS(371), 1,
      sym__special_character,
    ACTIONS(373), 1,
      anon_sym_DQUOTE,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(377), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(385), 1,
      sym_variable_name,
    ACTIONS(531), 1,
      aux_sym__simple_variable_name_token1,
    STATE(420), 1,
      aux_sym__literal_repeat1,
    STATE(2605), 1,
      sym_subscript,
    ACTIONS(381), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(389), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(363), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(135), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(241), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(391), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [945] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(541), 1,
      sym_raw_string,
    STATE(348), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(537), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(543), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1007] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(547), 1,
      anon_sym_DQUOTE,
    ACTIONS(549), 1,
      sym_raw_string,
    STATE(295), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(545), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(551), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1069] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_DQUOTE,
    ACTIONS(557), 1,
      sym_raw_string,
    STATE(462), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(553), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(559), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1131] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(565), 1,
      anon_sym_esac,
    ACTIONS(567), 1,
      anon_sym_SEMI_SEMI,
    STATE(2310), 1,
      sym_heredoc_body,
    ACTIONS(563), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1193] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(569), 1,
      anon_sym_esac,
    ACTIONS(571), 1,
      anon_sym_SEMI_SEMI,
    STATE(2327), 1,
      sym_heredoc_body,
    ACTIONS(563), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1255] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(571), 1,
      anon_sym_RPAREN,
    STATE(2312), 1,
      sym_heredoc_body,
    ACTIONS(563), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1314] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(275), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1365] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(555), 1,
      anon_sym_DQUOTE,
    ACTIONS(581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(583), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(585), 1,
      anon_sym_BQUOTE,
    STATE(151), 1,
      aux_sym_command_repeat2,
    STATE(453), 1,
      aux_sym__literal_repeat1,
    STATE(569), 1,
      sym_concatenation,
    ACTIONS(579), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(587), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(573), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(575), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(260), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(577), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1442] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(567), 1,
      ts_builtin_sym_end,
    ACTIONS(589), 1,
      sym__simple_heredoc_body,
    ACTIONS(591), 1,
      sym__heredoc_body_beginning,
    STATE(2311), 1,
      sym_heredoc_body,
    ACTIONS(563), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1501] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    STATE(2351), 1,
      sym_heredoc_body,
    ACTIONS(275), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1558] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_DQUOTE,
    ACTIONS(595), 1,
      sym_raw_string,
    STATE(468), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(593), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(597), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1619] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(567), 1,
      anon_sym_RPAREN,
    STATE(2326), 1,
      sym_heredoc_body,
    ACTIONS(563), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1678] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(571), 1,
      ts_builtin_sym_end,
    ACTIONS(589), 1,
      sym__simple_heredoc_body,
    ACTIONS(591), 1,
      sym__heredoc_body_beginning,
    STATE(2304), 1,
      sym_heredoc_body,
    ACTIONS(563), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1737] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      sym__special_character,
    ACTIONS(547), 1,
      anon_sym_DQUOTE,
    ACTIONS(607), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(611), 1,
      anon_sym_BQUOTE,
    STATE(167), 1,
      aux_sym_command_repeat2,
    STATE(337), 1,
      aux_sym__literal_repeat1,
    STATE(598), 1,
      sym_concatenation,
    ACTIONS(601), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(605), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(613), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(599), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(603), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1814] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 1,
      anon_sym_DOLLAR,
    ACTIONS(628), 1,
      sym__special_character,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(634), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(637), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(640), 1,
      anon_sym_BQUOTE,
    STATE(151), 1,
      aux_sym_command_repeat2,
    STATE(453), 1,
      aux_sym__literal_repeat1,
    STATE(569), 1,
      sym_concatenation,
    ACTIONS(622), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(643), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(615), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(617), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(260), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(620), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1891] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      sym__special_character,
    ACTIONS(547), 1,
      anon_sym_DQUOTE,
    ACTIONS(607), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(611), 1,
      anon_sym_BQUOTE,
    STATE(160), 1,
      aux_sym_command_repeat2,
    STATE(337), 1,
      aux_sym__literal_repeat1,
    STATE(598), 1,
      sym_concatenation,
    ACTIONS(605), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(613), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(646), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(599), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(648), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1968] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(656), 1,
      anon_sym_DOLLAR,
    ACTIONS(659), 1,
      sym__special_character,
    ACTIONS(662), 1,
      anon_sym_DQUOTE,
    ACTIONS(665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(668), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(671), 1,
      anon_sym_BQUOTE,
    STATE(153), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(615), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(653), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(674), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(650), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(620), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2045] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      sym_raw_string,
    STATE(581), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(677), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(683), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2106] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(687), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(685), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2157] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_DQUOTE,
    ACTIONS(691), 1,
      sym_raw_string,
    STATE(303), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(689), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(693), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 27,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2218] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 1,
      anon_sym_DQUOTE,
    ACTIONS(699), 1,
      sym_raw_string,
    STATE(547), 1,
      sym_string,
    ACTIONS(535), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(695), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(701), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2279] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(555), 1,
      anon_sym_DQUOTE,
    ACTIONS(581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(583), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(585), 1,
      anon_sym_BQUOTE,
    STATE(144), 1,
      aux_sym_command_repeat2,
    STATE(453), 1,
      aux_sym__literal_repeat1,
    STATE(569), 1,
      sym_concatenation,
    ACTIONS(579), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(587), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(575), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(646), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(260), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(648), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2356] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(711), 1,
      anon_sym_BQUOTE,
    STATE(153), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(601), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(713), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(603), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2433] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      sym__special_character,
    ACTIONS(547), 1,
      anon_sym_DQUOTE,
    ACTIONS(607), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(611), 1,
      anon_sym_BQUOTE,
    STATE(167), 1,
      aux_sym_command_repeat2,
    STATE(337), 1,
      aux_sym__literal_repeat1,
    STATE(598), 1,
      sym_concatenation,
    ACTIONS(573), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(605), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(613), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(599), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(577), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2510] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 1,
      anon_sym_DQUOTE,
    ACTIONS(719), 1,
      sym_raw_string,
    STATE(543), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(715), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(721), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 27,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2571] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(555), 1,
      anon_sym_DQUOTE,
    ACTIONS(581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(583), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(585), 1,
      anon_sym_BQUOTE,
    STATE(165), 1,
      aux_sym_command_repeat2,
    STATE(453), 1,
      aux_sym__literal_repeat1,
    STATE(569), 1,
      sym_concatenation,
    ACTIONS(579), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(587), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(575), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(723), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(260), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(725), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2648] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(711), 1,
      anon_sym_BQUOTE,
    STATE(159), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(713), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(723), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(725), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2725] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      sym__special_character,
    ACTIONS(547), 1,
      anon_sym_DQUOTE,
    ACTIONS(607), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(611), 1,
      anon_sym_BQUOTE,
    STATE(150), 1,
      aux_sym_command_repeat2,
    STATE(337), 1,
      aux_sym__literal_repeat1,
    STATE(598), 1,
      sym_concatenation,
    ACTIONS(605), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(613), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(723), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(599), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(725), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2802] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(555), 1,
      anon_sym_DQUOTE,
    ACTIONS(581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(583), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(585), 1,
      anon_sym_BQUOTE,
    STATE(151), 1,
      aux_sym_command_repeat2,
    STATE(453), 1,
      aux_sym__literal_repeat1,
    STATE(569), 1,
      sym_concatenation,
    ACTIONS(579), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(587), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(575), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(601), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(260), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(603), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2879] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(711), 1,
      anon_sym_BQUOTE,
    STATE(153), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(573), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(713), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(577), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2956] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_DOLLAR,
    ACTIONS(736), 1,
      sym__special_character,
    ACTIONS(739), 1,
      anon_sym_DQUOTE,
    ACTIONS(742), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(748), 1,
      anon_sym_BQUOTE,
    STATE(167), 1,
      aux_sym_command_repeat2,
    STATE(337), 1,
      aux_sym__literal_repeat1,
    STATE(598), 1,
      sym_concatenation,
    ACTIONS(615), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(730), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(751), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(727), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(620), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3033] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(711), 1,
      anon_sym_BQUOTE,
    STATE(166), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(646), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(713), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(648), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3110] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(567), 1,
      anon_sym_SEMI_SEMI,
    STATE(2350), 1,
      sym_heredoc_body,
    ACTIONS(563), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3169] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(571), 1,
      anon_sym_SEMI_SEMI,
    STATE(2354), 1,
      sym_heredoc_body,
    ACTIONS(563), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3228] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_DQUOTE,
    ACTIONS(756), 1,
      sym_raw_string,
    STATE(364), 1,
      sym_string,
    ACTIONS(535), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(754), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(758), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3289] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(189), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(646), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(713), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(648), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3363] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DOLLAR,
    ACTIONS(768), 1,
      sym__special_character,
    ACTIONS(770), 1,
      anon_sym_DQUOTE,
    ACTIONS(772), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(774), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(776), 1,
      anon_sym_BQUOTE,
    ACTIONS(780), 1,
      aux_sym__simple_variable_name_token1,
    STATE(530), 1,
      aux_sym__literal_repeat1,
    ACTIONS(762), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(778), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(184), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(760), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(764), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3437] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(153), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(601), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(713), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(603), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3511] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(770), 1,
      anon_sym_DQUOTE,
    ACTIONS(784), 1,
      sym_raw_string,
    STATE(580), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(782), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(786), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3571] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_DQUOTE,
    ACTIONS(792), 1,
      sym_raw_string,
    STATE(608), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(788), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(794), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 27,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3631] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 1,
      anon_sym_DOLLAR,
    ACTIONS(804), 1,
      sym__special_character,
    ACTIONS(806), 1,
      anon_sym_DQUOTE,
    ACTIONS(808), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(810), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(812), 1,
      anon_sym_BQUOTE,
    ACTIONS(816), 1,
      aux_sym__simple_variable_name_token1,
    STATE(568), 1,
      aux_sym__literal_repeat1,
    ACTIONS(814), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(187), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(796), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(798), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(465), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(800), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3705] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 1,
      anon_sym_DOLLAR,
    ACTIONS(828), 1,
      sym__special_character,
    ACTIONS(831), 1,
      anon_sym_DQUOTE,
    ACTIONS(834), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(837), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(840), 1,
      anon_sym_BQUOTE,
    ACTIONS(846), 1,
      aux_sym__simple_variable_name_token1,
    STATE(584), 1,
      aux_sym__literal_repeat1,
    ACTIONS(821), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(843), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(178), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(818), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(353), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(823), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3779] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 1,
      anon_sym_DQUOTE,
    ACTIONS(851), 1,
      sym_raw_string,
    STATE(618), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(849), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(853), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3839] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_DOLLAR,
    ACTIONS(859), 1,
      sym__special_character,
    ACTIONS(861), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(863), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(865), 1,
      anon_sym_BQUOTE,
    ACTIONS(869), 1,
      aux_sym__simple_variable_name_token1,
    STATE(584), 1,
      aux_sym__literal_repeat1,
    ACTIONS(762), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(867), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(190), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(855), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(353), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(764), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3913] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_DOLLAR,
    ACTIONS(877), 1,
      sym__special_character,
    ACTIONS(880), 1,
      anon_sym_DQUOTE,
    ACTIONS(883), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(889), 1,
      anon_sym_BQUOTE,
    ACTIONS(895), 1,
      aux_sym__simple_variable_name_token1,
    STATE(530), 1,
      aux_sym__literal_repeat1,
    ACTIONS(821), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(892), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(181), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(871), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(823), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3987] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(571), 1,
      anon_sym_BQUOTE,
    STATE(2295), 1,
      sym_heredoc_body,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4045] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(567), 1,
      anon_sym_BQUOTE,
    STATE(2316), 1,
      sym_heredoc_body,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4103] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DOLLAR,
    ACTIONS(768), 1,
      sym__special_character,
    ACTIONS(770), 1,
      anon_sym_DQUOTE,
    ACTIONS(772), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(774), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(776), 1,
      anon_sym_BQUOTE,
    ACTIONS(898), 1,
      aux_sym__simple_variable_name_token1,
    STATE(530), 1,
      aux_sym__literal_repeat1,
    ACTIONS(778), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(796), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(181), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(760), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(800), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4177] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    STATE(2362), 1,
      sym_heredoc_body,
    ACTIONS(563), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4233] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 1,
      anon_sym_DOLLAR,
    ACTIONS(804), 1,
      sym__special_character,
    ACTIONS(806), 1,
      anon_sym_DQUOTE,
    ACTIONS(808), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(810), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(812), 1,
      anon_sym_BQUOTE,
    ACTIONS(900), 1,
      aux_sym__simple_variable_name_token1,
    STATE(568), 1,
      aux_sym__literal_repeat1,
    ACTIONS(814), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(177), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(762), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(798), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(465), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(764), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4307] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 1,
      anon_sym_DOLLAR,
    ACTIONS(908), 1,
      sym__special_character,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(914), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(917), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(920), 1,
      anon_sym_BQUOTE,
    ACTIONS(926), 1,
      aux_sym__simple_variable_name_token1,
    STATE(568), 1,
      aux_sym__literal_repeat1,
    ACTIONS(923), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(187), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(821), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(902), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(465), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(823), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4381] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(174), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(713), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(723), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(725), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [4455] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(153), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(573), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(713), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(577), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [4529] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_DOLLAR,
    ACTIONS(859), 1,
      sym__special_character,
    ACTIONS(861), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(863), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(865), 1,
      anon_sym_BQUOTE,
    ACTIONS(929), 1,
      aux_sym__simple_variable_name_token1,
    STATE(584), 1,
      aux_sym__literal_repeat1,
    ACTIONS(796), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(867), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(178), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(855), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(353), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(800), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4603] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(569), 1,
      anon_sym_esac,
    ACTIONS(571), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(563), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4656] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(935), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(933), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4707] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(937), 1,
      anon_sym_esac,
    ACTIONS(933), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4760] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    STATE(163), 1,
      sym_command_name,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    STATE(534), 1,
      sym_concatenation,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(533), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1470), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(259), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [4851] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    STATE(188), 1,
      sym_command_name,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    STATE(534), 1,
      sym_concatenation,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(538), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1470), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(259), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [4942] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(571), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(563), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4993] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DOLLAR,
    ACTIONS(768), 1,
      sym__special_character,
    ACTIONS(770), 1,
      anon_sym_DQUOTE,
    ACTIONS(772), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(774), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(941), 1,
      aux_sym__simple_variable_name_token1,
    STATE(530), 1,
      aux_sym__literal_repeat1,
    ACTIONS(762), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(778), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(202), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(760), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(764), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5064] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_esac,
    ACTIONS(945), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(933), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5117] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      sym__special_character,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(225), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    STATE(164), 1,
      sym_command_name,
    STATE(359), 1,
      aux_sym__literal_repeat1,
    STATE(573), 1,
      sym_concatenation,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(227), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(219), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(575), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1470), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(272), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [5208] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(945), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(933), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5259] = 24,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(939), 1,
      sym_variable_name,
    STATE(162), 1,
      sym_command_name,
    STATE(467), 1,
      aux_sym__literal_repeat1,
    STATE(545), 1,
      sym_concatenation,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(45), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(562), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1626), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(235), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [5350] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DOLLAR,
    ACTIONS(768), 1,
      sym__special_character,
    ACTIONS(770), 1,
      anon_sym_DQUOTE,
    ACTIONS(772), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(774), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(898), 1,
      aux_sym__simple_variable_name_token1,
    STATE(530), 1,
      aux_sym__literal_repeat1,
    ACTIONS(778), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(796), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(181), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(760), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(800), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5421] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(567), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(563), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5472] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_esac,
    ACTIONS(567), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(563), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5525] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(687), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(685), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5573] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(275), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5621] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(945), 1,
      ts_builtin_sym_end,
    ACTIONS(933), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5671] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(571), 1,
      ts_builtin_sym_end,
    ACTIONS(563), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5721] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(567), 1,
      ts_builtin_sym_end,
    ACTIONS(563), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5771] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(935), 1,
      ts_builtin_sym_end,
    ACTIONS(933), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5821] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_BQUOTE,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5870] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(563), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5917] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(571), 1,
      anon_sym_BQUOTE,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5966] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_BQUOTE,
    ACTIONS(933), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6015] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_BQUOTE,
    ACTIONS(933), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6064] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(933), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6111] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 1,
      ts_builtin_sym_end,
    ACTIONS(951), 1,
      anon_sym_LF,
    ACTIONS(961), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(955), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(957), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(959), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(953), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1310), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6172] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      sym_variable_name,
    ACTIONS(965), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1299), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(967), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6223] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      sym__concat,
    STATE(261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(971), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(969), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6274] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_RPAREN,
    ACTIONS(977), 1,
      anon_sym_LF,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(979), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6335] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      sym_variable_name,
    ACTIONS(965), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1310), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(967), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6386] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      ts_builtin_sym_end,
    ACTIONS(961), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(989), 1,
      anon_sym_LF,
    ACTIONS(955), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(957), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(959), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(991), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1310), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6447] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(995), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      sym_variable_name,
    ACTIONS(965), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(967), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6551] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      anon_sym_LF,
    ACTIONS(1007), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(999), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1001), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1005), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(1299), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6612] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1009), 1,
      anon_sym_LF,
    ACTIONS(565), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1005), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1011), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1299), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6673] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(993), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1310), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(995), 8,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6726] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(971), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(969), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(1017), 1,
      sym__concat,
    STATE(255), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(971), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(969), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1299), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(995), 9,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6881] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1001), 1,
      anon_sym_RPAREN,
    ACTIONS(1019), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1021), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      sym__concat,
    STATE(232), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [6990] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1030), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1032), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7048] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1001), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(1034), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1021), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(971), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(969), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 1,
      sym__concat,
    STATE(236), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1025), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7252] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1043), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1045), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      sym__concat,
    STATE(263), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1047), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 1,
      sym__concat,
    STATE(250), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1047), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 1,
      sym__concat,
    STATE(252), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1055), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7454] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      sym_variable_name,
    ACTIONS(965), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(967), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [7504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1061), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1063), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym__concat,
    STATE(261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1069), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1067), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__concat,
    STATE(239), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1073), 1,
      sym__concat,
    STATE(247), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1025), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1078), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7792] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1080), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1082), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      sym__concat,
    STATE(250), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__concat,
    STATE(239), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1061), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1063), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1087), 1,
      sym__concat,
    STATE(247), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1047), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7994] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1089), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(979), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8054] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1091), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(995), 8,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      sym__concat,
    STATE(236), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1047), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      sym__concat,
    STATE(255), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1078), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym__concat,
    STATE(261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1078), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8250] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1095), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1097), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      sym__concat,
    STATE(255), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(971), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(969), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1069), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1067), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1099), 1,
      sym__concat,
    STATE(270), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1047), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 1,
      sym__concat,
    STATE(252), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1061), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1063), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 1,
      sym__concat,
    STATE(263), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1025), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 1,
      sym__concat,
    STATE(252), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym__concat,
    STATE(261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__concat,
    STATE(239), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1055), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1055), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8740] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1001), 1,
      anon_sym_BQUOTE,
    ACTIONS(1104), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1091), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1108), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1106), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1110), 1,
      sym__concat,
    STATE(232), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1047), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      sym__concat,
    STATE(270), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1025), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8896] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_BQUOTE,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1115), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1091), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1108), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1117), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym__concat,
    STATE(261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(971), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(969), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      sym__concat,
    STATE(255), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      sym__concat,
    STATE(255), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1069), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1067), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 1,
      sym__concat,
    STATE(470), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1061), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1063), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1121), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1125), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1129), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1025), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1133), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1125), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1121), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1137), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1141), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1145), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1149), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1155), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1171), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1155), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym__special_character,
    STATE(351), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1193), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1155), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10269] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_DQUOTE,
    ACTIONS(1203), 1,
      sym_raw_string,
    STATE(1359), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1199), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1205), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [10322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1181), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10365] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 1,
      sym__concat,
    STATE(315), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      sym__special_character,
    STATE(431), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1209), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1211), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1141), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      sym__concat,
    STATE(313), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1129), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      sym__concat,
    STATE(313), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1047), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1025), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1145), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      sym__concat,
    STATE(343), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1149), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1025), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1157), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1185), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1165), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1177), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1157), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1137), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      sym__special_character,
    STATE(330), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1211), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11507] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1240), 1,
      sym__special_character,
    STATE(330), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 1,
      sym__concat,
    STATE(358), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1047), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      sym__special_character,
    STATE(334), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1189), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1133), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym__special_character,
    STATE(351), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1137), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1161), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1165), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1185), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1171), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      sym__concat,
    STATE(375), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1047), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1121), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1129), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1125), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1141), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 1,
      sym__special_character,
    STATE(351), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1145), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      sym__concat,
    STATE(333), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1267), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1265), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym__special_character,
    STATE(397), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1273), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1271), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1149), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 1,
      sym__concat,
    STATE(358), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1025), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym__special_character,
    STATE(351), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1282), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1280), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1133), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1219), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1247), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1129), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1223), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      sym__concat,
    STATE(396), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1061), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1063), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 1,
      sym__special_character,
    STATE(443), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1195), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1193), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 1,
      sym__concat,
    STATE(375), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1025), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1149), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1145), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1141), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1125), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1121), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1155), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1223), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1137), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1133), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1219), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1243), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1247), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14397] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      sym__concat,
    STATE(401), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1047), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      sym__special_character,
    STATE(397), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1157), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1149), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 1,
      sym__concat,
    STATE(401), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1145), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1141), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1223), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1125), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1219), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1219), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1121), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 1,
      sym__special_character,
    STATE(334), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1282), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1280), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1155), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1171), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1185), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1223), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1165), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      sym__special_character,
    STATE(330), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1273), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1271), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      sym__concat,
    STATE(343), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1267), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1265), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1137), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1149), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1133), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1145), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym__concat,
    STATE(435), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1047), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1141), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1125), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      sym__special_character,
    STATE(431), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym__special_character,
    STATE(397), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1211), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1306), 1,
      sym__concat,
    STATE(435), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      sym__concat,
    STATE(428), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 1,
      sym__concat,
    STATE(437), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1247), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1121), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1243), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 1,
      sym__special_character,
    STATE(334), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1157), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1314), 1,
      sym__special_character,
    STATE(443), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1177), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1155), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1171), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1185), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1165), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1161), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1137), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 1,
      sym__concat,
    STATE(315), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1061), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1063), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1133), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 1,
      sym__special_character,
    STATE(443), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1256), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1189), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      sym__concat,
    STATE(333), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 1,
      sym__special_character,
    STATE(334), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1193), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1025), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1129), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      sym__concat,
    STATE(396), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1247), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1129), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      sym__concat,
    STATE(428), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1267), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1265), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      sym__special_character,
    STATE(431), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1273), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1271), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17534] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 1,
      sym__special_character,
    STATE(443), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1282), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1280), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1181), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 1,
      sym__concat,
    STATE(470), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 1,
      sym__concat,
    STATE(437), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1047), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1137), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1121), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1125), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1141), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1145), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1149), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1219), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1223), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      sym__special_character,
    STATE(482), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1149), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1247), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1243), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1133), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1137), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1155), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1078), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1121), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1125), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1145), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1141), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1145), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1149), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1141), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 1,
      sym__special_character,
    STATE(506), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1125), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1171), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1185), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1165), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 1,
      sym__special_character,
    STATE(641), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1211), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1121), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1157), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1155), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1133), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1189), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19830] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_DQUOTE,
    ACTIONS(1203), 1,
      sym_raw_string,
    STATE(1359), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1199), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1205), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [19882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1067), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1247), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1223), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1219), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1157), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 1,
      sym__special_character,
    STATE(578), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1329), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1327), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20348] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    ACTIONS(1333), 1,
      sym__special_character,
    STATE(168), 1,
      sym_command_name,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    STATE(534), 1,
      sym_concatenation,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1304), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(259), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [20422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(969), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20590] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    ACTIONS(1333), 1,
      sym__special_character,
    STATE(172), 1,
      sym_command_name,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    STATE(534), 1,
      sym_concatenation,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1304), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(259), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [20664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1129), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1181), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1129), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(969), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1149), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1145), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1141), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1125), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1121), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1155), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1171), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1185), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1165), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1137), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1133), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21630] = 19,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(939), 1,
      sym_variable_name,
    ACTIONS(1335), 1,
      sym__special_character,
    STATE(158), 1,
      sym_command_name,
    STATE(467), 1,
      aux_sym__literal_repeat1,
    STATE(545), 1,
      sym_concatenation,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(45), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1304), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(235), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [21704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      sym__special_character,
    STATE(564), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1137), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1133), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1340), 1,
      sym__special_character,
    STATE(576), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1329), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1327), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1067), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1344), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(969), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 1,
      sym__special_character,
    STATE(564), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1209), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1211), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22220] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(225), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    ACTIONS(1348), 1,
      sym__special_character,
    STATE(152), 1,
      sym_command_name,
    STATE(359), 1,
      aux_sym__literal_repeat1,
    STATE(573), 1,
      sym_concatenation,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(227), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(219), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1304), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(272), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [22294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      sym__special_character,
    STATE(576), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 1,
      sym__special_character,
    STATE(578), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22428] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 1,
      anon_sym_DQUOTE,
    ACTIONS(1360), 1,
      sym_raw_string,
    STATE(1510), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1356), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1362), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [22480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1181), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1129), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 1,
      sym__special_character,
    STATE(506), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1329), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1327), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1025), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1133), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1137), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1165), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1185), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1171), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1155), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1121), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1125), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1344), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1141), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1067), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1145), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1149), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1129), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1157), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1368), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1366), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1219), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1223), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1025), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1063), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1129), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1247), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1129), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1078), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 1,
      sym__special_character,
    STATE(482), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1211), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1368), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1366), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1344), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1078), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1157), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1368), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1366), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1063), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 1,
      sym__special_character,
    STATE(641), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1243), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1189), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1133), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1137), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1247), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1155), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1165), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1185), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1063), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1171), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1155), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1121), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1125), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1141), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1145), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1149), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1219), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1223), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26019] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_DQUOTE,
    ACTIONS(1379), 1,
      sym_raw_string,
    STATE(1490), 1,
      sym_string,
    ACTIONS(1375), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1381), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [26068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1344), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1368), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1366), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1368), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1366), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1063), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1368), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1366), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1344), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1063), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1344), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1063), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26642] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      sym_raw_string,
    ACTIONS(1389), 1,
      anon_sym_POUND,
    STATE(1445), 1,
      sym_string,
    ACTIONS(1383), 3,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(533), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      sym_word,
    ACTIONS(1391), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 15,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [26694] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_DQUOTE,
    ACTIONS(1397), 1,
      anon_sym_LPAREN,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1403), 1,
      sym__special_character,
    ACTIONS(1405), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1407), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_BQUOTE,
    STATE(1471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1399), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1411), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1393), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1395), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1458), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1648), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26757] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_DQUOTE,
    ACTIONS(1397), 1,
      anon_sym_LPAREN,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1403), 1,
      sym__special_character,
    ACTIONS(1405), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1407), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_BQUOTE,
    STATE(1471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1399), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1411), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1393), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1413), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1458), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1649), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26820] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_DQUOTE,
    ACTIONS(1397), 1,
      anon_sym_LPAREN,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1403), 1,
      sym__special_character,
    ACTIONS(1405), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1407), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_BQUOTE,
    STATE(1471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1399), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1411), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1393), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1415), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1458), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1599), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26883] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_DQUOTE,
    ACTIONS(1397), 1,
      anon_sym_LPAREN,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1403), 1,
      sym__special_character,
    ACTIONS(1405), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1407), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_BQUOTE,
    STATE(1471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1399), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1411), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1393), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1417), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1458), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1659), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26946] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(1425), 1,
      sym_raw_string,
    STATE(1715), 1,
      sym_string,
    ACTIONS(1419), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1421), 2,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1427), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1429), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(533), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(535), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [26999] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_DQUOTE,
    ACTIONS(1397), 1,
      anon_sym_LPAREN,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1403), 1,
      sym__special_character,
    ACTIONS(1405), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1407), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_BQUOTE,
    STATE(1471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1399), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1411), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1393), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1431), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1458), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1575), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27062] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_DQUOTE,
    ACTIONS(1397), 1,
      anon_sym_LPAREN,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(1403), 1,
      sym__special_character,
    ACTIONS(1405), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1407), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_BQUOTE,
    STATE(1471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1399), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1411), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1393), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1433), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1458), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1654), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27125] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(1441), 1,
      sym_raw_string,
    STATE(1853), 1,
      sym_string,
    ACTIONS(1435), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1437), 2,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1443), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1445), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(533), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(535), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [27177] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1453), 1,
      sym_raw_string,
    STATE(1672), 1,
      sym_string,
    ACTIONS(1447), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1449), 2,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1455), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1457), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(533), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(535), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [27229] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1461), 1,
      anon_sym_RBRACE,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1473), 1,
      anon_sym_POUND,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1477), 1,
      anon_sym_SLASH,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1206), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1463), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27294] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      anon_sym_RBRACE,
    ACTIONS(1489), 1,
      anon_sym_POUND,
    ACTIONS(1491), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(897), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1487), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27359] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1493), 1,
      anon_sym_RBRACE,
    ACTIONS(1497), 1,
      anon_sym_POUND,
    ACTIONS(1499), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1025), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1495), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27424] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1501), 1,
      anon_sym_RBRACE,
    ACTIONS(1505), 1,
      anon_sym_POUND,
    ACTIONS(1507), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1027), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1503), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27489] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1509), 1,
      anon_sym_RBRACE,
    ACTIONS(1513), 1,
      anon_sym_POUND,
    ACTIONS(1515), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1034), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1511), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27554] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1501), 1,
      anon_sym_RBRACE,
    ACTIONS(1505), 1,
      anon_sym_POUND,
    ACTIONS(1517), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1027), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1503), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27619] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1519), 1,
      anon_sym_RBRACE,
    ACTIONS(1523), 1,
      anon_sym_POUND,
    ACTIONS(1525), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1037), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1521), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27684] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1527), 1,
      anon_sym_RBRACE,
    ACTIONS(1531), 1,
      anon_sym_POUND,
    ACTIONS(1533), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1042), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1529), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27749] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1535), 1,
      anon_sym_RBRACE,
    ACTIONS(1539), 1,
      anon_sym_POUND,
    ACTIONS(1541), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1238), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1537), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27814] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1543), 1,
      anon_sym_RBRACE,
    ACTIONS(1547), 1,
      anon_sym_POUND,
    ACTIONS(1549), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1072), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1545), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27879] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1551), 1,
      anon_sym_RBRACE,
    ACTIONS(1555), 1,
      anon_sym_POUND,
    ACTIONS(1557), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1081), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1553), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27944] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1559), 1,
      anon_sym_RBRACE,
    ACTIONS(1563), 1,
      anon_sym_POUND,
    ACTIONS(1565), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1085), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1561), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28009] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1567), 1,
      anon_sym_RBRACE,
    ACTIONS(1571), 1,
      anon_sym_POUND,
    ACTIONS(1573), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1092), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1569), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28074] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1575), 1,
      anon_sym_RBRACE,
    ACTIONS(1579), 1,
      anon_sym_POUND,
    ACTIONS(1581), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1094), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1577), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28139] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1567), 1,
      anon_sym_RBRACE,
    ACTIONS(1571), 1,
      anon_sym_POUND,
    ACTIONS(1583), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1092), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1569), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28204] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1585), 1,
      anon_sym_RBRACE,
    ACTIONS(1589), 1,
      anon_sym_POUND,
    ACTIONS(1591), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1269), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1587), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28269] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1593), 1,
      anon_sym_RBRACE,
    ACTIONS(1597), 1,
      anon_sym_POUND,
    ACTIONS(1599), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1099), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1595), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28334] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1601), 1,
      anon_sym_RBRACE,
    ACTIONS(1605), 1,
      anon_sym_POUND,
    ACTIONS(1607), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1274), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1603), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28399] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1609), 1,
      anon_sym_RBRACE,
    ACTIONS(1613), 1,
      anon_sym_POUND,
    ACTIONS(1615), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1215), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1611), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28464] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1617), 1,
      anon_sym_RBRACE,
    ACTIONS(1621), 1,
      anon_sym_POUND,
    ACTIONS(1623), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1213), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1619), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28529] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1625), 1,
      anon_sym_RBRACE,
    ACTIONS(1629), 1,
      anon_sym_POUND,
    ACTIONS(1631), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1204), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1627), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28594] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1633), 1,
      anon_sym_RBRACE,
    ACTIONS(1637), 1,
      anon_sym_POUND,
    ACTIONS(1639), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1101), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1635), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28659] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1641), 1,
      anon_sym_RBRACE,
    ACTIONS(1645), 1,
      anon_sym_POUND,
    ACTIONS(1647), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1156), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1643), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28724] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1649), 1,
      anon_sym_RBRACE,
    ACTIONS(1653), 1,
      anon_sym_POUND,
    ACTIONS(1655), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(912), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1651), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28789] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1657), 1,
      anon_sym_RBRACE,
    ACTIONS(1661), 1,
      anon_sym_POUND,
    ACTIONS(1663), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1203), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1659), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28854] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1665), 1,
      anon_sym_RBRACE,
    ACTIONS(1669), 1,
      anon_sym_POUND,
    ACTIONS(1671), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(960), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1667), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28919] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1673), 1,
      anon_sym_RBRACE,
    ACTIONS(1677), 1,
      anon_sym_POUND,
    ACTIONS(1679), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1166), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1675), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28984] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
    ACTIONS(1685), 1,
      anon_sym_POUND,
    ACTIONS(1687), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1140), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1683), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29049] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1689), 1,
      anon_sym_RBRACE,
    ACTIONS(1693), 1,
      anon_sym_POUND,
    ACTIONS(1695), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1167), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1691), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29114] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      anon_sym_RBRACE,
    ACTIONS(1701), 1,
      anon_sym_POUND,
    ACTIONS(1703), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(953), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1699), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29179] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1705), 1,
      anon_sym_RBRACE,
    ACTIONS(1709), 1,
      anon_sym_POUND,
    ACTIONS(1711), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1201), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1707), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29244] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1713), 1,
      anon_sym_RBRACE,
    ACTIONS(1717), 1,
      anon_sym_POUND,
    ACTIONS(1719), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1178), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1715), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29309] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1721), 1,
      anon_sym_RBRACE,
    ACTIONS(1725), 1,
      anon_sym_POUND,
    ACTIONS(1727), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(921), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1723), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29374] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1729), 1,
      anon_sym_RBRACE,
    ACTIONS(1733), 1,
      anon_sym_POUND,
    ACTIONS(1735), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(919), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1731), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29439] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1737), 1,
      anon_sym_RBRACE,
    ACTIONS(1741), 1,
      anon_sym_POUND,
    ACTIONS(1743), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(926), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1739), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29504] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1745), 1,
      anon_sym_RBRACE,
    ACTIONS(1749), 1,
      anon_sym_POUND,
    ACTIONS(1751), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(918), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1747), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29569] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1689), 1,
      anon_sym_RBRACE,
    ACTIONS(1693), 1,
      anon_sym_POUND,
    ACTIONS(1753), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1167), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1691), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29634] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1657), 1,
      anon_sym_RBRACE,
    ACTIONS(1661), 1,
      anon_sym_POUND,
    ACTIONS(1755), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1203), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1659), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29699] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1757), 1,
      anon_sym_RBRACE,
    ACTIONS(1761), 1,
      anon_sym_POUND,
    ACTIONS(1763), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(911), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1759), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29764] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1765), 1,
      anon_sym_RBRACE,
    ACTIONS(1769), 1,
      anon_sym_POUND,
    ACTIONS(1771), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1182), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1767), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29829] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1773), 1,
      anon_sym_RBRACE,
    ACTIONS(1777), 1,
      anon_sym_POUND,
    ACTIONS(1779), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1187), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1775), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29894] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1781), 1,
      anon_sym_RBRACE,
    ACTIONS(1785), 1,
      anon_sym_POUND,
    ACTIONS(1787), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1193), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1783), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29959] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1789), 1,
      anon_sym_RBRACE,
    ACTIONS(1793), 1,
      anon_sym_POUND,
    ACTIONS(1795), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(900), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1791), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30024] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1757), 1,
      anon_sym_RBRACE,
    ACTIONS(1761), 1,
      anon_sym_POUND,
    ACTIONS(1797), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(911), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1759), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30089] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1799), 1,
      anon_sym_RBRACE,
    ACTIONS(1803), 1,
      anon_sym_POUND,
    ACTIONS(1805), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1207), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1801), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30154] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1807), 1,
      anon_sym_RBRACE,
    ACTIONS(1811), 1,
      anon_sym_POUND,
    ACTIONS(1813), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1177), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1809), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30219] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1815), 1,
      anon_sym_RBRACE,
    ACTIONS(1819), 1,
      anon_sym_POUND,
    ACTIONS(1821), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(991), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1817), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30284] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1823), 1,
      anon_sym_RBRACE,
    ACTIONS(1827), 1,
      anon_sym_POUND,
    ACTIONS(1829), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(995), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1825), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30349] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1831), 1,
      anon_sym_RBRACE,
    ACTIONS(1835), 1,
      anon_sym_POUND,
    ACTIONS(1837), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1007), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1833), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30414] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1535), 1,
      anon_sym_RBRACE,
    ACTIONS(1539), 1,
      anon_sym_POUND,
    ACTIONS(1839), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1238), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1537), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30479] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
    ACTIONS(1845), 1,
      anon_sym_POUND,
    ACTIONS(1847), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1172), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1843), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30544] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1849), 1,
      anon_sym_RBRACE,
    ACTIONS(1853), 1,
      anon_sym_POUND,
    ACTIONS(1855), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1241), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1851), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30609] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    ACTIONS(1861), 1,
      anon_sym_POUND,
    ACTIONS(1863), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(986), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1859), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30674] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1865), 1,
      anon_sym_RBRACE,
    ACTIONS(1869), 1,
      anon_sym_POUND,
    ACTIONS(1871), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1125), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1867), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30739] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    ACTIONS(1861), 1,
      anon_sym_POUND,
    ACTIONS(1873), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(986), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1859), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30804] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1875), 1,
      anon_sym_RBRACE,
    ACTIONS(1879), 1,
      anon_sym_POUND,
    ACTIONS(1881), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(979), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1877), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30869] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1883), 1,
      anon_sym_RBRACE,
    ACTIONS(1887), 1,
      anon_sym_POUND,
    ACTIONS(1889), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1029), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1885), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30934] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1891), 1,
      anon_sym_RBRACE,
    ACTIONS(1895), 1,
      anon_sym_POUND,
    ACTIONS(1897), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1117), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1893), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30999] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1899), 1,
      anon_sym_RBRACE,
    ACTIONS(1903), 1,
      anon_sym_POUND,
    ACTIONS(1905), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1082), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1901), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31064] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1907), 1,
      anon_sym_RBRACE,
    ACTIONS(1911), 1,
      anon_sym_POUND,
    ACTIONS(1913), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1079), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1909), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31129] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1915), 1,
      anon_sym_RBRACE,
    ACTIONS(1919), 1,
      anon_sym_POUND,
    ACTIONS(1921), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(989), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1917), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31194] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1923), 1,
      anon_sym_RBRACE,
    ACTIONS(1927), 1,
      anon_sym_POUND,
    ACTIONS(1929), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(996), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1925), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31259] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_RBRACE,
    ACTIONS(1935), 1,
      anon_sym_POUND,
    ACTIONS(1937), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1157), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1933), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31324] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    ACTIONS(1943), 1,
      anon_sym_POUND,
    ACTIONS(1945), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1060), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1941), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31389] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1907), 1,
      anon_sym_RBRACE,
    ACTIONS(1911), 1,
      anon_sym_POUND,
    ACTIONS(1947), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1079), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1909), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31454] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    ACTIONS(1953), 1,
      anon_sym_POUND,
    ACTIONS(1955), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(987), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1951), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31519] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(1961), 1,
      anon_sym_POUND,
    ACTIONS(1963), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(982), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1959), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31584] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1965), 1,
      anon_sym_RBRACE,
    ACTIONS(1969), 1,
      anon_sym_POUND,
    ACTIONS(1971), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(899), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1967), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31649] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(1977), 1,
      anon_sym_POUND,
    ACTIONS(1979), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1020), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1975), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31714] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    ACTIONS(1985), 1,
      anon_sym_POUND,
    ACTIONS(1987), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1023), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1983), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31779] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1989), 1,
      anon_sym_RBRACE,
    ACTIONS(1993), 1,
      anon_sym_POUND,
    ACTIONS(1995), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(901), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1991), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31844] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1997), 1,
      anon_sym_RBRACE,
    ACTIONS(2001), 1,
      anon_sym_POUND,
    ACTIONS(2003), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(902), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1999), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31909] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1649), 1,
      anon_sym_RBRACE,
    ACTIONS(1653), 1,
      anon_sym_POUND,
    ACTIONS(2005), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(912), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1651), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31974] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2007), 1,
      anon_sym_RBRACE,
    ACTIONS(2011), 1,
      anon_sym_POUND,
    ACTIONS(2013), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(920), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2009), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32039] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2015), 1,
      anon_sym_RBRACE,
    ACTIONS(2019), 1,
      anon_sym_POUND,
    ACTIONS(2021), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1031), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2017), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32104] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    ACTIONS(2027), 1,
      anon_sym_POUND,
    ACTIONS(2029), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1260), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2025), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32169] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(2035), 1,
      anon_sym_POUND,
    ACTIONS(2037), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(927), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2033), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32234] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(2043), 1,
      anon_sym_POUND,
    ACTIONS(2045), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(931), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2041), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32299] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
    ACTIONS(2051), 1,
      anon_sym_POUND,
    ACTIONS(2053), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(958), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2049), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32364] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2055), 1,
      anon_sym_RBRACE,
    ACTIONS(2059), 1,
      anon_sym_POUND,
    ACTIONS(2061), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(963), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2057), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32429] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2063), 1,
      anon_sym_RBRACE,
    ACTIONS(2067), 1,
      anon_sym_POUND,
    ACTIONS(2069), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(929), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2065), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32494] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2015), 1,
      anon_sym_RBRACE,
    ACTIONS(2019), 1,
      anon_sym_POUND,
    ACTIONS(2071), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1031), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2017), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32559] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2073), 1,
      anon_sym_RBRACE,
    ACTIONS(2077), 1,
      anon_sym_POUND,
    ACTIONS(2079), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1033), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2075), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32624] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2081), 1,
      anon_sym_RBRACE,
    ACTIONS(2085), 1,
      anon_sym_POUND,
    ACTIONS(2087), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(966), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2083), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32689] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    ACTIONS(2093), 1,
      anon_sym_POUND,
    ACTIONS(2095), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(969), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2091), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32754] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2097), 1,
      anon_sym_RBRACE,
    ACTIONS(2101), 1,
      anon_sym_POUND,
    ACTIONS(2103), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(973), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2099), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32819] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    ACTIONS(2093), 1,
      anon_sym_POUND,
    ACTIONS(2105), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(969), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2091), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32884] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(2111), 1,
      anon_sym_POUND,
    ACTIONS(2113), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(976), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2109), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32949] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2115), 1,
      anon_sym_RBRACE,
    ACTIONS(2119), 1,
      anon_sym_POUND,
    ACTIONS(2121), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1038), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2117), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33014] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(2127), 1,
      anon_sym_POUND,
    ACTIONS(2129), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(980), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2125), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33079] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2131), 1,
      anon_sym_RBRACE,
    ACTIONS(2135), 1,
      anon_sym_POUND,
    ACTIONS(2137), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1009), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2133), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33144] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2139), 1,
      anon_sym_RBRACE,
    ACTIONS(2143), 1,
      anon_sym_POUND,
    ACTIONS(2145), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1010), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2141), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33209] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2147), 1,
      anon_sym_RBRACE,
    ACTIONS(2151), 1,
      anon_sym_POUND,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1039), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2149), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33274] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2155), 1,
      anon_sym_RBRACE,
    ACTIONS(2159), 1,
      anon_sym_POUND,
    ACTIONS(2161), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1056), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2157), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33339] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2163), 1,
      anon_sym_RBRACE,
    ACTIONS(2167), 1,
      anon_sym_POUND,
    ACTIONS(2169), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1012), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2165), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33404] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2171), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 1,
      anon_sym_POUND,
    ACTIONS(2177), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1058), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2173), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33469] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2179), 1,
      anon_sym_RBRACE,
    ACTIONS(2183), 1,
      anon_sym_POUND,
    ACTIONS(2185), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1013), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2181), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33534] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2187), 1,
      anon_sym_RBRACE,
    ACTIONS(2191), 1,
      anon_sym_POUND,
    ACTIONS(2193), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1015), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2189), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33599] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2195), 1,
      anon_sym_RBRACE,
    ACTIONS(2199), 1,
      anon_sym_POUND,
    ACTIONS(2201), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1067), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2197), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33664] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2179), 1,
      anon_sym_RBRACE,
    ACTIONS(2183), 1,
      anon_sym_POUND,
    ACTIONS(2203), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1013), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2181), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33729] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(2209), 1,
      anon_sym_POUND,
    ACTIONS(2211), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1046), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2207), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33794] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(2217), 1,
      anon_sym_POUND,
    ACTIONS(2219), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1049), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2215), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33859] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2221), 1,
      anon_sym_RBRACE,
    ACTIONS(2225), 1,
      anon_sym_POUND,
    ACTIONS(2227), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1071), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2223), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33924] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_RBRACE,
    ACTIONS(2233), 1,
      anon_sym_POUND,
    ACTIONS(2235), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1074), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2231), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33989] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2237), 1,
      anon_sym_RBRACE,
    ACTIONS(2241), 1,
      anon_sym_POUND,
    ACTIONS(2243), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1083), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2239), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34054] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_RBRACE,
    ACTIONS(2249), 1,
      anon_sym_POUND,
    ACTIONS(2251), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1063), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2247), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34119] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    ACTIONS(2257), 1,
      anon_sym_POUND,
    ACTIONS(2259), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1087), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2255), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34184] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2261), 1,
      anon_sym_RBRACE,
    ACTIONS(2265), 1,
      anon_sym_POUND,
    ACTIONS(2267), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1089), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2263), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34249] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    ACTIONS(2257), 1,
      anon_sym_POUND,
    ACTIONS(2269), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1087), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2255), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34314] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2271), 1,
      anon_sym_RBRACE,
    ACTIONS(2275), 1,
      anon_sym_POUND,
    ACTIONS(2277), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1095), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2273), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34379] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2279), 1,
      anon_sym_RBRACE,
    ACTIONS(2283), 1,
      anon_sym_POUND,
    ACTIONS(2285), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1104), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2281), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34444] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2195), 1,
      anon_sym_RBRACE,
    ACTIONS(2199), 1,
      anon_sym_POUND,
    ACTIONS(2287), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1067), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2197), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34509] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2289), 1,
      anon_sym_RBRACE,
    ACTIONS(2293), 1,
      anon_sym_POUND,
    ACTIONS(2295), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1128), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2291), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34574] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2303), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1216), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2299), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34639] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2305), 1,
      anon_sym_RBRACE,
    ACTIONS(2309), 1,
      anon_sym_POUND,
    ACTIONS(2311), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1129), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2307), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34704] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2313), 1,
      anon_sym_RBRACE,
    ACTIONS(2317), 1,
      anon_sym_POUND,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1133), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2315), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34769] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2321), 1,
      anon_sym_RBRACE,
    ACTIONS(2325), 1,
      anon_sym_POUND,
    ACTIONS(2327), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1228), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2323), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34834] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2329), 1,
      anon_sym_RBRACE,
    ACTIONS(2333), 1,
      anon_sym_POUND,
    ACTIONS(2335), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1134), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2331), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34899] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2337), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1216), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2299), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34964] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2339), 1,
      anon_sym_RBRACE,
    ACTIONS(2343), 1,
      anon_sym_POUND,
    ACTIONS(2345), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1214), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2341), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35029] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2347), 1,
      anon_sym_RBRACE,
    ACTIONS(2351), 1,
      anon_sym_POUND,
    ACTIONS(2353), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1185), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2349), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35094] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2329), 1,
      anon_sym_RBRACE,
    ACTIONS(2333), 1,
      anon_sym_POUND,
    ACTIONS(2355), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1134), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2331), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35159] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2357), 1,
      anon_sym_RBRACE,
    ACTIONS(2361), 1,
      anon_sym_POUND,
    ACTIONS(2363), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1208), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2359), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35224] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2365), 1,
      anon_sym_RBRACE,
    ACTIONS(2369), 1,
      anon_sym_POUND,
    ACTIONS(2371), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1073), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2367), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35289] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2373), 1,
      anon_sym_RBRACE,
    ACTIONS(2377), 1,
      anon_sym_POUND,
    ACTIONS(2379), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2375), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35354] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2381), 1,
      anon_sym_RBRACE,
    ACTIONS(2385), 1,
      anon_sym_POUND,
    ACTIONS(2387), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1086), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2383), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35419] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      anon_sym_RBRACE,
    ACTIONS(2393), 1,
      anon_sym_POUND,
    ACTIONS(2395), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1232), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2391), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35484] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
    ACTIONS(2401), 1,
      anon_sym_POUND,
    ACTIONS(2403), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1108), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2399), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35549] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2405), 1,
      anon_sym_RBRACE,
    ACTIONS(2409), 1,
      anon_sym_POUND,
    ACTIONS(2411), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1110), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2407), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35614] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2413), 1,
      anon_sym_RBRACE,
    ACTIONS(2417), 1,
      anon_sym_POUND,
    ACTIONS(2419), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1244), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2415), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35679] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2421), 1,
      anon_sym_RBRACE,
    ACTIONS(2425), 1,
      anon_sym_POUND,
    ACTIONS(2427), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1137), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2423), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35744] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2429), 1,
      anon_sym_RBRACE,
    ACTIONS(2433), 1,
      anon_sym_POUND,
    ACTIONS(2435), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1245), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2431), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35809] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2437), 1,
      anon_sym_RBRACE,
    ACTIONS(2441), 1,
      anon_sym_POUND,
    ACTIONS(2443), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1248), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2439), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35874] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2445), 1,
      anon_sym_RBRACE,
    ACTIONS(2449), 1,
      anon_sym_POUND,
    ACTIONS(2451), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1120), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2447), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35939] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2421), 1,
      anon_sym_RBRACE,
    ACTIONS(2425), 1,
      anon_sym_POUND,
    ACTIONS(2453), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1137), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2423), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36004] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2455), 1,
      anon_sym_RBRACE,
    ACTIONS(2459), 1,
      anon_sym_POUND,
    ACTIONS(2461), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1250), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2457), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36069] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2463), 1,
      anon_sym_RBRACE,
    ACTIONS(2467), 1,
      anon_sym_POUND,
    ACTIONS(2469), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1139), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2465), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36134] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2471), 1,
      anon_sym_RBRACE,
    ACTIONS(2475), 1,
      anon_sym_POUND,
    ACTIONS(2477), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1144), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2473), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36199] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2479), 1,
      anon_sym_RBRACE,
    ACTIONS(2483), 1,
      anon_sym_POUND,
    ACTIONS(2485), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1146), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2481), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36264] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    ACTIONS(2491), 1,
      anon_sym_POUND,
    ACTIONS(2493), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1161), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2489), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36329] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
    ACTIONS(2499), 1,
      anon_sym_POUND,
    ACTIONS(2501), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1163), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2497), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36394] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      anon_sym_RBRACE,
    ACTIONS(2507), 1,
      anon_sym_POUND,
    ACTIONS(2509), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1173), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2505), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36459] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    ACTIONS(2515), 1,
      anon_sym_POUND,
    ACTIONS(2517), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1169), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2513), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36524] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2519), 1,
      anon_sym_RBRACE,
    ACTIONS(2523), 1,
      anon_sym_POUND,
    ACTIONS(2525), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1252), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2521), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36589] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      anon_sym_RBRACE,
    ACTIONS(2507), 1,
      anon_sym_POUND,
    ACTIONS(2527), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1173), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2505), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36654] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2529), 1,
      anon_sym_RBRACE,
    ACTIONS(2533), 1,
      anon_sym_POUND,
    ACTIONS(2535), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1176), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2531), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36719] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2537), 1,
      anon_sym_RBRACE,
    ACTIONS(2541), 1,
      anon_sym_POUND,
    ACTIONS(2543), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1181), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2539), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36784] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2545), 1,
      anon_sym_RBRACE,
    ACTIONS(2549), 1,
      anon_sym_POUND,
    ACTIONS(2551), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1183), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2547), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36849] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    ACTIONS(2557), 1,
      anon_sym_POUND,
    ACTIONS(2559), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1197), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2555), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36914] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2561), 1,
      anon_sym_RBRACE,
    ACTIONS(2565), 1,
      anon_sym_POUND,
    ACTIONS(2567), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1199), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2563), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36979] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(2573), 1,
      anon_sym_POUND,
    ACTIONS(2575), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1223), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2571), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37044] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    ACTIONS(2581), 1,
      anon_sym_POUND,
    ACTIONS(2583), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1212), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2579), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37109] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(2573), 1,
      anon_sym_POUND,
    ACTIONS(2585), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1223), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2571), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37174] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2587), 1,
      anon_sym_RBRACE,
    ACTIONS(2591), 1,
      anon_sym_POUND,
    ACTIONS(2593), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1227), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2589), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37239] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2595), 1,
      anon_sym_RBRACE,
    ACTIONS(2599), 1,
      anon_sym_POUND,
    ACTIONS(2601), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1240), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2597), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37304] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(2607), 1,
      anon_sym_POUND,
    ACTIONS(2609), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1242), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2605), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37369] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(2615), 1,
      anon_sym_POUND,
    ACTIONS(2617), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1236), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2613), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37434] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(2623), 1,
      anon_sym_POUND,
    ACTIONS(2625), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1230), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2621), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37499] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(2631), 1,
      anon_sym_POUND,
    ACTIONS(2633), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1220), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2629), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37564] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2455), 1,
      anon_sym_RBRACE,
    ACTIONS(2459), 1,
      anon_sym_POUND,
    ACTIONS(2635), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1250), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2457), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37629] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2637), 1,
      anon_sym_RBRACE,
    ACTIONS(2641), 1,
      anon_sym_POUND,
    ACTIONS(2643), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1225), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2639), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37694] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2645), 1,
      anon_sym_RBRACE,
    ACTIONS(2649), 1,
      anon_sym_POUND,
    ACTIONS(2651), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1258), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2647), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37759] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(2631), 1,
      anon_sym_POUND,
    ACTIONS(2653), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1220), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2629), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37824] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2655), 1,
      anon_sym_RBRACE,
    ACTIONS(2659), 1,
      anon_sym_POUND,
    ACTIONS(2661), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1218), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2657), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37889] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2663), 1,
      anon_sym_RBRACE,
    ACTIONS(2667), 1,
      anon_sym_POUND,
    ACTIONS(2669), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1211), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2665), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37954] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2671), 1,
      anon_sym_RBRACE,
    ACTIONS(2675), 1,
      anon_sym_POUND,
    ACTIONS(2677), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1210), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2673), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38019] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(2683), 1,
      anon_sym_POUND,
    ACTIONS(2685), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1152), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2681), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38084] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    ACTIONS(2691), 1,
      anon_sym_POUND,
    ACTIONS(2693), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1149), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2689), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38149] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(2699), 1,
      anon_sym_POUND,
    ACTIONS(2701), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1131), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2697), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38214] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
    ACTIONS(2707), 1,
      anon_sym_POUND,
    ACTIONS(2709), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1135), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2705), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38279] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(2699), 1,
      anon_sym_POUND,
    ACTIONS(2711), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1131), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2697), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38344] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2713), 1,
      anon_sym_RBRACE,
    ACTIONS(2717), 1,
      anon_sym_POUND,
    ACTIONS(2719), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1130), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2715), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38409] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2721), 1,
      anon_sym_RBRACE,
    ACTIONS(2725), 1,
      anon_sym_POUND,
    ACTIONS(2727), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1123), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2723), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38474] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2729), 1,
      anon_sym_RBRACE,
    ACTIONS(2733), 1,
      anon_sym_POUND,
    ACTIONS(2735), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1126), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2731), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38539] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2737), 1,
      anon_sym_RBRACE,
    ACTIONS(2741), 1,
      anon_sym_POUND,
    ACTIONS(2743), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1127), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2739), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38604] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2745), 1,
      anon_sym_RBRACE,
    ACTIONS(2749), 1,
      anon_sym_POUND,
    ACTIONS(2751), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(898), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2747), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38669] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(2757), 1,
      anon_sym_POUND,
    ACTIONS(2759), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1003), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2755), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38734] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2761), 1,
      anon_sym_RBRACE,
    ACTIONS(2765), 1,
      anon_sym_POUND,
    ACTIONS(2767), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1001), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2763), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38799] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2769), 1,
      anon_sym_RBRACE,
    ACTIONS(2773), 1,
      anon_sym_POUND,
    ACTIONS(2775), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(964), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2771), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38864] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2777), 1,
      anon_sym_RBRACE,
    ACTIONS(2781), 1,
      anon_sym_POUND,
    ACTIONS(2783), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(970), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2779), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38929] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2769), 1,
      anon_sym_RBRACE,
    ACTIONS(2773), 1,
      anon_sym_POUND,
    ACTIONS(2785), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(964), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2771), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38994] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    ACTIONS(2791), 1,
      anon_sym_POUND,
    ACTIONS(2793), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(961), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2789), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39059] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    ACTIONS(2799), 1,
      anon_sym_POUND,
    ACTIONS(2801), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(936), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2797), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39124] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2803), 1,
      anon_sym_RBRACE,
    ACTIONS(2807), 1,
      anon_sym_POUND,
    ACTIONS(2809), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(932), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2805), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39189] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    ACTIONS(2815), 1,
      anon_sym_POUND,
    ACTIONS(2817), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(906), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2813), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39254] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2819), 1,
      anon_sym_RBRACE,
    ACTIONS(2823), 1,
      anon_sym_POUND,
    ACTIONS(2825), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(908), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2821), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39319] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    ACTIONS(2831), 1,
      anon_sym_POUND,
    ACTIONS(2833), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(917), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2829), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39384] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2835), 1,
      anon_sym_RBRACE,
    ACTIONS(2839), 1,
      anon_sym_POUND,
    ACTIONS(2841), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(915), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2837), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39449] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    ACTIONS(2831), 1,
      anon_sym_POUND,
    ACTIONS(2843), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(917), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2829), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39514] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2845), 1,
      anon_sym_RBRACE,
    ACTIONS(2849), 1,
      anon_sym_POUND,
    ACTIONS(2851), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(922), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2847), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39579] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2853), 1,
      anon_sym_RBRACE,
    ACTIONS(2857), 1,
      anon_sym_POUND,
    ACTIONS(2859), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(928), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2855), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39644] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2861), 1,
      anon_sym_RBRACE,
    ACTIONS(2865), 1,
      anon_sym_POUND,
    ACTIONS(2867), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(998), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2863), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39709] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(2873), 1,
      anon_sym_POUND,
    ACTIONS(2875), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(943), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2871), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39774] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2877), 1,
      anon_sym_RBRACE,
    ACTIONS(2881), 1,
      anon_sym_POUND,
    ACTIONS(2883), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(945), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2879), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39839] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(2889), 1,
      anon_sym_POUND,
    ACTIONS(2891), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(957), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2887), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39904] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2893), 1,
      anon_sym_RBRACE,
    ACTIONS(2897), 1,
      anon_sym_POUND,
    ACTIONS(2899), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(954), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2895), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39969] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(2889), 1,
      anon_sym_POUND,
    ACTIONS(2901), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(957), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2887), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40034] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2903), 1,
      anon_sym_RBRACE,
    ACTIONS(2907), 1,
      anon_sym_POUND,
    ACTIONS(2909), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(959), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2905), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40099] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2911), 1,
      anon_sym_RBRACE,
    ACTIONS(2915), 1,
      anon_sym_POUND,
    ACTIONS(2917), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(965), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2913), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40164] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2919), 1,
      anon_sym_RBRACE,
    ACTIONS(2923), 1,
      anon_sym_POUND,
    ACTIONS(2925), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(967), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2921), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40229] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1064), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2929), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40294] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2935), 1,
      anon_sym_RBRACE,
    ACTIONS(2939), 1,
      anon_sym_POUND,
    ACTIONS(2941), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1068), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2937), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40359] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2943), 1,
      anon_sym_RBRACE,
    ACTIONS(2947), 1,
      anon_sym_POUND,
    ACTIONS(2949), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1078), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2945), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40424] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2951), 1,
      anon_sym_RBRACE,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      sym_regex,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1076), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2953), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40489] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2943), 1,
      anon_sym_RBRACE,
    ACTIONS(2947), 1,
      anon_sym_POUND,
    ACTIONS(2959), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1078), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2945), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40554] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2961), 1,
      anon_sym_RBRACE,
    ACTIONS(2965), 1,
      anon_sym_POUND,
    ACTIONS(2967), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1080), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2963), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40619] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2969), 1,
      anon_sym_RBRACE,
    ACTIONS(2973), 1,
      anon_sym_POUND,
    ACTIONS(2975), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1107), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2971), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40684] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2977), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(2983), 1,
      anon_sym_SLASH,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1116), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40749] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1501), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40811] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40873] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2007), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40935] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(2989), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40997] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1649), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41059] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41121] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(2991), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41183] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(2993), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41245] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(2995), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41307] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41369] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(3001), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(903), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2999), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41431] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3003), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41493] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2989), 1,
      anon_sym_RBRACE,
    ACTIONS(3007), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(997), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3005), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41555] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3003), 1,
      anon_sym_RBRACE,
    ACTIONS(3011), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(904), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3009), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41617] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1823), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41679] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41741] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3013), 1,
      anon_sym_RBRACE,
    ACTIONS(3017), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(933), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3015), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41803] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    ACTIONS(2815), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(906), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2813), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41865] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3019), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41927] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3019), 1,
      anon_sym_RBRACE,
    ACTIONS(3023), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(905), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3021), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41989] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42051] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1815), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42113] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1757), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42175] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3013), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42237] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1789), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42299] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2819), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42361] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(2043), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(931), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2041), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42423] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3025), 1,
      anon_sym_RBRACE,
    ACTIONS(3029), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(934), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3027), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42485] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3031), 1,
      anon_sym_RBRACE,
    ACTIONS(3035), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1147), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3033), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42547] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3031), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42609] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3025), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42671] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42733] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2835), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42795] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3037), 1,
      anon_sym_RBRACE,
    ACTIONS(3041), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(935), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3039), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42857] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3037), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42919] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2777), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42981] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3043), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43043] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3045), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43105] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3047), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43167] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2769), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43229] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3049), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43291] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3051), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43353] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3053), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43415] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3055), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43477] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3057), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43539] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3059), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43601] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3061), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43663] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3061), 1,
      anon_sym_RBRACE,
    ACTIONS(3065), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(940), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3063), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43725] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3067), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43787] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3069), 1,
      anon_sym_RBRACE,
    ACTIONS(3073), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1148), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3071), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43849] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_RBRACE,
    ACTIONS(3077), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(941), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3075), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43911] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3079), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43973] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3081), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44035] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3085), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    STATE(1749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1876), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [44099] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(2873), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(943), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2871), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44161] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3107), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44223] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3109), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44285] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3111), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44347] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3109), 1,
      anon_sym_RBRACE,
    ACTIONS(3115), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(948), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3113), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44409] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3111), 1,
      anon_sym_RBRACE,
    ACTIONS(3119), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(942), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3117), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44471] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44533] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2097), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44595] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2877), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44657] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3121), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44719] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2761), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44781] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3121), 1,
      anon_sym_RBRACE,
    ACTIONS(3125), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(949), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3123), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44843] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44905] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44967] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45029] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45091] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2893), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45153] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3127), 1,
      anon_sym_RBRACE,
    ACTIONS(3131), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1004), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3129), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45215] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45277] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3127), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45339] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3133), 1,
      anon_sym_RBRACE,
    ACTIONS(3137), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(981), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3135), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45401] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(2757), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1003), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2755), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45463] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3133), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45525] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(2127), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(980), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2125), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45587] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3139), 1,
      anon_sym_RBRACE,
    ACTIONS(3143), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(984), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3141), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45649] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3139), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45711] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      anon_sym_RBRACE,
    ACTIONS(1701), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(953), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1699), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45773] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3145), 1,
      anon_sym_RBRACE,
    ACTIONS(3149), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(993), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3147), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45835] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3151), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45897] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3145), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45959] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3153), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46021] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3155), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46083] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3155), 1,
      anon_sym_RBRACE,
    ACTIONS(3159), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(937), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3157), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46145] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3161), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46207] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3151), 1,
      anon_sym_RBRACE,
    ACTIONS(3165), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(952), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3163), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46269] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46331] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3167), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46393] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3169), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46455] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1665), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46517] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3171), 1,
      anon_sym_RBRACE,
    ACTIONS(3175), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(999), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3173), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46579] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3171), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46641] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3177), 1,
      anon_sym_RBRACE,
    ACTIONS(3181), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1005), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3179), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46703] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3183), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46765] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    ACTIONS(3189), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1000), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3187), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46827] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46889] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46951] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3191), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47013] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1875), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47075] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3193), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47137] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3195), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47199] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3177), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47261] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3197), 1,
      anon_sym_RBRACE,
    ACTIONS(3201), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1006), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3199), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47323] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3197), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47385] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47447] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3205), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47509] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3207), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47571] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1509), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47633] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3167), 1,
      anon_sym_RBRACE,
    ACTIONS(3211), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(938), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3209), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47695] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2187), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47757] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2179), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47819] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(1961), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(982), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1959), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47881] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47943] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48005] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3213), 1,
      anon_sym_RBRACE,
    ACTIONS(3217), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1050), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3215), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48067] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3213), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48129] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(2217), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1049), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2215), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48191] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3219), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48253] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3221), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48315] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48377] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3225), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48439] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3225), 1,
      anon_sym_RBRACE,
    ACTIONS(3229), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1017), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3227), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48501] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
    ACTIONS(3235), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1051), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3233), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48563] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48625] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    ACTIONS(3241), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1018), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3239), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48687] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1519), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48749] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48811] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1527), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48873] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(1977), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1020), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1975), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48935] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3245), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48997] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3245), 1,
      anon_sym_RBRACE,
    ACTIONS(3249), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1019), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3247), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49059] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49121] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3251), 1,
      anon_sym_RBRACE,
    ACTIONS(3255), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1043), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3253), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49183] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49245] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3251), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49307] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1527), 1,
      anon_sym_RBRACE,
    ACTIONS(1531), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1042), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1529), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49369] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3257), 1,
      anon_sym_RBRACE,
    ACTIONS(3261), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1045), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3259), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49431] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3257), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49493] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2015), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49555] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1883), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49617] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    ACTIONS(3267), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1047), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3265), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49679] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    ACTIONS(3269), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1873), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [49743] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49805] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3271), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49867] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3273), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49929] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3275), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49991] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50053] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3277), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50115] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3279), 1,
      anon_sym_RBRACE,
    ACTIONS(3283), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1055), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3281), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50177] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3279), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50239] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3285), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50301] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3287), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50363] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3289), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50425] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3291), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50487] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3293), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50549] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3295), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50611] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3297), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50673] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3297), 1,
      anon_sym_RBRACE,
    ACTIONS(3301), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3299), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50735] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3303), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50797] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3303), 1,
      anon_sym_RBRACE,
    ACTIONS(3307), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1053), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3305), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50859] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3309), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50921] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3311), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50983] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2155), 1,
      anon_sym_RBRACE,
    ACTIONS(2159), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1056), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2157), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51045] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3313), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51107] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3315), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51169] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3315), 1,
      anon_sym_RBRACE,
    ACTIONS(3319), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1026), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3317), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51231] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3313), 1,
      anon_sym_RBRACE,
    ACTIONS(3323), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1054), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3321), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51293] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2155), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51355] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3325), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51417] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3325), 1,
      anon_sym_RBRACE,
    ACTIONS(3329), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1044), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3327), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51479] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3309), 1,
      anon_sym_RBRACE,
    ACTIONS(3333), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(939), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3331), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51541] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2261), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51603] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1575), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51665] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2171), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51727] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51789] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1064), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2929), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51851] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3335), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51913] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3335), 1,
      anon_sym_RBRACE,
    ACTIONS(3339), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1061), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3337), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51975] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52037] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52099] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2935), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52161] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1567), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52223] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52285] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2271), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52347] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2195), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52409] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1593), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52471] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52533] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2279), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52595] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3341), 1,
      anon_sym_RBRACE,
    ACTIONS(3345), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1105), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3343), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52657] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3341), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52719] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2279), 1,
      anon_sym_RBRACE,
    ACTIONS(2283), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1104), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2281), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52781] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3347), 1,
      anon_sym_RBRACE,
    ACTIONS(3351), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1118), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3349), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52843] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1633), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52905] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3353), 1,
      anon_sym_RBRACE,
    ACTIONS(3357), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1112), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3355), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52967] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3353), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53029] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3347), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53091] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1633), 1,
      anon_sym_RBRACE,
    ACTIONS(1637), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1101), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1635), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53153] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
    ACTIONS(3363), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1121), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3361), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53215] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3365), 1,
      anon_sym_RBRACE,
    ACTIONS(3369), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1113), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3367), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53277] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3365), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53339] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3371), 1,
      anon_sym_RBRACE,
    ACTIONS(3375), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1114), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3373), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53401] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3371), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53463] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3377), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53525] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3379), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53587] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53649] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3381), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53711] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3383), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53773] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2943), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53835] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3385), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53897] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3385), 1,
      anon_sym_RBRACE,
    ACTIONS(3389), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1102), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3387), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53959] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3391), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54021] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3391), 1,
      anon_sym_RBRACE,
    ACTIONS(3395), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1103), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3393), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54083] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3397), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54145] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3399), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54207] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3401), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54269] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
    ACTIONS(2401), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1108), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2399), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54331] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2951), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54393] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1907), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54455] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3403), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54517] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3405), 1,
      anon_sym_BANG,
    ACTIONS(3407), 1,
      sym__special_character,
    ACTIONS(3409), 1,
      sym_test_operator,
    ACTIONS(3411), 1,
      sym_regex,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1818), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54581] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3413), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54643] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3415), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54705] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3413), 1,
      anon_sym_RBRACE,
    ACTIONS(3419), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1106), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3417), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54767] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54829] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1823), 1,
      anon_sym_RBRACE,
    ACTIONS(1827), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(995), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1825), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54891] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54953] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2321), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55015] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55077] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2347), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55139] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2329), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55201] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55263] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55325] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3421), 1,
      anon_sym_RBRACE,
    ACTIONS(3425), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1153), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3423), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55387] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2357), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55449] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55511] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3421), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55573] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(2683), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1152), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2681), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55635] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55697] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3427), 1,
      anon_sym_RBRACE,
    ACTIONS(3431), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1233), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3429), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55759] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2405), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55821] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3069), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55883] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    ACTIONS(3433), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1880), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55947] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3435), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56009] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3437), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56071] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2421), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56133] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3439), 1,
      anon_sym_RBRACE,
    ACTIONS(3443), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1155), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3441), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56195] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2445), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56257] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3445), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56319] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3447), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56381] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3439), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56443] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3449), 1,
      anon_sym_RBRACE,
    ACTIONS(3453), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1165), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3451), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56505] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3455), 1,
      sym_word,
    ACTIONS(3457), 1,
      anon_sym_LPAREN,
    ACTIONS(3459), 1,
      anon_sym_BANG,
    ACTIONS(3461), 1,
      anon_sym_DOLLAR,
    ACTIONS(3463), 1,
      sym__special_character,
    ACTIONS(3467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3475), 1,
      sym_test_operator,
    ACTIONS(3477), 1,
      sym_regex,
    STATE(1761), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3465), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1707), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1889), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [56569] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3449), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56631] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3479), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56693] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    ACTIONS(3481), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1879), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [56757] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3483), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56819] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1713), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56881] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1689), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56943] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3485), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57005] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3487), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57067] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3489), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57129] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3491), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57191] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3491), 1,
      anon_sym_RBRACE,
    ACTIONS(3495), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1158), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3493), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57253] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3497), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57315] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3497), 1,
      anon_sym_RBRACE,
    ACTIONS(3501), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1159), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3499), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57377] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3503), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57439] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1765), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57501] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1773), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57563] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    ACTIONS(2491), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1161), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2489), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57625] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3505), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57687] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3507), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57749] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3505), 1,
      anon_sym_RBRACE,
    ACTIONS(3511), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1160), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3509), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57811] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3513), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57873] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57935] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3513), 1,
      anon_sym_RBRACE,
    ACTIONS(3517), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1142), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3515), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57997] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3519), 1,
      anon_sym_RBRACE,
    ACTIONS(3523), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1188), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3521), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58059] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58121] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3525), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58183] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3519), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58245] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1773), 1,
      anon_sym_RBRACE,
    ACTIONS(1777), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1187), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1775), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58307] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3527), 1,
      anon_sym_RBRACE,
    ACTIONS(3531), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1189), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3529), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58369] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58431] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3527), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58493] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58555] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3533), 1,
      anon_sym_RBRACE,
    ACTIONS(3537), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1190), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3535), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58617] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3427), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58679] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      anon_sym_RBRACE,
    ACTIONS(2393), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1232), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2391), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58741] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3533), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58803] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3539), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58865] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3541), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58927] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3543), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58989] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3525), 1,
      anon_sym_RBRACE,
    ACTIONS(3547), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1143), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3545), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59051] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
    ACTIONS(1845), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1172), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1843), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59113] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1849), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59175] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3549), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59237] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3551), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59299] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3553), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59361] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3555), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59423] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3555), 1,
      anon_sym_RBRACE,
    ACTIONS(3559), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1194), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3557), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59485] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3561), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59547] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3561), 1,
      anon_sym_RBRACE,
    ACTIONS(3565), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1195), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3563), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59609] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3567), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59671] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3567), 1,
      anon_sym_RBRACE,
    ACTIONS(3571), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1170), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3569), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59733] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59795] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1807), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59857] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3573), 1,
      anon_sym_RBRACE,
    ACTIONS(3577), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1234), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3575), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59919] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1535), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59981] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1585), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60043] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3573), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60105] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    ACTIONS(2557), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1197), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2555), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60167] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2637), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60229] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60291] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3579), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60353] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1657), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60415] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1737), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60477] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1705), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60539] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60601] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3581), 1,
      anon_sym_RBRACE,
    ACTIONS(3585), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1235), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3583), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60663] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60725] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3587), 1,
      anon_sym_RBRACE,
    ACTIONS(3591), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(988), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3589), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60787] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60849] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3579), 1,
      anon_sym_RBRACE,
    ACTIONS(3595), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3593), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60911] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3597), 1,
      anon_sym_RBRACE,
    ACTIONS(3601), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1243), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3599), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60973] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61035] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3603), 1,
      sym_word,
    ACTIONS(3605), 1,
      anon_sym_LPAREN,
    ACTIONS(3607), 1,
      anon_sym_BANG,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3611), 1,
      sym__special_character,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3623), 1,
      sym_test_operator,
    ACTIONS(3625), 1,
      sym_regex,
    STATE(1748), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3613), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1799), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1878), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [61099] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3597), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61161] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(2615), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1236), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2613), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61223] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2561), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61285] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3587), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61347] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3627), 1,
      anon_sym_RBRACE,
    ACTIONS(3631), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1246), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3629), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61409] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3627), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61471] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3633), 1,
      anon_sym_RBRACE,
    ACTIONS(3637), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1247), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3635), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61533] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3581), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61595] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3639), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61657] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3641), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61719] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3643), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61781] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3633), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61843] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    ACTIONS(3411), 1,
      sym_regex,
    STATE(1749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1818), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [61907] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1601), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61969] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3645), 1,
      anon_sym_RBRACE,
    ACTIONS(3649), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1271), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3647), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62031] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62093] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3645), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62155] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62217] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3651), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62279] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2519), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62341] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2455), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62403] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3653), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62465] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3655), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62527] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2645), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62589] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1601), 1,
      anon_sym_RBRACE,
    ACTIONS(1605), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1274), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1603), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62651] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62713] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3657), 1,
      anon_sym_RBRACE,
    ACTIONS(3661), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1261), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3659), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62775] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3657), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62837] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1393), 1,
      sym_word,
    ACTIONS(1399), 1,
      anon_sym_BANG,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(3663), 1,
      anon_sym_LPAREN,
    ACTIONS(3665), 1,
      sym__special_character,
    ACTIONS(3667), 1,
      anon_sym_DQUOTE,
    ACTIONS(3671), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3673), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3675), 1,
      anon_sym_BQUOTE,
    ACTIONS(3679), 1,
      sym_test_operator,
    ACTIONS(3681), 1,
      sym_regex,
    STATE(1471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3669), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3677), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1458), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1650), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [62901] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3683), 1,
      sym_word,
    ACTIONS(3686), 1,
      anon_sym_RBRACE,
    ACTIONS(3691), 1,
      anon_sym_DOLLAR,
    ACTIONS(3694), 1,
      sym__special_character,
    ACTIONS(3697), 1,
      anon_sym_DQUOTE,
    ACTIONS(3703), 1,
      anon_sym_POUND,
    ACTIONS(3706), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3709), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3700), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3715), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3688), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62963] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
    ACTIONS(1685), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1140), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1683), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63025] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    ACTIONS(2027), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1260), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2025), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63087] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3718), 1,
      anon_sym_RBRACE,
    ACTIONS(3722), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1262), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3720), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63149] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3718), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63211] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3724), 1,
      anon_sym_RBRACE,
    ACTIONS(3728), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1263), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3726), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63273] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3724), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63335] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3730), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63397] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3732), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63459] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3734), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63521] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3736), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63583] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3738), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63645] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3740), 1,
      anon_sym_RBRACE,
    ACTIONS(3744), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1265), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3742), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63707] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    ACTIONS(3746), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1891), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63771] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    ACTIONS(3748), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1894), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63835] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3740), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63897] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    ACTIONS(3750), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1888), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63961] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3752), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64023] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    ACTIONS(3754), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1863), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64087] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3756), 1,
      anon_sym_RBRACE,
    ACTIONS(3760), 1,
      anon_sym_POUND,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1264), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3758), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64149] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3756), 1,
      anon_sym_RBRACE,
    STATE(1719), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1660), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64211] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1393), 1,
      sym_word,
    ACTIONS(1399), 1,
      anon_sym_BANG,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(3663), 1,
      anon_sym_LPAREN,
    ACTIONS(3665), 1,
      sym__special_character,
    ACTIONS(3667), 1,
      anon_sym_DQUOTE,
    ACTIONS(3671), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3673), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3675), 1,
      anon_sym_BQUOTE,
    ACTIONS(3679), 1,
      sym_test_operator,
    STATE(1471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3669), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3677), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1458), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1650), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64272] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    STATE(1749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1818), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64333] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    STATE(1749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1882), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64394] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3603), 1,
      sym_word,
    ACTIONS(3605), 1,
      anon_sym_LPAREN,
    ACTIONS(3607), 1,
      anon_sym_BANG,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3611), 1,
      sym__special_character,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3623), 1,
      sym_test_operator,
    STATE(1748), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3613), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1799), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1866), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64455] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3603), 1,
      sym_word,
    ACTIONS(3605), 1,
      anon_sym_LPAREN,
    ACTIONS(3607), 1,
      anon_sym_BANG,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3611), 1,
      sym__special_character,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3623), 1,
      sym_test_operator,
    STATE(1748), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3613), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1799), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1865), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64516] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    STATE(1749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1885), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64577] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3405), 1,
      anon_sym_BANG,
    ACTIONS(3407), 1,
      sym__special_character,
    ACTIONS(3409), 1,
      sym_test_operator,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1892), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64638] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3455), 1,
      sym_word,
    ACTIONS(3457), 1,
      anon_sym_LPAREN,
    ACTIONS(3459), 1,
      anon_sym_BANG,
    ACTIONS(3461), 1,
      anon_sym_DOLLAR,
    ACTIONS(3463), 1,
      sym__special_character,
    ACTIONS(3467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3475), 1,
      sym_test_operator,
    STATE(1761), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3465), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1707), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1886), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64699] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3603), 1,
      sym_word,
    ACTIONS(3605), 1,
      anon_sym_LPAREN,
    ACTIONS(3607), 1,
      anon_sym_BANG,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3611), 1,
      sym__special_character,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3623), 1,
      sym_test_operator,
    STATE(1748), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3613), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1799), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1871), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64760] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3405), 1,
      anon_sym_BANG,
    ACTIONS(3407), 1,
      sym__special_character,
    ACTIONS(3409), 1,
      sym_test_operator,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1890), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64821] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1393), 1,
      sym_word,
    ACTIONS(1399), 1,
      anon_sym_BANG,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(3663), 1,
      anon_sym_LPAREN,
    ACTIONS(3665), 1,
      sym__special_character,
    ACTIONS(3667), 1,
      anon_sym_DQUOTE,
    ACTIONS(3671), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3673), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3675), 1,
      anon_sym_BQUOTE,
    ACTIONS(3679), 1,
      sym_test_operator,
    STATE(1471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3669), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3677), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1458), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1615), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64882] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3603), 1,
      sym_word,
    ACTIONS(3605), 1,
      anon_sym_LPAREN,
    ACTIONS(3607), 1,
      anon_sym_BANG,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3611), 1,
      sym__special_character,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3623), 1,
      sym_test_operator,
    STATE(1748), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3613), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1799), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1878), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64943] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(3764), 1,
      sym_raw_string,
    ACTIONS(3766), 1,
      anon_sym_POUND,
    STATE(1731), 1,
      sym_string,
    ACTIONS(3762), 3,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(3768), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 7,
      anon_sym_EQ,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(535), 7,
      anon_sym_RBRACE,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [64990] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3603), 1,
      sym_word,
    ACTIONS(3605), 1,
      anon_sym_LPAREN,
    ACTIONS(3607), 1,
      anon_sym_BANG,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3611), 1,
      sym__special_character,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3623), 1,
      sym_test_operator,
    STATE(1748), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3613), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1799), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1869), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [65051] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3405), 1,
      anon_sym_BANG,
    ACTIONS(3407), 1,
      sym__special_character,
    ACTIONS(3409), 1,
      sym_test_operator,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1818), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [65112] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3405), 1,
      anon_sym_BANG,
    ACTIONS(3407), 1,
      sym__special_character,
    ACTIONS(3409), 1,
      sym_test_operator,
    STATE(1779), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1870), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [65173] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3455), 1,
      sym_word,
    ACTIONS(3457), 1,
      anon_sym_LPAREN,
    ACTIONS(3459), 1,
      anon_sym_BANG,
    ACTIONS(3461), 1,
      anon_sym_DOLLAR,
    ACTIONS(3463), 1,
      sym__special_character,
    ACTIONS(3467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3475), 1,
      sym_test_operator,
    STATE(1761), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3465), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1707), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1872), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [65234] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3603), 1,
      sym_word,
    ACTIONS(3605), 1,
      anon_sym_LPAREN,
    ACTIONS(3607), 1,
      anon_sym_BANG,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3611), 1,
      sym__special_character,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3623), 1,
      sym_test_operator,
    STATE(1748), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3613), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1799), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1874), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [65295] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    STATE(1749), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1875), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [65356] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3455), 1,
      sym_word,
    ACTIONS(3457), 1,
      anon_sym_LPAREN,
    ACTIONS(3459), 1,
      anon_sym_BANG,
    ACTIONS(3461), 1,
      anon_sym_DOLLAR,
    ACTIONS(3463), 1,
      sym__special_character,
    ACTIONS(3467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3475), 1,
      sym_test_operator,
    STATE(1761), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3465), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1707), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1884), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [65417] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3455), 1,
      sym_word,
    ACTIONS(3457), 1,
      anon_sym_LPAREN,
    ACTIONS(3459), 1,
      anon_sym_BANG,
    ACTIONS(3461), 1,
      anon_sym_DOLLAR,
    ACTIONS(3463), 1,
      sym__special_character,
    ACTIONS(3467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3475), 1,
      sym_test_operator,
    STATE(1761), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3465), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1707), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1889), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [65478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(967), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [65514] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3770), 1,
      anon_sym_LF,
    ACTIONS(3780), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3783), 1,
      sym_file_descriptor,
    ACTIONS(3777), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1297), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3772), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [65558] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3786), 1,
      anon_sym_LF,
    ACTIONS(3792), 1,
      sym_file_descriptor,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1297), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3790), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3788), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [65602] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3786), 1,
      anon_sym_LF,
    ACTIONS(3796), 1,
      sym_file_descriptor,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1323), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3788), 8,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3794), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [65645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1299), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(995), 17,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [65682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      sym__special_character,
    STATE(1314), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3798), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3800), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [65719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 1,
      sym__concat,
    STATE(1371), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [65756] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_LF,
    ACTIONS(3808), 1,
      anon_sym_DQUOTE,
    ACTIONS(3810), 1,
      sym_raw_string,
    STATE(1958), 1,
      sym_string,
    ACTIONS(3806), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(3812), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 11,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [65799] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3822), 1,
      anon_sym_DOLLAR,
    ACTIONS(3824), 1,
      sym_file_descriptor,
    ACTIONS(3827), 1,
      sym_variable_name,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(3816), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    STATE(1304), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(3819), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3814), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65844] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_RPAREN,
    ACTIONS(977), 1,
      anon_sym_LF,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3792), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(979), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3790), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [65893] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      ts_builtin_sym_end,
    ACTIONS(961), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(989), 1,
      anon_sym_LF,
    ACTIONS(3832), 1,
      sym_file_descriptor,
    ACTIONS(955), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(957), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(959), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(991), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1310), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3830), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [65942] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 1,
      ts_builtin_sym_end,
    ACTIONS(951), 1,
      anon_sym_LF,
    ACTIONS(961), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3832), 1,
      sym_file_descriptor,
    ACTIONS(955), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(957), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(959), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(953), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1310), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3830), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [65991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(993), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(995), 17,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [66028] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      anon_sym_LF,
    ACTIONS(1007), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3796), 1,
      sym_file_descriptor,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(999), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1001), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1005), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(1299), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3794), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66077] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3832), 1,
      sym_file_descriptor,
    ACTIONS(959), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3786), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1324), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3788), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3830), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      sym__special_character,
    STATE(1314), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3834), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3836), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3838), 1,
      sym__concat,
    STATE(1312), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1025), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1310), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(967), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [66229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 1,
      sym__special_character,
    STATE(1314), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66266] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1009), 1,
      anon_sym_LF,
    ACTIONS(3796), 1,
      sym_file_descriptor,
    ACTIONS(565), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1005), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1011), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1299), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3794), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(993), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1310), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(995), 16,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [66352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1091), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(995), 17,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66389] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1001), 1,
      anon_sym_RPAREN,
    ACTIONS(1019), 1,
      anon_sym_LF,
    ACTIONS(3792), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1021), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3790), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66438] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_BQUOTE,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1115), 1,
      anon_sym_LF,
    ACTIONS(3792), 1,
      sym_file_descriptor,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1091), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1108), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1117), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3790), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66487] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1001), 1,
      anon_sym_BQUOTE,
    ACTIONS(1104), 1,
      anon_sym_LF,
    ACTIONS(3792), 1,
      sym_file_descriptor,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1091), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1108), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1106), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3790), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      sym__special_character,
    STATE(1314), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3844), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3846), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1299), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(967), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [66608] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3770), 1,
      anon_sym_LF,
    ACTIONS(3851), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3854), 1,
      sym_file_descriptor,
    ACTIONS(3777), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1323), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3772), 8,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3848), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66651] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3863), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3866), 1,
      sym_file_descriptor,
    ACTIONS(3770), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3860), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1324), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3772), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3857), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66694] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1043), 1,
      anon_sym_LF,
    ACTIONS(3792), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1045), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3790), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66772] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3869), 1,
      sym__concat,
    STATE(1340), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1049), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 22,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66872] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1089), 1,
      anon_sym_LF,
    ACTIONS(3792), 1,
      sym_file_descriptor,
    ACTIONS(979), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3790), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66920] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_LF,
    ACTIONS(3878), 1,
      anon_sym_DOLLAR,
    ACTIONS(3881), 1,
      sym__special_character,
    ACTIONS(3884), 1,
      anon_sym_DQUOTE,
    ACTIONS(3887), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3890), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3893), 1,
      anon_sym_BQUOTE,
    STATE(1974), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3896), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1331), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3871), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3876), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1933), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66974] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1030), 1,
      anon_sym_LF,
    ACTIONS(3792), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1032), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3790), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 1,
      sym__concat,
    STATE(1371), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3899), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3901), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 1,
      sym__concat,
    STATE(1404), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [67092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67124] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1095), 1,
      anon_sym_LF,
    ACTIONS(3792), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1097), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3790), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 1,
      sym__concat,
    STATE(1371), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3903), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3905), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67270] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3907), 1,
      sym__concat,
    STATE(1340), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1025), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1023), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67338] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3910), 1,
      sym__concat,
    STATE(1327), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3905), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3903), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 1,
      sym__concat,
    STATE(1383), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [67408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1149), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1145), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67472] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1080), 1,
      anon_sym_LF,
    ACTIONS(3792), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1082), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3790), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1141), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3914), 1,
      sym__concat,
    STATE(1460), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [67586] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      anon_sym_DQUOTE,
    ACTIONS(3918), 1,
      anon_sym_LF,
    ACTIONS(3922), 1,
      anon_sym_DOLLAR,
    ACTIONS(3924), 1,
      sym__special_character,
    ACTIONS(3926), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3928), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3930), 1,
      anon_sym_BQUOTE,
    STATE(1974), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3932), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1331), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3916), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3920), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1933), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1125), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1121), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1155), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 1,
      sym__concat,
    STATE(1371), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3934), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3936), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67868] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3910), 1,
      sym__concat,
    STATE(1327), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1039), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68064] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3910), 1,
      sym__concat,
    STATE(1327), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3901), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3899), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1137), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1133), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68196] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1001), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(1034), 1,
      anon_sym_LF,
    ACTIONS(3792), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1021), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3790), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [68244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1025), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1129), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68308] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      anon_sym_DQUOTE,
    ACTIONS(3922), 1,
      anon_sym_DOLLAR,
    ACTIONS(3924), 1,
      sym__special_character,
    ACTIONS(3926), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3928), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3930), 1,
      anon_sym_BQUOTE,
    ACTIONS(3938), 1,
      anon_sym_LF,
    STATE(1974), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3932), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1331), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3916), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3940), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1933), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 1,
      sym__concat,
    STATE(1312), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1047), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68398] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1217), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68429] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3914), 1,
      sym__concat,
    STATE(1460), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3903), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3905), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [68464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3944), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3946), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3948), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3950), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3952), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3954), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3956), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3958), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3960), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3962), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 1,
      sym__concat,
    STATE(1404), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3899), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3901), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [68654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 1,
      sym__concat,
    STATE(1404), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3903), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3905), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [68689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 1,
      sym__concat,
    STATE(1404), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3934), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3936), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [68724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3964), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3966), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3968), 1,
      sym__concat,
    STATE(1384), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [68788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3970), 1,
      sym__concat,
    STATE(1384), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1025), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [68821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3973), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3975), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3977), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3979), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3983), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68914] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3985), 1,
      sym__special_character,
    STATE(1395), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3846), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3844), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68949] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3987), 1,
      sym_word,
    ACTIONS(3989), 1,
      anon_sym_esac,
    ACTIONS(3991), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2727), 1,
      sym_last_case_item,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3993), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1539), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3995), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3997), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4001), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4003), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4005), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4007), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4009), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4011), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4013), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69161] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4015), 1,
      sym__special_character,
    STATE(1395), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1238), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69196] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1221), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4020), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69258] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1191), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4024), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4028), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69351] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1133), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1135), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69382] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1137), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1139), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4030), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4032), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4034), 1,
      sym__concat,
    STATE(1312), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1047), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [69479] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1163), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69510] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1167), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69541] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1187), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69572] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1169), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4036), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4038), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3934), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3936), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69665] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1155), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1153), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4040), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4042), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4044), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4046), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4048), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4050), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69789] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1121), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1123), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4052), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4054), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69851] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1125), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1127), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69882] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1141), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1143), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69913] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3985), 1,
      sym__special_character,
    STATE(1395), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3800), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3798), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69948] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1145), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1147), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69979] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1149), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1151), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70010] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1157), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1159), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70041] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1179), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70072] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1217), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4056), 1,
      sym__special_character,
    STATE(1425), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4059), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4061), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4063), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4065), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4067), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4069), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4071), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4073), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70260] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1225), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70291] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1175), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4075), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4077), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4079), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4081), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70384] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3987), 1,
      sym_word,
    ACTIONS(3991), 1,
      sym__special_character,
    ACTIONS(4083), 1,
      anon_sym_esac,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2717), 1,
      sym_last_case_item,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3993), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1545), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 1,
      sym__special_character,
    STATE(1441), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3844), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3846), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [70476] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1025), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1023), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70507] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3914), 1,
      sym__concat,
    STATE(1460), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3899), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3901), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [70542] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1129), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1131), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70573] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3910), 1,
      sym__concat,
    STATE(1327), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1061), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4087), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4089), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 1,
      sym__special_character,
    STATE(1441), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [70674] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1249), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 1,
      sym__special_character,
    STATE(1441), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3834), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3836), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [70740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4094), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4096), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70771] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1183), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4098), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4100), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70833] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1245), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4102), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4104), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3899), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3901), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70926] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3987), 1,
      sym_word,
    ACTIONS(3991), 1,
      sym__special_character,
    ACTIONS(4106), 1,
      anon_sym_esac,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2684), 1,
      sym_last_case_item,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3993), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1501), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3903), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3905), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4108), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4110), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4112), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4114), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3914), 1,
      sym__concat,
    STATE(1460), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3934), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3936), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4118), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71142] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3987), 1,
      sym_word,
    ACTIONS(3991), 1,
      sym__special_character,
    ACTIONS(4120), 1,
      anon_sym_esac,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2672), 1,
      sym_last_case_item,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3993), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1473), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71199] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3987), 1,
      sym_word,
    ACTIONS(3991), 1,
      sym__special_character,
    ACTIONS(4122), 1,
      anon_sym_esac,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2671), 1,
      sym_last_case_item,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3993), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1494), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 1,
      sym__concat,
    STATE(1383), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4124), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4126), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4128), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4130), 1,
      sym__concat,
    STATE(1464), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1047), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4134), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4136), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4138), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4140), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4142), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4144), 1,
      sym__concat,
    STATE(1464), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71483] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3987), 1,
      sym_word,
    ACTIONS(3991), 1,
      sym__special_character,
    ACTIONS(4147), 1,
      anon_sym_esac,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2747), 1,
      sym_last_case_item,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3993), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1559), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71540] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3987), 1,
      sym_word,
    ACTIONS(3991), 1,
      sym__special_character,
    ACTIONS(4149), 1,
      anon_sym_esac,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2621), 1,
      sym_last_case_item,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3993), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1485), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71597] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3987), 1,
      sym_word,
    ACTIONS(3991), 1,
      sym__special_character,
    ACTIONS(4151), 1,
      anon_sym_esac,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2622), 1,
      sym_last_case_item,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3993), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1482), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 1,
      sym__special_character,
    STATE(1441), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3798), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3800), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4153), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4155), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4157), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4159), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      sym__special_character,
    STATE(1425), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4161), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71784] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4165), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71816] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3991), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2606), 1,
      sym_last_case_item,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1640), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3993), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71868] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4167), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71900] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4169), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1121), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1125), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1141), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1145), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72052] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4171), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1149), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72114] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3991), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2672), 1,
      sym_last_case_item,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1640), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3993), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72166] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR,
    ACTIONS(4175), 1,
      anon_sym_LPAREN,
    ACTIONS(4177), 1,
      sym__special_character,
    ACTIONS(4179), 1,
      anon_sym_DQUOTE,
    ACTIONS(4181), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4185), 1,
      anon_sym_BQUOTE,
    ACTIONS(4189), 1,
      sym__empty_value,
    STATE(329), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4187), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(637), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4173), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(262), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72248] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3991), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2671), 1,
      sym_last_case_item,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1640), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3993), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72300] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4191), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1219), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72392] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4193), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      sym__concat,
    ACTIONS(1181), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1223), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1247), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72544] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3991), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2688), 1,
      sym_last_case_item,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1640), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3993), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 1,
      sym__concat,
    ACTIONS(1129), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72626] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4195), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      sym__concat,
    ACTIONS(1025), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72688] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3901), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3899), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1157), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72778] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3991), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2623), 1,
      sym_last_case_item,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1640), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3993), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72860] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4197), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym__concat,
    ACTIONS(1173), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72952] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1129), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1137), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      sym__concat,
    ACTIONS(1177), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [73074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 1,
      sym__concat,
    ACTIONS(1157), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [73134] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1039), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73164] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4203), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_DOLLAR,
    ACTIONS(4207), 1,
      sym__special_character,
    ACTIONS(4209), 1,
      anon_sym_DQUOTE,
    ACTIONS(4211), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4213), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4215), 1,
      anon_sym_BQUOTE,
    ACTIONS(4219), 1,
      sym__empty_value,
    STATE(574), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4217), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(678), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4201), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(275), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73216] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1171), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73278] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4223), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73310] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73342] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4227), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1185), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1155), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73434] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4229), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73466] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DOLLAR,
    ACTIONS(4233), 1,
      anon_sym_LPAREN,
    ACTIONS(4235), 1,
      sym__special_character,
    ACTIONS(4237), 1,
      anon_sym_DQUOTE,
    ACTIONS(4239), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4241), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4243), 1,
      anon_sym_BQUOTE,
    ACTIONS(4247), 1,
      sym__empty_value,
    STATE(305), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4245), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(651), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4231), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(243), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73518] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4249), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73550] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73582] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4253), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73614] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4255), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1165), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      sym__concat,
    ACTIONS(1243), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [73736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__concat,
    ACTIONS(1247), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [73766] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(393), 1,
      anon_sym_DOLLAR,
    ACTIONS(4259), 1,
      anon_sym_LPAREN,
    ACTIONS(4261), 1,
      sym__special_character,
    ACTIONS(4263), 1,
      anon_sym_DQUOTE,
    ACTIONS(4265), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4267), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_BQUOTE,
    ACTIONS(4273), 1,
      sym__empty_value,
    STATE(434), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4271), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(614), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4257), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(251), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73818] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3905), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3903), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73848] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      sym__concat,
    ACTIONS(1223), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [73910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym__concat,
    ACTIONS(1219), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [73940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym__concat,
    ACTIONS(1215), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [73970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1133), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym__concat,
    ACTIONS(1215), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [74030] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3991), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2684), 1,
      sym_last_case_item,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1640), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3993), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74112] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4279), 1,
      anon_sym_LPAREN,
    ACTIONS(4281), 1,
      anon_sym_DOLLAR,
    ACTIONS(4283), 1,
      sym__special_character,
    ACTIONS(4285), 1,
      anon_sym_DQUOTE,
    ACTIONS(4287), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4289), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_BQUOTE,
    ACTIONS(4295), 1,
      sym__empty_value,
    STATE(514), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4293), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(672), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4277), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(451), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 1,
      sym__concat,
    ACTIONS(1149), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [74194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [74224] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3985), 1,
      sym__special_character,
    STATE(1395), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1211), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1209), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74258] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3991), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2749), 1,
      sym_last_case_item,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1640), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3993), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 1,
      sym__concat,
    ACTIONS(1145), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [74340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      sym__concat,
    ACTIONS(1141), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [74370] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4299), 1,
      anon_sym_LPAREN,
    ACTIONS(4301), 1,
      anon_sym_DOLLAR,
    ACTIONS(4303), 1,
      sym__special_character,
    ACTIONS(4305), 1,
      anon_sym_DQUOTE,
    ACTIONS(4307), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4309), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4311), 1,
      anon_sym_BQUOTE,
    ACTIONS(4315), 1,
      sym__empty_value,
    STATE(623), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(668), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4297), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(369), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74422] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4317), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 1,
      sym__concat,
    ACTIONS(1125), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [74484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      sym__concat,
    ACTIONS(1121), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [74514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 1,
      sym__concat,
    ACTIONS(1155), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [74544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      sym__concat,
    ACTIONS(1171), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [74574] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4319), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      sym__concat,
    ACTIONS(1185), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [74636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      sym__concat,
    ACTIONS(1165), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [74666] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74698] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4323), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74730] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3991), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2717), 1,
      sym_last_case_item,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1640), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3993), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 1,
      sym__concat,
    ACTIONS(1161), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [74812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 1,
      sym__concat,
    ACTIONS(1137), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [74842] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4325), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 1,
      sym__concat,
    ACTIONS(1133), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [74904] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4327), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74936] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(4331), 1,
      anon_sym_LPAREN,
    ACTIONS(4333), 1,
      anon_sym_DOLLAR,
    ACTIONS(4335), 1,
      sym__special_character,
    ACTIONS(4337), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4339), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4341), 1,
      anon_sym_BQUOTE,
    ACTIONS(4345), 1,
      sym__empty_value,
    STATE(1544), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4343), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1607), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4329), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1439), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74988] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [75048] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_word,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4353), 1,
      sym_raw_string,
    ACTIONS(4355), 1,
      anon_sym_POUND,
    STATE(2001), 1,
      sym_string,
    ACTIONS(4349), 3,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(4357), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 8,
      anon_sym_RPAREN,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [75090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      sym__concat,
    ACTIONS(1189), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [75120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4048), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4050), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75149] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4359), 1,
      sym__concat,
    STATE(1741), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1039), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3956), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3958), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4067), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4069), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4361), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [75267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4369), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4363), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4365), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [75300] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4373), 1,
      anon_sym_RPAREN,
    ACTIONS(4375), 1,
      anon_sym_DOLLAR,
    ACTIONS(4377), 1,
      sym__special_character,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4383), 1,
      anon_sym_BQUOTE,
    STATE(2013), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1586), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4371), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4063), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4065), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4001), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3983), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3899), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3901), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4126), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4128), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75494] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4387), 1,
      sym__concat,
    STATE(1674), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1039), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [75527] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4389), 1,
      sym__concat,
    STATE(1624), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1039), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [75560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4059), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4061), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3960), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3962), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75618] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_DOLLAR,
    ACTIONS(4377), 1,
      sym__special_character,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4383), 1,
      anon_sym_BQUOTE,
    ACTIONS(4391), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1614), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4371), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75667] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_DOLLAR,
    ACTIONS(4377), 1,
      sym__special_character,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4383), 1,
      anon_sym_BQUOTE,
    ACTIONS(4393), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1614), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4371), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4079), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4081), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3964), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3966), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4094), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4096), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3934), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3936), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75832] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4395), 1,
      sym__special_character,
    STATE(1592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75865] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4389), 1,
      sym__concat,
    STATE(1624), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1039), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4118), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4398), 1,
      sym__concat,
    STATE(1601), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1049), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [75960] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4400), 1,
      sym__concat,
    STATE(1596), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1025), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1023), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3977), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3979), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3973), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3975), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4369), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4403), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4365), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [76084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4030), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4032), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      sym__concat,
    STATE(1601), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1025), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1023), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [76146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4003), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4005), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76175] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_DOLLAR,
    ACTIONS(4377), 1,
      sym__special_character,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4383), 1,
      anon_sym_BQUOTE,
    ACTIONS(4408), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1614), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4371), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3952), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3954), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3948), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3950), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76282] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4389), 1,
      sym__concat,
    STATE(1624), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4124), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4410), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76315] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1063), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1061), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4416), 1,
      sym__concat,
    ACTIONS(4412), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4414), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [76375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4422), 1,
      sym__concat,
    ACTIONS(4418), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4420), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [76406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4044), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4046), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4136), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4138), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4036), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4038), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4020), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76522] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_RPAREN,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR,
    ACTIONS(4430), 1,
      sym__special_character,
    ACTIONS(4433), 1,
      anon_sym_DQUOTE,
    ACTIONS(4436), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4439), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4442), 1,
      anon_sym_BQUOTE,
    STATE(2013), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4445), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1614), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4424), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4369), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4448), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4365), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [76604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4071), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4073), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4098), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4100), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4087), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4089), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4040), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4042), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4450), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [76747] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1366), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1368), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76776] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_DOLLAR,
    ACTIONS(4377), 1,
      sym__special_character,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4383), 1,
      anon_sym_BQUOTE,
    ACTIONS(4452), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1632), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4371), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76825] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_DOLLAR,
    ACTIONS(4377), 1,
      sym__special_character,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4383), 1,
      anon_sym_BQUOTE,
    ACTIONS(4454), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1614), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4371), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76874] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4456), 1,
      sym__concat,
    STATE(1634), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1049), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76907] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_DOLLAR,
    ACTIONS(4377), 1,
      sym__special_character,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4383), 1,
      anon_sym_BQUOTE,
    ACTIONS(4458), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1636), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4371), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4157), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4159), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4153), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4155), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4134), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4464), 1,
      sym__concat,
    ACTIONS(4460), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4462), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [77074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4112), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4114), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4102), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4104), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77132] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_DOLLAR,
    ACTIONS(4377), 1,
      sym__special_character,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4383), 1,
      anon_sym_BQUOTE,
    ACTIONS(4466), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1614), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4371), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4007), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4009), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77210] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4468), 1,
      sym__concat,
    STATE(1634), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1025), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1023), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4140), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4142), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77272] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_DOLLAR,
    ACTIONS(4377), 1,
      sym__special_character,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4383), 1,
      anon_sym_BQUOTE,
    ACTIONS(4471), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1614), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4371), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4108), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4110), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4011), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4013), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77379] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_DOLLAR,
    ACTIONS(4377), 1,
      sym__special_character,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4383), 1,
      anon_sym_BQUOTE,
    ACTIONS(4473), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1614), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4371), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77428] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4478), 1,
      anon_sym_DOLLAR,
    ACTIONS(4481), 1,
      sym__special_character,
    ACTIONS(4484), 1,
      anon_sym_DQUOTE,
    ACTIONS(4487), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4490), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4493), 1,
      anon_sym_BQUOTE,
    STATE(2314), 1,
      aux_sym__literal_repeat1,
    STATE(2479), 1,
      sym_concatenation,
    ACTIONS(4496), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1640), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4475), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2315), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4503), 1,
      sym__concat,
    ACTIONS(4499), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4501), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [77508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4505), 1,
      sym__concat,
    STATE(1595), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1039), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [77541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3903), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3905), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3995), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3997), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77599] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_DOLLAR,
    ACTIONS(4377), 1,
      sym__special_character,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4383), 1,
      anon_sym_BQUOTE,
    ACTIONS(4507), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1623), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4371), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4075), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4077), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4509), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [77704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4369), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4511), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4365), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [77737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4369), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4513), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4365), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [77770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4361), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [77797] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1344), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1342), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77826] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_DOLLAR,
    ACTIONS(4377), 1,
      sym__special_character,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4383), 1,
      anon_sym_BQUOTE,
    ACTIONS(4515), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1587), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4371), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4052), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4054), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4369), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4517), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4365), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [77937] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_DOLLAR,
    ACTIONS(4377), 1,
      sym__special_character,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4383), 1,
      anon_sym_BQUOTE,
    ACTIONS(4519), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1603), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4371), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77986] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_DOLLAR,
    ACTIONS(4377), 1,
      sym__special_character,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4383), 1,
      anon_sym_BQUOTE,
    ACTIONS(4521), 1,
      anon_sym_RPAREN,
    STATE(2013), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1639), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4371), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1980), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3944), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3946), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4028), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4367), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4369), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4523), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4365), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [78126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4505), 1,
      sym__concat,
    STATE(1595), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4525), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4527), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4024), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78188] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2478), 1,
      aux_sym__literal_repeat1,
    STATE(2703), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4529), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2476), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78236] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4545), 1,
      sym__special_character,
    STATE(1663), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78268] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2406), 1,
      aux_sym__literal_repeat1,
    STATE(2695), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4548), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2410), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78316] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3922), 1,
      anon_sym_DOLLAR,
    ACTIONS(4552), 1,
      sym__special_character,
    ACTIONS(4554), 1,
      anon_sym_DQUOTE,
    ACTIONS(4556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4560), 1,
      anon_sym_BQUOTE,
    STATE(1974), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4562), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1370), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4550), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1933), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78362] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1649), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2418), 1,
      aux_sym__literal_repeat1,
    STATE(2667), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4564), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2423), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78410] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2379), 1,
      aux_sym__literal_repeat1,
    STATE(2762), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4566), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78458] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2416), 1,
      aux_sym__literal_repeat1,
    STATE(2676), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4568), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2414), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78506] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2452), 1,
      aux_sym__literal_repeat1,
    STATE(2610), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4570), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2447), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78554] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2370), 1,
      aux_sym__literal_repeat1,
    STATE(2774), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4572), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2369), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78602] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2417), 1,
      aux_sym__literal_repeat1,
    STATE(2678), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4574), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2412), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78650] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1183), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78678] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2402), 1,
      aux_sym__literal_repeat1,
    STATE(2698), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4576), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2400), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78726] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4578), 1,
      sym__concat,
    STATE(1596), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1049), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78758] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1129), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1131), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78786] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1025), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1023), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78814] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1175), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78842] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78870] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1157), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1159), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78898] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2463), 1,
      aux_sym__literal_repeat1,
    STATE(2631), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4580), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2457), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78946] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1245), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78974] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2377), 1,
      aux_sym__literal_repeat1,
    STATE(2771), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4582), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2375), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79022] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1249), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79050] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2371), 1,
      aux_sym__literal_repeat1,
    STATE(2773), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4584), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2373), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79098] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2385), 1,
      aux_sym__literal_repeat1,
    STATE(2759), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4586), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2383), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79146] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1225), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79174] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
    STATE(2763), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4588), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2380), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79222] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1221), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79250] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79278] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79306] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2453), 1,
      aux_sym__literal_repeat1,
    STATE(2769), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4590), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2372), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79354] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1149), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1151), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79382] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1145), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1147), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79410] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1141), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79438] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1125), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1127), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79466] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1121), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1123), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79494] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1155), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1153), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79522] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1169), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79550] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(225), 1,
      anon_sym_BQUOTE,
    ACTIONS(1348), 1,
      sym__special_character,
    ACTIONS(4594), 1,
      sym_regex,
    STATE(300), 1,
      aux_sym__literal_repeat1,
    STATE(631), 1,
      sym_concatenation,
    ACTIONS(227), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4592), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(257), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79598] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2179), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2405), 1,
      aux_sym__literal_repeat1,
    STATE(2607), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4596), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2403), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79646] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2382), 1,
      aux_sym__literal_repeat1,
    STATE(2756), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4598), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2384), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79694] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1187), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79722] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79750] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1167), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79778] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1163), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79806] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2445), 1,
      aux_sym__literal_repeat1,
    STATE(2657), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4600), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2443), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79854] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4359), 1,
      sym__concat,
    STATE(1741), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4124), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4410), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79886] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2429), 1,
      aux_sym__literal_repeat1,
    STATE(2637), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4602), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2432), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79934] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2456), 1,
      aux_sym__literal_repeat1,
    STATE(2617), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4604), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2454), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79982] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2389), 1,
      aux_sym__literal_repeat1,
    STATE(2732), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4606), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2388), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80030] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2467), 1,
      aux_sym__literal_repeat1,
    STATE(2719), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4608), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2480), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80078] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2462), 1,
      aux_sym__literal_repeat1,
    STATE(2757), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4610), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2495), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80126] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1245), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80154] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2943), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2448), 1,
      aux_sym__literal_repeat1,
    STATE(2614), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4612), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2451), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80202] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1183), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80230] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1249), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80258] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1137), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1139), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80286] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1133), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1135), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      sym__special_character,
    STATE(1800), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4614), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4616), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80346] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2491), 1,
      aux_sym__literal_repeat1,
    STATE(2738), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4620), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2493), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80394] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1129), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1131), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80422] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1191), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80450] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2494), 1,
      aux_sym__literal_repeat1,
    STATE(2751), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4622), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2367), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80498] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2489), 1,
      aux_sym__literal_repeat1,
    STATE(2731), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4624), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2487), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80546] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1039), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [80574] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4626), 1,
      sym__special_character,
    STATE(1726), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80606] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1527), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2394), 1,
      aux_sym__literal_repeat1,
    STATE(2720), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4629), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2393), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80654] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1333), 1,
      sym__special_character,
    ACTIONS(4633), 1,
      sym_regex,
    STATE(456), 1,
      aux_sym__literal_repeat1,
    STATE(494), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4631), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(256), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80702] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2484), 1,
      aux_sym__literal_repeat1,
    STATE(2655), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4635), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2496), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80750] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2391), 1,
      aux_sym__literal_repeat1,
    STATE(2725), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4637), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2392), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1183), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80826] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2015), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2395), 1,
      aux_sym__literal_repeat1,
    STATE(2716), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4639), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2396), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1131), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80902] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4641), 1,
      sym__concat,
    STATE(1734), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1025), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1023), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1023), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80962] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4644), 1,
      sym__special_character,
    STATE(1736), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 13,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1175), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1179), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81050] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1025), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1023), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1159), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81106] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4647), 1,
      sym__concat,
    STATE(1734), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1049), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81138] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1175), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81166] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1225), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81194] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2408), 1,
      aux_sym__literal_repeat1,
    STATE(2694), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4649), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2404), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81242] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1221), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81270] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81298] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81326] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4653), 1,
      sym__special_character,
    STATE(1592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4161), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4651), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81358] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4655), 1,
      sym__special_character,
    STATE(1736), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4161), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4651), 13,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1245), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1249), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81446] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2155), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2397), 1,
      aux_sym__literal_repeat1,
    STATE(2702), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4657), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2399), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1225), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81522] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1157), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1159), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81550] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2471), 1,
      aux_sym__literal_repeat1,
    STATE(2683), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4659), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2475), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81598] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1149), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1151), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81626] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1145), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1147), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81654] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2425), 1,
      aux_sym__literal_repeat1,
    STATE(2778), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4661), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2374), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81702] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1141), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81730] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2486), 1,
      aux_sym__literal_repeat1,
    STATE(2729), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4663), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2485), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81778] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4665), 1,
      sym__special_character,
    STATE(1663), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4161), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4651), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4501), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4462), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81866] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1125), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1127), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81894] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1121), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1123), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81922] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2466), 1,
      aux_sym__literal_repeat1,
    STATE(2661), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4667), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2468), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81970] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1155), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1153), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81998] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1169), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4669), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4671), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4673), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4675), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82082] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1633), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2413), 1,
      aux_sym__literal_repeat1,
    STATE(2677), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4677), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2411), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82130] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1187), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82158] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1167), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82186] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1163), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82214] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1657), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2474), 1,
      aux_sym__literal_repeat1,
    STATE(2696), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4679), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2473), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82262] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1137), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1139), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82290] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1133), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1135), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82318] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1191), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82346] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4681), 1,
      sym__special_character,
    STATE(1726), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4161), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4651), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1221), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82406] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2455), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2488), 1,
      aux_sym__literal_repeat1,
    STATE(2743), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4683), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2492), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1217), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82482] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2481), 1,
      aux_sym__literal_repeat1,
    STATE(2710), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4685), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2482), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1217), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1151), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1147), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82614] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2401), 1,
      aux_sym__literal_repeat1,
    STATE(2686), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4687), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2381), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1143), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1127), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1123), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1153), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1169), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1187), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1167), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1139), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82886] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2450), 1,
      aux_sym__literal_repeat1,
    STATE(2615), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4689), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2455), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1135), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1191), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82990] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4387), 1,
      sym__concat,
    STATE(1674), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4124), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4410), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4691), 1,
      sym__special_character,
    STATE(1800), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1238), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83054] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2419), 1,
      aux_sym__literal_repeat1,
    STATE(2670), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4694), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2420), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83102] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2421), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2421), 1,
      aux_sym__literal_repeat1,
    STATE(2665), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4696), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2422), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83150] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1689), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2427), 1,
      aux_sym__literal_repeat1,
    STATE(2648), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4698), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2426), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1163), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83226] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1773), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2433), 1,
      aux_sym__literal_repeat1,
    STATE(2634), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4700), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2431), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83274] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2444), 1,
      aux_sym__literal_repeat1,
    STATE(2608), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4702), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2449), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83322] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2477), 1,
      aux_sym__literal_repeat1,
    STATE(2639), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4704), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2428), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83370] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2503), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2430), 1,
      aux_sym__literal_repeat1,
    STATE(2630), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4706), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2434), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83418] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3922), 1,
      anon_sym_DOLLAR,
    ACTIONS(4552), 1,
      sym__special_character,
    ACTIONS(4554), 1,
      anon_sym_DQUOTE,
    ACTIONS(4556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4560), 1,
      anon_sym_BQUOTE,
    STATE(1974), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4562), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1349), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4550), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1933), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83464] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1535), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2442), 1,
      aux_sym__literal_repeat1,
    STATE(2693), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4708), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2439), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83512] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1601), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2460), 1,
      aux_sym__literal_repeat1,
    STATE(2626), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4710), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2459), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83560] = 13,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym__special_character,
    ACTIONS(4714), 1,
      sym_regex,
    STATE(374), 1,
      aux_sym__literal_repeat1,
    STATE(622), 1,
      sym_concatenation,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4712), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(248), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83608] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4720), 1,
      sym__special_character,
    ACTIONS(4722), 1,
      anon_sym_DQUOTE,
    ACTIONS(4724), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4728), 1,
      anon_sym_BQUOTE,
    STATE(1311), 1,
      aux_sym__literal_repeat1,
    STATE(1410), 1,
      sym_concatenation,
    ACTIONS(4730), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4716), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1381), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83653] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_DOLLAR,
    ACTIONS(4736), 1,
      sym__special_character,
    ACTIONS(4738), 1,
      anon_sym_DQUOTE,
    ACTIONS(4740), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4742), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2240), 1,
      aux_sym__literal_repeat1,
    STATE(2319), 1,
      sym_concatenation,
    ACTIONS(4746), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4732), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2228), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83698] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(4333), 1,
      anon_sym_DOLLAR,
    ACTIONS(4335), 1,
      sym__special_character,
    ACTIONS(4337), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4339), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4341), 1,
      anon_sym_BQUOTE,
    STATE(1419), 1,
      aux_sym__literal_repeat1,
    STATE(1532), 1,
      sym_concatenation,
    ACTIONS(4343), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4748), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1342), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83743] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(4333), 1,
      anon_sym_DOLLAR,
    ACTIONS(4335), 1,
      sym__special_character,
    ACTIONS(4337), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4339), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4341), 1,
      anon_sym_BQUOTE,
    STATE(1388), 1,
      aux_sym__literal_repeat1,
    STATE(1498), 1,
      sym_concatenation,
    ACTIONS(4343), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4750), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1363), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83788] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3461), 1,
      anon_sym_DOLLAR,
    ACTIONS(3467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3471), 1,
      anon_sym_BQUOTE,
    ACTIONS(4754), 1,
      sym__special_character,
    STATE(2345), 1,
      aux_sym__literal_repeat1,
    STATE(2590), 1,
      sym_concatenation,
    ACTIONS(3473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4752), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2436), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83833] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4361), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4756), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83860] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4509), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4758), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83887] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1163), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83914] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4722), 1,
      anon_sym_DQUOTE,
    ACTIONS(4724), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4728), 1,
      anon_sym_BQUOTE,
    ACTIONS(4762), 1,
      sym__special_character,
    STATE(1321), 1,
      aux_sym__literal_repeat1,
    STATE(1449), 1,
      sym_concatenation,
    ACTIONS(4730), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4760), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1333), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83959] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4722), 1,
      anon_sym_DQUOTE,
    ACTIONS(4724), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4728), 1,
      anon_sym_BQUOTE,
    ACTIONS(4762), 1,
      sym__special_character,
    STATE(1301), 1,
      aux_sym__literal_repeat1,
    STATE(1451), 1,
      sym_concatenation,
    ACTIONS(4730), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4764), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1338), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84004] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4722), 1,
      anon_sym_DQUOTE,
    ACTIONS(4724), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4728), 1,
      anon_sym_BQUOTE,
    ACTIONS(4762), 1,
      sym__special_character,
    STATE(1311), 1,
      aux_sym__literal_repeat1,
    STATE(1410), 1,
      sym_concatenation,
    ACTIONS(4730), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4766), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1354), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84049] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1039), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84076] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1191), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84103] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1133), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1135), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84130] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1137), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1139), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84157] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1167), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84184] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_DOLLAR,
    ACTIONS(4736), 1,
      sym__special_character,
    ACTIONS(4738), 1,
      anon_sym_DQUOTE,
    ACTIONS(4740), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4742), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    STATE(2215), 1,
      aux_sym__literal_repeat1,
    STATE(2296), 1,
      sym_concatenation,
    ACTIONS(4746), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4768), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2212), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84229] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1169), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84256] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1155), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1153), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84283] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1121), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1123), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84310] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1125), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1127), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84337] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1141), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84364] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1145), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1147), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84391] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1149), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1151), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84418] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1157), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1159), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84445] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84472] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84499] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84526] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1221), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84553] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1225), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84580] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_DOLLAR,
    ACTIONS(4774), 1,
      sym__special_character,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    STATE(1435), 1,
      aux_sym__literal_repeat1,
    STATE(1580), 1,
      sym_concatenation,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4770), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1437), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84625] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1175), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84652] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_DOLLAR,
    ACTIONS(4774), 1,
      sym__special_character,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    STATE(1468), 1,
      aux_sym__literal_repeat1,
    STATE(1643), 1,
      sym_concatenation,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4786), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1373), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84697] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1039), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [84724] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1025), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1023), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84751] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4361), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4756), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84778] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_DOLLAR,
    ACTIONS(4774), 1,
      sym__special_character,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    STATE(1443), 1,
      aux_sym__literal_repeat1,
    STATE(1591), 1,
      sym_concatenation,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4788), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1454), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84823] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1039), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84850] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1129), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1131), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84877] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1249), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84904] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1183), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84931] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1245), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1039), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84985] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3991), 1,
      sym__special_character,
    STATE(2331), 1,
      aux_sym__literal_repeat1,
    STATE(2580), 1,
      sym_concatenation,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4790), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2356), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85030] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4450), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4792), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85057] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4720), 1,
      sym__special_character,
    ACTIONS(4722), 1,
      anon_sym_DQUOTE,
    ACTIONS(4724), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4728), 1,
      anon_sym_BQUOTE,
    STATE(1301), 1,
      aux_sym__literal_repeat1,
    STATE(1451), 1,
      sym_concatenation,
    ACTIONS(4730), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4794), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1380), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85102] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3461), 1,
      anon_sym_DOLLAR,
    ACTIONS(3467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3471), 1,
      anon_sym_BQUOTE,
    ACTIONS(4754), 1,
      sym__special_character,
    STATE(2365), 1,
      aux_sym__literal_repeat1,
    STATE(2548), 1,
      sym_concatenation,
    ACTIONS(3473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4796), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2470), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85147] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1187), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85174] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4720), 1,
      sym__special_character,
    ACTIONS(4722), 1,
      anon_sym_DQUOTE,
    ACTIONS(4724), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4728), 1,
      anon_sym_BQUOTE,
    STATE(1321), 1,
      aux_sym__literal_repeat1,
    STATE(1449), 1,
      sym_concatenation,
    ACTIONS(4730), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4798), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1379), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85219] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4361), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4756), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85245] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85277] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4450), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4792), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85303] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_RPAREN,
    ACTIONS(4814), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4818), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4816), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4812), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85335] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_RPAREN,
    ACTIONS(4814), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4818), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4816), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4812), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85367] = 11,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3461), 1,
      anon_sym_DOLLAR,
    ACTIONS(3467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3471), 1,
      anon_sym_BQUOTE,
    ACTIONS(4824), 1,
      anon_sym_RBRACK,
    ACTIONS(4826), 1,
      sym__special_character,
    ACTIONS(3473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4822), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1847), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85409] = 11,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3461), 1,
      anon_sym_DOLLAR,
    ACTIONS(3467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3471), 1,
      anon_sym_BQUOTE,
    ACTIONS(4826), 1,
      sym__special_character,
    ACTIONS(4828), 1,
      anon_sym_RBRACK,
    ACTIONS(3473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4822), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1847), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85451] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4830), 1,
      anon_sym_RPAREN,
    ACTIONS(4814), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4818), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4816), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4812), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85483] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4836), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4838), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4832), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85515] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_RPAREN,
    ACTIONS(4814), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4818), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4816), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4812), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85547] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_RBRACK,
    ACTIONS(4844), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4846), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4842), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85579] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4850), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85611] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4852), 1,
      anon_sym_RPAREN,
    ACTIONS(4814), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4818), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4816), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4812), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85643] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85675] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4854), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85707] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4509), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4758), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85733] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4361), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4756), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85759] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85791] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4858), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85823] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4361), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4756), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85849] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85881] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_LF,
    ACTIONS(4862), 1,
      anon_sym_DQUOTE,
    ACTIONS(4864), 1,
      sym_raw_string,
    STATE(2284), 1,
      sym_string,
    ACTIONS(533), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4860), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(4866), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [85917] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_RBRACK,
    ACTIONS(4844), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4846), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4842), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85949] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85981] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_RBRACK,
    ACTIONS(4844), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4846), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4842), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86013] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4450), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4792), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86039] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4870), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86071] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4361), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4756), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86097] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4836), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4838), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4832), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86129] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86161] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4836), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4838), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4832), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86193] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4509), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4758), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86219] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4874), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86251] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4301), 1,
      anon_sym_DOLLAR,
    ACTIONS(4305), 1,
      anon_sym_DQUOTE,
    ACTIONS(4307), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4309), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4311), 1,
      anon_sym_BQUOTE,
    ACTIONS(4313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4876), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(537), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86288] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(4880), 1,
      anon_sym_DOLLAR,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4878), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1676), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_LF,
    ACTIONS(4882), 1,
      sym__concat,
    STATE(1897), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1025), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86354] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_DQUOTE,
    ACTIONS(4556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4560), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_DOLLAR,
    ACTIONS(4562), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4885), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1966), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86391] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3461), 1,
      anon_sym_DOLLAR,
    ACTIONS(3467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4822), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1847), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86428] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3922), 1,
      anon_sym_DOLLAR,
    ACTIONS(4554), 1,
      anon_sym_DQUOTE,
    ACTIONS(4556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4560), 1,
      anon_sym_BQUOTE,
    ACTIONS(4562), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4885), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1966), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86465] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3667), 1,
      anon_sym_DQUOTE,
    ACTIONS(3671), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3673), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3675), 1,
      anon_sym_BQUOTE,
    ACTIONS(4891), 1,
      anon_sym_DOLLAR,
    ACTIONS(3677), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4889), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1497), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_LF,
    ACTIONS(4893), 1,
      sym__concat,
    STATE(1903), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_LF,
    ACTIONS(4895), 1,
      sym__concat,
    STATE(1897), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86560] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_DQUOTE,
    ACTIONS(4211), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4213), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4215), 1,
      anon_sym_BQUOTE,
    ACTIONS(4899), 1,
      anon_sym_DOLLAR,
    ACTIONS(4217), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4897), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(536), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86597] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(225), 1,
      anon_sym_BQUOTE,
    ACTIONS(227), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4901), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(279), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86634] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4903), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1735), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86671] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(393), 1,
      anon_sym_DOLLAR,
    ACTIONS(4263), 1,
      anon_sym_DQUOTE,
    ACTIONS(4265), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4267), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_BQUOTE,
    ACTIONS(4271), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4905), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86708] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(4907), 1,
      anon_sym_DOLLAR,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4878), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1676), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86745] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_DOLLAR,
    ACTIONS(4738), 1,
      anon_sym_DQUOTE,
    ACTIONS(4740), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4742), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4746), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4909), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86782] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4179), 1,
      anon_sym_DQUOTE,
    ACTIONS(4181), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4185), 1,
      anon_sym_BQUOTE,
    ACTIONS(4913), 1,
      anon_sym_DOLLAR,
    ACTIONS(4187), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4911), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(458), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86819] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4383), 1,
      anon_sym_BQUOTE,
    ACTIONS(4917), 1,
      anon_sym_DOLLAR,
    ACTIONS(4385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4915), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2008), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86856] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4919), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(316), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86893] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(4337), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4339), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4341), 1,
      anon_sym_BQUOTE,
    ACTIONS(4923), 1,
      anon_sym_DOLLAR,
    ACTIONS(4343), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4921), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1436), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86930] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_DQUOTE,
    ACTIONS(4724), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4728), 1,
      anon_sym_BQUOTE,
    ACTIONS(4927), 1,
      anon_sym_DOLLAR,
    ACTIONS(4730), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4925), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1368), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86967] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3471), 1,
      anon_sym_BQUOTE,
    ACTIONS(4929), 1,
      anon_sym_DOLLAR,
    ACTIONS(3473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4822), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1847), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87004] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_DOLLAR,
    ACTIONS(4933), 1,
      anon_sym_DQUOTE,
    ACTIONS(4935), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4939), 1,
      anon_sym_BQUOTE,
    ACTIONS(4941), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4931), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(585), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87041] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(225), 1,
      anon_sym_BQUOTE,
    ACTIONS(4943), 1,
      anon_sym_DOLLAR,
    ACTIONS(227), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4901), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(279), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87078] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3609), 1,
      anon_sym_DOLLAR,
    ACTIONS(3615), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3619), 1,
      anon_sym_BQUOTE,
    ACTIONS(3621), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4878), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1676), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87115] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DOLLAR,
    ACTIONS(4237), 1,
      anon_sym_DQUOTE,
    ACTIONS(4239), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4241), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4243), 1,
      anon_sym_BQUOTE,
    ACTIONS(4245), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4945), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(370), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87152] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_DOLLAR,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4947), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1505), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87189] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(4949), 1,
      anon_sym_DOLLAR,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4919), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(316), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87226] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4951), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2577), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87263] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4722), 1,
      anon_sym_DQUOTE,
    ACTIONS(4724), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4728), 1,
      anon_sym_BQUOTE,
    ACTIONS(4730), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4925), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1368), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87300] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_DQUOTE,
    ACTIONS(4265), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4267), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_BQUOTE,
    ACTIONS(4953), 1,
      anon_sym_DOLLAR,
    ACTIONS(4271), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4905), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87337] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(4333), 1,
      anon_sym_DOLLAR,
    ACTIONS(4337), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4339), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4341), 1,
      anon_sym_BQUOTE,
    ACTIONS(4343), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4921), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1436), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87374] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4955), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1739), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87411] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DOLLAR,
    ACTIONS(4959), 1,
      anon_sym_DQUOTE,
    ACTIONS(4961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4965), 1,
      anon_sym_BQUOTE,
    ACTIONS(4967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4957), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(612), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87448] = 9,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4971), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4969), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(433), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87485] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_DQUOTE,
    ACTIONS(4307), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4309), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4311), 1,
      anon_sym_BQUOTE,
    ACTIONS(4973), 1,
      anon_sym_DOLLAR,
    ACTIONS(4313), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4876), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(537), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87522] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4738), 1,
      anon_sym_DQUOTE,
    ACTIONS(4740), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4742), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4744), 1,
      anon_sym_BQUOTE,
    ACTIONS(4975), 1,
      anon_sym_DOLLAR,
    ACTIONS(4746), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4909), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87559] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    ACTIONS(4977), 1,
      anon_sym_DOLLAR,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4947), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1505), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87596] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_DQUOTE,
    ACTIONS(4961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4965), 1,
      anon_sym_BQUOTE,
    ACTIONS(4979), 1,
      anon_sym_DOLLAR,
    ACTIONS(4967), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4957), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(612), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      sym__concat,
    ACTIONS(4983), 1,
      anon_sym_LF,
    STATE(1903), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4981), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87662] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4933), 1,
      anon_sym_DQUOTE,
    ACTIONS(4935), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4937), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4939), 1,
      anon_sym_BQUOTE,
    ACTIONS(4985), 1,
      anon_sym_DOLLAR,
    ACTIONS(4941), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4931), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(585), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87699] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(802), 1,
      anon_sym_DOLLAR,
    ACTIONS(4989), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4993), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4995), 1,
      anon_sym_BQUOTE,
    ACTIONS(4997), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4987), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(613), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87736] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_DQUOTE,
    ACTIONS(4724), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4728), 1,
      anon_sym_BQUOTE,
    ACTIONS(4999), 1,
      anon_sym_DOLLAR,
    ACTIONS(4730), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4925), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1368), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87773] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4989), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4993), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4995), 1,
      anon_sym_BQUOTE,
    ACTIONS(5001), 1,
      anon_sym_DOLLAR,
    ACTIONS(4997), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4987), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(613), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87810] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_DQUOTE,
    ACTIONS(4239), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4241), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4243), 1,
      anon_sym_BQUOTE,
    ACTIONS(5003), 1,
      anon_sym_DOLLAR,
    ACTIONS(4245), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4945), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(370), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87847] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4205), 1,
      anon_sym_DOLLAR,
    ACTIONS(4209), 1,
      anon_sym_DQUOTE,
    ACTIONS(4211), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4213), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4215), 1,
      anon_sym_BQUOTE,
    ACTIONS(4217), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4897), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(536), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87884] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(5005), 1,
      anon_sym_DOLLAR,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4955), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1739), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87921] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR,
    ACTIONS(3667), 1,
      anon_sym_DQUOTE,
    ACTIONS(3671), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3673), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3675), 1,
      anon_sym_BQUOTE,
    ACTIONS(3677), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4889), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1497), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87958] = 9,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4969), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(433), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87995] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4281), 1,
      anon_sym_DOLLAR,
    ACTIONS(4285), 1,
      anon_sym_DQUOTE,
    ACTIONS(4287), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4289), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_BQUOTE,
    ACTIONS(4293), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5007), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(621), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88032] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    ACTIONS(5009), 1,
      anon_sym_DOLLAR,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4951), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2577), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88069] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4285), 1,
      anon_sym_DQUOTE,
    ACTIONS(4287), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4289), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_BQUOTE,
    ACTIONS(5011), 1,
      anon_sym_DOLLAR,
    ACTIONS(4293), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5007), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(621), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88106] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR,
    ACTIONS(4179), 1,
      anon_sym_DQUOTE,
    ACTIONS(4181), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4185), 1,
      anon_sym_BQUOTE,
    ACTIONS(4187), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4911), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(458), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88143] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4375), 1,
      anon_sym_DOLLAR,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4383), 1,
      anon_sym_BQUOTE,
    ACTIONS(4385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4915), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2008), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88180] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3471), 1,
      anon_sym_BQUOTE,
    ACTIONS(5013), 1,
      anon_sym_DOLLAR,
    ACTIONS(3473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4822), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1847), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88217] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(5015), 1,
      anon_sym_DOLLAR,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4903), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1735), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_LF,
    ACTIONS(5017), 1,
      sym__special_character,
    STATE(1952), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 13,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1129), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1133), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1149), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1025), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1145), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1141), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1125), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1121), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1155), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LF,
    ACTIONS(5024), 1,
      sym__special_character,
    STATE(1952), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5020), 13,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1137), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88910] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(1441), 1,
      sym_raw_string,
    STATE(1853), 1,
      sym_string,
    ACTIONS(535), 2,
      sym__concat,
      anon_sym_RBRACK,
    ACTIONS(1443), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1445), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1437), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_LF,
    ACTIONS(1041), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88966] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1453), 1,
      sym_raw_string,
    STATE(1672), 1,
      sym_string,
    ACTIONS(535), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(1455), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1457), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1449), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88999] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4981), 1,
      anon_sym_DOLLAR,
    ACTIONS(5026), 1,
      sym__concat,
    STATE(1981), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4983), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89025] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym_DOLLAR,
    ACTIONS(5028), 1,
      sym__concat,
    STATE(1983), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89051] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_RBRACE,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(5032), 1,
      sym_raw_string,
    STATE(2593), 1,
      sym_string,
    ACTIONS(5034), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5036), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5030), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89083] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1025), 1,
      anon_sym_DOLLAR,
    ACTIONS(5038), 1,
      sym__concat,
    STATE(1983), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89109] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_DOLLAR,
    ACTIONS(5026), 1,
      sym__concat,
    STATE(1981), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89135] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DOLLAR,
    ACTIONS(1191), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89156] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1236), 1,
      anon_sym_DOLLAR,
    ACTIONS(5041), 1,
      sym__special_character,
    STATE(1986), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 10,
      anon_sym_RPAREN,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89181] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      sym_raw_string,
    STATE(1445), 1,
      sym_string,
    ACTIONS(1391), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5044), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1389), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89210] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_DQUOTE,
    ACTIONS(5048), 1,
      sym_raw_string,
    STATE(1359), 1,
      sym_string,
    ACTIONS(1205), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5050), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5046), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89239] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_DQUOTE,
    ACTIONS(5054), 1,
      sym_raw_string,
    STATE(547), 1,
      sym_string,
    ACTIONS(701), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5056), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5052), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89268] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_DOLLAR,
    ACTIONS(1153), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89289] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_DOLLAR,
    ACTIONS(1169), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89310] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1133), 1,
      anon_sym_DOLLAR,
    ACTIONS(1135), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89331] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_DQUOTE,
    ACTIONS(5060), 1,
      sym_raw_string,
    STATE(543), 1,
      sym_string,
    ACTIONS(721), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5062), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5058), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89360] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_DOLLAR,
    ACTIONS(1187), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89381] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1145), 1,
      anon_sym_DOLLAR,
    ACTIONS(1147), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89402] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_DOLLAR,
    ACTIONS(1225), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89423] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      sym_raw_string,
    STATE(1510), 1,
      sym_string,
    ACTIONS(1362), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5068), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5064), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89452] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_DQUOTE,
    ACTIONS(5072), 1,
      sym_raw_string,
    STATE(364), 1,
      sym_string,
    ACTIONS(758), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5074), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5070), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89481] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1453), 1,
      sym_raw_string,
    STATE(1672), 1,
      sym_string,
    ACTIONS(1455), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1457), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1449), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89510] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4933), 1,
      anon_sym_DQUOTE,
    ACTIONS(5078), 1,
      sym_raw_string,
    STATE(608), 1,
      sym_string,
    ACTIONS(794), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5080), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5076), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89539] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 1,
      anon_sym_DOLLAR,
    ACTIONS(1183), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89560] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_DOLLAR,
    ACTIONS(1123), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89581] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 1,
      anon_sym_DQUOTE,
    ACTIONS(5084), 1,
      sym_raw_string,
    STATE(618), 1,
      sym_string,
    ACTIONS(853), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5086), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89610] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3667), 1,
      anon_sym_DQUOTE,
    ACTIONS(5090), 1,
      sym_raw_string,
    STATE(1490), 1,
      sym_string,
    ACTIONS(1381), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5092), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5088), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89639] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1129), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89660] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(5096), 1,
      sym_raw_string,
    STATE(348), 1,
      sym_string,
    ACTIONS(543), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5098), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5094), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89689] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1127), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89710] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1025), 1,
      anon_sym_DOLLAR,
    ACTIONS(1023), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89731] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 1,
      anon_sym_DOLLAR,
    ACTIONS(1167), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89752] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_DQUOTE,
    ACTIONS(5102), 1,
      sym_raw_string,
    STATE(580), 1,
      sym_string,
    ACTIONS(786), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5104), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5100), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89781] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4285), 1,
      anon_sym_DQUOTE,
    ACTIONS(5108), 1,
      sym_raw_string,
    STATE(581), 1,
      sym_string,
    ACTIONS(683), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5110), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5106), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89810] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR,
    ACTIONS(1143), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89831] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_DOLLAR,
    ACTIONS(5112), 1,
      sym__special_character,
    STATE(1986), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5022), 10,
      anon_sym_RPAREN,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89856] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4738), 1,
      anon_sym_DQUOTE,
    ACTIONS(5116), 1,
      sym_raw_string,
    STATE(2284), 1,
      sym_string,
    ACTIONS(4866), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5118), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5114), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89885] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_DOLLAR,
    ACTIONS(1175), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89906] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1149), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89927] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(5122), 1,
      sym_raw_string,
    STATE(295), 1,
      sym_string,
    ACTIONS(551), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5124), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5120), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89956] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 1,
      anon_sym_DOLLAR,
    ACTIONS(1179), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89977] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_DOLLAR,
    ACTIONS(1159), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89998] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_DQUOTE,
    ACTIONS(5128), 1,
      sym_raw_string,
    STATE(303), 1,
      sym_string,
    ACTIONS(693), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5130), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5126), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90027] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(3764), 1,
      sym_raw_string,
    STATE(1731), 1,
      sym_string,
    ACTIONS(3768), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5132), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(3766), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90056] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_DOLLAR,
    ACTIONS(1245), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90077] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_DOLLAR,
    ACTIONS(1163), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90098] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_DOLLAR,
    ACTIONS(1217), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90119] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4179), 1,
      anon_sym_DQUOTE,
    ACTIONS(5136), 1,
      sym_raw_string,
    STATE(468), 1,
      sym_string,
    ACTIONS(597), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5138), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5134), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90148] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_DOLLAR,
    ACTIONS(1249), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90169] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(5032), 1,
      sym_raw_string,
    STATE(2593), 1,
      sym_string,
    ACTIONS(5034), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5036), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5030), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90198] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_DOLLAR,
    ACTIONS(1217), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90219] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_DQUOTE,
    ACTIONS(5142), 1,
      sym_raw_string,
    STATE(1958), 1,
      sym_string,
    ACTIONS(3812), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5144), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5140), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90248] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(1425), 1,
      sym_raw_string,
    STATE(1715), 1,
      sym_string,
    ACTIONS(1427), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1429), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1421), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90277] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(5148), 1,
      sym_raw_string,
    STATE(462), 1,
      sym_string,
    ACTIONS(559), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5150), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5146), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90306] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_DOLLAR,
    ACTIONS(1221), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90327] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE,
    ACTIONS(4353), 1,
      sym_raw_string,
    STATE(2001), 1,
      sym_string,
    ACTIONS(4357), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5152), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(4355), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90356] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1137), 1,
      anon_sym_DOLLAR,
    ACTIONS(1139), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90377] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(1441), 1,
      sym_raw_string,
    STATE(1853), 1,
      sym_string,
    ACTIONS(1443), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1445), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1437), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5156), 1,
      anon_sym_DQUOTE,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5162), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5164), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90478] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5168), 1,
      anon_sym_esac,
    ACTIONS(5166), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5170), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90500] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5180), 1,
      sym_variable_name,
    STATE(895), 1,
      sym_subscript,
    ACTIONS(5172), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5174), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5176), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5178), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5182), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5184), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5186), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5188), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90624] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5192), 1,
      anon_sym_esac,
    ACTIONS(5190), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5194), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5196), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5198), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5200), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5202), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90742] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 1,
      sym_variable_name,
    STATE(887), 1,
      sym_subscript,
    ACTIONS(5204), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5206), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5208), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5210), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90770] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5222), 1,
      sym_variable_name,
    STATE(879), 1,
      sym_subscript,
    ACTIONS(5214), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5216), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5218), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5220), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5224), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90822] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5234), 1,
      sym_variable_name,
    STATE(871), 1,
      sym_subscript,
    ACTIONS(5226), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5228), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5230), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5232), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5236), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5238), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90898] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5248), 1,
      sym_variable_name,
    STATE(863), 1,
      sym_subscript,
    ACTIONS(5240), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5242), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5244), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5246), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5250), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5252), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90974] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5262), 1,
      sym_variable_name,
    STATE(853), 1,
      sym_subscript,
    ACTIONS(5254), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5256), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5258), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5260), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5264), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91026] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 1,
      sym_variable_name,
    STATE(820), 1,
      sym_subscript,
    ACTIONS(5266), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5268), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5270), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5272), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91054] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 1,
      sym_variable_name,
    STATE(843), 1,
      sym_subscript,
    ACTIONS(5276), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5278), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5280), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5282), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5286), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5288), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5290), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5292), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5294), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91202] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5304), 1,
      sym_variable_name,
    STATE(835), 1,
      sym_subscript,
    ACTIONS(5296), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5298), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5300), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5302), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5306), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91254] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5316), 1,
      sym_variable_name,
    STATE(803), 1,
      sym_subscript,
    ACTIONS(5308), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5310), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5312), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5314), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91282] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_esac,
    ACTIONS(5318), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5322), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5324), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91328] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 1,
      sym_variable_name,
    STATE(826), 1,
      sym_subscript,
    ACTIONS(5326), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5328), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5330), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5332), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91356] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5344), 1,
      sym_variable_name,
    STATE(861), 1,
      sym_subscript,
    ACTIONS(5336), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5338), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5340), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5342), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5346), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91408] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 1,
      sym_variable_name,
    STATE(792), 1,
      sym_subscript,
    ACTIONS(5348), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5350), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5352), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5354), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5358), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5360), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91484] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5370), 1,
      sym_variable_name,
    STATE(813), 1,
      sym_subscript,
    ACTIONS(5362), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5364), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5366), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5368), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5372), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5374), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5376), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91584] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5386), 1,
      sym_variable_name,
    STATE(780), 1,
      sym_subscript,
    ACTIONS(5378), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5380), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5382), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5384), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91612] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 1,
      sym_variable_name,
    STATE(777), 1,
      sym_subscript,
    ACTIONS(5388), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5390), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5392), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5394), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5398), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5400), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91688] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5410), 1,
      sym_variable_name,
    STATE(750), 1,
      sym_subscript,
    ACTIONS(5402), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5404), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5406), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5408), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91716] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 1,
      sym_variable_name,
    STATE(768), 1,
      sym_subscript,
    ACTIONS(5412), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5414), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5416), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5418), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5422), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5424), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5426), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91816] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 1,
      sym_variable_name,
    STATE(722), 1,
      sym_subscript,
    ACTIONS(5428), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5430), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5432), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5434), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5438), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91868] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5442), 1,
      anon_sym_esac,
    ACTIONS(5440), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5444), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91890] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_DOLLAR,
    ACTIONS(1039), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91910] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 1,
      sym_variable_name,
    STATE(759), 1,
      sym_subscript,
    ACTIONS(5446), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5448), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5450), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5452), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5456), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5458), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5460), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [92010] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 1,
      sym_variable_name,
    STATE(699), 1,
      sym_subscript,
    ACTIONS(5462), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5464), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5466), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5468), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5472), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [92062] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 1,
      sym_variable_name,
    STATE(689), 1,
      sym_subscript,
    ACTIONS(5474), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5476), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5478), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5480), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92090] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym_variable_name,
    STATE(746), 1,
      sym_subscript,
    ACTIONS(5484), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5486), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5488), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5490), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92118] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym_variable_name,
    STATE(690), 1,
      sym_subscript,
    ACTIONS(5494), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5496), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5498), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5500), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5504), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [92170] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 1,
      sym_variable_name,
    STATE(751), 1,
      sym_subscript,
    ACTIONS(5506), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5508), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5510), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5512), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5516), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [92222] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5520), 1,
      anon_sym_esac,
    ACTIONS(5518), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5522), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5524), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [92268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5526), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [92292] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5530), 1,
      anon_sym_esac,
    ACTIONS(5528), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5532), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5534), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [92338] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5544), 1,
      sym_variable_name,
    STATE(708), 1,
      sym_subscript,
    ACTIONS(5536), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5538), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5540), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5542), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5546), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [92390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5548), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [92414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5550), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [92438] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5190), 1,
      anon_sym_DOLLAR,
    ACTIONS(5194), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92457] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5440), 1,
      anon_sym_DOLLAR,
    ACTIONS(5444), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92476] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5518), 1,
      anon_sym_DOLLAR,
    ACTIONS(5522), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [92516] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5528), 1,
      anon_sym_DOLLAR,
    ACTIONS(5532), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92535] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5166), 1,
      anon_sym_DOLLAR,
    ACTIONS(5170), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92554] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5318), 1,
      anon_sym_DOLLAR,
    ACTIONS(5322), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92573] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5558), 1,
      sym_variable_name,
    STATE(823), 1,
      sym_subscript,
    ACTIONS(5552), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5554), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5556), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92597] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5566), 1,
      sym_variable_name,
    STATE(885), 1,
      sym_subscript,
    ACTIONS(5560), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5562), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5564), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92621] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 1,
      anon_sym_DOLLAR,
    ACTIONS(5570), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    STATE(2192), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92651] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5580), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92681] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym_variable_name,
    STATE(738), 1,
      sym_subscript,
    ACTIONS(5582), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5584), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5586), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92705] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5164), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92735] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR,
    ACTIONS(5594), 1,
      anon_sym_DQUOTE,
    STATE(2127), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92765] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5602), 1,
      sym_variable_name,
    STATE(717), 1,
      sym_subscript,
    ACTIONS(5596), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5598), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5600), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92789] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5604), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92819] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5612), 1,
      sym_variable_name,
    STATE(701), 1,
      sym_subscript,
    ACTIONS(5606), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5608), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5610), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92843] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5614), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92873] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5456), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5616), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92903] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5624), 1,
      sym_variable_name,
    STATE(692), 1,
      sym_subscript,
    ACTIONS(5618), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5620), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5622), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92927] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5626), 1,
      anon_sym_DOLLAR,
    ACTIONS(5628), 1,
      anon_sym_DQUOTE,
    STATE(2139), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92957] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5636), 1,
      sym_variable_name,
    STATE(727), 1,
      sym_subscript,
    ACTIONS(5630), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5632), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5634), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92981] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93011] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5646), 1,
      sym_variable_name,
    STATE(893), 1,
      sym_subscript,
    ACTIONS(5640), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5642), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5644), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93035] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5648), 1,
      anon_sym_DOLLAR,
    ACTIONS(5650), 1,
      anon_sym_DQUOTE,
    STATE(2135), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93065] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5658), 1,
      sym_variable_name,
    STATE(748), 1,
      sym_subscript,
    ACTIONS(5652), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5654), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5656), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93089] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5292), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93119] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5668), 1,
      sym_variable_name,
    STATE(741), 1,
      sym_subscript,
    ACTIONS(5662), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5664), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5666), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93143] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5670), 1,
      anon_sym_DOLLAR,
    ACTIONS(5672), 1,
      anon_sym_DQUOTE,
    STATE(2148), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93173] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5674), 1,
      anon_sym_DOLLAR,
    ACTIONS(5676), 1,
      anon_sym_DQUOTE,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93203] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5678), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93233] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5680), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93263] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5682), 1,
      anon_sym_DOLLAR,
    ACTIONS(5684), 1,
      anon_sym_DQUOTE,
    STATE(2147), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93293] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5686), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93323] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5460), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5688), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93353] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5690), 1,
      anon_sym_DOLLAR,
    ACTIONS(5692), 1,
      anon_sym_DQUOTE,
    STATE(2161), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93383] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5700), 1,
      sym_variable_name,
    STATE(770), 1,
      sym_subscript,
    ACTIONS(5694), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5696), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5698), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93407] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5708), 1,
      sym_variable_name,
    STATE(807), 1,
      sym_subscript,
    ACTIONS(5702), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5704), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5706), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93431] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5710), 1,
      anon_sym_DOLLAR,
    ACTIONS(5712), 1,
      anon_sym_DQUOTE,
    STATE(2163), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93461] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5714), 1,
      anon_sym_DOLLAR,
    ACTIONS(5716), 1,
      anon_sym_DQUOTE,
    STATE(2132), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93491] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5724), 1,
      sym_variable_name,
    STATE(800), 1,
      sym_subscript,
    ACTIONS(5718), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5720), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5722), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93515] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5726), 1,
      anon_sym_DOLLAR,
    ACTIONS(5728), 1,
      anon_sym_DQUOTE,
    STATE(2165), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93545] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5736), 1,
      sym_variable_name,
    STATE(785), 1,
      sym_subscript,
    ACTIONS(5730), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5732), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5734), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93569] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5744), 1,
      sym_variable_name,
    STATE(773), 1,
      sym_subscript,
    ACTIONS(5738), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5740), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5742), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93593] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5746), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93623] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5748), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93653] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5374), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5750), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93683] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5752), 1,
      anon_sym_DOLLAR,
    ACTIONS(5754), 1,
      anon_sym_DQUOTE,
    STATE(2172), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93713] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5756), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93743] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5764), 1,
      sym_variable_name,
    STATE(761), 1,
      sym_subscript,
    ACTIONS(5758), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5760), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5762), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93767] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5766), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93797] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5774), 1,
      sym_variable_name,
    STATE(713), 1,
      sym_subscript,
    ACTIONS(5768), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5770), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5772), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93821] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5782), 1,
      sym_variable_name,
    STATE(833), 1,
      sym_subscript,
    ACTIONS(5776), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5778), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5780), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93845] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5784), 1,
      anon_sym_DOLLAR,
    ACTIONS(5786), 1,
      anon_sym_DQUOTE,
    STATE(2150), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93875] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5156), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5788), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93905] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5790), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93935] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5792), 1,
      anon_sym_DOLLAR,
    ACTIONS(5794), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5796), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5798), 1,
      anon_sym_BQUOTE,
    ACTIONS(5800), 1,
      sym__heredoc_body_middle,
    ACTIONS(5802), 1,
      sym__heredoc_body_end,
    STATE(2186), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [93963] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5810), 1,
      sym_variable_name,
    STATE(795), 1,
      sym_subscript,
    ACTIONS(5804), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5806), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5808), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93987] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5818), 1,
      sym_variable_name,
    STATE(841), 1,
      sym_subscript,
    ACTIONS(5812), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5814), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5816), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [94011] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5820), 1,
      anon_sym_DOLLAR,
    ACTIONS(5822), 1,
      anon_sym_DQUOTE,
    STATE(2171), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94041] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5792), 1,
      anon_sym_DOLLAR,
    ACTIONS(5794), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5796), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5798), 1,
      anon_sym_BQUOTE,
    ACTIONS(5824), 1,
      sym__heredoc_body_middle,
    ACTIONS(5826), 1,
      sym__heredoc_body_end,
    STATE(2196), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [94069] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5792), 1,
      anon_sym_DOLLAR,
    ACTIONS(5794), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5796), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5798), 1,
      anon_sym_BQUOTE,
    ACTIONS(5828), 1,
      sym__heredoc_body_middle,
    ACTIONS(5830), 1,
      sym__heredoc_body_end,
    STATE(2173), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [94097] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5832), 1,
      anon_sym_DOLLAR,
    ACTIONS(5834), 1,
      anon_sym_DQUOTE,
    STATE(2190), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94127] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5294), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5836), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94157] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5838), 1,
      anon_sym_DOLLAR,
    ACTIONS(5840), 1,
      anon_sym_DQUOTE,
    STATE(2180), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94187] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5848), 1,
      sym_variable_name,
    STATE(806), 1,
      sym_subscript,
    ACTIONS(5842), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5844), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5846), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [94211] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5850), 1,
      anon_sym_DOLLAR,
    ACTIONS(5852), 1,
      anon_sym_DQUOTE,
    STATE(2143), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94241] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5860), 1,
      sym_variable_name,
    STATE(851), 1,
      sym_subscript,
    ACTIONS(5854), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5856), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5858), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [94265] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5862), 1,
      anon_sym_DOLLAR,
    ACTIONS(5864), 1,
      anon_sym_DQUOTE,
    STATE(2187), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94295] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5866), 1,
      anon_sym_DOLLAR,
    ACTIONS(5869), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5872), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5875), 1,
      anon_sym_BQUOTE,
    ACTIONS(5878), 1,
      sym__heredoc_body_middle,
    ACTIONS(5881), 1,
      sym__heredoc_body_end,
    STATE(2186), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [94323] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5883), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94353] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5891), 1,
      sym_variable_name,
    STATE(859), 1,
      sym_subscript,
    ACTIONS(5885), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5887), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5889), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [94377] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5252), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5893), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94407] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5895), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94437] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5903), 1,
      sym_variable_name,
    STATE(824), 1,
      sym_subscript,
    ACTIONS(5897), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5899), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5901), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [94461] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5524), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5905), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94491] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5238), 1,
      anon_sym_DQUOTE,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5907), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94521] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5909), 1,
      anon_sym_DOLLAR,
    ACTIONS(5911), 1,
      anon_sym_DQUOTE,
    STATE(2167), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94551] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5913), 1,
      anon_sym_DOLLAR,
    ACTIONS(5916), 1,
      anon_sym_DQUOTE,
    ACTIONS(5918), 1,
      sym__string_content,
    ACTIONS(5921), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5924), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5927), 1,
      anon_sym_BQUOTE,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94581] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5792), 1,
      anon_sym_DOLLAR,
    ACTIONS(5794), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5796), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5798), 1,
      anon_sym_BQUOTE,
    ACTIONS(5800), 1,
      sym__heredoc_body_middle,
    ACTIONS(5930), 1,
      sym__heredoc_body_end,
    STATE(2186), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [94609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5934), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5932), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [94629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5938), 1,
      anon_sym_DOLLAR,
    ACTIONS(5940), 1,
      anon_sym_DQUOTE,
    STATE(2193), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94659] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5948), 1,
      sym_variable_name,
    STATE(869), 1,
      sym_subscript,
    ACTIONS(5942), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5944), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5946), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [94683] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5950), 1,
      anon_sym_DOLLAR,
    ACTIONS(5952), 1,
      anon_sym_DQUOTE,
    STATE(2189), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94713] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5954), 1,
      anon_sym_DOLLAR,
    ACTIONS(5956), 1,
      anon_sym_DQUOTE,
    STATE(2134), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94743] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5964), 1,
      sym_variable_name,
    STATE(877), 1,
      sym_subscript,
    ACTIONS(5958), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5960), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5962), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [94767] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5966), 1,
      anon_sym_DOLLAR,
    ACTIONS(5968), 1,
      anon_sym_DQUOTE,
    STATE(2129), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94797] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 1,
      sym__string_content,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5578), 1,
      anon_sym_BQUOTE,
    ACTIONS(5970), 1,
      anon_sym_DOLLAR,
    ACTIONS(5972), 1,
      anon_sym_DQUOTE,
    STATE(2162), 1,
      aux_sym_string_repeat1,
    STATE(2236), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94827] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5974), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(5976), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [94843] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5978), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(5980), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [94859] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5982), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(5984), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [94875] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5986), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(5988), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [94891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_LF,
    ACTIONS(5990), 1,
      sym__concat,
    STATE(2223), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [94911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      sym__concat,
    ACTIONS(1243), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym__concat,
    ACTIONS(1215), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94941] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5990), 1,
      sym__concat,
    ACTIONS(5992), 1,
      anon_sym_LF,
    ACTIONS(5994), 1,
      anon_sym_in,
    STATE(2223), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5996), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_LF,
    ACTIONS(5998), 1,
      sym__special_character,
    STATE(2213), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6001), 1,
      anon_sym_LF,
    ACTIONS(6003), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94996] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_LF,
    ACTIONS(6007), 1,
      anon_sym_in,
    ACTIONS(6011), 1,
      sym__special_character,
    STATE(2213), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6009), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      sym__concat,
    ACTIONS(1189), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 1,
      sym__concat,
    ACTIONS(1133), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_LF,
    ACTIONS(6015), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [95062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 1,
      sym__concat,
    ACTIONS(1137), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 1,
      sym__concat,
    ACTIONS(1161), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_LF,
    ACTIONS(6017), 1,
      sym__concat,
    STATE(2221), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1025), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      sym__concat,
    ACTIONS(1165), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_LF,
    ACTIONS(6020), 1,
      sym__concat,
    STATE(2221), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      sym__concat,
    ACTIONS(1185), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6022), 1,
      anon_sym_LF,
    ACTIONS(6024), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [95175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6026), 1,
      sym__concat,
    ACTIONS(5916), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      sym__concat,
    ACTIONS(1171), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95205] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5990), 1,
      sym__concat,
    ACTIONS(6028), 1,
      anon_sym_LF,
    ACTIONS(6030), 1,
      anon_sym_in,
    STATE(2223), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6032), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym__concat,
    ACTIONS(1215), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 1,
      sym__concat,
    ACTIONS(1155), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym__concat,
    ACTIONS(1219), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      sym__concat,
    ACTIONS(1223), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__concat,
    ACTIONS(1247), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      sym__concat,
    ACTIONS(1121), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 1,
      sym__concat,
    ACTIONS(1125), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6036), 1,
      sym__concat,
    ACTIONS(6034), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 1,
      sym__concat,
    ACTIONS(1149), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      sym__concat,
    ACTIONS(1141), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 1,
      sym__concat,
    ACTIONS(1145), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95391] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6011), 1,
      sym__special_character,
    ACTIONS(6038), 1,
      anon_sym_LF,
    ACTIONS(6040), 1,
      anon_sym_in,
    STATE(2213), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6042), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95412] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6044), 1,
      anon_sym_fi,
    ACTIONS(6046), 1,
      anon_sym_elif,
    ACTIONS(6048), 1,
      anon_sym_else,
    STATE(2697), 1,
      sym_else_clause,
    STATE(2293), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [95432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1025), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1133), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95460] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_DOLLAR,
    ACTIONS(1245), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95474] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_DOLLAR,
    ACTIONS(1249), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1137), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95502] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_DOLLAR,
    ACTIONS(1225), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95530] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_DOLLAR,
    ACTIONS(1221), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95558] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_DOLLAR,
    ACTIONS(1217), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95586] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_DOLLAR,
    ACTIONS(1217), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95600] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1149), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95614] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1145), 1,
      anon_sym_DOLLAR,
    ACTIONS(1147), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95628] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR,
    ACTIONS(1143), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95642] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1127), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95656] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_DOLLAR,
    ACTIONS(1123), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95670] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_DOLLAR,
    ACTIONS(1153), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1155), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1121), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95726] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_DOLLAR,
    ACTIONS(1169), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95740] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_DOLLAR,
    ACTIONS(1187), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1125), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1145), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95810] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 1,
      anon_sym_DOLLAR,
    ACTIONS(1167), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95824] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_DOLLAR,
    ACTIONS(1163), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1149), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1141), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95878] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1137), 1,
      anon_sym_DOLLAR,
    ACTIONS(1139), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95892] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_elif,
    ACTIONS(6048), 1,
      anon_sym_else,
    ACTIONS(6050), 1,
      anon_sym_fi,
    STATE(2699), 1,
      sym_else_clause,
    STATE(2293), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [95912] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1133), 1,
      anon_sym_DOLLAR,
    ACTIONS(1135), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6052), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95966] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DOLLAR,
    ACTIONS(1191), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95994] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_elif,
    ACTIONS(6048), 1,
      anon_sym_else,
    ACTIONS(6054), 1,
      anon_sym_fi,
    STATE(2669), 1,
      sym_else_clause,
    STATE(2293), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [96014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1129), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_LF,
    ACTIONS(1041), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [96126] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_elif,
    ACTIONS(6048), 1,
      anon_sym_else,
    ACTIONS(6056), 1,
      anon_sym_fi,
    STATE(2611), 1,
      sym_else_clause,
    STATE(2293), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [96146] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4387), 1,
      sym__concat,
    STATE(2364), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__special_character,
  [96161] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6060), 1,
      anon_sym_elif,
    ACTIONS(6058), 2,
      anon_sym_fi,
      anon_sym_else,
    STATE(2293), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [96176] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_SEMI,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1590), 2,
      sym_do_group,
      sym_compound_statement,
  [96193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(6067), 1,
      anon_sym_LF,
    ACTIONS(6069), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5992), 1,
      anon_sym_LF,
    ACTIONS(5994), 1,
      anon_sym_in,
    ACTIONS(5996), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96223] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    ACTIONS(6071), 1,
      anon_sym_SEMI,
    STATE(1618), 2,
      sym_do_group,
      sym_compound_statement,
  [96240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6001), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6003), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96253] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    ACTIONS(6073), 1,
      anon_sym_SEMI,
    STATE(1653), 2,
      sym_do_group,
      sym_compound_statement,
  [96270] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4653), 1,
      sym__special_character,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6077), 1,
      anon_sym_RPAREN,
    STATE(1592), 1,
      aux_sym__literal_repeat1,
    STATE(2415), 1,
      aux_sym_case_item_repeat1,
  [96289] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4387), 1,
      sym__concat,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6079), 1,
      anon_sym_RPAREN,
    STATE(2364), 1,
      aux_sym_concatenation_repeat1,
    STATE(2409), 1,
      aux_sym_case_item_repeat1,
  [96308] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    ACTIONS(6081), 1,
      anon_sym_SEMI,
    STATE(1635), 2,
      sym_do_group,
      sym_compound_statement,
  [96325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6015), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      ts_builtin_sym_end,
    ACTIONS(6083), 1,
      anon_sym_LF,
    ACTIONS(6085), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96353] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    ACTIONS(6087), 1,
      anon_sym_SEMI,
    STATE(1572), 2,
      sym_do_group,
      sym_compound_statement,
  [96370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6022), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6024), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96383] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    ACTIONS(6089), 1,
      anon_sym_SEMI,
    STATE(1604), 2,
      sym_do_group,
      sym_compound_statement,
  [96400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 1,
      anon_sym_LF,
    ACTIONS(6093), 1,
      anon_sym_in,
    ACTIONS(6095), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96415] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_SEMI,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1387), 2,
      sym_do_group,
      sym_compound_statement,
  [96432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6101), 1,
      anon_sym_LF,
    ACTIONS(569), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(6103), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [96447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(571), 1,
      ts_builtin_sym_end,
    ACTIONS(6105), 1,
      anon_sym_LF,
    ACTIONS(6107), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_RPAREN,
    ACTIONS(6109), 1,
      anon_sym_LF,
    ACTIONS(6111), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96477] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    ACTIONS(6113), 1,
      anon_sym_SEMI,
    STATE(1605), 2,
      sym_do_group,
      sym_compound_statement,
  [96494] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4653), 1,
      sym__special_character,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_RPAREN,
    STATE(1592), 1,
      aux_sym__literal_repeat1,
    STATE(2424), 1,
      aux_sym_case_item_repeat1,
  [96513] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4387), 1,
      sym__concat,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6117), 1,
      anon_sym_RPAREN,
    STATE(2364), 1,
      aux_sym_concatenation_repeat1,
    STATE(2441), 1,
      aux_sym_case_item_repeat1,
  [96532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(569), 1,
      anon_sym_BQUOTE,
    ACTIONS(6119), 1,
      anon_sym_LF,
    ACTIONS(6121), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym_LF,
    ACTIONS(6125), 1,
      anon_sym_in,
    ACTIONS(6127), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96562] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    ACTIONS(6129), 1,
      anon_sym_SEMI,
    STATE(1579), 2,
      sym_do_group,
      sym_compound_statement,
  [96579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6028), 1,
      anon_sym_LF,
    ACTIONS(6030), 1,
      anon_sym_in,
    ACTIONS(6032), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96594] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    ACTIONS(6131), 1,
      anon_sym_SEMI,
    STATE(1463), 2,
      sym_do_group,
      sym_compound_statement,
  [96611] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    ACTIONS(6133), 1,
      anon_sym_SEMI,
    STATE(1377), 2,
      sym_do_group,
      sym_compound_statement,
  [96628] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    ACTIONS(6135), 1,
      anon_sym_SEMI,
    STATE(1376), 2,
      sym_do_group,
      sym_compound_statement,
  [96645] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    ACTIONS(6137), 1,
      anon_sym_SEMI,
    STATE(1375), 2,
      sym_do_group,
      sym_compound_statement,
  [96662] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    ACTIONS(6139), 1,
      anon_sym_SEMI,
    STATE(1444), 2,
      sym_do_group,
      sym_compound_statement,
  [96679] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    ACTIONS(6141), 1,
      anon_sym_SEMI,
    STATE(1440), 2,
      sym_do_group,
      sym_compound_statement,
  [96696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(569), 1,
      anon_sym_RPAREN,
    ACTIONS(6143), 1,
      anon_sym_LF,
    ACTIONS(6145), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6147), 1,
      anon_sym_LF,
    ACTIONS(943), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(6149), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [96726] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    ACTIONS(6151), 1,
      anon_sym_SEMI,
    STATE(1416), 2,
      sym_do_group,
      sym_compound_statement,
  [96743] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1378), 2,
      sym_do_group,
      sym_compound_statement,
  [96757] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1432), 2,
      sym_do_group,
      sym_compound_statement,
  [96771] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4653), 1,
      sym__special_character,
    STATE(1592), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6153), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [96785] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1414), 2,
      sym_do_group,
      sym_compound_statement,
  [96799] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1413), 2,
      sym_do_group,
      sym_compound_statement,
  [96813] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1453), 2,
      sym_do_group,
      sym_compound_statement,
  [96827] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1461), 2,
      sym_do_group,
      sym_compound_statement,
  [96841] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1469), 2,
      sym_do_group,
      sym_compound_statement,
  [96855] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1610), 2,
      sym_do_group,
      sym_compound_statement,
  [96869] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1459), 2,
      sym_do_group,
      sym_compound_statement,
  [96883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6155), 1,
      anon_sym_LF,
    ACTIONS(6157), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6159), 1,
      anon_sym_LF,
    ACTIONS(6161), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6163), 1,
      anon_sym_LF,
    ACTIONS(6165), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96919] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1627), 2,
      sym_do_group,
      sym_compound_statement,
  [96933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6167), 1,
      anon_sym_LF,
    ACTIONS(6169), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6171), 1,
      anon_sym_LF,
    ACTIONS(6173), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96957] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_RBRACK,
    ACTIONS(6177), 1,
      sym__special_character,
    ACTIONS(6179), 1,
      sym__concat,
    STATE(2361), 1,
      aux_sym__literal_repeat1,
  [96973] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1581), 2,
      sym_do_group,
      sym_compound_statement,
  [96987] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 1,
      sym__special_character,
    STATE(2465), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 2,
      sym__concat,
      anon_sym_RBRACK,
  [97001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6181), 1,
      anon_sym_LF,
    ACTIONS(6183), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97013] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1628), 2,
      sym_do_group,
      sym_compound_statement,
  [97027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(569), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6143), 1,
      anon_sym_LF,
    ACTIONS(6145), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [97041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6185), 1,
      anon_sym_LF,
    ACTIONS(6187), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97053] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1630), 2,
      sym_do_group,
      sym_compound_statement,
  [97067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym_LF,
    ACTIONS(6191), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6109), 1,
      anon_sym_LF,
    ACTIONS(6111), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [97093] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1570), 2,
      sym_do_group,
      sym_compound_statement,
  [97107] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4387), 1,
      sym__concat,
    STATE(2364), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6193), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [97121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6195), 1,
      anon_sym_LF,
    ACTIONS(6197), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6199), 1,
      anon_sym_LF,
    ACTIONS(6201), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97145] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_RBRACE,
    ACTIONS(1041), 1,
      sym__special_character,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97161] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1585), 2,
      sym_do_group,
      sym_compound_statement,
  [97175] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6205), 1,
      sym__special_character,
    STATE(2361), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 2,
      sym__concat,
      anon_sym_RBRACK,
  [97189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 1,
      anon_sym_LF,
    ACTIONS(6210), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97201] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1646), 2,
      sym_do_group,
      sym_compound_statement,
  [97215] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6212), 1,
      sym__concat,
    STATE(1596), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [97229] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6177), 1,
      sym__special_character,
    ACTIONS(6214), 1,
      anon_sym_RBRACK,
    ACTIONS(6216), 1,
      sym__concat,
    STATE(2361), 1,
      aux_sym__literal_repeat1,
  [97245] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_RBRACE,
    ACTIONS(6218), 1,
      sym__concat,
    STATE(2464), 1,
      aux_sym_concatenation_repeat1,
  [97258] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97271] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97282] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97295] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6224), 1,
      anon_sym_RBRACE,
    ACTIONS(6226), 1,
      sym__special_character,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97308] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6228), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97321] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3109), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97334] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3061), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97347] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97360] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97373] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97386] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6230), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97399] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6232), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97412] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6234), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97425] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97438] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2155), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97451] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6236), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97464] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97477] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97490] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6238), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97503] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 1,
      sym__special_character,
    ACTIONS(1039), 2,
      sym__concat,
      anon_sym_RBRACK,
  [97514] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6079), 1,
      anon_sym_RPAREN,
    STATE(2409), 1,
      aux_sym_case_item_repeat1,
  [97527] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1527), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97540] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6240), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97553] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6242), 1,
      sym__concat,
    ACTIONS(4420), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97564] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6244), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97577] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97590] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97603] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6246), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97616] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6248), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97629] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97642] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6250), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97655] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__concat,
    ACTIONS(4414), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97666] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3297), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97679] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97692] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6254), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97705] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6256), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97718] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97731] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1633), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97744] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6258), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97757] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6260), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97770] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LPAREN,
    STATE(1573), 1,
      sym_compound_statement,
  [97783] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6264), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97796] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6266), 1,
      anon_sym_RPAREN,
    STATE(2469), 1,
      aux_sym_case_item_repeat1,
  [97809] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3037), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97822] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97835] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97848] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6268), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97861] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97874] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6270), 1,
      anon_sym_RPAREN,
    STATE(2469), 1,
      aux_sym_case_item_repeat1,
  [97887] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6272), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97900] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6274), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97913] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6276), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97926] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6278), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97939] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97952] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6280), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97965] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97978] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97991] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6282), 1,
      anon_sym_RPAREN,
    STATE(2469), 1,
      aux_sym_case_item_repeat1,
  [98004] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6284), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98017] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1773), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98030] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6286), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98043] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98056] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6288), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98069] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6290), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98082] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98095] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3315), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98108] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6292), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98121] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98134] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6294), 1,
      sym__concat,
    ACTIONS(4462), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98145] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6296), 1,
      anon_sym_RBRACK,
    ACTIONS(6298), 1,
      sym__concat,
    STATE(2465), 1,
      aux_sym_concatenation_repeat1,
  [98158] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6300), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98169] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6302), 1,
      sym__concat,
    ACTIONS(4501), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98180] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1601), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98193] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6304), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98204] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6306), 1,
      anon_sym_RPAREN,
    STATE(2469), 1,
      aux_sym_case_item_repeat1,
  [98217] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6308), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98230] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98243] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6310), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98256] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6312), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98269] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6314), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98280] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98293] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6316), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98306] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3555), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98319] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6318), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98332] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98345] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6320), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98358] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6322), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98371] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98384] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98397] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6324), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98410] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3197), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98423] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6326), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98434] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98447] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6328), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98460] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6330), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98471] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6332), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98484] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6334), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98497] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_RBRACE,
    ACTIONS(6336), 1,
      sym__concat,
    STATE(2464), 1,
      aux_sym_concatenation_repeat1,
  [98510] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_RBRACK,
    ACTIONS(6339), 1,
      sym__concat,
    STATE(1734), 1,
      aux_sym_concatenation_repeat1,
  [98523] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6341), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98536] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6343), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98549] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3633), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98562] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6345), 1,
      anon_sym_PIPE,
    ACTIONS(6348), 1,
      anon_sym_RPAREN,
    STATE(2469), 1,
      aux_sym_case_item_repeat1,
  [98575] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6350), 1,
      anon_sym_RBRACK,
    ACTIONS(6352), 1,
      sym__concat,
    STATE(2465), 1,
      aux_sym_concatenation_repeat1,
  [98588] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6354), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98601] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6356), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98612] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98625] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6358), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98638] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98651] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98664] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6360), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98677] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6362), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98690] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6117), 1,
      anon_sym_RPAREN,
    STATE(2441), 1,
      aux_sym_case_item_repeat1,
  [98703] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3155), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98716] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6364), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98729] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98742] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    STATE(1428), 1,
      sym_compound_statement,
  [98755] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6368), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98768] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3513), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98781] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6370), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98794] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3581), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98807] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6372), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98820] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6374), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98833] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_RBRACE,
    ACTIONS(6376), 1,
      sym__special_character,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98846] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6379), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98859] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98872] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98885] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6381), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98898] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98911] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98924] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_EQ,
  [98934] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_EQ,
  [98944] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1597), 1,
      sym_do_group,
  [98954] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6389), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6391), 1,
      aux_sym__simple_variable_name_token1,
  [98964] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6393), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6395), 1,
      aux_sym__simple_variable_name_token1,
  [98974] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6397), 1,
      anon_sym_EQ,
  [98984] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6399), 1,
      anon_sym_EQ,
  [98994] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4671), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99002] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6401), 1,
      anon_sym_EQ,
  [99012] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4675), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99020] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6403), 1,
      anon_sym_EQ,
  [99030] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6405), 1,
      anon_sym_EQ,
  [99040] = 3,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    STATE(1644), 1,
      sym_compound_statement,
  [99050] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6407), 1,
      anon_sym_EQ,
  [99060] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6409), 1,
      anon_sym_EQ,
  [99070] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6411), 1,
      anon_sym_EQ,
  [99080] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6413), 1,
      anon_sym_EQ,
  [99090] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6415), 1,
      anon_sym_EQ,
  [99100] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6222), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99108] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6417), 1,
      anon_sym_EQ,
  [99118] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6419), 1,
      anon_sym_EQ,
  [99128] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6421), 1,
      anon_sym_EQ,
  [99138] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6423), 1,
      anon_sym_EQ,
  [99148] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1429), 1,
      sym_do_group,
  [99158] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6425), 1,
      anon_sym_EQ,
  [99168] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6427), 1,
      anon_sym_esac,
  [99178] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1151), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99186] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_RBRACE,
    ACTIONS(1041), 1,
      sym__special_character,
  [99196] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1616), 1,
      sym_do_group,
  [99206] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6429), 1,
      anon_sym_EQ,
  [99216] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_EQ,
  [99226] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6433), 1,
      anon_sym_EQ,
  [99236] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1191), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99244] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6435), 1,
      anon_sym_EQ,
  [99254] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6437), 1,
      anon_sym_EQ,
  [99264] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1135), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99272] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1139), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99280] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6439), 1,
      anon_sym_EQ,
  [99290] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6441), 1,
      anon_sym_EQ,
  [99300] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1163), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99308] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1167), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99316] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym_esac,
    ACTIONS(6445), 1,
      anon_sym_SEMI_SEMI,
  [99326] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6447), 1,
      anon_sym_EQ,
  [99336] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6449), 1,
      anon_sym_EQ,
  [99346] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6451), 2,
      anon_sym_do,
      anon_sym_then,
  [99354] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6356), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99362] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1187), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99370] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_EQ,
  [99380] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1169), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99388] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6455), 1,
      anon_sym_EQ,
  [99398] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6457), 1,
      anon_sym_EQ,
  [99408] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6350), 1,
      anon_sym_RBRACK,
    ACTIONS(6459), 1,
      sym__concat,
  [99418] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6461), 1,
      anon_sym_EQ,
  [99428] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1153), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99436] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6463), 1,
      anon_sym_EQ,
  [99446] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6465), 1,
      anon_sym_EQ,
  [99456] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6467), 1,
      anon_sym_EQ,
  [99466] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6469), 1,
      anon_sym_EQ,
  [99476] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1123), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99484] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1127), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99492] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6471), 1,
      anon_sym_EQ,
  [99502] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6473), 1,
      anon_sym_EQ,
  [99512] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1143), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99520] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1147), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99528] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6475), 1,
      anon_sym_EQ,
  [99538] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99546] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99554] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1221), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99562] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1225), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99570] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(237), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6477), 1,
      anon_sym_esac,
  [99580] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1249), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99588] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1245), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99596] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1159), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99604] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6479), 1,
      anon_sym_EQ,
  [99614] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4462), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99622] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6481), 1,
      anon_sym_EQ,
  [99632] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_EQ,
  [99642] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1179), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99650] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1175), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99658] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1403), 1,
      sym_do_group,
  [99668] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1023), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99676] = 3,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    STATE(1613), 1,
      sym_compound_statement,
  [99686] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    STATE(1397), 1,
      sym_compound_statement,
  [99696] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6193), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [99704] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6485), 1,
      anon_sym_EQ,
  [99714] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6487), 1,
      anon_sym_EQ,
  [99724] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6489), 1,
      anon_sym_EQ,
  [99734] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6330), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99742] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1131), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99750] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6491), 1,
      anon_sym_EQ,
  [99760] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6493), 1,
      anon_sym_EQ,
  [99770] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6495), 1,
      anon_sym_EQ,
  [99780] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6300), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99788] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6296), 1,
      anon_sym_RBRACK,
    ACTIONS(6497), 1,
      sym__concat,
  [99798] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4501), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99806] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6499), 1,
      anon_sym_EQ,
  [99816] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1183), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99824] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_EQ,
  [99834] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6326), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99842] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    STATE(1390), 1,
      sym_compound_statement,
  [99852] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6503), 1,
      anon_sym_EQ,
  [99862] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6304), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99870] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6505), 1,
      anon_sym_EQ,
  [99880] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1386), 1,
      sym_do_group,
  [99890] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6507), 1,
      anon_sym_EQ,
  [99900] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym_esac,
    ACTIONS(6511), 1,
      anon_sym_SEMI_SEMI,
  [99910] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_EQ,
  [99920] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1600), 1,
      sym_do_group,
  [99930] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99938] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6515), 1,
      anon_sym_esac,
  [99945] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
  [99952] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3555), 1,
      anon_sym_RBRACE,
  [99959] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4191), 1,
      anon_sym_RPAREN,
  [99966] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
  [99973] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6054), 1,
      anon_sym_fi,
  [99980] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_RPAREN,
  [99987] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6519), 1,
      anon_sym_BQUOTE,
  [99994] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
  [100001] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
  [100008] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4223), 1,
      anon_sym_RPAREN,
  [100015] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
  [100022] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6521), 1,
      anon_sym_BQUOTE,
  [100029] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym_fi,
  [100036] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6523), 1,
      anon_sym_RBRACK,
  [100043] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6525), 1,
      anon_sym_esac,
  [100050] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6527), 1,
      anon_sym_esac,
  [100057] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6529), 1,
      anon_sym_esac,
  [100064] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4828), 1,
      anon_sym_RBRACK,
  [100071] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4229), 1,
      anon_sym_RPAREN,
  [100078] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_RBRACE,
  [100085] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6531), 1,
      anon_sym_BQUOTE,
  [100092] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6533), 1,
      anon_sym_RPAREN,
  [100099] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_RPAREN,
  [100106] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
  [100113] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3197), 1,
      anon_sym_RBRACE,
  [100120] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6537), 1,
      anon_sym_RPAREN,
  [100127] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6539), 1,
      anon_sym_BQUOTE,
  [100134] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_RBRACE,
  [100141] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_BQUOTE,
  [100148] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4165), 1,
      anon_sym_RPAREN,
  [100155] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3315), 1,
      anon_sym_RBRACE,
  [100162] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6543), 1,
      anon_sym_RPAREN,
  [100169] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_RBRACE,
  [100176] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6545), 1,
      anon_sym_BQUOTE,
  [100183] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4193), 1,
      anon_sym_RPAREN,
  [100190] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4327), 1,
      anon_sym_RPAREN,
  [100197] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6547), 1,
      sym_heredoc_start,
  [100204] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6549), 1,
      anon_sym_RPAREN,
  [100211] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4171), 1,
      anon_sym_RPAREN,
  [100218] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6050), 1,
      anon_sym_fi,
  [100225] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4251), 1,
      anon_sym_RPAREN,
  [100232] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1773), 1,
      anon_sym_RBRACE,
  [100239] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6551), 1,
      anon_sym_RPAREN,
  [100246] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4249), 1,
      anon_sym_RPAREN,
  [100253] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6553), 1,
      anon_sym_BQUOTE,
  [100260] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6555), 1,
      anon_sym_BQUOTE,
  [100267] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6557), 1,
      anon_sym_BQUOTE,
  [100274] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6559), 1,
      anon_sym_RPAREN,
  [100281] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
  [100288] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4253), 1,
      anon_sym_RPAREN,
  [100295] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_RBRACE,
  [100302] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6561), 1,
      anon_sym_RPAREN,
  [100309] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6563), 1,
      anon_sym_BQUOTE,
  [100316] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6565), 1,
      anon_sym_RPAREN,
  [100323] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3633), 1,
      anon_sym_RBRACE,
  [100330] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6567), 1,
      anon_sym_BQUOTE,
  [100337] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4325), 1,
      anon_sym_RPAREN,
  [100344] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4169), 1,
      anon_sym_RPAREN,
  [100351] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
  [100358] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6569), 1,
      anon_sym_RPAREN,
  [100365] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
  [100372] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_then,
  [100379] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6573), 1,
      anon_sym_fi,
  [100386] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_RBRACE,
  [100393] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6575), 1,
      anon_sym_esac,
  [100400] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6577), 1,
      anon_sym_esac,
  [100407] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6579), 1,
      sym_heredoc_start,
  [100414] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4195), 1,
      anon_sym_RPAREN,
  [100421] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_RPAREN,
  [100428] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_RBRACE,
  [100435] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_RBRACE,
  [100442] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
  [100449] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym_BQUOTE,
  [100456] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6583), 1,
      anon_sym_in,
  [100463] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6585), 1,
      anon_sym_RPAREN,
  [100470] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6587), 1,
      anon_sym_RPAREN,
  [100477] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
  [100484] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6589), 1,
      anon_sym_esac,
  [100491] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6591), 1,
      anon_sym_then,
  [100498] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2155), 1,
      anon_sym_RBRACE,
  [100505] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6593), 1,
      anon_sym_in,
  [100512] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_esac,
  [100519] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6597), 1,
      sym_word,
  [100526] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_BQUOTE,
  [100533] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6601), 1,
      anon_sym_RPAREN,
  [100540] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6603), 1,
      anon_sym_RPAREN,
  [100547] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1601), 1,
      anon_sym_RBRACE,
  [100554] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1633), 1,
      anon_sym_RBRACE,
  [100561] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3037), 1,
      anon_sym_RBRACE,
  [100568] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
  [100575] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6605), 1,
      anon_sym_fi,
  [100582] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
  [100589] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6044), 1,
      anon_sym_fi,
  [100596] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6607), 1,
      anon_sym_then,
  [100603] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4167), 1,
      anon_sym_RPAREN,
  [100610] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3297), 1,
      anon_sym_RBRACE,
  [100617] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_RBRACE,
  [100624] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6609), 1,
      anon_sym_RPAREN,
  [100631] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6611), 1,
      anon_sym_BQUOTE,
  [100638] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6613), 1,
      anon_sym_RPAREN,
  [100645] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6615), 1,
      anon_sym_RPAREN,
  [100652] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym_BQUOTE,
  [100659] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4255), 1,
      anon_sym_RPAREN,
  [100666] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_RBRACE,
  [100673] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_RPAREN,
  [100680] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_BQUOTE,
  [100687] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_RPAREN,
  [100694] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6623), 1,
      anon_sym_RPAREN,
  [100701] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym_BQUOTE,
  [100708] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
  [100715] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym_esac,
  [100722] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6629), 1,
      anon_sym_BQUOTE,
  [100729] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3155), 1,
      anon_sym_RBRACE,
  [100736] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
  [100743] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym_RPAREN,
  [100750] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_RPAREN,
  [100757] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_BQUOTE,
  [100764] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6637), 1,
      anon_sym_RPAREN,
  [100771] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_RBRACE,
  [100778] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4319), 1,
      anon_sym_RPAREN,
  [100785] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_esac,
  [100792] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6641), 1,
      anon_sym_RPAREN,
  [100799] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3513), 1,
      anon_sym_RBRACE,
  [100806] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym_RBRACK,
  [100813] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3581), 1,
      anon_sym_RBRACE,
  [100820] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1527), 1,
      anon_sym_RBRACE,
  [100827] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6645), 1,
      anon_sym_SEMI_SEMI,
  [100834] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6647), 1,
      ts_builtin_sym_end,
  [100841] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6649), 1,
      ts_builtin_sym_end,
  [100848] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6651), 1,
      anon_sym_BQUOTE,
  [100855] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6653), 1,
      anon_sym_SEMI_SEMI,
  [100862] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
  [100869] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_RPAREN,
  [100876] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6655), 1,
      anon_sym_BQUOTE,
  [100883] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_RPAREN,
  [100890] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6659), 1,
      anon_sym_BQUOTE,
  [100897] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
  [100904] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6661), 1,
      anon_sym_RPAREN,
  [100911] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4227), 1,
      anon_sym_RPAREN,
  [100918] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4323), 1,
      anon_sym_RPAREN,
  [100925] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6663), 1,
      anon_sym_esac,
  [100932] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_RPAREN,
  [100939] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6665), 1,
      anon_sym_esac,
  [100946] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4197), 1,
      anon_sym_RPAREN,
  [100953] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_RBRACE,
  [100960] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6667), 1,
      anon_sym_RPAREN,
  [100967] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6669), 1,
      anon_sym_BQUOTE,
  [100974] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6671), 1,
      sym_word,
  [100981] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4824), 1,
      anon_sym_RBRACK,
  [100988] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_RBRACE,
  [100995] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
  [101002] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6673), 1,
      anon_sym_BQUOTE,
  [101009] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_RBRACE,
  [101016] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6675), 1,
      anon_sym_RPAREN,
  [101023] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(245), 1,
      anon_sym_SEMI_SEMI,
  [101030] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
  [101037] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
  [101044] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6677), 1,
      anon_sym_RPAREN,
  [101051] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6679), 1,
      anon_sym_in,
  [101058] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6681), 1,
      anon_sym_in,
  [101065] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6683), 1,
      anon_sym_BQUOTE,
  [101072] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_RPAREN,
  [101079] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3109), 1,
      anon_sym_RBRACE,
  [101086] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_RPAREN,
  [101093] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
  [101100] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_SEMI_SEMI,
  [101107] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3061), 1,
      anon_sym_RBRACE,
  [101114] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_RBRACE,
  [101121] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6685), 1,
      anon_sym_RPAREN,
  [101128] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4317), 1,
      anon_sym_RPAREN,
  [101135] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_BQUOTE,
  [101142] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_RBRACE,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(125)] = 0,
  [SMALL_STATE(126)] = 60,
  [SMALL_STATE(127)] = 141,
  [SMALL_STATE(128)] = 222,
  [SMALL_STATE(129)] = 303,
  [SMALL_STATE(130)] = 384,
  [SMALL_STATE(131)] = 465,
  [SMALL_STATE(132)] = 546,
  [SMALL_STATE(133)] = 627,
  [SMALL_STATE(134)] = 708,
  [SMALL_STATE(135)] = 789,
  [SMALL_STATE(136)] = 867,
  [SMALL_STATE(137)] = 945,
  [SMALL_STATE(138)] = 1007,
  [SMALL_STATE(139)] = 1069,
  [SMALL_STATE(140)] = 1131,
  [SMALL_STATE(141)] = 1193,
  [SMALL_STATE(142)] = 1255,
  [SMALL_STATE(143)] = 1314,
  [SMALL_STATE(144)] = 1365,
  [SMALL_STATE(145)] = 1442,
  [SMALL_STATE(146)] = 1501,
  [SMALL_STATE(147)] = 1558,
  [SMALL_STATE(148)] = 1619,
  [SMALL_STATE(149)] = 1678,
  [SMALL_STATE(150)] = 1737,
  [SMALL_STATE(151)] = 1814,
  [SMALL_STATE(152)] = 1891,
  [SMALL_STATE(153)] = 1968,
  [SMALL_STATE(154)] = 2045,
  [SMALL_STATE(155)] = 2106,
  [SMALL_STATE(156)] = 2157,
  [SMALL_STATE(157)] = 2218,
  [SMALL_STATE(158)] = 2279,
  [SMALL_STATE(159)] = 2356,
  [SMALL_STATE(160)] = 2433,
  [SMALL_STATE(161)] = 2510,
  [SMALL_STATE(162)] = 2571,
  [SMALL_STATE(163)] = 2648,
  [SMALL_STATE(164)] = 2725,
  [SMALL_STATE(165)] = 2802,
  [SMALL_STATE(166)] = 2879,
  [SMALL_STATE(167)] = 2956,
  [SMALL_STATE(168)] = 3033,
  [SMALL_STATE(169)] = 3110,
  [SMALL_STATE(170)] = 3169,
  [SMALL_STATE(171)] = 3228,
  [SMALL_STATE(172)] = 3289,
  [SMALL_STATE(173)] = 3363,
  [SMALL_STATE(174)] = 3437,
  [SMALL_STATE(175)] = 3511,
  [SMALL_STATE(176)] = 3571,
  [SMALL_STATE(177)] = 3631,
  [SMALL_STATE(178)] = 3705,
  [SMALL_STATE(179)] = 3779,
  [SMALL_STATE(180)] = 3839,
  [SMALL_STATE(181)] = 3913,
  [SMALL_STATE(182)] = 3987,
  [SMALL_STATE(183)] = 4045,
  [SMALL_STATE(184)] = 4103,
  [SMALL_STATE(185)] = 4177,
  [SMALL_STATE(186)] = 4233,
  [SMALL_STATE(187)] = 4307,
  [SMALL_STATE(188)] = 4381,
  [SMALL_STATE(189)] = 4455,
  [SMALL_STATE(190)] = 4529,
  [SMALL_STATE(191)] = 4603,
  [SMALL_STATE(192)] = 4656,
  [SMALL_STATE(193)] = 4707,
  [SMALL_STATE(194)] = 4760,
  [SMALL_STATE(195)] = 4851,
  [SMALL_STATE(196)] = 4942,
  [SMALL_STATE(197)] = 4993,
  [SMALL_STATE(198)] = 5064,
  [SMALL_STATE(199)] = 5117,
  [SMALL_STATE(200)] = 5208,
  [SMALL_STATE(201)] = 5259,
  [SMALL_STATE(202)] = 5350,
  [SMALL_STATE(203)] = 5421,
  [SMALL_STATE(204)] = 5472,
  [SMALL_STATE(205)] = 5525,
  [SMALL_STATE(206)] = 5573,
  [SMALL_STATE(207)] = 5621,
  [SMALL_STATE(208)] = 5671,
  [SMALL_STATE(209)] = 5721,
  [SMALL_STATE(210)] = 5771,
  [SMALL_STATE(211)] = 5821,
  [SMALL_STATE(212)] = 5870,
  [SMALL_STATE(213)] = 5917,
  [SMALL_STATE(214)] = 5966,
  [SMALL_STATE(215)] = 6015,
  [SMALL_STATE(216)] = 6064,
  [SMALL_STATE(217)] = 6111,
  [SMALL_STATE(218)] = 6172,
  [SMALL_STATE(219)] = 6223,
  [SMALL_STATE(220)] = 6274,
  [SMALL_STATE(221)] = 6335,
  [SMALL_STATE(222)] = 6386,
  [SMALL_STATE(223)] = 6447,
  [SMALL_STATE(224)] = 6500,
  [SMALL_STATE(225)] = 6551,
  [SMALL_STATE(226)] = 6612,
  [SMALL_STATE(227)] = 6673,
  [SMALL_STATE(228)] = 6726,
  [SMALL_STATE(229)] = 6777,
  [SMALL_STATE(230)] = 6828,
  [SMALL_STATE(231)] = 6881,
  [SMALL_STATE(232)] = 6942,
  [SMALL_STATE(233)] = 6990,
  [SMALL_STATE(234)] = 7048,
  [SMALL_STATE(235)] = 7108,
  [SMALL_STATE(236)] = 7156,
  [SMALL_STATE(237)] = 7204,
  [SMALL_STATE(238)] = 7252,
  [SMALL_STATE(239)] = 7310,
  [SMALL_STATE(240)] = 7358,
  [SMALL_STATE(241)] = 7406,
  [SMALL_STATE(242)] = 7454,
  [SMALL_STATE(243)] = 7504,
  [SMALL_STATE(244)] = 7552,
  [SMALL_STATE(245)] = 7600,
  [SMALL_STATE(246)] = 7648,
  [SMALL_STATE(247)] = 7696,
  [SMALL_STATE(248)] = 7744,
  [SMALL_STATE(249)] = 7792,
  [SMALL_STATE(250)] = 7850,
  [SMALL_STATE(251)] = 7898,
  [SMALL_STATE(252)] = 7946,
  [SMALL_STATE(253)] = 7994,
  [SMALL_STATE(254)] = 8054,
  [SMALL_STATE(255)] = 8106,
  [SMALL_STATE(256)] = 8154,
  [SMALL_STATE(257)] = 8202,
  [SMALL_STATE(258)] = 8250,
  [SMALL_STATE(259)] = 8308,
  [SMALL_STATE(260)] = 8356,
  [SMALL_STATE(261)] = 8404,
  [SMALL_STATE(262)] = 8452,
  [SMALL_STATE(263)] = 8500,
  [SMALL_STATE(264)] = 8548,
  [SMALL_STATE(265)] = 8596,
  [SMALL_STATE(266)] = 8644,
  [SMALL_STATE(267)] = 8692,
  [SMALL_STATE(268)] = 8740,
  [SMALL_STATE(269)] = 8800,
  [SMALL_STATE(270)] = 8848,
  [SMALL_STATE(271)] = 8896,
  [SMALL_STATE(272)] = 8956,
  [SMALL_STATE(273)] = 9004,
  [SMALL_STATE(274)] = 9052,
  [SMALL_STATE(275)] = 9100,
  [SMALL_STATE(276)] = 9147,
  [SMALL_STATE(277)] = 9190,
  [SMALL_STATE(278)] = 9233,
  [SMALL_STATE(279)] = 9276,
  [SMALL_STATE(280)] = 9319,
  [SMALL_STATE(281)] = 9362,
  [SMALL_STATE(282)] = 9405,
  [SMALL_STATE(283)] = 9448,
  [SMALL_STATE(284)] = 9491,
  [SMALL_STATE(285)] = 9534,
  [SMALL_STATE(286)] = 9577,
  [SMALL_STATE(287)] = 9620,
  [SMALL_STATE(288)] = 9663,
  [SMALL_STATE(289)] = 9706,
  [SMALL_STATE(290)] = 9749,
  [SMALL_STATE(291)] = 9792,
  [SMALL_STATE(292)] = 9835,
  [SMALL_STATE(293)] = 9878,
  [SMALL_STATE(294)] = 9921,
  [SMALL_STATE(295)] = 9964,
  [SMALL_STATE(296)] = 10007,
  [SMALL_STATE(297)] = 10050,
  [SMALL_STATE(298)] = 10093,
  [SMALL_STATE(299)] = 10136,
  [SMALL_STATE(300)] = 10179,
  [SMALL_STATE(301)] = 10226,
  [SMALL_STATE(302)] = 10269,
  [SMALL_STATE(303)] = 10322,
  [SMALL_STATE(304)] = 10365,
  [SMALL_STATE(305)] = 10412,
  [SMALL_STATE(306)] = 10459,
  [SMALL_STATE(307)] = 10502,
  [SMALL_STATE(308)] = 10545,
  [SMALL_STATE(309)] = 10588,
  [SMALL_STATE(310)] = 10631,
  [SMALL_STATE(311)] = 10674,
  [SMALL_STATE(312)] = 10717,
  [SMALL_STATE(313)] = 10760,
  [SMALL_STATE(314)] = 10807,
  [SMALL_STATE(315)] = 10850,
  [SMALL_STATE(316)] = 10897,
  [SMALL_STATE(317)] = 10940,
  [SMALL_STATE(318)] = 10983,
  [SMALL_STATE(319)] = 11030,
  [SMALL_STATE(320)] = 11073,
  [SMALL_STATE(321)] = 11116,
  [SMALL_STATE(322)] = 11159,
  [SMALL_STATE(323)] = 11202,
  [SMALL_STATE(324)] = 11245,
  [SMALL_STATE(325)] = 11288,
  [SMALL_STATE(326)] = 11331,
  [SMALL_STATE(327)] = 11374,
  [SMALL_STATE(328)] = 11417,
  [SMALL_STATE(329)] = 11460,
  [SMALL_STATE(330)] = 11507,
  [SMALL_STATE(331)] = 11554,
  [SMALL_STATE(332)] = 11597,
  [SMALL_STATE(333)] = 11640,
  [SMALL_STATE(334)] = 11687,
  [SMALL_STATE(335)] = 11734,
  [SMALL_STATE(336)] = 11777,
  [SMALL_STATE(337)] = 11820,
  [SMALL_STATE(338)] = 11867,
  [SMALL_STATE(339)] = 11910,
  [SMALL_STATE(340)] = 11953,
  [SMALL_STATE(341)] = 11996,
  [SMALL_STATE(342)] = 12039,
  [SMALL_STATE(343)] = 12082,
  [SMALL_STATE(344)] = 12129,
  [SMALL_STATE(345)] = 12172,
  [SMALL_STATE(346)] = 12215,
  [SMALL_STATE(347)] = 12258,
  [SMALL_STATE(348)] = 12301,
  [SMALL_STATE(349)] = 12344,
  [SMALL_STATE(350)] = 12387,
  [SMALL_STATE(351)] = 12430,
  [SMALL_STATE(352)] = 12477,
  [SMALL_STATE(353)] = 12520,
  [SMALL_STATE(354)] = 12567,
  [SMALL_STATE(355)] = 12614,
  [SMALL_STATE(356)] = 12657,
  [SMALL_STATE(357)] = 12700,
  [SMALL_STATE(358)] = 12743,
  [SMALL_STATE(359)] = 12790,
  [SMALL_STATE(360)] = 12837,
  [SMALL_STATE(361)] = 12880,
  [SMALL_STATE(362)] = 12923,
  [SMALL_STATE(363)] = 12966,
  [SMALL_STATE(364)] = 13009,
  [SMALL_STATE(365)] = 13052,
  [SMALL_STATE(366)] = 13095,
  [SMALL_STATE(367)] = 13138,
  [SMALL_STATE(368)] = 13181,
  [SMALL_STATE(369)] = 13224,
  [SMALL_STATE(370)] = 13271,
  [SMALL_STATE(371)] = 13314,
  [SMALL_STATE(372)] = 13357,
  [SMALL_STATE(373)] = 13400,
  [SMALL_STATE(374)] = 13443,
  [SMALL_STATE(375)] = 13490,
  [SMALL_STATE(376)] = 13537,
  [SMALL_STATE(377)] = 13580,
  [SMALL_STATE(378)] = 13623,
  [SMALL_STATE(379)] = 13666,
  [SMALL_STATE(380)] = 13709,
  [SMALL_STATE(381)] = 13752,
  [SMALL_STATE(382)] = 13795,
  [SMALL_STATE(383)] = 13838,
  [SMALL_STATE(384)] = 13881,
  [SMALL_STATE(385)] = 13924,
  [SMALL_STATE(386)] = 13967,
  [SMALL_STATE(387)] = 14010,
  [SMALL_STATE(388)] = 14053,
  [SMALL_STATE(389)] = 14096,
  [SMALL_STATE(390)] = 14139,
  [SMALL_STATE(391)] = 14182,
  [SMALL_STATE(392)] = 14225,
  [SMALL_STATE(393)] = 14268,
  [SMALL_STATE(394)] = 14311,
  [SMALL_STATE(395)] = 14354,
  [SMALL_STATE(396)] = 14397,
  [SMALL_STATE(397)] = 14444,
  [SMALL_STATE(398)] = 14491,
  [SMALL_STATE(399)] = 14534,
  [SMALL_STATE(400)] = 14577,
  [SMALL_STATE(401)] = 14620,
  [SMALL_STATE(402)] = 14667,
  [SMALL_STATE(403)] = 14710,
  [SMALL_STATE(404)] = 14753,
  [SMALL_STATE(405)] = 14796,
  [SMALL_STATE(406)] = 14839,
  [SMALL_STATE(407)] = 14882,
  [SMALL_STATE(408)] = 14925,
  [SMALL_STATE(409)] = 14968,
  [SMALL_STATE(410)] = 15011,
  [SMALL_STATE(411)] = 15054,
  [SMALL_STATE(412)] = 15097,
  [SMALL_STATE(413)] = 15140,
  [SMALL_STATE(414)] = 15187,
  [SMALL_STATE(415)] = 15230,
  [SMALL_STATE(416)] = 15273,
  [SMALL_STATE(417)] = 15316,
  [SMALL_STATE(418)] = 15359,
  [SMALL_STATE(419)] = 15402,
  [SMALL_STATE(420)] = 15445,
  [SMALL_STATE(421)] = 15492,
  [SMALL_STATE(422)] = 15539,
  [SMALL_STATE(423)] = 15582,
  [SMALL_STATE(424)] = 15625,
  [SMALL_STATE(425)] = 15668,
  [SMALL_STATE(426)] = 15711,
  [SMALL_STATE(427)] = 15754,
  [SMALL_STATE(428)] = 15797,
  [SMALL_STATE(429)] = 15844,
  [SMALL_STATE(430)] = 15887,
  [SMALL_STATE(431)] = 15930,
  [SMALL_STATE(432)] = 15977,
  [SMALL_STATE(433)] = 16020,
  [SMALL_STATE(434)] = 16063,
  [SMALL_STATE(435)] = 16110,
  [SMALL_STATE(436)] = 16157,
  [SMALL_STATE(437)] = 16204,
  [SMALL_STATE(438)] = 16251,
  [SMALL_STATE(439)] = 16294,
  [SMALL_STATE(440)] = 16337,
  [SMALL_STATE(441)] = 16380,
  [SMALL_STATE(442)] = 16427,
  [SMALL_STATE(443)] = 16470,
  [SMALL_STATE(444)] = 16517,
  [SMALL_STATE(445)] = 16560,
  [SMALL_STATE(446)] = 16603,
  [SMALL_STATE(447)] = 16646,
  [SMALL_STATE(448)] = 16689,
  [SMALL_STATE(449)] = 16732,
  [SMALL_STATE(450)] = 16775,
  [SMALL_STATE(451)] = 16818,
  [SMALL_STATE(452)] = 16865,
  [SMALL_STATE(453)] = 16908,
  [SMALL_STATE(454)] = 16955,
  [SMALL_STATE(455)] = 16998,
  [SMALL_STATE(456)] = 17045,
  [SMALL_STATE(457)] = 17092,
  [SMALL_STATE(458)] = 17135,
  [SMALL_STATE(459)] = 17178,
  [SMALL_STATE(460)] = 17221,
  [SMALL_STATE(461)] = 17268,
  [SMALL_STATE(462)] = 17311,
  [SMALL_STATE(463)] = 17354,
  [SMALL_STATE(464)] = 17397,
  [SMALL_STATE(465)] = 17440,
  [SMALL_STATE(466)] = 17487,
  [SMALL_STATE(467)] = 17534,
  [SMALL_STATE(468)] = 17581,
  [SMALL_STATE(469)] = 17624,
  [SMALL_STATE(470)] = 17671,
  [SMALL_STATE(471)] = 17718,
  [SMALL_STATE(472)] = 17760,
  [SMALL_STATE(473)] = 17802,
  [SMALL_STATE(474)] = 17844,
  [SMALL_STATE(475)] = 17886,
  [SMALL_STATE(476)] = 17928,
  [SMALL_STATE(477)] = 17970,
  [SMALL_STATE(478)] = 18012,
  [SMALL_STATE(479)] = 18054,
  [SMALL_STATE(480)] = 18096,
  [SMALL_STATE(481)] = 18138,
  [SMALL_STATE(482)] = 18180,
  [SMALL_STATE(483)] = 18226,
  [SMALL_STATE(484)] = 18268,
  [SMALL_STATE(485)] = 18310,
  [SMALL_STATE(486)] = 18352,
  [SMALL_STATE(487)] = 18394,
  [SMALL_STATE(488)] = 18436,
  [SMALL_STATE(489)] = 18478,
  [SMALL_STATE(490)] = 18520,
  [SMALL_STATE(491)] = 18562,
  [SMALL_STATE(492)] = 18604,
  [SMALL_STATE(493)] = 18646,
  [SMALL_STATE(494)] = 18688,
  [SMALL_STATE(495)] = 18730,
  [SMALL_STATE(496)] = 18772,
  [SMALL_STATE(497)] = 18814,
  [SMALL_STATE(498)] = 18856,
  [SMALL_STATE(499)] = 18898,
  [SMALL_STATE(500)] = 18940,
  [SMALL_STATE(501)] = 18982,
  [SMALL_STATE(502)] = 19024,
  [SMALL_STATE(503)] = 19066,
  [SMALL_STATE(504)] = 19108,
  [SMALL_STATE(505)] = 19150,
  [SMALL_STATE(506)] = 19192,
  [SMALL_STATE(507)] = 19238,
  [SMALL_STATE(508)] = 19280,
  [SMALL_STATE(509)] = 19322,
  [SMALL_STATE(510)] = 19364,
  [SMALL_STATE(511)] = 19406,
  [SMALL_STATE(512)] = 19448,
  [SMALL_STATE(513)] = 19490,
  [SMALL_STATE(514)] = 19532,
  [SMALL_STATE(515)] = 19578,
  [SMALL_STATE(516)] = 19620,
  [SMALL_STATE(517)] = 19662,
  [SMALL_STATE(518)] = 19704,
  [SMALL_STATE(519)] = 19746,
  [SMALL_STATE(520)] = 19788,
  [SMALL_STATE(521)] = 19830,
  [SMALL_STATE(522)] = 19882,
  [SMALL_STATE(523)] = 19924,
  [SMALL_STATE(524)] = 19966,
  [SMALL_STATE(525)] = 20008,
  [SMALL_STATE(526)] = 20050,
  [SMALL_STATE(527)] = 20092,
  [SMALL_STATE(528)] = 20134,
  [SMALL_STATE(529)] = 20176,
  [SMALL_STATE(530)] = 20218,
  [SMALL_STATE(531)] = 20264,
  [SMALL_STATE(532)] = 20306,
  [SMALL_STATE(533)] = 20348,
  [SMALL_STATE(534)] = 20422,
  [SMALL_STATE(535)] = 20464,
  [SMALL_STATE(536)] = 20506,
  [SMALL_STATE(537)] = 20548,
  [SMALL_STATE(538)] = 20590,
  [SMALL_STATE(539)] = 20664,
  [SMALL_STATE(540)] = 20706,
  [SMALL_STATE(541)] = 20748,
  [SMALL_STATE(542)] = 20790,
  [SMALL_STATE(543)] = 20832,
  [SMALL_STATE(544)] = 20874,
  [SMALL_STATE(545)] = 20916,
  [SMALL_STATE(546)] = 20958,
  [SMALL_STATE(547)] = 21000,
  [SMALL_STATE(548)] = 21042,
  [SMALL_STATE(549)] = 21084,
  [SMALL_STATE(550)] = 21126,
  [SMALL_STATE(551)] = 21168,
  [SMALL_STATE(552)] = 21210,
  [SMALL_STATE(553)] = 21252,
  [SMALL_STATE(554)] = 21294,
  [SMALL_STATE(555)] = 21336,
  [SMALL_STATE(556)] = 21378,
  [SMALL_STATE(557)] = 21420,
  [SMALL_STATE(558)] = 21462,
  [SMALL_STATE(559)] = 21504,
  [SMALL_STATE(560)] = 21546,
  [SMALL_STATE(561)] = 21588,
  [SMALL_STATE(562)] = 21630,
  [SMALL_STATE(563)] = 21704,
  [SMALL_STATE(564)] = 21746,
  [SMALL_STATE(565)] = 21792,
  [SMALL_STATE(566)] = 21834,
  [SMALL_STATE(567)] = 21876,
  [SMALL_STATE(568)] = 21918,
  [SMALL_STATE(569)] = 21964,
  [SMALL_STATE(570)] = 22006,
  [SMALL_STATE(571)] = 22048,
  [SMALL_STATE(572)] = 22090,
  [SMALL_STATE(573)] = 22132,
  [SMALL_STATE(574)] = 22174,
  [SMALL_STATE(575)] = 22220,
  [SMALL_STATE(576)] = 22294,
  [SMALL_STATE(577)] = 22340,
  [SMALL_STATE(578)] = 22382,
  [SMALL_STATE(579)] = 22428,
  [SMALL_STATE(580)] = 22480,
  [SMALL_STATE(581)] = 22522,
  [SMALL_STATE(582)] = 22564,
  [SMALL_STATE(583)] = 22606,
  [SMALL_STATE(584)] = 22648,
  [SMALL_STATE(585)] = 22694,
  [SMALL_STATE(586)] = 22736,
  [SMALL_STATE(587)] = 22778,
  [SMALL_STATE(588)] = 22820,
  [SMALL_STATE(589)] = 22862,
  [SMALL_STATE(590)] = 22904,
  [SMALL_STATE(591)] = 22946,
  [SMALL_STATE(592)] = 22988,
  [SMALL_STATE(593)] = 23030,
  [SMALL_STATE(594)] = 23072,
  [SMALL_STATE(595)] = 23114,
  [SMALL_STATE(596)] = 23156,
  [SMALL_STATE(597)] = 23198,
  [SMALL_STATE(598)] = 23240,
  [SMALL_STATE(599)] = 23282,
  [SMALL_STATE(600)] = 23324,
  [SMALL_STATE(601)] = 23366,
  [SMALL_STATE(602)] = 23408,
  [SMALL_STATE(603)] = 23450,
  [SMALL_STATE(604)] = 23492,
  [SMALL_STATE(605)] = 23534,
  [SMALL_STATE(606)] = 23576,
  [SMALL_STATE(607)] = 23618,
  [SMALL_STATE(608)] = 23660,
  [SMALL_STATE(609)] = 23702,
  [SMALL_STATE(610)] = 23744,
  [SMALL_STATE(611)] = 23786,
  [SMALL_STATE(612)] = 23828,
  [SMALL_STATE(613)] = 23870,
  [SMALL_STATE(614)] = 23912,
  [SMALL_STATE(615)] = 23954,
  [SMALL_STATE(616)] = 23996,
  [SMALL_STATE(617)] = 24038,
  [SMALL_STATE(618)] = 24080,
  [SMALL_STATE(619)] = 24122,
  [SMALL_STATE(620)] = 24164,
  [SMALL_STATE(621)] = 24206,
  [SMALL_STATE(622)] = 24248,
  [SMALL_STATE(623)] = 24290,
  [SMALL_STATE(624)] = 24336,
  [SMALL_STATE(625)] = 24378,
  [SMALL_STATE(626)] = 24420,
  [SMALL_STATE(627)] = 24462,
  [SMALL_STATE(628)] = 24504,
  [SMALL_STATE(629)] = 24546,
  [SMALL_STATE(630)] = 24588,
  [SMALL_STATE(631)] = 24630,
  [SMALL_STATE(632)] = 24672,
  [SMALL_STATE(633)] = 24714,
  [SMALL_STATE(634)] = 24756,
  [SMALL_STATE(635)] = 24798,
  [SMALL_STATE(636)] = 24840,
  [SMALL_STATE(637)] = 24882,
  [SMALL_STATE(638)] = 24924,
  [SMALL_STATE(639)] = 24966,
  [SMALL_STATE(640)] = 25008,
  [SMALL_STATE(641)] = 25050,
  [SMALL_STATE(642)] = 25096,
  [SMALL_STATE(643)] = 25138,
  [SMALL_STATE(644)] = 25180,
  [SMALL_STATE(645)] = 25222,
  [SMALL_STATE(646)] = 25264,
  [SMALL_STATE(647)] = 25306,
  [SMALL_STATE(648)] = 25348,
  [SMALL_STATE(649)] = 25390,
  [SMALL_STATE(650)] = 25432,
  [SMALL_STATE(651)] = 25474,
  [SMALL_STATE(652)] = 25516,
  [SMALL_STATE(653)] = 25558,
  [SMALL_STATE(654)] = 25600,
  [SMALL_STATE(655)] = 25642,
  [SMALL_STATE(656)] = 25684,
  [SMALL_STATE(657)] = 25726,
  [SMALL_STATE(658)] = 25768,
  [SMALL_STATE(659)] = 25810,
  [SMALL_STATE(660)] = 25852,
  [SMALL_STATE(661)] = 25894,
  [SMALL_STATE(662)] = 25936,
  [SMALL_STATE(663)] = 25978,
  [SMALL_STATE(664)] = 26019,
  [SMALL_STATE(665)] = 26068,
  [SMALL_STATE(666)] = 26109,
  [SMALL_STATE(667)] = 26150,
  [SMALL_STATE(668)] = 26191,
  [SMALL_STATE(669)] = 26232,
  [SMALL_STATE(670)] = 26273,
  [SMALL_STATE(671)] = 26314,
  [SMALL_STATE(672)] = 26355,
  [SMALL_STATE(673)] = 26396,
  [SMALL_STATE(674)] = 26437,
  [SMALL_STATE(675)] = 26478,
  [SMALL_STATE(676)] = 26519,
  [SMALL_STATE(677)] = 26560,
  [SMALL_STATE(678)] = 26601,
  [SMALL_STATE(679)] = 26642,
  [SMALL_STATE(680)] = 26694,
  [SMALL_STATE(681)] = 26757,
  [SMALL_STATE(682)] = 26820,
  [SMALL_STATE(683)] = 26883,
  [SMALL_STATE(684)] = 26946,
  [SMALL_STATE(685)] = 26999,
  [SMALL_STATE(686)] = 27062,
  [SMALL_STATE(687)] = 27125,
  [SMALL_STATE(688)] = 27177,
  [SMALL_STATE(689)] = 27229,
  [SMALL_STATE(690)] = 27294,
  [SMALL_STATE(691)] = 27359,
  [SMALL_STATE(692)] = 27424,
  [SMALL_STATE(693)] = 27489,
  [SMALL_STATE(694)] = 27554,
  [SMALL_STATE(695)] = 27619,
  [SMALL_STATE(696)] = 27684,
  [SMALL_STATE(697)] = 27749,
  [SMALL_STATE(698)] = 27814,
  [SMALL_STATE(699)] = 27879,
  [SMALL_STATE(700)] = 27944,
  [SMALL_STATE(701)] = 28009,
  [SMALL_STATE(702)] = 28074,
  [SMALL_STATE(703)] = 28139,
  [SMALL_STATE(704)] = 28204,
  [SMALL_STATE(705)] = 28269,
  [SMALL_STATE(706)] = 28334,
  [SMALL_STATE(707)] = 28399,
  [SMALL_STATE(708)] = 28464,
  [SMALL_STATE(709)] = 28529,
  [SMALL_STATE(710)] = 28594,
  [SMALL_STATE(711)] = 28659,
  [SMALL_STATE(712)] = 28724,
  [SMALL_STATE(713)] = 28789,
  [SMALL_STATE(714)] = 28854,
  [SMALL_STATE(715)] = 28919,
  [SMALL_STATE(716)] = 28984,
  [SMALL_STATE(717)] = 29049,
  [SMALL_STATE(718)] = 29114,
  [SMALL_STATE(719)] = 29179,
  [SMALL_STATE(720)] = 29244,
  [SMALL_STATE(721)] = 29309,
  [SMALL_STATE(722)] = 29374,
  [SMALL_STATE(723)] = 29439,
  [SMALL_STATE(724)] = 29504,
  [SMALL_STATE(725)] = 29569,
  [SMALL_STATE(726)] = 29634,
  [SMALL_STATE(727)] = 29699,
  [SMALL_STATE(728)] = 29764,
  [SMALL_STATE(729)] = 29829,
  [SMALL_STATE(730)] = 29894,
  [SMALL_STATE(731)] = 29959,
  [SMALL_STATE(732)] = 30024,
  [SMALL_STATE(733)] = 30089,
  [SMALL_STATE(734)] = 30154,
  [SMALL_STATE(735)] = 30219,
  [SMALL_STATE(736)] = 30284,
  [SMALL_STATE(737)] = 30349,
  [SMALL_STATE(738)] = 30414,
  [SMALL_STATE(739)] = 30479,
  [SMALL_STATE(740)] = 30544,
  [SMALL_STATE(741)] = 30609,
  [SMALL_STATE(742)] = 30674,
  [SMALL_STATE(743)] = 30739,
  [SMALL_STATE(744)] = 30804,
  [SMALL_STATE(745)] = 30869,
  [SMALL_STATE(746)] = 30934,
  [SMALL_STATE(747)] = 30999,
  [SMALL_STATE(748)] = 31064,
  [SMALL_STATE(749)] = 31129,
  [SMALL_STATE(750)] = 31194,
  [SMALL_STATE(751)] = 31259,
  [SMALL_STATE(752)] = 31324,
  [SMALL_STATE(753)] = 31389,
  [SMALL_STATE(754)] = 31454,
  [SMALL_STATE(755)] = 31519,
  [SMALL_STATE(756)] = 31584,
  [SMALL_STATE(757)] = 31649,
  [SMALL_STATE(758)] = 31714,
  [SMALL_STATE(759)] = 31779,
  [SMALL_STATE(760)] = 31844,
  [SMALL_STATE(761)] = 31909,
  [SMALL_STATE(762)] = 31974,
  [SMALL_STATE(763)] = 32039,
  [SMALL_STATE(764)] = 32104,
  [SMALL_STATE(765)] = 32169,
  [SMALL_STATE(766)] = 32234,
  [SMALL_STATE(767)] = 32299,
  [SMALL_STATE(768)] = 32364,
  [SMALL_STATE(769)] = 32429,
  [SMALL_STATE(770)] = 32494,
  [SMALL_STATE(771)] = 32559,
  [SMALL_STATE(772)] = 32624,
  [SMALL_STATE(773)] = 32689,
  [SMALL_STATE(774)] = 32754,
  [SMALL_STATE(775)] = 32819,
  [SMALL_STATE(776)] = 32884,
  [SMALL_STATE(777)] = 32949,
  [SMALL_STATE(778)] = 33014,
  [SMALL_STATE(779)] = 33079,
  [SMALL_STATE(780)] = 33144,
  [SMALL_STATE(781)] = 33209,
  [SMALL_STATE(782)] = 33274,
  [SMALL_STATE(783)] = 33339,
  [SMALL_STATE(784)] = 33404,
  [SMALL_STATE(785)] = 33469,
  [SMALL_STATE(786)] = 33534,
  [SMALL_STATE(787)] = 33599,
  [SMALL_STATE(788)] = 33664,
  [SMALL_STATE(789)] = 33729,
  [SMALL_STATE(790)] = 33794,
  [SMALL_STATE(791)] = 33859,
  [SMALL_STATE(792)] = 33924,
  [SMALL_STATE(793)] = 33989,
  [SMALL_STATE(794)] = 34054,
  [SMALL_STATE(795)] = 34119,
  [SMALL_STATE(796)] = 34184,
  [SMALL_STATE(797)] = 34249,
  [SMALL_STATE(798)] = 34314,
  [SMALL_STATE(799)] = 34379,
  [SMALL_STATE(800)] = 34444,
  [SMALL_STATE(801)] = 34509,
  [SMALL_STATE(802)] = 34574,
  [SMALL_STATE(803)] = 34639,
  [SMALL_STATE(804)] = 34704,
  [SMALL_STATE(805)] = 34769,
  [SMALL_STATE(806)] = 34834,
  [SMALL_STATE(807)] = 34899,
  [SMALL_STATE(808)] = 34964,
  [SMALL_STATE(809)] = 35029,
  [SMALL_STATE(810)] = 35094,
  [SMALL_STATE(811)] = 35159,
  [SMALL_STATE(812)] = 35224,
  [SMALL_STATE(813)] = 35289,
  [SMALL_STATE(814)] = 35354,
  [SMALL_STATE(815)] = 35419,
  [SMALL_STATE(816)] = 35484,
  [SMALL_STATE(817)] = 35549,
  [SMALL_STATE(818)] = 35614,
  [SMALL_STATE(819)] = 35679,
  [SMALL_STATE(820)] = 35744,
  [SMALL_STATE(821)] = 35809,
  [SMALL_STATE(822)] = 35874,
  [SMALL_STATE(823)] = 35939,
  [SMALL_STATE(824)] = 36004,
  [SMALL_STATE(825)] = 36069,
  [SMALL_STATE(826)] = 36134,
  [SMALL_STATE(827)] = 36199,
  [SMALL_STATE(828)] = 36264,
  [SMALL_STATE(829)] = 36329,
  [SMALL_STATE(830)] = 36394,
  [SMALL_STATE(831)] = 36459,
  [SMALL_STATE(832)] = 36524,
  [SMALL_STATE(833)] = 36589,
  [SMALL_STATE(834)] = 36654,
  [SMALL_STATE(835)] = 36719,
  [SMALL_STATE(836)] = 36784,
  [SMALL_STATE(837)] = 36849,
  [SMALL_STATE(838)] = 36914,
  [SMALL_STATE(839)] = 36979,
  [SMALL_STATE(840)] = 37044,
  [SMALL_STATE(841)] = 37109,
  [SMALL_STATE(842)] = 37174,
  [SMALL_STATE(843)] = 37239,
  [SMALL_STATE(844)] = 37304,
  [SMALL_STATE(845)] = 37369,
  [SMALL_STATE(846)] = 37434,
  [SMALL_STATE(847)] = 37499,
  [SMALL_STATE(848)] = 37564,
  [SMALL_STATE(849)] = 37629,
  [SMALL_STATE(850)] = 37694,
  [SMALL_STATE(851)] = 37759,
  [SMALL_STATE(852)] = 37824,
  [SMALL_STATE(853)] = 37889,
  [SMALL_STATE(854)] = 37954,
  [SMALL_STATE(855)] = 38019,
  [SMALL_STATE(856)] = 38084,
  [SMALL_STATE(857)] = 38149,
  [SMALL_STATE(858)] = 38214,
  [SMALL_STATE(859)] = 38279,
  [SMALL_STATE(860)] = 38344,
  [SMALL_STATE(861)] = 38409,
  [SMALL_STATE(862)] = 38474,
  [SMALL_STATE(863)] = 38539,
  [SMALL_STATE(864)] = 38604,
  [SMALL_STATE(865)] = 38669,
  [SMALL_STATE(866)] = 38734,
  [SMALL_STATE(867)] = 38799,
  [SMALL_STATE(868)] = 38864,
  [SMALL_STATE(869)] = 38929,
  [SMALL_STATE(870)] = 38994,
  [SMALL_STATE(871)] = 39059,
  [SMALL_STATE(872)] = 39124,
  [SMALL_STATE(873)] = 39189,
  [SMALL_STATE(874)] = 39254,
  [SMALL_STATE(875)] = 39319,
  [SMALL_STATE(876)] = 39384,
  [SMALL_STATE(877)] = 39449,
  [SMALL_STATE(878)] = 39514,
  [SMALL_STATE(879)] = 39579,
  [SMALL_STATE(880)] = 39644,
  [SMALL_STATE(881)] = 39709,
  [SMALL_STATE(882)] = 39774,
  [SMALL_STATE(883)] = 39839,
  [SMALL_STATE(884)] = 39904,
  [SMALL_STATE(885)] = 39969,
  [SMALL_STATE(886)] = 40034,
  [SMALL_STATE(887)] = 40099,
  [SMALL_STATE(888)] = 40164,
  [SMALL_STATE(889)] = 40229,
  [SMALL_STATE(890)] = 40294,
  [SMALL_STATE(891)] = 40359,
  [SMALL_STATE(892)] = 40424,
  [SMALL_STATE(893)] = 40489,
  [SMALL_STATE(894)] = 40554,
  [SMALL_STATE(895)] = 40619,
  [SMALL_STATE(896)] = 40684,
  [SMALL_STATE(897)] = 40749,
  [SMALL_STATE(898)] = 40811,
  [SMALL_STATE(899)] = 40873,
  [SMALL_STATE(900)] = 40935,
  [SMALL_STATE(901)] = 40997,
  [SMALL_STATE(902)] = 41059,
  [SMALL_STATE(903)] = 41121,
  [SMALL_STATE(904)] = 41183,
  [SMALL_STATE(905)] = 41245,
  [SMALL_STATE(906)] = 41307,
  [SMALL_STATE(907)] = 41369,
  [SMALL_STATE(908)] = 41431,
  [SMALL_STATE(909)] = 41493,
  [SMALL_STATE(910)] = 41555,
  [SMALL_STATE(911)] = 41617,
  [SMALL_STATE(912)] = 41679,
  [SMALL_STATE(913)] = 41741,
  [SMALL_STATE(914)] = 41803,
  [SMALL_STATE(915)] = 41865,
  [SMALL_STATE(916)] = 41927,
  [SMALL_STATE(917)] = 41989,
  [SMALL_STATE(918)] = 42051,
  [SMALL_STATE(919)] = 42113,
  [SMALL_STATE(920)] = 42175,
  [SMALL_STATE(921)] = 42237,
  [SMALL_STATE(922)] = 42299,
  [SMALL_STATE(923)] = 42361,
  [SMALL_STATE(924)] = 42423,
  [SMALL_STATE(925)] = 42485,
  [SMALL_STATE(926)] = 42547,
  [SMALL_STATE(927)] = 42609,
  [SMALL_STATE(928)] = 42671,
  [SMALL_STATE(929)] = 42733,
  [SMALL_STATE(930)] = 42795,
  [SMALL_STATE(931)] = 42857,
  [SMALL_STATE(932)] = 42919,
  [SMALL_STATE(933)] = 42981,
  [SMALL_STATE(934)] = 43043,
  [SMALL_STATE(935)] = 43105,
  [SMALL_STATE(936)] = 43167,
  [SMALL_STATE(937)] = 43229,
  [SMALL_STATE(938)] = 43291,
  [SMALL_STATE(939)] = 43353,
  [SMALL_STATE(940)] = 43415,
  [SMALL_STATE(941)] = 43477,
  [SMALL_STATE(942)] = 43539,
  [SMALL_STATE(943)] = 43601,
  [SMALL_STATE(944)] = 43663,
  [SMALL_STATE(945)] = 43725,
  [SMALL_STATE(946)] = 43787,
  [SMALL_STATE(947)] = 43849,
  [SMALL_STATE(948)] = 43911,
  [SMALL_STATE(949)] = 43973,
  [SMALL_STATE(950)] = 44035,
  [SMALL_STATE(951)] = 44099,
  [SMALL_STATE(952)] = 44161,
  [SMALL_STATE(953)] = 44223,
  [SMALL_STATE(954)] = 44285,
  [SMALL_STATE(955)] = 44347,
  [SMALL_STATE(956)] = 44409,
  [SMALL_STATE(957)] = 44471,
  [SMALL_STATE(958)] = 44533,
  [SMALL_STATE(959)] = 44595,
  [SMALL_STATE(960)] = 44657,
  [SMALL_STATE(961)] = 44719,
  [SMALL_STATE(962)] = 44781,
  [SMALL_STATE(963)] = 44843,
  [SMALL_STATE(964)] = 44905,
  [SMALL_STATE(965)] = 44967,
  [SMALL_STATE(966)] = 45029,
  [SMALL_STATE(967)] = 45091,
  [SMALL_STATE(968)] = 45153,
  [SMALL_STATE(969)] = 45215,
  [SMALL_STATE(970)] = 45277,
  [SMALL_STATE(971)] = 45339,
  [SMALL_STATE(972)] = 45401,
  [SMALL_STATE(973)] = 45463,
  [SMALL_STATE(974)] = 45525,
  [SMALL_STATE(975)] = 45587,
  [SMALL_STATE(976)] = 45649,
  [SMALL_STATE(977)] = 45711,
  [SMALL_STATE(978)] = 45773,
  [SMALL_STATE(979)] = 45835,
  [SMALL_STATE(980)] = 45897,
  [SMALL_STATE(981)] = 45959,
  [SMALL_STATE(982)] = 46021,
  [SMALL_STATE(983)] = 46083,
  [SMALL_STATE(984)] = 46145,
  [SMALL_STATE(985)] = 46207,
  [SMALL_STATE(986)] = 46269,
  [SMALL_STATE(987)] = 46331,
  [SMALL_STATE(988)] = 46393,
  [SMALL_STATE(989)] = 46455,
  [SMALL_STATE(990)] = 46517,
  [SMALL_STATE(991)] = 46579,
  [SMALL_STATE(992)] = 46641,
  [SMALL_STATE(993)] = 46703,
  [SMALL_STATE(994)] = 46765,
  [SMALL_STATE(995)] = 46827,
  [SMALL_STATE(996)] = 46889,
  [SMALL_STATE(997)] = 46951,
  [SMALL_STATE(998)] = 47013,
  [SMALL_STATE(999)] = 47075,
  [SMALL_STATE(1000)] = 47137,
  [SMALL_STATE(1001)] = 47199,
  [SMALL_STATE(1002)] = 47261,
  [SMALL_STATE(1003)] = 47323,
  [SMALL_STATE(1004)] = 47385,
  [SMALL_STATE(1005)] = 47447,
  [SMALL_STATE(1006)] = 47509,
  [SMALL_STATE(1007)] = 47571,
  [SMALL_STATE(1008)] = 47633,
  [SMALL_STATE(1009)] = 47695,
  [SMALL_STATE(1010)] = 47757,
  [SMALL_STATE(1011)] = 47819,
  [SMALL_STATE(1012)] = 47881,
  [SMALL_STATE(1013)] = 47943,
  [SMALL_STATE(1014)] = 48005,
  [SMALL_STATE(1015)] = 48067,
  [SMALL_STATE(1016)] = 48129,
  [SMALL_STATE(1017)] = 48191,
  [SMALL_STATE(1018)] = 48253,
  [SMALL_STATE(1019)] = 48315,
  [SMALL_STATE(1020)] = 48377,
  [SMALL_STATE(1021)] = 48439,
  [SMALL_STATE(1022)] = 48501,
  [SMALL_STATE(1023)] = 48563,
  [SMALL_STATE(1024)] = 48625,
  [SMALL_STATE(1025)] = 48687,
  [SMALL_STATE(1026)] = 48749,
  [SMALL_STATE(1027)] = 48811,
  [SMALL_STATE(1028)] = 48873,
  [SMALL_STATE(1029)] = 48935,
  [SMALL_STATE(1030)] = 48997,
  [SMALL_STATE(1031)] = 49059,
  [SMALL_STATE(1032)] = 49121,
  [SMALL_STATE(1033)] = 49183,
  [SMALL_STATE(1034)] = 49245,
  [SMALL_STATE(1035)] = 49307,
  [SMALL_STATE(1036)] = 49369,
  [SMALL_STATE(1037)] = 49431,
  [SMALL_STATE(1038)] = 49493,
  [SMALL_STATE(1039)] = 49555,
  [SMALL_STATE(1040)] = 49617,
  [SMALL_STATE(1041)] = 49679,
  [SMALL_STATE(1042)] = 49743,
  [SMALL_STATE(1043)] = 49805,
  [SMALL_STATE(1044)] = 49867,
  [SMALL_STATE(1045)] = 49929,
  [SMALL_STATE(1046)] = 49991,
  [SMALL_STATE(1047)] = 50053,
  [SMALL_STATE(1048)] = 50115,
  [SMALL_STATE(1049)] = 50177,
  [SMALL_STATE(1050)] = 50239,
  [SMALL_STATE(1051)] = 50301,
  [SMALL_STATE(1052)] = 50363,
  [SMALL_STATE(1053)] = 50425,
  [SMALL_STATE(1054)] = 50487,
  [SMALL_STATE(1055)] = 50549,
  [SMALL_STATE(1056)] = 50611,
  [SMALL_STATE(1057)] = 50673,
  [SMALL_STATE(1058)] = 50735,
  [SMALL_STATE(1059)] = 50797,
  [SMALL_STATE(1060)] = 50859,
  [SMALL_STATE(1061)] = 50921,
  [SMALL_STATE(1062)] = 50983,
  [SMALL_STATE(1063)] = 51045,
  [SMALL_STATE(1064)] = 51107,
  [SMALL_STATE(1065)] = 51169,
  [SMALL_STATE(1066)] = 51231,
  [SMALL_STATE(1067)] = 51293,
  [SMALL_STATE(1068)] = 51355,
  [SMALL_STATE(1069)] = 51417,
  [SMALL_STATE(1070)] = 51479,
  [SMALL_STATE(1071)] = 51541,
  [SMALL_STATE(1072)] = 51603,
  [SMALL_STATE(1073)] = 51665,
  [SMALL_STATE(1074)] = 51727,
  [SMALL_STATE(1075)] = 51789,
  [SMALL_STATE(1076)] = 51851,
  [SMALL_STATE(1077)] = 51913,
  [SMALL_STATE(1078)] = 51975,
  [SMALL_STATE(1079)] = 52037,
  [SMALL_STATE(1080)] = 52099,
  [SMALL_STATE(1081)] = 52161,
  [SMALL_STATE(1082)] = 52223,
  [SMALL_STATE(1083)] = 52285,
  [SMALL_STATE(1084)] = 52347,
  [SMALL_STATE(1085)] = 52409,
  [SMALL_STATE(1086)] = 52471,
  [SMALL_STATE(1087)] = 52533,
  [SMALL_STATE(1088)] = 52595,
  [SMALL_STATE(1089)] = 52657,
  [SMALL_STATE(1090)] = 52719,
  [SMALL_STATE(1091)] = 52781,
  [SMALL_STATE(1092)] = 52843,
  [SMALL_STATE(1093)] = 52905,
  [SMALL_STATE(1094)] = 52967,
  [SMALL_STATE(1095)] = 53029,
  [SMALL_STATE(1096)] = 53091,
  [SMALL_STATE(1097)] = 53153,
  [SMALL_STATE(1098)] = 53215,
  [SMALL_STATE(1099)] = 53277,
  [SMALL_STATE(1100)] = 53339,
  [SMALL_STATE(1101)] = 53401,
  [SMALL_STATE(1102)] = 53463,
  [SMALL_STATE(1103)] = 53525,
  [SMALL_STATE(1104)] = 53587,
  [SMALL_STATE(1105)] = 53649,
  [SMALL_STATE(1106)] = 53711,
  [SMALL_STATE(1107)] = 53773,
  [SMALL_STATE(1108)] = 53835,
  [SMALL_STATE(1109)] = 53897,
  [SMALL_STATE(1110)] = 53959,
  [SMALL_STATE(1111)] = 54021,
  [SMALL_STATE(1112)] = 54083,
  [SMALL_STATE(1113)] = 54145,
  [SMALL_STATE(1114)] = 54207,
  [SMALL_STATE(1115)] = 54269,
  [SMALL_STATE(1116)] = 54331,
  [SMALL_STATE(1117)] = 54393,
  [SMALL_STATE(1118)] = 54455,
  [SMALL_STATE(1119)] = 54517,
  [SMALL_STATE(1120)] = 54581,
  [SMALL_STATE(1121)] = 54643,
  [SMALL_STATE(1122)] = 54705,
  [SMALL_STATE(1123)] = 54767,
  [SMALL_STATE(1124)] = 54829,
  [SMALL_STATE(1125)] = 54891,
  [SMALL_STATE(1126)] = 54953,
  [SMALL_STATE(1127)] = 55015,
  [SMALL_STATE(1128)] = 55077,
  [SMALL_STATE(1129)] = 55139,
  [SMALL_STATE(1130)] = 55201,
  [SMALL_STATE(1131)] = 55263,
  [SMALL_STATE(1132)] = 55325,
  [SMALL_STATE(1133)] = 55387,
  [SMALL_STATE(1134)] = 55449,
  [SMALL_STATE(1135)] = 55511,
  [SMALL_STATE(1136)] = 55573,
  [SMALL_STATE(1137)] = 55635,
  [SMALL_STATE(1138)] = 55697,
  [SMALL_STATE(1139)] = 55759,
  [SMALL_STATE(1140)] = 55821,
  [SMALL_STATE(1141)] = 55883,
  [SMALL_STATE(1142)] = 55947,
  [SMALL_STATE(1143)] = 56009,
  [SMALL_STATE(1144)] = 56071,
  [SMALL_STATE(1145)] = 56133,
  [SMALL_STATE(1146)] = 56195,
  [SMALL_STATE(1147)] = 56257,
  [SMALL_STATE(1148)] = 56319,
  [SMALL_STATE(1149)] = 56381,
  [SMALL_STATE(1150)] = 56443,
  [SMALL_STATE(1151)] = 56505,
  [SMALL_STATE(1152)] = 56569,
  [SMALL_STATE(1153)] = 56631,
  [SMALL_STATE(1154)] = 56693,
  [SMALL_STATE(1155)] = 56757,
  [SMALL_STATE(1156)] = 56819,
  [SMALL_STATE(1157)] = 56881,
  [SMALL_STATE(1158)] = 56943,
  [SMALL_STATE(1159)] = 57005,
  [SMALL_STATE(1160)] = 57067,
  [SMALL_STATE(1161)] = 57129,
  [SMALL_STATE(1162)] = 57191,
  [SMALL_STATE(1163)] = 57253,
  [SMALL_STATE(1164)] = 57315,
  [SMALL_STATE(1165)] = 57377,
  [SMALL_STATE(1166)] = 57439,
  [SMALL_STATE(1167)] = 57501,
  [SMALL_STATE(1168)] = 57563,
  [SMALL_STATE(1169)] = 57625,
  [SMALL_STATE(1170)] = 57687,
  [SMALL_STATE(1171)] = 57749,
  [SMALL_STATE(1172)] = 57811,
  [SMALL_STATE(1173)] = 57873,
  [SMALL_STATE(1174)] = 57935,
  [SMALL_STATE(1175)] = 57997,
  [SMALL_STATE(1176)] = 58059,
  [SMALL_STATE(1177)] = 58121,
  [SMALL_STATE(1178)] = 58183,
  [SMALL_STATE(1179)] = 58245,
  [SMALL_STATE(1180)] = 58307,
  [SMALL_STATE(1181)] = 58369,
  [SMALL_STATE(1182)] = 58431,
  [SMALL_STATE(1183)] = 58493,
  [SMALL_STATE(1184)] = 58555,
  [SMALL_STATE(1185)] = 58617,
  [SMALL_STATE(1186)] = 58679,
  [SMALL_STATE(1187)] = 58741,
  [SMALL_STATE(1188)] = 58803,
  [SMALL_STATE(1189)] = 58865,
  [SMALL_STATE(1190)] = 58927,
  [SMALL_STATE(1191)] = 58989,
  [SMALL_STATE(1192)] = 59051,
  [SMALL_STATE(1193)] = 59113,
  [SMALL_STATE(1194)] = 59175,
  [SMALL_STATE(1195)] = 59237,
  [SMALL_STATE(1196)] = 59299,
  [SMALL_STATE(1197)] = 59361,
  [SMALL_STATE(1198)] = 59423,
  [SMALL_STATE(1199)] = 59485,
  [SMALL_STATE(1200)] = 59547,
  [SMALL_STATE(1201)] = 59609,
  [SMALL_STATE(1202)] = 59671,
  [SMALL_STATE(1203)] = 59733,
  [SMALL_STATE(1204)] = 59795,
  [SMALL_STATE(1205)] = 59857,
  [SMALL_STATE(1206)] = 59919,
  [SMALL_STATE(1207)] = 59981,
  [SMALL_STATE(1208)] = 60043,
  [SMALL_STATE(1209)] = 60105,
  [SMALL_STATE(1210)] = 60167,
  [SMALL_STATE(1211)] = 60229,
  [SMALL_STATE(1212)] = 60291,
  [SMALL_STATE(1213)] = 60353,
  [SMALL_STATE(1214)] = 60415,
  [SMALL_STATE(1215)] = 60477,
  [SMALL_STATE(1216)] = 60539,
  [SMALL_STATE(1217)] = 60601,
  [SMALL_STATE(1218)] = 60663,
  [SMALL_STATE(1219)] = 60725,
  [SMALL_STATE(1220)] = 60787,
  [SMALL_STATE(1221)] = 60849,
  [SMALL_STATE(1222)] = 60911,
  [SMALL_STATE(1223)] = 60973,
  [SMALL_STATE(1224)] = 61035,
  [SMALL_STATE(1225)] = 61099,
  [SMALL_STATE(1226)] = 61161,
  [SMALL_STATE(1227)] = 61223,
  [SMALL_STATE(1228)] = 61285,
  [SMALL_STATE(1229)] = 61347,
  [SMALL_STATE(1230)] = 61409,
  [SMALL_STATE(1231)] = 61471,
  [SMALL_STATE(1232)] = 61533,
  [SMALL_STATE(1233)] = 61595,
  [SMALL_STATE(1234)] = 61657,
  [SMALL_STATE(1235)] = 61719,
  [SMALL_STATE(1236)] = 61781,
  [SMALL_STATE(1237)] = 61843,
  [SMALL_STATE(1238)] = 61907,
  [SMALL_STATE(1239)] = 61969,
  [SMALL_STATE(1240)] = 62031,
  [SMALL_STATE(1241)] = 62093,
  [SMALL_STATE(1242)] = 62155,
  [SMALL_STATE(1243)] = 62217,
  [SMALL_STATE(1244)] = 62279,
  [SMALL_STATE(1245)] = 62341,
  [SMALL_STATE(1246)] = 62403,
  [SMALL_STATE(1247)] = 62465,
  [SMALL_STATE(1248)] = 62527,
  [SMALL_STATE(1249)] = 62589,
  [SMALL_STATE(1250)] = 62651,
  [SMALL_STATE(1251)] = 62713,
  [SMALL_STATE(1252)] = 62775,
  [SMALL_STATE(1253)] = 62837,
  [SMALL_STATE(1254)] = 62901,
  [SMALL_STATE(1255)] = 62963,
  [SMALL_STATE(1256)] = 63025,
  [SMALL_STATE(1257)] = 63087,
  [SMALL_STATE(1258)] = 63149,
  [SMALL_STATE(1259)] = 63211,
  [SMALL_STATE(1260)] = 63273,
  [SMALL_STATE(1261)] = 63335,
  [SMALL_STATE(1262)] = 63397,
  [SMALL_STATE(1263)] = 63459,
  [SMALL_STATE(1264)] = 63521,
  [SMALL_STATE(1265)] = 63583,
  [SMALL_STATE(1266)] = 63645,
  [SMALL_STATE(1267)] = 63707,
  [SMALL_STATE(1268)] = 63771,
  [SMALL_STATE(1269)] = 63835,
  [SMALL_STATE(1270)] = 63897,
  [SMALL_STATE(1271)] = 63961,
  [SMALL_STATE(1272)] = 64023,
  [SMALL_STATE(1273)] = 64087,
  [SMALL_STATE(1274)] = 64149,
  [SMALL_STATE(1275)] = 64211,
  [SMALL_STATE(1276)] = 64272,
  [SMALL_STATE(1277)] = 64333,
  [SMALL_STATE(1278)] = 64394,
  [SMALL_STATE(1279)] = 64455,
  [SMALL_STATE(1280)] = 64516,
  [SMALL_STATE(1281)] = 64577,
  [SMALL_STATE(1282)] = 64638,
  [SMALL_STATE(1283)] = 64699,
  [SMALL_STATE(1284)] = 64760,
  [SMALL_STATE(1285)] = 64821,
  [SMALL_STATE(1286)] = 64882,
  [SMALL_STATE(1287)] = 64943,
  [SMALL_STATE(1288)] = 64990,
  [SMALL_STATE(1289)] = 65051,
  [SMALL_STATE(1290)] = 65112,
  [SMALL_STATE(1291)] = 65173,
  [SMALL_STATE(1292)] = 65234,
  [SMALL_STATE(1293)] = 65295,
  [SMALL_STATE(1294)] = 65356,
  [SMALL_STATE(1295)] = 65417,
  [SMALL_STATE(1296)] = 65478,
  [SMALL_STATE(1297)] = 65514,
  [SMALL_STATE(1298)] = 65558,
  [SMALL_STATE(1299)] = 65602,
  [SMALL_STATE(1300)] = 65645,
  [SMALL_STATE(1301)] = 65682,
  [SMALL_STATE(1302)] = 65719,
  [SMALL_STATE(1303)] = 65756,
  [SMALL_STATE(1304)] = 65799,
  [SMALL_STATE(1305)] = 65844,
  [SMALL_STATE(1306)] = 65893,
  [SMALL_STATE(1307)] = 65942,
  [SMALL_STATE(1308)] = 65991,
  [SMALL_STATE(1309)] = 66028,
  [SMALL_STATE(1310)] = 66077,
  [SMALL_STATE(1311)] = 66120,
  [SMALL_STATE(1312)] = 66157,
  [SMALL_STATE(1313)] = 66194,
  [SMALL_STATE(1314)] = 66229,
  [SMALL_STATE(1315)] = 66266,
  [SMALL_STATE(1316)] = 66315,
  [SMALL_STATE(1317)] = 66352,
  [SMALL_STATE(1318)] = 66389,
  [SMALL_STATE(1319)] = 66438,
  [SMALL_STATE(1320)] = 66487,
  [SMALL_STATE(1321)] = 66536,
  [SMALL_STATE(1322)] = 66573,
  [SMALL_STATE(1323)] = 66608,
  [SMALL_STATE(1324)] = 66651,
  [SMALL_STATE(1325)] = 66694,
  [SMALL_STATE(1326)] = 66740,
  [SMALL_STATE(1327)] = 66772,
  [SMALL_STATE(1328)] = 66808,
  [SMALL_STATE(1329)] = 66840,
  [SMALL_STATE(1330)] = 66872,
  [SMALL_STATE(1331)] = 66920,
  [SMALL_STATE(1332)] = 66974,
  [SMALL_STATE(1333)] = 67020,
  [SMALL_STATE(1334)] = 67056,
  [SMALL_STATE(1335)] = 67092,
  [SMALL_STATE(1336)] = 67124,
  [SMALL_STATE(1337)] = 67170,
  [SMALL_STATE(1338)] = 67202,
  [SMALL_STATE(1339)] = 67238,
  [SMALL_STATE(1340)] = 67270,
  [SMALL_STATE(1341)] = 67306,
  [SMALL_STATE(1342)] = 67338,
  [SMALL_STATE(1343)] = 67374,
  [SMALL_STATE(1344)] = 67408,
  [SMALL_STATE(1345)] = 67440,
  [SMALL_STATE(1346)] = 67472,
  [SMALL_STATE(1347)] = 67518,
  [SMALL_STATE(1348)] = 67550,
  [SMALL_STATE(1349)] = 67586,
  [SMALL_STATE(1350)] = 67640,
  [SMALL_STATE(1351)] = 67672,
  [SMALL_STATE(1352)] = 67704,
  [SMALL_STATE(1353)] = 67736,
  [SMALL_STATE(1354)] = 67768,
  [SMALL_STATE(1355)] = 67804,
  [SMALL_STATE(1356)] = 67836,
  [SMALL_STATE(1357)] = 67868,
  [SMALL_STATE(1358)] = 67904,
  [SMALL_STATE(1359)] = 67936,
  [SMALL_STATE(1360)] = 67968,
  [SMALL_STATE(1361)] = 68000,
  [SMALL_STATE(1362)] = 68032,
  [SMALL_STATE(1363)] = 68064,
  [SMALL_STATE(1364)] = 68100,
  [SMALL_STATE(1365)] = 68132,
  [SMALL_STATE(1366)] = 68164,
  [SMALL_STATE(1367)] = 68196,
  [SMALL_STATE(1368)] = 68244,
  [SMALL_STATE(1369)] = 68276,
  [SMALL_STATE(1370)] = 68308,
  [SMALL_STATE(1371)] = 68362,
  [SMALL_STATE(1372)] = 68398,
  [SMALL_STATE(1373)] = 68429,
  [SMALL_STATE(1374)] = 68464,
  [SMALL_STATE(1375)] = 68495,
  [SMALL_STATE(1376)] = 68526,
  [SMALL_STATE(1377)] = 68557,
  [SMALL_STATE(1378)] = 68588,
  [SMALL_STATE(1379)] = 68619,
  [SMALL_STATE(1380)] = 68654,
  [SMALL_STATE(1381)] = 68689,
  [SMALL_STATE(1382)] = 68724,
  [SMALL_STATE(1383)] = 68755,
  [SMALL_STATE(1384)] = 68788,
  [SMALL_STATE(1385)] = 68821,
  [SMALL_STATE(1386)] = 68852,
  [SMALL_STATE(1387)] = 68883,
  [SMALL_STATE(1388)] = 68914,
  [SMALL_STATE(1389)] = 68949,
  [SMALL_STATE(1390)] = 69006,
  [SMALL_STATE(1391)] = 69037,
  [SMALL_STATE(1392)] = 69068,
  [SMALL_STATE(1393)] = 69099,
  [SMALL_STATE(1394)] = 69130,
  [SMALL_STATE(1395)] = 69161,
  [SMALL_STATE(1396)] = 69196,
  [SMALL_STATE(1397)] = 69227,
  [SMALL_STATE(1398)] = 69258,
  [SMALL_STATE(1399)] = 69289,
  [SMALL_STATE(1400)] = 69320,
  [SMALL_STATE(1401)] = 69351,
  [SMALL_STATE(1402)] = 69382,
  [SMALL_STATE(1403)] = 69413,
  [SMALL_STATE(1404)] = 69444,
  [SMALL_STATE(1405)] = 69479,
  [SMALL_STATE(1406)] = 69510,
  [SMALL_STATE(1407)] = 69541,
  [SMALL_STATE(1408)] = 69572,
  [SMALL_STATE(1409)] = 69603,
  [SMALL_STATE(1410)] = 69634,
  [SMALL_STATE(1411)] = 69665,
  [SMALL_STATE(1412)] = 69696,
  [SMALL_STATE(1413)] = 69727,
  [SMALL_STATE(1414)] = 69758,
  [SMALL_STATE(1415)] = 69789,
  [SMALL_STATE(1416)] = 69820,
  [SMALL_STATE(1417)] = 69851,
  [SMALL_STATE(1418)] = 69882,
  [SMALL_STATE(1419)] = 69913,
  [SMALL_STATE(1420)] = 69948,
  [SMALL_STATE(1421)] = 69979,
  [SMALL_STATE(1422)] = 70010,
  [SMALL_STATE(1423)] = 70041,
  [SMALL_STATE(1424)] = 70072,
  [SMALL_STATE(1425)] = 70103,
  [SMALL_STATE(1426)] = 70136,
  [SMALL_STATE(1427)] = 70167,
  [SMALL_STATE(1428)] = 70198,
  [SMALL_STATE(1429)] = 70229,
  [SMALL_STATE(1430)] = 70260,
  [SMALL_STATE(1431)] = 70291,
  [SMALL_STATE(1432)] = 70322,
  [SMALL_STATE(1433)] = 70353,
  [SMALL_STATE(1434)] = 70384,
  [SMALL_STATE(1435)] = 70441,
  [SMALL_STATE(1436)] = 70476,
  [SMALL_STATE(1437)] = 70507,
  [SMALL_STATE(1438)] = 70542,
  [SMALL_STATE(1439)] = 70573,
  [SMALL_STATE(1440)] = 70608,
  [SMALL_STATE(1441)] = 70639,
  [SMALL_STATE(1442)] = 70674,
  [SMALL_STATE(1443)] = 70705,
  [SMALL_STATE(1444)] = 70740,
  [SMALL_STATE(1445)] = 70771,
  [SMALL_STATE(1446)] = 70802,
  [SMALL_STATE(1447)] = 70833,
  [SMALL_STATE(1448)] = 70864,
  [SMALL_STATE(1449)] = 70895,
  [SMALL_STATE(1450)] = 70926,
  [SMALL_STATE(1451)] = 70983,
  [SMALL_STATE(1452)] = 71014,
  [SMALL_STATE(1453)] = 71045,
  [SMALL_STATE(1454)] = 71076,
  [SMALL_STATE(1455)] = 71111,
  [SMALL_STATE(1456)] = 71142,
  [SMALL_STATE(1457)] = 71199,
  [SMALL_STATE(1458)] = 71256,
  [SMALL_STATE(1459)] = 71289,
  [SMALL_STATE(1460)] = 71320,
  [SMALL_STATE(1461)] = 71355,
  [SMALL_STATE(1462)] = 71386,
  [SMALL_STATE(1463)] = 71417,
  [SMALL_STATE(1464)] = 71448,
  [SMALL_STATE(1465)] = 71483,
  [SMALL_STATE(1466)] = 71540,
  [SMALL_STATE(1467)] = 71597,
  [SMALL_STATE(1468)] = 71654,
  [SMALL_STATE(1469)] = 71689,
  [SMALL_STATE(1470)] = 71720,
  [SMALL_STATE(1471)] = 71751,
  [SMALL_STATE(1472)] = 71784,
  [SMALL_STATE(1473)] = 71816,
  [SMALL_STATE(1474)] = 71868,
  [SMALL_STATE(1475)] = 71900,
  [SMALL_STATE(1476)] = 71932,
  [SMALL_STATE(1477)] = 71962,
  [SMALL_STATE(1478)] = 71992,
  [SMALL_STATE(1479)] = 72022,
  [SMALL_STATE(1480)] = 72052,
  [SMALL_STATE(1481)] = 72084,
  [SMALL_STATE(1482)] = 72114,
  [SMALL_STATE(1483)] = 72166,
  [SMALL_STATE(1484)] = 72218,
  [SMALL_STATE(1485)] = 72248,
  [SMALL_STATE(1486)] = 72300,
  [SMALL_STATE(1487)] = 72332,
  [SMALL_STATE(1488)] = 72362,
  [SMALL_STATE(1489)] = 72392,
  [SMALL_STATE(1490)] = 72424,
  [SMALL_STATE(1491)] = 72454,
  [SMALL_STATE(1492)] = 72484,
  [SMALL_STATE(1493)] = 72514,
  [SMALL_STATE(1494)] = 72544,
  [SMALL_STATE(1495)] = 72596,
  [SMALL_STATE(1496)] = 72626,
  [SMALL_STATE(1497)] = 72658,
  [SMALL_STATE(1498)] = 72688,
  [SMALL_STATE(1499)] = 72718,
  [SMALL_STATE(1500)] = 72748,
  [SMALL_STATE(1501)] = 72778,
  [SMALL_STATE(1502)] = 72830,
  [SMALL_STATE(1503)] = 72860,
  [SMALL_STATE(1504)] = 72892,
  [SMALL_STATE(1505)] = 72922,
  [SMALL_STATE(1506)] = 72952,
  [SMALL_STATE(1507)] = 72984,
  [SMALL_STATE(1508)] = 73014,
  [SMALL_STATE(1509)] = 73044,
  [SMALL_STATE(1510)] = 73074,
  [SMALL_STATE(1511)] = 73104,
  [SMALL_STATE(1512)] = 73134,
  [SMALL_STATE(1513)] = 73164,
  [SMALL_STATE(1514)] = 73216,
  [SMALL_STATE(1515)] = 73248,
  [SMALL_STATE(1516)] = 73278,
  [SMALL_STATE(1517)] = 73310,
  [SMALL_STATE(1518)] = 73342,
  [SMALL_STATE(1519)] = 73374,
  [SMALL_STATE(1520)] = 73404,
  [SMALL_STATE(1521)] = 73434,
  [SMALL_STATE(1522)] = 73466,
  [SMALL_STATE(1523)] = 73518,
  [SMALL_STATE(1524)] = 73550,
  [SMALL_STATE(1525)] = 73582,
  [SMALL_STATE(1526)] = 73614,
  [SMALL_STATE(1527)] = 73646,
  [SMALL_STATE(1528)] = 73676,
  [SMALL_STATE(1529)] = 73706,
  [SMALL_STATE(1530)] = 73736,
  [SMALL_STATE(1531)] = 73766,
  [SMALL_STATE(1532)] = 73818,
  [SMALL_STATE(1533)] = 73848,
  [SMALL_STATE(1534)] = 73880,
  [SMALL_STATE(1535)] = 73910,
  [SMALL_STATE(1536)] = 73940,
  [SMALL_STATE(1537)] = 73970,
  [SMALL_STATE(1538)] = 74000,
  [SMALL_STATE(1539)] = 74030,
  [SMALL_STATE(1540)] = 74082,
  [SMALL_STATE(1541)] = 74112,
  [SMALL_STATE(1542)] = 74164,
  [SMALL_STATE(1543)] = 74194,
  [SMALL_STATE(1544)] = 74224,
  [SMALL_STATE(1545)] = 74258,
  [SMALL_STATE(1546)] = 74310,
  [SMALL_STATE(1547)] = 74340,
  [SMALL_STATE(1548)] = 74370,
  [SMALL_STATE(1549)] = 74422,
  [SMALL_STATE(1550)] = 74454,
  [SMALL_STATE(1551)] = 74484,
  [SMALL_STATE(1552)] = 74514,
  [SMALL_STATE(1553)] = 74544,
  [SMALL_STATE(1554)] = 74574,
  [SMALL_STATE(1555)] = 74606,
  [SMALL_STATE(1556)] = 74636,
  [SMALL_STATE(1557)] = 74666,
  [SMALL_STATE(1558)] = 74698,
  [SMALL_STATE(1559)] = 74730,
  [SMALL_STATE(1560)] = 74782,
  [SMALL_STATE(1561)] = 74812,
  [SMALL_STATE(1562)] = 74842,
  [SMALL_STATE(1563)] = 74874,
  [SMALL_STATE(1564)] = 74904,
  [SMALL_STATE(1565)] = 74936,
  [SMALL_STATE(1566)] = 74988,
  [SMALL_STATE(1567)] = 75020,
  [SMALL_STATE(1568)] = 75048,
  [SMALL_STATE(1569)] = 75090,
  [SMALL_STATE(1570)] = 75120,
  [SMALL_STATE(1571)] = 75149,
  [SMALL_STATE(1572)] = 75182,
  [SMALL_STATE(1573)] = 75211,
  [SMALL_STATE(1574)] = 75240,
  [SMALL_STATE(1575)] = 75267,
  [SMALL_STATE(1576)] = 75300,
  [SMALL_STATE(1577)] = 75349,
  [SMALL_STATE(1578)] = 75378,
  [SMALL_STATE(1579)] = 75407,
  [SMALL_STATE(1580)] = 75436,
  [SMALL_STATE(1581)] = 75465,
  [SMALL_STATE(1582)] = 75494,
  [SMALL_STATE(1583)] = 75527,
  [SMALL_STATE(1584)] = 75560,
  [SMALL_STATE(1585)] = 75589,
  [SMALL_STATE(1586)] = 75618,
  [SMALL_STATE(1587)] = 75667,
  [SMALL_STATE(1588)] = 75716,
  [SMALL_STATE(1589)] = 75745,
  [SMALL_STATE(1590)] = 75774,
  [SMALL_STATE(1591)] = 75803,
  [SMALL_STATE(1592)] = 75832,
  [SMALL_STATE(1593)] = 75865,
  [SMALL_STATE(1594)] = 75898,
  [SMALL_STATE(1595)] = 75927,
  [SMALL_STATE(1596)] = 75960,
  [SMALL_STATE(1597)] = 75993,
  [SMALL_STATE(1598)] = 76022,
  [SMALL_STATE(1599)] = 76051,
  [SMALL_STATE(1600)] = 76084,
  [SMALL_STATE(1601)] = 76113,
  [SMALL_STATE(1602)] = 76146,
  [SMALL_STATE(1603)] = 76175,
  [SMALL_STATE(1604)] = 76224,
  [SMALL_STATE(1605)] = 76253,
  [SMALL_STATE(1606)] = 76282,
  [SMALL_STATE(1607)] = 76315,
  [SMALL_STATE(1608)] = 76344,
  [SMALL_STATE(1609)] = 76375,
  [SMALL_STATE(1610)] = 76406,
  [SMALL_STATE(1611)] = 76435,
  [SMALL_STATE(1612)] = 76464,
  [SMALL_STATE(1613)] = 76493,
  [SMALL_STATE(1614)] = 76522,
  [SMALL_STATE(1615)] = 76571,
  [SMALL_STATE(1616)] = 76604,
  [SMALL_STATE(1617)] = 76633,
  [SMALL_STATE(1618)] = 76662,
  [SMALL_STATE(1619)] = 76691,
  [SMALL_STATE(1620)] = 76720,
  [SMALL_STATE(1621)] = 76747,
  [SMALL_STATE(1622)] = 76776,
  [SMALL_STATE(1623)] = 76825,
  [SMALL_STATE(1624)] = 76874,
  [SMALL_STATE(1625)] = 76907,
  [SMALL_STATE(1626)] = 76956,
  [SMALL_STATE(1627)] = 76985,
  [SMALL_STATE(1628)] = 77014,
  [SMALL_STATE(1629)] = 77043,
  [SMALL_STATE(1630)] = 77074,
  [SMALL_STATE(1631)] = 77103,
  [SMALL_STATE(1632)] = 77132,
  [SMALL_STATE(1633)] = 77181,
  [SMALL_STATE(1634)] = 77210,
  [SMALL_STATE(1635)] = 77243,
  [SMALL_STATE(1636)] = 77272,
  [SMALL_STATE(1637)] = 77321,
  [SMALL_STATE(1638)] = 77350,
  [SMALL_STATE(1639)] = 77379,
  [SMALL_STATE(1640)] = 77428,
  [SMALL_STATE(1641)] = 77477,
  [SMALL_STATE(1642)] = 77508,
  [SMALL_STATE(1643)] = 77541,
  [SMALL_STATE(1644)] = 77570,
  [SMALL_STATE(1645)] = 77599,
  [SMALL_STATE(1646)] = 77648,
  [SMALL_STATE(1647)] = 77677,
  [SMALL_STATE(1648)] = 77704,
  [SMALL_STATE(1649)] = 77737,
  [SMALL_STATE(1650)] = 77770,
  [SMALL_STATE(1651)] = 77797,
  [SMALL_STATE(1652)] = 77826,
  [SMALL_STATE(1653)] = 77875,
  [SMALL_STATE(1654)] = 77904,
  [SMALL_STATE(1655)] = 77937,
  [SMALL_STATE(1656)] = 77986,
  [SMALL_STATE(1657)] = 78035,
  [SMALL_STATE(1658)] = 78064,
  [SMALL_STATE(1659)] = 78093,
  [SMALL_STATE(1660)] = 78126,
  [SMALL_STATE(1661)] = 78159,
  [SMALL_STATE(1662)] = 78188,
  [SMALL_STATE(1663)] = 78236,
  [SMALL_STATE(1664)] = 78268,
  [SMALL_STATE(1665)] = 78316,
  [SMALL_STATE(1666)] = 78362,
  [SMALL_STATE(1667)] = 78410,
  [SMALL_STATE(1668)] = 78458,
  [SMALL_STATE(1669)] = 78506,
  [SMALL_STATE(1670)] = 78554,
  [SMALL_STATE(1671)] = 78602,
  [SMALL_STATE(1672)] = 78650,
  [SMALL_STATE(1673)] = 78678,
  [SMALL_STATE(1674)] = 78726,
  [SMALL_STATE(1675)] = 78758,
  [SMALL_STATE(1676)] = 78786,
  [SMALL_STATE(1677)] = 78814,
  [SMALL_STATE(1678)] = 78842,
  [SMALL_STATE(1679)] = 78870,
  [SMALL_STATE(1680)] = 78898,
  [SMALL_STATE(1681)] = 78946,
  [SMALL_STATE(1682)] = 78974,
  [SMALL_STATE(1683)] = 79022,
  [SMALL_STATE(1684)] = 79050,
  [SMALL_STATE(1685)] = 79098,
  [SMALL_STATE(1686)] = 79146,
  [SMALL_STATE(1687)] = 79174,
  [SMALL_STATE(1688)] = 79222,
  [SMALL_STATE(1689)] = 79250,
  [SMALL_STATE(1690)] = 79278,
  [SMALL_STATE(1691)] = 79306,
  [SMALL_STATE(1692)] = 79354,
  [SMALL_STATE(1693)] = 79382,
  [SMALL_STATE(1694)] = 79410,
  [SMALL_STATE(1695)] = 79438,
  [SMALL_STATE(1696)] = 79466,
  [SMALL_STATE(1697)] = 79494,
  [SMALL_STATE(1698)] = 79522,
  [SMALL_STATE(1699)] = 79550,
  [SMALL_STATE(1700)] = 79598,
  [SMALL_STATE(1701)] = 79646,
  [SMALL_STATE(1702)] = 79694,
  [SMALL_STATE(1703)] = 79722,
  [SMALL_STATE(1704)] = 79750,
  [SMALL_STATE(1705)] = 79778,
  [SMALL_STATE(1706)] = 79806,
  [SMALL_STATE(1707)] = 79854,
  [SMALL_STATE(1708)] = 79886,
  [SMALL_STATE(1709)] = 79934,
  [SMALL_STATE(1710)] = 79982,
  [SMALL_STATE(1711)] = 80030,
  [SMALL_STATE(1712)] = 80078,
  [SMALL_STATE(1713)] = 80126,
  [SMALL_STATE(1714)] = 80154,
  [SMALL_STATE(1715)] = 80202,
  [SMALL_STATE(1716)] = 80230,
  [SMALL_STATE(1717)] = 80258,
  [SMALL_STATE(1718)] = 80286,
  [SMALL_STATE(1719)] = 80314,
  [SMALL_STATE(1720)] = 80346,
  [SMALL_STATE(1721)] = 80394,
  [SMALL_STATE(1722)] = 80422,
  [SMALL_STATE(1723)] = 80450,
  [SMALL_STATE(1724)] = 80498,
  [SMALL_STATE(1725)] = 80546,
  [SMALL_STATE(1726)] = 80574,
  [SMALL_STATE(1727)] = 80606,
  [SMALL_STATE(1728)] = 80654,
  [SMALL_STATE(1729)] = 80702,
  [SMALL_STATE(1730)] = 80750,
  [SMALL_STATE(1731)] = 80798,
  [SMALL_STATE(1732)] = 80826,
  [SMALL_STATE(1733)] = 80874,
  [SMALL_STATE(1734)] = 80902,
  [SMALL_STATE(1735)] = 80934,
  [SMALL_STATE(1736)] = 80962,
  [SMALL_STATE(1737)] = 80994,
  [SMALL_STATE(1738)] = 81022,
  [SMALL_STATE(1739)] = 81050,
  [SMALL_STATE(1740)] = 81078,
  [SMALL_STATE(1741)] = 81106,
  [SMALL_STATE(1742)] = 81138,
  [SMALL_STATE(1743)] = 81166,
  [SMALL_STATE(1744)] = 81194,
  [SMALL_STATE(1745)] = 81242,
  [SMALL_STATE(1746)] = 81270,
  [SMALL_STATE(1747)] = 81298,
  [SMALL_STATE(1748)] = 81326,
  [SMALL_STATE(1749)] = 81358,
  [SMALL_STATE(1750)] = 81390,
  [SMALL_STATE(1751)] = 81418,
  [SMALL_STATE(1752)] = 81446,
  [SMALL_STATE(1753)] = 81494,
  [SMALL_STATE(1754)] = 81522,
  [SMALL_STATE(1755)] = 81550,
  [SMALL_STATE(1756)] = 81598,
  [SMALL_STATE(1757)] = 81626,
  [SMALL_STATE(1758)] = 81654,
  [SMALL_STATE(1759)] = 81702,
  [SMALL_STATE(1760)] = 81730,
  [SMALL_STATE(1761)] = 81778,
  [SMALL_STATE(1762)] = 81810,
  [SMALL_STATE(1763)] = 81838,
  [SMALL_STATE(1764)] = 81866,
  [SMALL_STATE(1765)] = 81894,
  [SMALL_STATE(1766)] = 81922,
  [SMALL_STATE(1767)] = 81970,
  [SMALL_STATE(1768)] = 81998,
  [SMALL_STATE(1769)] = 82026,
  [SMALL_STATE(1770)] = 82054,
  [SMALL_STATE(1771)] = 82082,
  [SMALL_STATE(1772)] = 82130,
  [SMALL_STATE(1773)] = 82158,
  [SMALL_STATE(1774)] = 82186,
  [SMALL_STATE(1775)] = 82214,
  [SMALL_STATE(1776)] = 82262,
  [SMALL_STATE(1777)] = 82290,
  [SMALL_STATE(1778)] = 82318,
  [SMALL_STATE(1779)] = 82346,
  [SMALL_STATE(1780)] = 82378,
  [SMALL_STATE(1781)] = 82406,
  [SMALL_STATE(1782)] = 82454,
  [SMALL_STATE(1783)] = 82482,
  [SMALL_STATE(1784)] = 82530,
  [SMALL_STATE(1785)] = 82558,
  [SMALL_STATE(1786)] = 82586,
  [SMALL_STATE(1787)] = 82614,
  [SMALL_STATE(1788)] = 82662,
  [SMALL_STATE(1789)] = 82690,
  [SMALL_STATE(1790)] = 82718,
  [SMALL_STATE(1791)] = 82746,
  [SMALL_STATE(1792)] = 82774,
  [SMALL_STATE(1793)] = 82802,
  [SMALL_STATE(1794)] = 82830,
  [SMALL_STATE(1795)] = 82858,
  [SMALL_STATE(1796)] = 82886,
  [SMALL_STATE(1797)] = 82934,
  [SMALL_STATE(1798)] = 82962,
  [SMALL_STATE(1799)] = 82990,
  [SMALL_STATE(1800)] = 83022,
  [SMALL_STATE(1801)] = 83054,
  [SMALL_STATE(1802)] = 83102,
  [SMALL_STATE(1803)] = 83150,
  [SMALL_STATE(1804)] = 83198,
  [SMALL_STATE(1805)] = 83226,
  [SMALL_STATE(1806)] = 83274,
  [SMALL_STATE(1807)] = 83322,
  [SMALL_STATE(1808)] = 83370,
  [SMALL_STATE(1809)] = 83418,
  [SMALL_STATE(1810)] = 83464,
  [SMALL_STATE(1811)] = 83512,
  [SMALL_STATE(1812)] = 83560,
  [SMALL_STATE(1813)] = 83608,
  [SMALL_STATE(1814)] = 83653,
  [SMALL_STATE(1815)] = 83698,
  [SMALL_STATE(1816)] = 83743,
  [SMALL_STATE(1817)] = 83788,
  [SMALL_STATE(1818)] = 83833,
  [SMALL_STATE(1819)] = 83860,
  [SMALL_STATE(1820)] = 83887,
  [SMALL_STATE(1821)] = 83914,
  [SMALL_STATE(1822)] = 83959,
  [SMALL_STATE(1823)] = 84004,
  [SMALL_STATE(1824)] = 84049,
  [SMALL_STATE(1825)] = 84076,
  [SMALL_STATE(1826)] = 84103,
  [SMALL_STATE(1827)] = 84130,
  [SMALL_STATE(1828)] = 84157,
  [SMALL_STATE(1829)] = 84184,
  [SMALL_STATE(1830)] = 84229,
  [SMALL_STATE(1831)] = 84256,
  [SMALL_STATE(1832)] = 84283,
  [SMALL_STATE(1833)] = 84310,
  [SMALL_STATE(1834)] = 84337,
  [SMALL_STATE(1835)] = 84364,
  [SMALL_STATE(1836)] = 84391,
  [SMALL_STATE(1837)] = 84418,
  [SMALL_STATE(1838)] = 84445,
  [SMALL_STATE(1839)] = 84472,
  [SMALL_STATE(1840)] = 84499,
  [SMALL_STATE(1841)] = 84526,
  [SMALL_STATE(1842)] = 84553,
  [SMALL_STATE(1843)] = 84580,
  [SMALL_STATE(1844)] = 84625,
  [SMALL_STATE(1845)] = 84652,
  [SMALL_STATE(1846)] = 84697,
  [SMALL_STATE(1847)] = 84724,
  [SMALL_STATE(1848)] = 84751,
  [SMALL_STATE(1849)] = 84778,
  [SMALL_STATE(1850)] = 84823,
  [SMALL_STATE(1851)] = 84850,
  [SMALL_STATE(1852)] = 84877,
  [SMALL_STATE(1853)] = 84904,
  [SMALL_STATE(1854)] = 84931,
  [SMALL_STATE(1855)] = 84958,
  [SMALL_STATE(1856)] = 84985,
  [SMALL_STATE(1857)] = 85030,
  [SMALL_STATE(1858)] = 85057,
  [SMALL_STATE(1859)] = 85102,
  [SMALL_STATE(1860)] = 85147,
  [SMALL_STATE(1861)] = 85174,
  [SMALL_STATE(1862)] = 85219,
  [SMALL_STATE(1863)] = 85245,
  [SMALL_STATE(1864)] = 85277,
  [SMALL_STATE(1865)] = 85303,
  [SMALL_STATE(1866)] = 85335,
  [SMALL_STATE(1867)] = 85367,
  [SMALL_STATE(1868)] = 85409,
  [SMALL_STATE(1869)] = 85451,
  [SMALL_STATE(1870)] = 85483,
  [SMALL_STATE(1871)] = 85515,
  [SMALL_STATE(1872)] = 85547,
  [SMALL_STATE(1873)] = 85579,
  [SMALL_STATE(1874)] = 85611,
  [SMALL_STATE(1875)] = 85643,
  [SMALL_STATE(1876)] = 85675,
  [SMALL_STATE(1877)] = 85707,
  [SMALL_STATE(1878)] = 85733,
  [SMALL_STATE(1879)] = 85759,
  [SMALL_STATE(1880)] = 85791,
  [SMALL_STATE(1881)] = 85823,
  [SMALL_STATE(1882)] = 85849,
  [SMALL_STATE(1883)] = 85881,
  [SMALL_STATE(1884)] = 85917,
  [SMALL_STATE(1885)] = 85949,
  [SMALL_STATE(1886)] = 85981,
  [SMALL_STATE(1887)] = 86013,
  [SMALL_STATE(1888)] = 86039,
  [SMALL_STATE(1889)] = 86071,
  [SMALL_STATE(1890)] = 86097,
  [SMALL_STATE(1891)] = 86129,
  [SMALL_STATE(1892)] = 86161,
  [SMALL_STATE(1893)] = 86193,
  [SMALL_STATE(1894)] = 86219,
  [SMALL_STATE(1895)] = 86251,
  [SMALL_STATE(1896)] = 86288,
  [SMALL_STATE(1897)] = 86325,
  [SMALL_STATE(1898)] = 86354,
  [SMALL_STATE(1899)] = 86391,
  [SMALL_STATE(1900)] = 86428,
  [SMALL_STATE(1901)] = 86465,
  [SMALL_STATE(1902)] = 86502,
  [SMALL_STATE(1903)] = 86531,
  [SMALL_STATE(1904)] = 86560,
  [SMALL_STATE(1905)] = 86597,
  [SMALL_STATE(1906)] = 86634,
  [SMALL_STATE(1907)] = 86671,
  [SMALL_STATE(1908)] = 86708,
  [SMALL_STATE(1909)] = 86745,
  [SMALL_STATE(1910)] = 86782,
  [SMALL_STATE(1911)] = 86819,
  [SMALL_STATE(1912)] = 86856,
  [SMALL_STATE(1913)] = 86893,
  [SMALL_STATE(1914)] = 86930,
  [SMALL_STATE(1915)] = 86967,
  [SMALL_STATE(1916)] = 87004,
  [SMALL_STATE(1917)] = 87041,
  [SMALL_STATE(1918)] = 87078,
  [SMALL_STATE(1919)] = 87115,
  [SMALL_STATE(1920)] = 87152,
  [SMALL_STATE(1921)] = 87189,
  [SMALL_STATE(1922)] = 87226,
  [SMALL_STATE(1923)] = 87263,
  [SMALL_STATE(1924)] = 87300,
  [SMALL_STATE(1925)] = 87337,
  [SMALL_STATE(1926)] = 87374,
  [SMALL_STATE(1927)] = 87411,
  [SMALL_STATE(1928)] = 87448,
  [SMALL_STATE(1929)] = 87485,
  [SMALL_STATE(1930)] = 87522,
  [SMALL_STATE(1931)] = 87559,
  [SMALL_STATE(1932)] = 87596,
  [SMALL_STATE(1933)] = 87633,
  [SMALL_STATE(1934)] = 87662,
  [SMALL_STATE(1935)] = 87699,
  [SMALL_STATE(1936)] = 87736,
  [SMALL_STATE(1937)] = 87773,
  [SMALL_STATE(1938)] = 87810,
  [SMALL_STATE(1939)] = 87847,
  [SMALL_STATE(1940)] = 87884,
  [SMALL_STATE(1941)] = 87921,
  [SMALL_STATE(1942)] = 87958,
  [SMALL_STATE(1943)] = 87995,
  [SMALL_STATE(1944)] = 88032,
  [SMALL_STATE(1945)] = 88069,
  [SMALL_STATE(1946)] = 88106,
  [SMALL_STATE(1947)] = 88143,
  [SMALL_STATE(1948)] = 88180,
  [SMALL_STATE(1949)] = 88217,
  [SMALL_STATE(1950)] = 88254,
  [SMALL_STATE(1951)] = 88278,
  [SMALL_STATE(1952)] = 88302,
  [SMALL_STATE(1953)] = 88330,
  [SMALL_STATE(1954)] = 88354,
  [SMALL_STATE(1955)] = 88378,
  [SMALL_STATE(1956)] = 88402,
  [SMALL_STATE(1957)] = 88426,
  [SMALL_STATE(1958)] = 88450,
  [SMALL_STATE(1959)] = 88474,
  [SMALL_STATE(1960)] = 88498,
  [SMALL_STATE(1961)] = 88522,
  [SMALL_STATE(1962)] = 88546,
  [SMALL_STATE(1963)] = 88570,
  [SMALL_STATE(1964)] = 88594,
  [SMALL_STATE(1965)] = 88618,
  [SMALL_STATE(1966)] = 88642,
  [SMALL_STATE(1967)] = 88666,
  [SMALL_STATE(1968)] = 88690,
  [SMALL_STATE(1969)] = 88714,
  [SMALL_STATE(1970)] = 88738,
  [SMALL_STATE(1971)] = 88762,
  [SMALL_STATE(1972)] = 88786,
  [SMALL_STATE(1973)] = 88810,
  [SMALL_STATE(1974)] = 88834,
  [SMALL_STATE(1975)] = 88862,
  [SMALL_STATE(1976)] = 88886,
  [SMALL_STATE(1977)] = 88910,
  [SMALL_STATE(1978)] = 88943,
  [SMALL_STATE(1979)] = 88966,
  [SMALL_STATE(1980)] = 88999,
  [SMALL_STATE(1981)] = 89025,
  [SMALL_STATE(1982)] = 89051,
  [SMALL_STATE(1983)] = 89083,
  [SMALL_STATE(1984)] = 89109,
  [SMALL_STATE(1985)] = 89135,
  [SMALL_STATE(1986)] = 89156,
  [SMALL_STATE(1987)] = 89181,
  [SMALL_STATE(1988)] = 89210,
  [SMALL_STATE(1989)] = 89239,
  [SMALL_STATE(1990)] = 89268,
  [SMALL_STATE(1991)] = 89289,
  [SMALL_STATE(1992)] = 89310,
  [SMALL_STATE(1993)] = 89331,
  [SMALL_STATE(1994)] = 89360,
  [SMALL_STATE(1995)] = 89381,
  [SMALL_STATE(1996)] = 89402,
  [SMALL_STATE(1997)] = 89423,
  [SMALL_STATE(1998)] = 89452,
  [SMALL_STATE(1999)] = 89481,
  [SMALL_STATE(2000)] = 89510,
  [SMALL_STATE(2001)] = 89539,
  [SMALL_STATE(2002)] = 89560,
  [SMALL_STATE(2003)] = 89581,
  [SMALL_STATE(2004)] = 89610,
  [SMALL_STATE(2005)] = 89639,
  [SMALL_STATE(2006)] = 89660,
  [SMALL_STATE(2007)] = 89689,
  [SMALL_STATE(2008)] = 89710,
  [SMALL_STATE(2009)] = 89731,
  [SMALL_STATE(2010)] = 89752,
  [SMALL_STATE(2011)] = 89781,
  [SMALL_STATE(2012)] = 89810,
  [SMALL_STATE(2013)] = 89831,
  [SMALL_STATE(2014)] = 89856,
  [SMALL_STATE(2015)] = 89885,
  [SMALL_STATE(2016)] = 89906,
  [SMALL_STATE(2017)] = 89927,
  [SMALL_STATE(2018)] = 89956,
  [SMALL_STATE(2019)] = 89977,
  [SMALL_STATE(2020)] = 89998,
  [SMALL_STATE(2021)] = 90027,
  [SMALL_STATE(2022)] = 90056,
  [SMALL_STATE(2023)] = 90077,
  [SMALL_STATE(2024)] = 90098,
  [SMALL_STATE(2025)] = 90119,
  [SMALL_STATE(2026)] = 90148,
  [SMALL_STATE(2027)] = 90169,
  [SMALL_STATE(2028)] = 90198,
  [SMALL_STATE(2029)] = 90219,
  [SMALL_STATE(2030)] = 90248,
  [SMALL_STATE(2031)] = 90277,
  [SMALL_STATE(2032)] = 90306,
  [SMALL_STATE(2033)] = 90327,
  [SMALL_STATE(2034)] = 90356,
  [SMALL_STATE(2035)] = 90377,
  [SMALL_STATE(2036)] = 90406,
  [SMALL_STATE(2037)] = 90430,
  [SMALL_STATE(2038)] = 90454,
  [SMALL_STATE(2039)] = 90478,
  [SMALL_STATE(2040)] = 90500,
  [SMALL_STATE(2041)] = 90528,
  [SMALL_STATE(2042)] = 90552,
  [SMALL_STATE(2043)] = 90576,
  [SMALL_STATE(2044)] = 90600,
  [SMALL_STATE(2045)] = 90624,
  [SMALL_STATE(2046)] = 90646,
  [SMALL_STATE(2047)] = 90670,
  [SMALL_STATE(2048)] = 90694,
  [SMALL_STATE(2049)] = 90718,
  [SMALL_STATE(2050)] = 90742,
  [SMALL_STATE(2051)] = 90770,
  [SMALL_STATE(2052)] = 90798,
  [SMALL_STATE(2053)] = 90822,
  [SMALL_STATE(2054)] = 90850,
  [SMALL_STATE(2055)] = 90874,
  [SMALL_STATE(2056)] = 90898,
  [SMALL_STATE(2057)] = 90926,
  [SMALL_STATE(2058)] = 90950,
  [SMALL_STATE(2059)] = 90974,
  [SMALL_STATE(2060)] = 91002,
  [SMALL_STATE(2061)] = 91026,
  [SMALL_STATE(2062)] = 91054,
  [SMALL_STATE(2063)] = 91082,
  [SMALL_STATE(2064)] = 91106,
  [SMALL_STATE(2065)] = 91130,
  [SMALL_STATE(2066)] = 91154,
  [SMALL_STATE(2067)] = 91178,
  [SMALL_STATE(2068)] = 91202,
  [SMALL_STATE(2069)] = 91230,
  [SMALL_STATE(2070)] = 91254,
  [SMALL_STATE(2071)] = 91282,
  [SMALL_STATE(2072)] = 91304,
  [SMALL_STATE(2073)] = 91328,
  [SMALL_STATE(2074)] = 91356,
  [SMALL_STATE(2075)] = 91384,
  [SMALL_STATE(2076)] = 91408,
  [SMALL_STATE(2077)] = 91436,
  [SMALL_STATE(2078)] = 91460,
  [SMALL_STATE(2079)] = 91484,
  [SMALL_STATE(2080)] = 91512,
  [SMALL_STATE(2081)] = 91536,
  [SMALL_STATE(2082)] = 91560,
  [SMALL_STATE(2083)] = 91584,
  [SMALL_STATE(2084)] = 91612,
  [SMALL_STATE(2085)] = 91640,
  [SMALL_STATE(2086)] = 91664,
  [SMALL_STATE(2087)] = 91688,
  [SMALL_STATE(2088)] = 91716,
  [SMALL_STATE(2089)] = 91744,
  [SMALL_STATE(2090)] = 91768,
  [SMALL_STATE(2091)] = 91792,
  [SMALL_STATE(2092)] = 91816,
  [SMALL_STATE(2093)] = 91844,
  [SMALL_STATE(2094)] = 91868,
  [SMALL_STATE(2095)] = 91890,
  [SMALL_STATE(2096)] = 91910,
  [SMALL_STATE(2097)] = 91938,
  [SMALL_STATE(2098)] = 91962,
  [SMALL_STATE(2099)] = 91986,
  [SMALL_STATE(2100)] = 92010,
  [SMALL_STATE(2101)] = 92038,
  [SMALL_STATE(2102)] = 92062,
  [SMALL_STATE(2103)] = 92090,
  [SMALL_STATE(2104)] = 92118,
  [SMALL_STATE(2105)] = 92146,
  [SMALL_STATE(2106)] = 92170,
  [SMALL_STATE(2107)] = 92198,
  [SMALL_STATE(2108)] = 92222,
  [SMALL_STATE(2109)] = 92244,
  [SMALL_STATE(2110)] = 92268,
  [SMALL_STATE(2111)] = 92292,
  [SMALL_STATE(2112)] = 92314,
  [SMALL_STATE(2113)] = 92338,
  [SMALL_STATE(2114)] = 92366,
  [SMALL_STATE(2115)] = 92390,
  [SMALL_STATE(2116)] = 92414,
  [SMALL_STATE(2117)] = 92438,
  [SMALL_STATE(2118)] = 92457,
  [SMALL_STATE(2119)] = 92476,
  [SMALL_STATE(2120)] = 92495,
  [SMALL_STATE(2121)] = 92516,
  [SMALL_STATE(2122)] = 92535,
  [SMALL_STATE(2123)] = 92554,
  [SMALL_STATE(2124)] = 92573,
  [SMALL_STATE(2125)] = 92597,
  [SMALL_STATE(2126)] = 92621,
  [SMALL_STATE(2127)] = 92651,
  [SMALL_STATE(2128)] = 92681,
  [SMALL_STATE(2129)] = 92705,
  [SMALL_STATE(2130)] = 92735,
  [SMALL_STATE(2131)] = 92765,
  [SMALL_STATE(2132)] = 92789,
  [SMALL_STATE(2133)] = 92819,
  [SMALL_STATE(2134)] = 92843,
  [SMALL_STATE(2135)] = 92873,
  [SMALL_STATE(2136)] = 92903,
  [SMALL_STATE(2137)] = 92927,
  [SMALL_STATE(2138)] = 92957,
  [SMALL_STATE(2139)] = 92981,
  [SMALL_STATE(2140)] = 93011,
  [SMALL_STATE(2141)] = 93035,
  [SMALL_STATE(2142)] = 93065,
  [SMALL_STATE(2143)] = 93089,
  [SMALL_STATE(2144)] = 93119,
  [SMALL_STATE(2145)] = 93143,
  [SMALL_STATE(2146)] = 93173,
  [SMALL_STATE(2147)] = 93203,
  [SMALL_STATE(2148)] = 93233,
  [SMALL_STATE(2149)] = 93263,
  [SMALL_STATE(2150)] = 93293,
  [SMALL_STATE(2151)] = 93323,
  [SMALL_STATE(2152)] = 93353,
  [SMALL_STATE(2153)] = 93383,
  [SMALL_STATE(2154)] = 93407,
  [SMALL_STATE(2155)] = 93431,
  [SMALL_STATE(2156)] = 93461,
  [SMALL_STATE(2157)] = 93491,
  [SMALL_STATE(2158)] = 93515,
  [SMALL_STATE(2159)] = 93545,
  [SMALL_STATE(2160)] = 93569,
  [SMALL_STATE(2161)] = 93593,
  [SMALL_STATE(2162)] = 93623,
  [SMALL_STATE(2163)] = 93653,
  [SMALL_STATE(2164)] = 93683,
  [SMALL_STATE(2165)] = 93713,
  [SMALL_STATE(2166)] = 93743,
  [SMALL_STATE(2167)] = 93767,
  [SMALL_STATE(2168)] = 93797,
  [SMALL_STATE(2169)] = 93821,
  [SMALL_STATE(2170)] = 93845,
  [SMALL_STATE(2171)] = 93875,
  [SMALL_STATE(2172)] = 93905,
  [SMALL_STATE(2173)] = 93935,
  [SMALL_STATE(2174)] = 93963,
  [SMALL_STATE(2175)] = 93987,
  [SMALL_STATE(2176)] = 94011,
  [SMALL_STATE(2177)] = 94041,
  [SMALL_STATE(2178)] = 94069,
  [SMALL_STATE(2179)] = 94097,
  [SMALL_STATE(2180)] = 94127,
  [SMALL_STATE(2181)] = 94157,
  [SMALL_STATE(2182)] = 94187,
  [SMALL_STATE(2183)] = 94211,
  [SMALL_STATE(2184)] = 94241,
  [SMALL_STATE(2185)] = 94265,
  [SMALL_STATE(2186)] = 94295,
  [SMALL_STATE(2187)] = 94323,
  [SMALL_STATE(2188)] = 94353,
  [SMALL_STATE(2189)] = 94377,
  [SMALL_STATE(2190)] = 94407,
  [SMALL_STATE(2191)] = 94437,
  [SMALL_STATE(2192)] = 94461,
  [SMALL_STATE(2193)] = 94491,
  [SMALL_STATE(2194)] = 94521,
  [SMALL_STATE(2195)] = 94551,
  [SMALL_STATE(2196)] = 94581,
  [SMALL_STATE(2197)] = 94609,
  [SMALL_STATE(2198)] = 94629,
  [SMALL_STATE(2199)] = 94659,
  [SMALL_STATE(2200)] = 94683,
  [SMALL_STATE(2201)] = 94713,
  [SMALL_STATE(2202)] = 94743,
  [SMALL_STATE(2203)] = 94767,
  [SMALL_STATE(2204)] = 94797,
  [SMALL_STATE(2205)] = 94827,
  [SMALL_STATE(2206)] = 94843,
  [SMALL_STATE(2207)] = 94859,
  [SMALL_STATE(2208)] = 94875,
  [SMALL_STATE(2209)] = 94891,
  [SMALL_STATE(2210)] = 94911,
  [SMALL_STATE(2211)] = 94926,
  [SMALL_STATE(2212)] = 94941,
  [SMALL_STATE(2213)] = 94962,
  [SMALL_STATE(2214)] = 94981,
  [SMALL_STATE(2215)] = 94996,
  [SMALL_STATE(2216)] = 95017,
  [SMALL_STATE(2217)] = 95032,
  [SMALL_STATE(2218)] = 95047,
  [SMALL_STATE(2219)] = 95062,
  [SMALL_STATE(2220)] = 95077,
  [SMALL_STATE(2221)] = 95092,
  [SMALL_STATE(2222)] = 95111,
  [SMALL_STATE(2223)] = 95126,
  [SMALL_STATE(2224)] = 95145,
  [SMALL_STATE(2225)] = 95160,
  [SMALL_STATE(2226)] = 95175,
  [SMALL_STATE(2227)] = 95190,
  [SMALL_STATE(2228)] = 95205,
  [SMALL_STATE(2229)] = 95226,
  [SMALL_STATE(2230)] = 95241,
  [SMALL_STATE(2231)] = 95256,
  [SMALL_STATE(2232)] = 95271,
  [SMALL_STATE(2233)] = 95286,
  [SMALL_STATE(2234)] = 95301,
  [SMALL_STATE(2235)] = 95316,
  [SMALL_STATE(2236)] = 95331,
  [SMALL_STATE(2237)] = 95346,
  [SMALL_STATE(2238)] = 95361,
  [SMALL_STATE(2239)] = 95376,
  [SMALL_STATE(2240)] = 95391,
  [SMALL_STATE(2241)] = 95412,
  [SMALL_STATE(2242)] = 95432,
  [SMALL_STATE(2243)] = 95446,
  [SMALL_STATE(2244)] = 95460,
  [SMALL_STATE(2245)] = 95474,
  [SMALL_STATE(2246)] = 95488,
  [SMALL_STATE(2247)] = 95502,
  [SMALL_STATE(2248)] = 95516,
  [SMALL_STATE(2249)] = 95530,
  [SMALL_STATE(2250)] = 95544,
  [SMALL_STATE(2251)] = 95558,
  [SMALL_STATE(2252)] = 95572,
  [SMALL_STATE(2253)] = 95586,
  [SMALL_STATE(2254)] = 95600,
  [SMALL_STATE(2255)] = 95614,
  [SMALL_STATE(2256)] = 95628,
  [SMALL_STATE(2257)] = 95642,
  [SMALL_STATE(2258)] = 95656,
  [SMALL_STATE(2259)] = 95670,
  [SMALL_STATE(2260)] = 95684,
  [SMALL_STATE(2261)] = 95698,
  [SMALL_STATE(2262)] = 95712,
  [SMALL_STATE(2263)] = 95726,
  [SMALL_STATE(2264)] = 95740,
  [SMALL_STATE(2265)] = 95754,
  [SMALL_STATE(2266)] = 95768,
  [SMALL_STATE(2267)] = 95782,
  [SMALL_STATE(2268)] = 95796,
  [SMALL_STATE(2269)] = 95810,
  [SMALL_STATE(2270)] = 95824,
  [SMALL_STATE(2271)] = 95838,
  [SMALL_STATE(2272)] = 95850,
  [SMALL_STATE(2273)] = 95864,
  [SMALL_STATE(2274)] = 95878,
  [SMALL_STATE(2275)] = 95892,
  [SMALL_STATE(2276)] = 95912,
  [SMALL_STATE(2277)] = 95926,
  [SMALL_STATE(2278)] = 95940,
  [SMALL_STATE(2279)] = 95952,
  [SMALL_STATE(2280)] = 95966,
  [SMALL_STATE(2281)] = 95980,
  [SMALL_STATE(2282)] = 95994,
  [SMALL_STATE(2283)] = 96014,
  [SMALL_STATE(2284)] = 96028,
  [SMALL_STATE(2285)] = 96042,
  [SMALL_STATE(2286)] = 96056,
  [SMALL_STATE(2287)] = 96070,
  [SMALL_STATE(2288)] = 96084,
  [SMALL_STATE(2289)] = 96098,
  [SMALL_STATE(2290)] = 96112,
  [SMALL_STATE(2291)] = 96126,
  [SMALL_STATE(2292)] = 96146,
  [SMALL_STATE(2293)] = 96161,
  [SMALL_STATE(2294)] = 96176,
  [SMALL_STATE(2295)] = 96193,
  [SMALL_STATE(2296)] = 96208,
  [SMALL_STATE(2297)] = 96223,
  [SMALL_STATE(2298)] = 96240,
  [SMALL_STATE(2299)] = 96253,
  [SMALL_STATE(2300)] = 96270,
  [SMALL_STATE(2301)] = 96289,
  [SMALL_STATE(2302)] = 96308,
  [SMALL_STATE(2303)] = 96325,
  [SMALL_STATE(2304)] = 96338,
  [SMALL_STATE(2305)] = 96353,
  [SMALL_STATE(2306)] = 96370,
  [SMALL_STATE(2307)] = 96383,
  [SMALL_STATE(2308)] = 96400,
  [SMALL_STATE(2309)] = 96415,
  [SMALL_STATE(2310)] = 96432,
  [SMALL_STATE(2311)] = 96447,
  [SMALL_STATE(2312)] = 96462,
  [SMALL_STATE(2313)] = 96477,
  [SMALL_STATE(2314)] = 96494,
  [SMALL_STATE(2315)] = 96513,
  [SMALL_STATE(2316)] = 96532,
  [SMALL_STATE(2317)] = 96547,
  [SMALL_STATE(2318)] = 96562,
  [SMALL_STATE(2319)] = 96579,
  [SMALL_STATE(2320)] = 96594,
  [SMALL_STATE(2321)] = 96611,
  [SMALL_STATE(2322)] = 96628,
  [SMALL_STATE(2323)] = 96645,
  [SMALL_STATE(2324)] = 96662,
  [SMALL_STATE(2325)] = 96679,
  [SMALL_STATE(2326)] = 96696,
  [SMALL_STATE(2327)] = 96711,
  [SMALL_STATE(2328)] = 96726,
  [SMALL_STATE(2329)] = 96743,
  [SMALL_STATE(2330)] = 96757,
  [SMALL_STATE(2331)] = 96771,
  [SMALL_STATE(2332)] = 96785,
  [SMALL_STATE(2333)] = 96799,
  [SMALL_STATE(2334)] = 96813,
  [SMALL_STATE(2335)] = 96827,
  [SMALL_STATE(2336)] = 96841,
  [SMALL_STATE(2337)] = 96855,
  [SMALL_STATE(2338)] = 96869,
  [SMALL_STATE(2339)] = 96883,
  [SMALL_STATE(2340)] = 96895,
  [SMALL_STATE(2341)] = 96907,
  [SMALL_STATE(2342)] = 96919,
  [SMALL_STATE(2343)] = 96933,
  [SMALL_STATE(2344)] = 96945,
  [SMALL_STATE(2345)] = 96957,
  [SMALL_STATE(2346)] = 96973,
  [SMALL_STATE(2347)] = 96987,
  [SMALL_STATE(2348)] = 97001,
  [SMALL_STATE(2349)] = 97013,
  [SMALL_STATE(2350)] = 97027,
  [SMALL_STATE(2351)] = 97041,
  [SMALL_STATE(2352)] = 97053,
  [SMALL_STATE(2353)] = 97067,
  [SMALL_STATE(2354)] = 97079,
  [SMALL_STATE(2355)] = 97093,
  [SMALL_STATE(2356)] = 97107,
  [SMALL_STATE(2357)] = 97121,
  [SMALL_STATE(2358)] = 97133,
  [SMALL_STATE(2359)] = 97145,
  [SMALL_STATE(2360)] = 97161,
  [SMALL_STATE(2361)] = 97175,
  [SMALL_STATE(2362)] = 97189,
  [SMALL_STATE(2363)] = 97201,
  [SMALL_STATE(2364)] = 97215,
  [SMALL_STATE(2365)] = 97229,
  [SMALL_STATE(2366)] = 97245,
  [SMALL_STATE(2367)] = 97258,
  [SMALL_STATE(2368)] = 97271,
  [SMALL_STATE(2369)] = 97282,
  [SMALL_STATE(2370)] = 97295,
  [SMALL_STATE(2371)] = 97308,
  [SMALL_STATE(2372)] = 97321,
  [SMALL_STATE(2373)] = 97334,
  [SMALL_STATE(2374)] = 97347,
  [SMALL_STATE(2375)] = 97360,
  [SMALL_STATE(2376)] = 97373,
  [SMALL_STATE(2377)] = 97386,
  [SMALL_STATE(2378)] = 97399,
  [SMALL_STATE(2379)] = 97412,
  [SMALL_STATE(2380)] = 97425,
  [SMALL_STATE(2381)] = 97438,
  [SMALL_STATE(2382)] = 97451,
  [SMALL_STATE(2383)] = 97464,
  [SMALL_STATE(2384)] = 97477,
  [SMALL_STATE(2385)] = 97490,
  [SMALL_STATE(2386)] = 97503,
  [SMALL_STATE(2387)] = 97514,
  [SMALL_STATE(2388)] = 97527,
  [SMALL_STATE(2389)] = 97540,
  [SMALL_STATE(2390)] = 97553,
  [SMALL_STATE(2391)] = 97564,
  [SMALL_STATE(2392)] = 97577,
  [SMALL_STATE(2393)] = 97590,
  [SMALL_STATE(2394)] = 97603,
  [SMALL_STATE(2395)] = 97616,
  [SMALL_STATE(2396)] = 97629,
  [SMALL_STATE(2397)] = 97642,
  [SMALL_STATE(2398)] = 97655,
  [SMALL_STATE(2399)] = 97666,
  [SMALL_STATE(2400)] = 97679,
  [SMALL_STATE(2401)] = 97692,
  [SMALL_STATE(2402)] = 97705,
  [SMALL_STATE(2403)] = 97718,
  [SMALL_STATE(2404)] = 97731,
  [SMALL_STATE(2405)] = 97744,
  [SMALL_STATE(2406)] = 97757,
  [SMALL_STATE(2407)] = 97770,
  [SMALL_STATE(2408)] = 97783,
  [SMALL_STATE(2409)] = 97796,
  [SMALL_STATE(2410)] = 97809,
  [SMALL_STATE(2411)] = 97822,
  [SMALL_STATE(2412)] = 97835,
  [SMALL_STATE(2413)] = 97848,
  [SMALL_STATE(2414)] = 97861,
  [SMALL_STATE(2415)] = 97874,
  [SMALL_STATE(2416)] = 97887,
  [SMALL_STATE(2417)] = 97900,
  [SMALL_STATE(2418)] = 97913,
  [SMALL_STATE(2419)] = 97926,
  [SMALL_STATE(2420)] = 97939,
  [SMALL_STATE(2421)] = 97952,
  [SMALL_STATE(2422)] = 97965,
  [SMALL_STATE(2423)] = 97978,
  [SMALL_STATE(2424)] = 97991,
  [SMALL_STATE(2425)] = 98004,
  [SMALL_STATE(2426)] = 98017,
  [SMALL_STATE(2427)] = 98030,
  [SMALL_STATE(2428)] = 98043,
  [SMALL_STATE(2429)] = 98056,
  [SMALL_STATE(2430)] = 98069,
  [SMALL_STATE(2431)] = 98082,
  [SMALL_STATE(2432)] = 98095,
  [SMALL_STATE(2433)] = 98108,
  [SMALL_STATE(2434)] = 98121,
  [SMALL_STATE(2435)] = 98134,
  [SMALL_STATE(2436)] = 98145,
  [SMALL_STATE(2437)] = 98158,
  [SMALL_STATE(2438)] = 98169,
  [SMALL_STATE(2439)] = 98180,
  [SMALL_STATE(2440)] = 98193,
  [SMALL_STATE(2441)] = 98204,
  [SMALL_STATE(2442)] = 98217,
  [SMALL_STATE(2443)] = 98230,
  [SMALL_STATE(2444)] = 98243,
  [SMALL_STATE(2445)] = 98256,
  [SMALL_STATE(2446)] = 98269,
  [SMALL_STATE(2447)] = 98280,
  [SMALL_STATE(2448)] = 98293,
  [SMALL_STATE(2449)] = 98306,
  [SMALL_STATE(2450)] = 98319,
  [SMALL_STATE(2451)] = 98332,
  [SMALL_STATE(2452)] = 98345,
  [SMALL_STATE(2453)] = 98358,
  [SMALL_STATE(2454)] = 98371,
  [SMALL_STATE(2455)] = 98384,
  [SMALL_STATE(2456)] = 98397,
  [SMALL_STATE(2457)] = 98410,
  [SMALL_STATE(2458)] = 98423,
  [SMALL_STATE(2459)] = 98434,
  [SMALL_STATE(2460)] = 98447,
  [SMALL_STATE(2461)] = 98460,
  [SMALL_STATE(2462)] = 98471,
  [SMALL_STATE(2463)] = 98484,
  [SMALL_STATE(2464)] = 98497,
  [SMALL_STATE(2465)] = 98510,
  [SMALL_STATE(2466)] = 98523,
  [SMALL_STATE(2467)] = 98536,
  [SMALL_STATE(2468)] = 98549,
  [SMALL_STATE(2469)] = 98562,
  [SMALL_STATE(2470)] = 98575,
  [SMALL_STATE(2471)] = 98588,
  [SMALL_STATE(2472)] = 98601,
  [SMALL_STATE(2473)] = 98612,
  [SMALL_STATE(2474)] = 98625,
  [SMALL_STATE(2475)] = 98638,
  [SMALL_STATE(2476)] = 98651,
  [SMALL_STATE(2477)] = 98664,
  [SMALL_STATE(2478)] = 98677,
  [SMALL_STATE(2479)] = 98690,
  [SMALL_STATE(2480)] = 98703,
  [SMALL_STATE(2481)] = 98716,
  [SMALL_STATE(2482)] = 98729,
  [SMALL_STATE(2483)] = 98742,
  [SMALL_STATE(2484)] = 98755,
  [SMALL_STATE(2485)] = 98768,
  [SMALL_STATE(2486)] = 98781,
  [SMALL_STATE(2487)] = 98794,
  [SMALL_STATE(2488)] = 98807,
  [SMALL_STATE(2489)] = 98820,
  [SMALL_STATE(2490)] = 98833,
  [SMALL_STATE(2491)] = 98846,
  [SMALL_STATE(2492)] = 98859,
  [SMALL_STATE(2493)] = 98872,
  [SMALL_STATE(2494)] = 98885,
  [SMALL_STATE(2495)] = 98898,
  [SMALL_STATE(2496)] = 98911,
  [SMALL_STATE(2497)] = 98924,
  [SMALL_STATE(2498)] = 98934,
  [SMALL_STATE(2499)] = 98944,
  [SMALL_STATE(2500)] = 98954,
  [SMALL_STATE(2501)] = 98964,
  [SMALL_STATE(2502)] = 98974,
  [SMALL_STATE(2503)] = 98984,
  [SMALL_STATE(2504)] = 98994,
  [SMALL_STATE(2505)] = 99002,
  [SMALL_STATE(2506)] = 99012,
  [SMALL_STATE(2507)] = 99020,
  [SMALL_STATE(2508)] = 99030,
  [SMALL_STATE(2509)] = 99040,
  [SMALL_STATE(2510)] = 99050,
  [SMALL_STATE(2511)] = 99060,
  [SMALL_STATE(2512)] = 99070,
  [SMALL_STATE(2513)] = 99080,
  [SMALL_STATE(2514)] = 99090,
  [SMALL_STATE(2515)] = 99100,
  [SMALL_STATE(2516)] = 99108,
  [SMALL_STATE(2517)] = 99118,
  [SMALL_STATE(2518)] = 99128,
  [SMALL_STATE(2519)] = 99138,
  [SMALL_STATE(2520)] = 99148,
  [SMALL_STATE(2521)] = 99158,
  [SMALL_STATE(2522)] = 99168,
  [SMALL_STATE(2523)] = 99178,
  [SMALL_STATE(2524)] = 99186,
  [SMALL_STATE(2525)] = 99196,
  [SMALL_STATE(2526)] = 99206,
  [SMALL_STATE(2527)] = 99216,
  [SMALL_STATE(2528)] = 99226,
  [SMALL_STATE(2529)] = 99236,
  [SMALL_STATE(2530)] = 99244,
  [SMALL_STATE(2531)] = 99254,
  [SMALL_STATE(2532)] = 99264,
  [SMALL_STATE(2533)] = 99272,
  [SMALL_STATE(2534)] = 99280,
  [SMALL_STATE(2535)] = 99290,
  [SMALL_STATE(2536)] = 99300,
  [SMALL_STATE(2537)] = 99308,
  [SMALL_STATE(2538)] = 99316,
  [SMALL_STATE(2539)] = 99326,
  [SMALL_STATE(2540)] = 99336,
  [SMALL_STATE(2541)] = 99346,
  [SMALL_STATE(2542)] = 99354,
  [SMALL_STATE(2543)] = 99362,
  [SMALL_STATE(2544)] = 99370,
  [SMALL_STATE(2545)] = 99380,
  [SMALL_STATE(2546)] = 99388,
  [SMALL_STATE(2547)] = 99398,
  [SMALL_STATE(2548)] = 99408,
  [SMALL_STATE(2549)] = 99418,
  [SMALL_STATE(2550)] = 99428,
  [SMALL_STATE(2551)] = 99436,
  [SMALL_STATE(2552)] = 99446,
  [SMALL_STATE(2553)] = 99456,
  [SMALL_STATE(2554)] = 99466,
  [SMALL_STATE(2555)] = 99476,
  [SMALL_STATE(2556)] = 99484,
  [SMALL_STATE(2557)] = 99492,
  [SMALL_STATE(2558)] = 99502,
  [SMALL_STATE(2559)] = 99512,
  [SMALL_STATE(2560)] = 99520,
  [SMALL_STATE(2561)] = 99528,
  [SMALL_STATE(2562)] = 99538,
  [SMALL_STATE(2563)] = 99546,
  [SMALL_STATE(2564)] = 99554,
  [SMALL_STATE(2565)] = 99562,
  [SMALL_STATE(2566)] = 99570,
  [SMALL_STATE(2567)] = 99580,
  [SMALL_STATE(2568)] = 99588,
  [SMALL_STATE(2569)] = 99596,
  [SMALL_STATE(2570)] = 99604,
  [SMALL_STATE(2571)] = 99614,
  [SMALL_STATE(2572)] = 99622,
  [SMALL_STATE(2573)] = 99632,
  [SMALL_STATE(2574)] = 99642,
  [SMALL_STATE(2575)] = 99650,
  [SMALL_STATE(2576)] = 99658,
  [SMALL_STATE(2577)] = 99668,
  [SMALL_STATE(2578)] = 99676,
  [SMALL_STATE(2579)] = 99686,
  [SMALL_STATE(2580)] = 99696,
  [SMALL_STATE(2581)] = 99704,
  [SMALL_STATE(2582)] = 99714,
  [SMALL_STATE(2583)] = 99724,
  [SMALL_STATE(2584)] = 99734,
  [SMALL_STATE(2585)] = 99742,
  [SMALL_STATE(2586)] = 99750,
  [SMALL_STATE(2587)] = 99760,
  [SMALL_STATE(2588)] = 99770,
  [SMALL_STATE(2589)] = 99780,
  [SMALL_STATE(2590)] = 99788,
  [SMALL_STATE(2591)] = 99798,
  [SMALL_STATE(2592)] = 99806,
  [SMALL_STATE(2593)] = 99816,
  [SMALL_STATE(2594)] = 99824,
  [SMALL_STATE(2595)] = 99834,
  [SMALL_STATE(2596)] = 99842,
  [SMALL_STATE(2597)] = 99852,
  [SMALL_STATE(2598)] = 99862,
  [SMALL_STATE(2599)] = 99870,
  [SMALL_STATE(2600)] = 99880,
  [SMALL_STATE(2601)] = 99890,
  [SMALL_STATE(2602)] = 99900,
  [SMALL_STATE(2603)] = 99910,
  [SMALL_STATE(2604)] = 99920,
  [SMALL_STATE(2605)] = 99930,
  [SMALL_STATE(2606)] = 99938,
  [SMALL_STATE(2607)] = 99945,
  [SMALL_STATE(2608)] = 99952,
  [SMALL_STATE(2609)] = 99959,
  [SMALL_STATE(2610)] = 99966,
  [SMALL_STATE(2611)] = 99973,
  [SMALL_STATE(2612)] = 99980,
  [SMALL_STATE(2613)] = 99987,
  [SMALL_STATE(2614)] = 99994,
  [SMALL_STATE(2615)] = 100001,
  [SMALL_STATE(2616)] = 100008,
  [SMALL_STATE(2617)] = 100015,
  [SMALL_STATE(2618)] = 100022,
  [SMALL_STATE(2619)] = 100029,
  [SMALL_STATE(2620)] = 100036,
  [SMALL_STATE(2621)] = 100043,
  [SMALL_STATE(2622)] = 100050,
  [SMALL_STATE(2623)] = 100057,
  [SMALL_STATE(2624)] = 100064,
  [SMALL_STATE(2625)] = 100071,
  [SMALL_STATE(2626)] = 100078,
  [SMALL_STATE(2627)] = 100085,
  [SMALL_STATE(2628)] = 100092,
  [SMALL_STATE(2629)] = 100099,
  [SMALL_STATE(2630)] = 100106,
  [SMALL_STATE(2631)] = 100113,
  [SMALL_STATE(2632)] = 100120,
  [SMALL_STATE(2633)] = 100127,
  [SMALL_STATE(2634)] = 100134,
  [SMALL_STATE(2635)] = 100141,
  [SMALL_STATE(2636)] = 100148,
  [SMALL_STATE(2637)] = 100155,
  [SMALL_STATE(2638)] = 100162,
  [SMALL_STATE(2639)] = 100169,
  [SMALL_STATE(2640)] = 100176,
  [SMALL_STATE(2641)] = 100183,
  [SMALL_STATE(2642)] = 100190,
  [SMALL_STATE(2643)] = 100197,
  [SMALL_STATE(2644)] = 100204,
  [SMALL_STATE(2645)] = 100211,
  [SMALL_STATE(2646)] = 100218,
  [SMALL_STATE(2647)] = 100225,
  [SMALL_STATE(2648)] = 100232,
  [SMALL_STATE(2649)] = 100239,
  [SMALL_STATE(2650)] = 100246,
  [SMALL_STATE(2651)] = 100253,
  [SMALL_STATE(2652)] = 100260,
  [SMALL_STATE(2653)] = 100267,
  [SMALL_STATE(2654)] = 100274,
  [SMALL_STATE(2655)] = 100281,
  [SMALL_STATE(2656)] = 100288,
  [SMALL_STATE(2657)] = 100295,
  [SMALL_STATE(2658)] = 100302,
  [SMALL_STATE(2659)] = 100309,
  [SMALL_STATE(2660)] = 100316,
  [SMALL_STATE(2661)] = 100323,
  [SMALL_STATE(2662)] = 100330,
  [SMALL_STATE(2663)] = 100337,
  [SMALL_STATE(2664)] = 100344,
  [SMALL_STATE(2665)] = 100351,
  [SMALL_STATE(2666)] = 100358,
  [SMALL_STATE(2667)] = 100365,
  [SMALL_STATE(2668)] = 100372,
  [SMALL_STATE(2669)] = 100379,
  [SMALL_STATE(2670)] = 100386,
  [SMALL_STATE(2671)] = 100393,
  [SMALL_STATE(2672)] = 100400,
  [SMALL_STATE(2673)] = 100407,
  [SMALL_STATE(2674)] = 100414,
  [SMALL_STATE(2675)] = 100421,
  [SMALL_STATE(2676)] = 100428,
  [SMALL_STATE(2677)] = 100435,
  [SMALL_STATE(2678)] = 100442,
  [SMALL_STATE(2679)] = 100449,
  [SMALL_STATE(2680)] = 100456,
  [SMALL_STATE(2681)] = 100463,
  [SMALL_STATE(2682)] = 100470,
  [SMALL_STATE(2683)] = 100477,
  [SMALL_STATE(2684)] = 100484,
  [SMALL_STATE(2685)] = 100491,
  [SMALL_STATE(2686)] = 100498,
  [SMALL_STATE(2687)] = 100505,
  [SMALL_STATE(2688)] = 100512,
  [SMALL_STATE(2689)] = 100519,
  [SMALL_STATE(2690)] = 100526,
  [SMALL_STATE(2691)] = 100533,
  [SMALL_STATE(2692)] = 100540,
  [SMALL_STATE(2693)] = 100547,
  [SMALL_STATE(2694)] = 100554,
  [SMALL_STATE(2695)] = 100561,
  [SMALL_STATE(2696)] = 100568,
  [SMALL_STATE(2697)] = 100575,
  [SMALL_STATE(2698)] = 100582,
  [SMALL_STATE(2699)] = 100589,
  [SMALL_STATE(2700)] = 100596,
  [SMALL_STATE(2701)] = 100603,
  [SMALL_STATE(2702)] = 100610,
  [SMALL_STATE(2703)] = 100617,
  [SMALL_STATE(2704)] = 100624,
  [SMALL_STATE(2705)] = 100631,
  [SMALL_STATE(2706)] = 100638,
  [SMALL_STATE(2707)] = 100645,
  [SMALL_STATE(2708)] = 100652,
  [SMALL_STATE(2709)] = 100659,
  [SMALL_STATE(2710)] = 100666,
  [SMALL_STATE(2711)] = 100673,
  [SMALL_STATE(2712)] = 100680,
  [SMALL_STATE(2713)] = 100687,
  [SMALL_STATE(2714)] = 100694,
  [SMALL_STATE(2715)] = 100701,
  [SMALL_STATE(2716)] = 100708,
  [SMALL_STATE(2717)] = 100715,
  [SMALL_STATE(2718)] = 100722,
  [SMALL_STATE(2719)] = 100729,
  [SMALL_STATE(2720)] = 100736,
  [SMALL_STATE(2721)] = 100743,
  [SMALL_STATE(2722)] = 100750,
  [SMALL_STATE(2723)] = 100757,
  [SMALL_STATE(2724)] = 100764,
  [SMALL_STATE(2725)] = 100771,
  [SMALL_STATE(2726)] = 100778,
  [SMALL_STATE(2727)] = 100785,
  [SMALL_STATE(2728)] = 100792,
  [SMALL_STATE(2729)] = 100799,
  [SMALL_STATE(2730)] = 100806,
  [SMALL_STATE(2731)] = 100813,
  [SMALL_STATE(2732)] = 100820,
  [SMALL_STATE(2733)] = 100827,
  [SMALL_STATE(2734)] = 100834,
  [SMALL_STATE(2735)] = 100841,
  [SMALL_STATE(2736)] = 100848,
  [SMALL_STATE(2737)] = 100855,
  [SMALL_STATE(2738)] = 100862,
  [SMALL_STATE(2739)] = 100869,
  [SMALL_STATE(2740)] = 100876,
  [SMALL_STATE(2741)] = 100883,
  [SMALL_STATE(2742)] = 100890,
  [SMALL_STATE(2743)] = 100897,
  [SMALL_STATE(2744)] = 100904,
  [SMALL_STATE(2745)] = 100911,
  [SMALL_STATE(2746)] = 100918,
  [SMALL_STATE(2747)] = 100925,
  [SMALL_STATE(2748)] = 100932,
  [SMALL_STATE(2749)] = 100939,
  [SMALL_STATE(2750)] = 100946,
  [SMALL_STATE(2751)] = 100953,
  [SMALL_STATE(2752)] = 100960,
  [SMALL_STATE(2753)] = 100967,
  [SMALL_STATE(2754)] = 100974,
  [SMALL_STATE(2755)] = 100981,
  [SMALL_STATE(2756)] = 100988,
  [SMALL_STATE(2757)] = 100995,
  [SMALL_STATE(2758)] = 101002,
  [SMALL_STATE(2759)] = 101009,
  [SMALL_STATE(2760)] = 101016,
  [SMALL_STATE(2761)] = 101023,
  [SMALL_STATE(2762)] = 101030,
  [SMALL_STATE(2763)] = 101037,
  [SMALL_STATE(2764)] = 101044,
  [SMALL_STATE(2765)] = 101051,
  [SMALL_STATE(2766)] = 101058,
  [SMALL_STATE(2767)] = 101065,
  [SMALL_STATE(2768)] = 101072,
  [SMALL_STATE(2769)] = 101079,
  [SMALL_STATE(2770)] = 101086,
  [SMALL_STATE(2771)] = 101093,
  [SMALL_STATE(2772)] = 101100,
  [SMALL_STATE(2773)] = 101107,
  [SMALL_STATE(2774)] = 101114,
  [SMALL_STATE(2775)] = 101121,
  [SMALL_STATE(2776)] = 101128,
  [SMALL_STATE(2777)] = 101135,
  [SMALL_STATE(2778)] = 101142,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(229),
  [122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2501),
  [125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1293),
  [128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(108),
  [131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements2, 2),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(109),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1829),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2689),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(100),
  [145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(99),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(194),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1291),
  [154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1290),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(129),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(173),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1815),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1815),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2006),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(273),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2183),
  [178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(259),
  [181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2050),
  [184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(68),
  [187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(70),
  [190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(73),
  [193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2206),
  [196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2472),
  [199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 44),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 35),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 42),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 36),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 3),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 1),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements2, 2),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(229),
  [284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2501),
  [287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1293),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(108),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(109),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1829),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2689),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(100),
  [305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(99),
  [308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(194),
  [311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1291),
  [314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1290),
  [317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(129),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(173),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1815),
  [326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1815),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2006),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(273),
  [335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2183),
  [338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(259),
  [341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2050),
  [344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(68),
  [347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(70),
  [350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(73),
  [353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2206),
  [356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2472),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 2),
  [367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 2),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 1),
  [391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 1),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(241),
  [414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2025),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(264),
  [424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2126),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2087),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(79),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(77),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(80),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(128),
  [442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2446),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(266),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2020),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(246),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2130),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2076),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(24),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(23),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(31),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(130),
  [474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2437),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(267),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1998),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(244),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2179),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2056),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(72),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(74),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(78),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(134),
  [528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2458),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 4),
  [535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 4),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2),
  [563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2),
  [565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 2),
  [567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 2),
  [569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 3),
  [571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 3),
  [573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 3, .production_id = 21),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 3, .production_id = 21),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 8),
  [603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 8),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(260),
  [620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(1812),
  [625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2031),
  [628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(237),
  [631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2170),
  [634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2074),
  [637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(26),
  [640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(27),
  [643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(28),
  [646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 10),
  [648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 10),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(274),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(1728),
  [656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2006),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(273),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2183),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2050),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(68),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(70),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(73),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements2, 4),
  [687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements2, 4),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 1, .production_id = 1),
  [725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 1, .production_id = 1),
  [727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(245),
  [730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(1699),
  [733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2017),
  [736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(265),
  [739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2176),
  [742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2083),
  [745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(30),
  [748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(29),
  [751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(39),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 1),
  [764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 1),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 2),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 2),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(353),
  [821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2000),
  [828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(455),
  [831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2201),
  [834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2070),
  [837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(20),
  [840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(19),
  [843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(25),
  [846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(178),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(421),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2010),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(318),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2155),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2092),
  [886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(71),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(18),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(75),
  [895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(181),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(465),
  [905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2003),
  [908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(436),
  [911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2149),
  [914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2059),
  [917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(90),
  [920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(91),
  [923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(92),
  [926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(187),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 4),
  [933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 4),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 5),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 5),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 4),
  [945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 4),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 1),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 1),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1),
  [965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline, 3),
  [967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipeline, 3),
  [969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 1),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1919),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1912),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 2),
  [1049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 2),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [1055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [1061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [1067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [1073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1946),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [1084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1942),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [1101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1907),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [1112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1905),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [1121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 32),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 32),
  [1125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5),
  [1129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4),
  [1151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 4),
  [1159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 4),
  [1161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 37),
  [1167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 37),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_process_substitution, 3),
  [1179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_process_substitution, 3),
  [1181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_expansion, 2),
  [1183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_expansion, 2),
  [1185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6),
  [1187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6),
  [1189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 7),
  [1191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 7),
  [1193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [1209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_substitution, 3),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_substitution, 3),
  [1219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1943),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(636),
  [1243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [1253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(604),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [1262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(587),
  [1265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [1271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [1277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1916),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [1288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1927),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [1293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(539),
  [1296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1895),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [1303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(615),
  [1306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1935),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [1311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1939),
  [1314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(570),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [1319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(677),
  [1322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(671),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(675),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(673),
  [1353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(663),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [1372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(676),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [3039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [3179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [3331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [3337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [3343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [3349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [3405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [3455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [3461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [3515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [3521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [3563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [3569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [3575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [3583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [3589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [3599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [3603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [3607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [3609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [3629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [3635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [3647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [3683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1660),
  [3686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2),
  [3688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1254),
  [3691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2021),
  [3694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1642),
  [3697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2203),
  [3700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1660),
  [3703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1254),
  [3706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2104),
  [3709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(17),
  [3712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(61),
  [3715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(69),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [3768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [3770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [3772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [3774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1822),
  [3777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2673),
  [3780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1823),
  [3783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2207),
  [3786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [3788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [3794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [3798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [3800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [3808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [3810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [3814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2),
  [3816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(1815),
  [3819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(1815),
  [3822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2),
  [3824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2206),
  [3827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2461),
  [3830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [3834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [3836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [3838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1923),
  [3841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1328),
  [3844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [3846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [3848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1858),
  [3851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1813),
  [3854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2205),
  [3857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1845),
  [3860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2643),
  [3863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1849),
  [3866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2208),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [3871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1933),
  [3874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [3876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [3878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2029),
  [3881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1902),
  [3884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2145),
  [3887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2102),
  [3890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(51),
  [3893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(50),
  [3896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(52),
  [3899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [3901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [3903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [3905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [3907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1925),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [3922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [3924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [3930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [3934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2),
  [3936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [3940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [3944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [3946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [3948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [3950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [3952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 40),
  [3954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 40),
  [3956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 39),
  [3958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 39),
  [3960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 38),
  [3962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 38),
  [3964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 30),
  [3966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 30),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [3970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1941),
  [3973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [3975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [3977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 34),
  [3979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 34),
  [3981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 33),
  [3983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 33),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [3995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 31),
  [3997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 31),
  [3999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 30),
  [4001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 30),
  [4003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 29),
  [4005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 29),
  [4007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 3),
  [4013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 3),
  [4015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1512),
  [4018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 2),
  [4028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 2),
  [4030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [4036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 30),
  [4038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 30),
  [4040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 2),
  [4042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 2),
  [4044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 45),
  [4046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 45),
  [4048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 46),
  [4050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 46),
  [4052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 47),
  [4054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 47),
  [4056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1567),
  [4059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [4061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [4063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subshell, 3),
  [4065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subshell, 3),
  [4067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 48),
  [4077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 48),
  [4079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_command, 3),
  [4081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_command, 3),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [4087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 49),
  [4089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 49),
  [4091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1543),
  [4094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 50),
  [4096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 50),
  [4098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 29),
  [4100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 29),
  [4102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 29),
  [4104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 29),
  [4106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [4108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 30),
  [4110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 30),
  [4112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 51),
  [4114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 51),
  [4116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 29),
  [4118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 29),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [4122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [4124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [4126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 10, .production_id = 55),
  [4128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 10, .production_id = 55),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [4132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 52),
  [4134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 52),
  [4136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [4138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [4140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 54),
  [4142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 54),
  [4144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1920),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [4153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 53),
  [4155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 53),
  [4157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_command, 2),
  [4159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_command, 2),
  [4161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, .production_id = 2),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [4281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [4301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [4333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [4349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [4357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [4361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [4365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [4367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [4395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1725),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1918),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [4405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1906),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [4410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [4412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 22),
  [4414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 22),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [4418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 23),
  [4420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 23),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [4424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1980),
  [4427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2033),
  [4430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1984),
  [4433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2194),
  [4436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2106),
  [4439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(54),
  [4442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(53),
  [4445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(55),
  [4448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2),
  [4450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [4460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 23),
  [4462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 23),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [4468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1926),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [4475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2315),
  [4478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1999),
  [4481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2292),
  [4484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2141),
  [4487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2084),
  [4490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(82),
  [4493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(81),
  [4496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(85),
  [4499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 22),
  [4501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 22),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [4509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [4511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [4513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [4517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [4523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [4525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 1),
  [4527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 1),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [4531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [4533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1850),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [4614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 2),
  [4616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 2),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [4626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1824),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [4641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1899),
  [4644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1846),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [4651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 2),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [4665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [4669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 22),
  [4671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 22),
  [4673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 23),
  [4675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 23),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [4681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [4691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1855),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [4718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [4756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [4758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [4772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [4792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [4806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [4816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [4826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [4838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [4840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [4860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [4866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [4882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1900),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [4887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [4891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [4899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [4913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [4953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [4981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [4983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [4999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [5001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [5003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [5005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [5013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [5015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [5017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1978),
  [5020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [5038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1947),
  [5041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2095),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [5154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [5156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [5158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [5160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [5162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [5164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [5166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 36),
  [5168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 36),
  [5170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 36),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [5176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [5182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [5184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [5186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [5188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [5190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 35),
  [5192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 35),
  [5194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 35),
  [5196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [5198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [5200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [5208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [5218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [5224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [5230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [5244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [5248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [5250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [5252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [5258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [5264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [5270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [5280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [5286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [5288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [5290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [5292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [5294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [5300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [5304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [5306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [5310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [5312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [5314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [5318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 35),
  [5320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 35),
  [5322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 35),
  [5324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [5330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [5336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [5338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [5340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [5342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [5344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [5346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [5348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [5352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [5354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [5356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [5358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [5360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [5366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [5372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [5374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [5376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [5392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [5398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [5400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [5406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [5412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [5416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [5422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [5424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [5426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [5432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [5438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [5440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 44),
  [5442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 44),
  [5444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 44),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [5450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [5456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [5458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [5460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [5466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [5472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [5478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [5488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [5504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [5510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [5516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [5518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 36),
  [5520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 36),
  [5522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 36),
  [5524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [5526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [5528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 42),
  [5530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 42),
  [5532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 42),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [5540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [5546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [5548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [5550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [5554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [5562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [5568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [5570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [5572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [5574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [5578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [5580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [5584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [5590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [5592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [5594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [5598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [5604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [5608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [5614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [5626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [5628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [5632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [5638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [5642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [5648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [5650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [5654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [5660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [5664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [5670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [5672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [5674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [5676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [5678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [5680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [5682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [5684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [5686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [5688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [5690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [5692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [5696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [5704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [5710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [5712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [5714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [5716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [5720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [5726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [5728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [5732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [5740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [5746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [5748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [5750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [5752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [5754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [5756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [5760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [5766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [5770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [5778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [5784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [5786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [5788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [5790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [5792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [5806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [5814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [5820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [5832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [5834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [5836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [5838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [5840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [5844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [5850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [5856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [5862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [5864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [5866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2197),
  [5869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2088),
  [5872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(38),
  [5875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(34),
  [5878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2186),
  [5881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [5883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [5887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [5889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [5893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [5895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [5897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [5899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [5901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [5905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [5907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [5909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [5911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [5913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2120),
  [5916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [5918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2236),
  [5921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2068),
  [5924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(97),
  [5927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(96),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [5934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [5938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [5940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [5944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [5950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [5952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [5954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [5956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [5960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [5966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [5968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [5970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [5972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [5974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [5978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [5982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [5986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [5994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [5996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [5998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2290),
  [6001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 3),
  [6003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 3),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [6009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [6011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [6013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 1),
  [6015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 1),
  [6017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1909),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [6022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2),
  [6024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 2),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [6030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [6032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [6034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [6040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [6042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [6052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 3),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [6058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [6060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(116),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [6069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [6085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [6093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [6095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [6101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [6103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [6107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [6111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [6121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [6125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [6127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [6135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [6141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [6143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [6145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [6149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [6151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [6153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 30),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [6157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [6161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [6165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [6169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [6173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [6177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [6181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [6183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [6187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [6191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [6193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 29),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [6197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [6201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [6205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2386),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [6210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [6226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [6290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [6318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [6336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1922),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [6345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 43), SHIFT_REPEAT(1856),
  [6348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 43),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [6372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [6376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2524),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [6397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [6419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [6427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 36),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [6433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [6443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 44),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [6451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__terminated_statement, 2),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [6477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 35),
  [6479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [6509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 42),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [6647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [6649] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_bash_external_scanner_create(void);
void tree_sitter_bash_external_scanner_destroy(void *);
bool tree_sitter_bash_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_bash_external_scanner_serialize(void *, char *);
void tree_sitter_bash_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_bash(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .public_symbol_map = ts_symbol_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_word,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_bash_external_scanner_create,
      tree_sitter_bash_external_scanner_destroy,
      tree_sitter_bash_external_scanner_scan,
      tree_sitter_bash_external_scanner_serialize,
      tree_sitter_bash_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
